/**
 * lunr - http://lunrjs.com - A bit like Solr, but much smaller and not as bright - 2.3.9
 * Copyright (C) 2020 Oliver Nightingale
 * @license MIT
 */
!function(){var e=function(t){var r=new e.Builder;return r.pipeline.add(e.trimmer,e.stopWordFilter,e.stemmer),r.searchPipeline.add(e.stemmer),t.call(r,r),r.build()};e.version="2.3.9",e.utils={},e.utils.warn=function(e){return function(t){e.console&&console.warn&&console.warn(t)}}(this),e.utils.asString=function(e){return void 0===e||null===e?"":e.toString()},e.utils.clone=function(e){if(null===e||void 0===e)return e;for(var t=Object.create(null),r=Object.keys(e),i=0;i<r.length;i++){var n=r[i],s=e[n];if(Array.isArray(s))t[n]=s.slice();else{if("string"!=typeof s&&"number"!=typeof s&&"boolean"!=typeof s)throw new TypeError("clone is not deep and does not support nested objects");t[n]=s}}return t},e.FieldRef=function(e,t,r){this.docRef=e,this.fieldName=t,this._stringValue=r},e.FieldRef.joiner="/",e.FieldRef.fromString=function(t){var r=t.indexOf(e.FieldRef.joiner);if(r===-1)throw"malformed field ref string";var i=t.slice(0,r),n=t.slice(r+1);return new e.FieldRef(n,i,t)},e.FieldRef.prototype.toString=function(){return void 0==this._stringValue&&(this._stringValue=this.fieldName+e.FieldRef.joiner+this.docRef),this._stringValue},e.Set=function(e){if(this.elements=Object.create(null),e){this.length=e.length;for(var t=0;t<this.length;t++)this.elements[e[t]]=!0}else this.length=0},e.Set.complete={intersect:function(e){return e},union:function(){return this},contains:function(){return!0}},e.Set.empty={intersect:function(){return this},union:function(e){return e},contains:function(){return!1}},e.Set.prototype.contains=function(e){return!!this.elements[e]},e.Set.prototype.intersect=function(t){var r,i,n,s=[];if(t===e.Set.complete)return this;if(t===e.Set.empty)return t;this.length<t.length?(r=this,i=t):(r=t,i=this),n=Object.keys(r.elements);for(var o=0;o<n.length;o++){var a=n[o];a in i.elements&&s.push(a)}return new e.Set(s)},e.Set.prototype.union=function(t){return t===e.Set.complete?e.Set.complete:t===e.Set.empty?this:new e.Set(Object.keys(this.elements).concat(Object.keys(t.elements)))},e.idf=function(e,t){var r=0;for(var i in e)"_index"!=i&&(r+=Object.keys(e[i]).length);var n=(t-r+.5)/(r+.5);return Math.log(1+Math.abs(n))},e.Token=function(e,t){this.str=e||"",this.metadata=t||{}},e.Token.prototype.toString=function(){return this.str},e.Token.prototype.update=function(e){return this.str=e(this.str,this.metadata),this},e.Token.prototype.clone=function(t){return t=t||function(e){return e},new e.Token(t(this.str,this.metadata),this.metadata)},e.tokenizer=function(t,r){if(null==t||void 0==t)return[];if(Array.isArray(t))return t.map((function(t){return new e.Token(e.utils.asString(t).toLowerCase(),e.utils.clone(r))}));for(var i=t.toString().toLowerCase(),n=i.length,s=[],o=0,a=0;o<=n;o++){var u=i.charAt(o),l=o-a;if(u.match(e.tokenizer.separator)||o==n){if(l>0){var c=e.utils.clone(r)||{};c.position=[a,l],c.index=s.length,s.push(new e.Token(i.slice(a,o),c))}a=o+1}}return s},e.tokenizer.separator=/[\s\-]+/,e.Pipeline=function(){this._stack=[]},e.Pipeline.registeredFunctions=Object.create(null),e.Pipeline.registerFunction=function(t,r){r in this.registeredFunctions&&e.utils.warn("Overwriting existing registered function: "+r),t.label=r,e.Pipeline.registeredFunctions[t.label]=t},e.Pipeline.warnIfFunctionNotRegistered=function(t){var r=t.label&&t.label in this.registeredFunctions;r||e.utils.warn("Function is not registered with pipeline. This may cause problems when serialising the index.\n",t)},e.Pipeline.load=function(t){var r=new e.Pipeline;return t.forEach((function(t){var i=e.Pipeline.registeredFunctions[t];if(!i)throw new Error("Cannot load unregistered function: "+t);r.add(i)})),r},e.Pipeline.prototype.add=function(){var t=Array.prototype.slice.call(arguments);t.forEach((function(t){e.Pipeline.warnIfFunctionNotRegistered(t),this._stack.push(t)}),this)},e.Pipeline.prototype.after=function(t,r){e.Pipeline.warnIfFunctionNotRegistered(r);var i=this._stack.indexOf(t);if(i==-1)throw new Error("Cannot find existingFn");i+=1,this._stack.splice(i,0,r)},e.Pipeline.prototype.before=function(t,r){e.Pipeline.warnIfFunctionNotRegistered(r);var i=this._stack.indexOf(t);if(i==-1)throw new Error("Cannot find existingFn");this._stack.splice(i,0,r)},e.Pipeline.prototype.remove=function(e){var t=this._stack.indexOf(e);t!=-1&&this._stack.splice(t,1)},e.Pipeline.prototype.run=function(e){for(var t=this._stack.length,r=0;r<t;r++){for(var i=this._stack[r],n=[],s=0;s<e.length;s++){var o=i(e[s],s,e);if(null!==o&&void 0!==o&&""!==o)if(Array.isArray(o))for(var a=0;a<o.length;a++)n.push(o[a]);else n.push(o)}e=n}return e},e.Pipeline.prototype.runString=function(t,r){var i=new e.Token(t,r);return this.run([i]).map((function(e){return e.toString()}))},e.Pipeline.prototype.reset=function(){this._stack=[]},e.Pipeline.prototype.toJSON=function(){return this._stack.map((function(t){return e.Pipeline.warnIfFunctionNotRegistered(t),t.label}))},e.Vector=function(e){this._magnitude=0,this.elements=e||[]},e.Vector.prototype.positionForIndex=function(e){if(0==this.elements.length)return 0;for(var t=0,r=this.elements.length/2,i=r-t,n=Math.floor(i/2),s=this.elements[2*n];i>1&&(s<e&&(t=n),s>e&&(r=n),s!=e);)i=r-t,n=t+Math.floor(i/2),s=this.elements[2*n];return s==e?2*n:s>e?2*n:s<e?2*(n+1):void 0},e.Vector.prototype.insert=function(e,t){this.upsert(e,t,(function(){throw"duplicate index"}))},e.Vector.prototype.upsert=function(e,t,r){this._magnitude=0;var i=this.positionForIndex(e);this.elements[i]==e?this.elements[i+1]=r(this.elements[i+1],t):this.elements.splice(i,0,e,t)},e.Vector.prototype.magnitude=function(){if(this._magnitude)return this._magnitude;for(var e=0,t=this.elements.length,r=1;r<t;r+=2){var i=this.elements[r];e+=i*i}return this._magnitude=Math.sqrt(e)},e.Vector.prototype.dot=function(e){for(var t=0,r=this.elements,i=e.elements,n=r.length,s=i.length,o=0,a=0,u=0,l=0;u<n&&l<s;)o=r[u],a=i[l],o<a?u+=2:o>a?l+=2:o==a&&(t+=r[u+1]*i[l+1],u+=2,l+=2);return t},e.Vector.prototype.similarity=function(e){return this.dot(e)/this.magnitude()||0},e.Vector.prototype.toArray=function(){for(var e=new Array(this.elements.length/2),t=1,r=0;t<this.elements.length;t+=2,r++)e[r]=this.elements[t];return e},e.Vector.prototype.toJSON=function(){return this.elements},e.stemmer=function(){var e={ational:"ate",tional:"tion",enci:"ence",anci:"ance",izer:"ize",bli:"ble",alli:"al",entli:"ent",eli:"e",ousli:"ous",ization:"ize",ation:"ate",ator:"ate",alism:"al",iveness:"ive",fulness:"ful",ousness:"ous",aliti:"al",iviti:"ive",biliti:"ble",logi:"log"},t={icate:"ic",ative:"",alize:"al",iciti:"ic",ical:"ic",ful:"",ness:""},r="[^aeiou]",i="[aeiouy]",n=r+"[^aeiouy]*",s=i+"[aeiou]*",o="^("+n+")?"+s+n,a="^("+n+")?"+s+n+"("+s+")?$",u="^("+n+")?"+s+n+s+n,l="^("+n+")?"+i,c=new RegExp(o),h=new RegExp(u),d=new RegExp(a),f=new RegExp(l),p=/^(.+?)(ss|i)es$/,y=/^(.+?)([^s])s$/,m=/^(.+?)eed$/,v=/^(.+?)(ed|ing)$/,g=/.$/,x=/(at|bl|iz)$/,w=new RegExp("([^aeiouylsz])\\1$"),Q=new RegExp("^"+n+i+"[^aeiouwxy]$"),k=/^(.+?[^aeiou])y$/,S=/^(.+?)(ational|tional|enci|anci|izer|bli|alli|entli|eli|ousli|ization|ation|ator|alism|iveness|fulness|ousness|aliti|iviti|biliti|logi)$/,E=/^(.+?)(icate|ative|alize|iciti|ical|ful|ness)$/,L=/^(.+?)(al|ance|ence|er|ic|able|ible|ant|ement|ment|ent|ou|ism|ate|iti|ous|ive|ize)$/,b=/^(.+?)(s|t)(ion)$/,P=/^(.+?)e$/,T=/ll$/,O=new RegExp("^"+n+i+"[^aeiouwxy]$"),I=function(r){var i,n,s,o,a,u,l;if(r.length<3)return r;if(s=r.substr(0,1),"y"==s&&(r=s.toUpperCase()+r.substr(1)),o=p,a=y,o.test(r)?r=r.replace(o,"$1$2"):a.test(r)&&(r=r.replace(a,"$1$2")),o=m,a=v,o.test(r)){var I=o.exec(r);o=c,o.test(I[1])&&(o=g,r=r.replace(o,""))}else if(a.test(r)){var I=a.exec(r);i=I[1],a=f,a.test(i)&&(r=i,a=x,u=w,l=Q,a.test(r)?r+="e":u.test(r)?(o=g,r=r.replace(o,"")):l.test(r)&&(r+="e"))}if(o=k,o.test(r)){var I=o.exec(r);i=I[1],r=i+"i"}if(o=S,o.test(r)){var I=o.exec(r);i=I[1],n=I[2],o=c,o.test(i)&&(r=i+e[n])}if(o=E,o.test(r)){var I=o.exec(r);i=I[1],n=I[2],o=c,o.test(i)&&(r=i+t[n])}if(o=L,a=b,o.test(r)){var I=o.exec(r);i=I[1],o=h,o.test(i)&&(r=i)}else if(a.test(r)){var I=a.exec(r);i=I[1]+I[2],a=h,a.test(i)&&(r=i)}if(o=P,o.test(r)){var I=o.exec(r);i=I[1],o=h,a=d,u=O,(o.test(i)||a.test(i)&&!u.test(i))&&(r=i)}return o=T,a=h,o.test(r)&&a.test(r)&&(o=g,r=r.replace(o,"")),"y"==s&&(r=s.toLowerCase()+r.substr(1)),r};return function(e){return e.update(I)}}(),e.Pipeline.registerFunction(e.stemmer,"stemmer"),e.generateStopWordFilter=function(e){var t=e.reduce((function(e,t){return e[t]=t,e}),{});return function(e){if(e&&t[e.toString()]!==e.toString())return e}},e.stopWordFilter=e.generateStopWordFilter(["a","able","about","across","after","all","almost","also","am","among","an","and","any","are","as","at","be","because","been","but","by","can","cannot","could","dear","did","do","does","either","else","ever","every","for","from","get","got","had","has","have","he","her","hers","him","his","how","however","i","if","in","into","is","it","its","just","least","let","like","likely","may","me","might","most","must","my","neither","no","nor","not","of","off","often","on","only","or","other","our","own","rather","said","say","says","she","should","since","so","some","than","that","the","their","them","then","there","these","they","this","tis","to","too","twas","us","wants","was","we","were","what","when","where","which","while","who","whom","why","will","with","would","yet","you","your"]),e.Pipeline.registerFunction(e.stopWordFilter,"stopWordFilter"),e.trimmer=function(e){return e.update((function(e){return e.replace(/^\W+/,"").replace(/\W+$/,"")}))},e.Pipeline.registerFunction(e.trimmer,"trimmer"),e.TokenSet=function(){this["final"]=!1,this.edges={},this.id=e.TokenSet._nextId,e.TokenSet._nextId+=1},e.TokenSet._nextId=1,e.TokenSet.fromArray=function(t){for(var r=new e.TokenSet.Builder,i=0,n=t.length;i<n;i++)r.insert(t[i]);return r.finish(),r.root},e.TokenSet.fromClause=function(t){return"editDistance"in t?e.TokenSet.fromFuzzyString(t.term,t.editDistance):e.TokenSet.fromString(t.term)},e.TokenSet.fromFuzzyString=function(t,r){for(var i=new e.TokenSet,n=[{node:i,editsRemaining:r,str:t}];n.length;){var s=n.pop();if(s.str.length>0){var o,a=s.str.charAt(0);a in s.node.edges?o=s.node.edges[a]:(o=new e.TokenSet,s.node.edges[a]=o),1==s.str.length&&(o["final"]=!0),n.push({node:o,editsRemaining:s.editsRemaining,str:s.str.slice(1)})}if(0!=s.editsRemaining){if("*"in s.node.edges)var u=s.node.edges["*"];else{var u=new e.TokenSet;s.node.edges["*"]=u}if(0==s.str.length&&(u["final"]=!0),n.push({node:u,editsRemaining:s.editsRemaining-1,str:s.str}),s.str.length>1&&n.push({node:s.node,editsRemaining:s.editsRemaining-1,str:s.str.slice(1)}),1==s.str.length&&(s.node["final"]=!0),s.str.length>=1){if("*"in s.node.edges)var l=s.node.edges["*"];else{var l=new e.TokenSet;s.node.edges["*"]=l}1==s.str.length&&(l["final"]=!0),n.push({node:l,editsRemaining:s.editsRemaining-1,str:s.str.slice(1)})}if(s.str.length>1){var c,h=s.str.charAt(0),d=s.str.charAt(1);d in s.node.edges?c=s.node.edges[d]:(c=new e.TokenSet,s.node.edges[d]=c),1==s.str.length&&(c["final"]=!0),n.push({node:c,editsRemaining:s.editsRemaining-1,str:h+s.str.slice(2)})}}}return i},e.TokenSet.fromString=function(t){for(var r=new e.TokenSet,i=r,n=0,s=t.length;n<s;n++){var o=t[n],a=n==s-1;if("*"==o)r.edges[o]=r,r["final"]=a;else{var u=new e.TokenSet;u["final"]=a,r.edges[o]=u,r=u}}return i},e.TokenSet.prototype.toArray=function(){for(var e=[],t=[{prefix:"",node:this}];t.length;){var r=t.pop(),i=Object.keys(r.node.edges),n=i.length;r.node["final"]&&(r.prefix.charAt(0),e.push(r.prefix));for(var s=0;s<n;s++){var o=i[s];t.push({prefix:r.prefix.concat(o),node:r.node.edges[o]})}}return e},e.TokenSet.prototype.toString=function(){if(this._str)return this._str;for(var e=this["final"]?"1":"0",t=Object.keys(this.edges).sort(),r=t.length,i=0;i<r;i++){var n=t[i],s=this.edges[n];e=e+n+s.id}return e},e.TokenSet.prototype.intersect=function(t){for(var r=new e.TokenSet,i=void 0,n=[{qNode:t,output:r,node:this}];n.length;){i=n.pop();for(var s=Object.keys(i.qNode.edges),o=s.length,a=Object.keys(i.node.edges),u=a.length,l=0;l<o;l++)for(var c=s[l],h=0;h<u;h++){var d=a[h];if(d==c||"*"==c){var f=i.node.edges[d],p=i.qNode.edges[c],y=f["final"]&&p["final"],m=void 0;d in i.output.edges?(m=i.output.edges[d],m["final"]=m["final"]||y):(m=new e.TokenSet,m["final"]=y,i.output.edges[d]=m),n.push({qNode:p,output:m,node:f})}}}return r},e.TokenSet.Builder=function(){this.previousWord="",this.root=new e.TokenSet,this.uncheckedNodes=[],this.minimizedNodes={}},e.TokenSet.Builder.prototype.insert=function(t){var r,i=0;if(t<this.previousWord)throw new Error("Out of order word insertion");for(var n=0;n<t.length&&n<this.previousWord.length&&t[n]==this.previousWord[n];n++)i++;this.minimize(i),r=0==this.uncheckedNodes.length?this.root:this.uncheckedNodes[this.uncheckedNodes.length-1].child;for(var n=i;n<t.length;n++){var s=new e.TokenSet,o=t[n];r.edges[o]=s,this.uncheckedNodes.push({parent:r,char:o,child:s}),r=s}r["final"]=!0,this.previousWord=t},e.TokenSet.Builder.prototype.finish=function(){this.minimize(0)},e.TokenSet.Builder.prototype.minimize=function(e){for(var t=this.uncheckedNodes.length-1;t>=e;t--){var r=this.uncheckedNodes[t],i=r.child.toString();i in this.minimizedNodes?r.parent.edges[r["char"]]=this.minimizedNodes[i]:(r.child._str=i,this.minimizedNodes[i]=r.child),this.uncheckedNodes.pop()}},e.Index=function(e){this.invertedIndex=e.invertedIndex,this.fieldVectors=e.fieldVectors,this.tokenSet=e.tokenSet,this.fields=e.fields,this.pipeline=e.pipeline},e.Index.prototype.search=function(t){return this.query((function(r){var i=new e.QueryParser(t,r);i.parse()}))},e.Index.prototype.query=function(t){for(var r=new e.Query(this.fields),i=Object.create(null),n=Object.create(null),s=Object.create(null),o=Object.create(null),a=Object.create(null),u=0;u<this.fields.length;u++)n[this.fields[u]]=new e.Vector;t.call(r,r);for(var u=0;u<r.clauses.length;u++){var l=r.clauses[u],c=null,h=e.Set.empty;c=l.usePipeline?this.pipeline.runString(l.term,{fields:l.fields}):[l.term];for(var d=0;d<c.length;d++){var f=c[d];l.term=f;var p=e.TokenSet.fromClause(l),y=this.tokenSet.intersect(p).toArray();if(0===y.length&&l.presence===e.Query.presence.REQUIRED){for(var m=0;m<l.fields.length;m++){var v=l.fields[m];o[v]=e.Set.empty}break}for(var g=0;g<y.length;g++)for(var x=y[g],w=this.invertedIndex[x],Q=w._index,m=0;m<l.fields.length;m++){var v=l.fields[m],k=w[v],S=Object.keys(k),E=x+"/"+v,L=new e.Set(S);if(l.presence==e.Query.presence.REQUIRED&&(h=h.union(L),void 0===o[v]&&(o[v]=e.Set.complete)),l.presence!=e.Query.presence.PROHIBITED){if(n[v].upsert(Q,l.boost,(function(e,t){return e+t})),!s[E]){for(var b=0;b<S.length;b++){var P,T=S[b],O=new e.FieldRef(T,v),I=k[T];void 0===(P=i[O])?i[O]=new e.MatchData(x,v,I):P.add(x,v,I)}s[E]=!0}}else void 0===a[v]&&(a[v]=e.Set.empty),a[v]=a[v].union(L)}}if(l.presence===e.Query.presence.REQUIRED)for(var m=0;m<l.fields.length;m++){var v=l.fields[m];o[v]=o[v].intersect(h)}}for(var R=e.Set.complete,F=e.Set.empty,u=0;u<this.fields.length;u++){var v=this.fields[u];o[v]&&(R=R.intersect(o[v])),a[v]&&(F=F.union(a[v]))}var C=Object.keys(i),N=[],_=Object.create(null);if(r.isNegated()){C=Object.keys(this.fieldVectors);for(var u=0;u<C.length;u++){var O=C[u],j=e.FieldRef.fromString(O);i[O]=new e.MatchData}}for(var u=0;u<C.length;u++){var j=e.FieldRef.fromString(C[u]),D=j.docRef;if(R.contains(D)&&!F.contains(D)){var A,B=this.fieldVectors[j],V=n[j.fieldName].similarity(B);if(void 0!==(A=_[D]))A.score+=V,A.matchData.combine(i[j]);else{var z={ref:D,score:V,matchData:i[j]};_[D]=z,N.push(z)}}}return N.sort((function(e,t){return t.score-e.score}))},e.Index.prototype.toJSON=function(){var t=Object.keys(this.invertedIndex).sort().map((function(e){return[e,this.invertedIndex[e]]}),this),r=Object.keys(this.fieldVectors).map((function(e){return[e,this.fieldVectors[e].toJSON()]}),this);return{version:e.version,fields:this.fields,fieldVectors:r,invertedIndex:t,pipeline:this.pipeline.toJSON()}},e.Index.load=function(t){var r={},i={},n=t.fieldVectors,s=Object.create(null),o=t.invertedIndex,a=new e.TokenSet.Builder,u=e.Pipeline.load(t.pipeline);t.version!=e.version&&e.utils.warn("Version mismatch when loading serialised index. Current version of lunr '"+e.version+"' does not match serialized index '"+t.version+"'");for(var l=0;l<n.length;l++){var c=n[l],h=c[0],d=c[1];i[h]=new e.Vector(d)}for(var l=0;l<o.length;l++){var c=o[l],f=c[0],p=c[1];a.insert(f),s[f]=p}return a.finish(),r.fields=t.fields,r.fieldVectors=i,r.invertedIndex=s,r.tokenSet=a.root,r.pipeline=u,new e.Index(r)},e.Builder=function(){this._ref="id",this._fields=Object.create(null),this._documents=Object.create(null),this.invertedIndex=Object.create(null),this.fieldTermFrequencies={},this.fieldLengths={},this.tokenizer=e.tokenizer,this.pipeline=new e.Pipeline,this.searchPipeline=new e.Pipeline,this.documentCount=0,this._b=.75,this._k1=1.2,this.termIndex=0,this.metadataWhitelist=[]},e.Builder.prototype.ref=function(e){this._ref=e},e.Builder.prototype.field=function(e,t){if(/\//.test(e))throw new RangeError("Field '"+e+"' contains illegal character '/'");this._fields[e]=t||{}},e.Builder.prototype.b=function(e){e<0?this._b=0:e>1?this._b=1:this._b=e},e.Builder.prototype.k1=function(e){this._k1=e},e.Builder.prototype.add=function(t,r){var i=t[this._ref],n=Object.keys(this._fields);this._documents[i]=r||{},this.documentCount+=1;for(var s=0;s<n.length;s++){var o=n[s],a=this._fields[o].extractor,u=a?a(t):t[o],l=this.tokenizer(u,{fields:[o]}),c=this.pipeline.run(l),h=new e.FieldRef(i,o),d=Object.create(null);this.fieldTermFrequencies[h]=d,this.fieldLengths[h]=0,this.fieldLengths[h]+=c.length;for(var f=0;f<c.length;f++){var p=c[f];if(void 0==d[p]&&(d[p]=0),d[p]+=1,void 0==this.invertedIndex[p]){var y=Object.create(null);y._index=this.termIndex,this.termIndex+=1;for(var m=0;m<n.length;m++)y[n[m]]=Object.create(null);this.invertedIndex[p]=y}void 0==this.invertedIndex[p][o][i]&&(this.invertedIndex[p][o][i]=Object.create(null));for(var v=0;v<this.metadataWhitelist.length;v++){var g=this.metadataWhitelist[v],x=p.metadata[g];void 0==this.invertedIndex[p][o][i][g]&&(this.invertedIndex[p][o][i][g]=[]),this.invertedIndex[p][o][i][g].push(x)}}}},e.Builder.prototype.calculateAverageFieldLengths=function(){for(var t=Object.keys(this.fieldLengths),r=t.length,i={},n={},s=0;s<r;s++){var o=e.FieldRef.fromString(t[s]),a=o.fieldName;n[a]||(n[a]=0),n[a]+=1,i[a]||(i[a]=0),i[a]+=this.fieldLengths[o]}for(var u=Object.keys(this._fields),s=0;s<u.length;s++){var l=u[s];i[l]=i[l]/n[l]}this.averageFieldLength=i},e.Builder.prototype.createFieldVectors=function(){for(var t={},r=Object.keys(this.fieldTermFrequencies),i=r.length,n=Object.create(null),s=0;s<i;s++){for(var o=e.FieldRef.fromString(r[s]),a=o.fieldName,u=this.fieldLengths[o],l=new e.Vector,c=this.fieldTermFrequencies[o],h=Object.keys(c),d=h.length,f=this._fields[a].boost||1,p=this._documents[o.docRef].boost||1,y=0;y<d;y++){var m,v,g,x=h[y],w=c[x],Q=this.invertedIndex[x]._index;void 0===n[x]?(m=e.idf(this.invertedIndex[x],this.documentCount),n[x]=m):m=n[x],v=m*((this._k1+1)*w)/(this._k1*(1-this._b+this._b*(u/this.averageFieldLength[a]))+w),v*=f,v*=p,g=Math.round(1e3*v)/1e3,l.insert(Q,g)}t[o]=l}this.fieldVectors=t},e.Builder.prototype.createTokenSet=function(){this.tokenSet=e.TokenSet.fromArray(Object.keys(this.invertedIndex).sort())},e.Builder.prototype.build=function(){return this.calculateAverageFieldLengths(),this.createFieldVectors(),this.createTokenSet(),new e.Index({invertedIndex:this.invertedIndex,fieldVectors:this.fieldVectors,tokenSet:this.tokenSet,fields:Object.keys(this._fields),pipeline:this.searchPipeline})},e.Builder.prototype.use=function(e){var t=Array.prototype.slice.call(arguments,1);t.unshift(this),e.apply(this,t)},e.MatchData=function(e,t,r){for(var i=Object.create(null),n=Object.keys(r||{}),s=0;s<n.length;s++){var o=n[s];i[o]=r[o].slice()}this.metadata=Object.create(null),void 0!==e&&(this.metadata[e]=Object.create(null),this.metadata[e][t]=i)},e.MatchData.prototype.combine=function(e){for(var t=Object.keys(e.metadata),r=0;r<t.length;r++){var i=t[r],n=Object.keys(e.metadata[i]);void 0==this.metadata[i]&&(this.metadata[i]=Object.create(null));for(var s=0;s<n.length;s++){var o=n[s],a=Object.keys(e.metadata[i][o]);void 0==this.metadata[i][o]&&(this.metadata[i][o]=Object.create(null));for(var u=0;u<a.length;u++){var l=a[u];void 0==this.metadata[i][o][l]?this.metadata[i][o][l]=e.metadata[i][o][l]:this.metadata[i][o][l]=this.metadata[i][o][l].concat(e.metadata[i][o][l])}}}},e.MatchData.prototype.add=function(e,t,r){if(!(e in this.metadata))return this.metadata[e]=Object.create(null),void(this.metadata[e][t]=r);if(!(t in this.metadata[e]))return void(this.metadata[e][t]=r);for(var i=Object.keys(r),n=0;n<i.length;n++){var s=i[n];s in this.metadata[e][t]?this.metadata[e][t][s]=this.metadata[e][t][s].concat(r[s]):this.metadata[e][t][s]=r[s]}},e.Query=function(e){this.clauses=[],this.allFields=e},e.Query.wildcard=new String("*"),e.Query.wildcard.NONE=0,e.Query.wildcard.LEADING=1,e.Query.wildcard.TRAILING=2,e.Query.presence={OPTIONAL:1,REQUIRED:2,PROHIBITED:3},e.Query.prototype.clause=function(t){return"fields"in t||(t.fields=this.allFields),"boost"in t||(t.boost=1),"usePipeline"in t||(t.usePipeline=!0),"wildcard"in t||(t.wildcard=e.Query.wildcard.NONE),t.wildcard&e.Query.wildcard.LEADING&&t.term.charAt(0)!=e.Query.wildcard&&(t.term="*"+t.term),t.wildcard&e.Query.wildcard.TRAILING&&t.term.slice(-1)!=e.Query.wildcard&&(t.term=""+t.term+"*"),"presence"in t||(t.presence=e.Query.presence.OPTIONAL),this.clauses.push(t),this},e.Query.prototype.isNegated=function(){for(var t=0;t<this.clauses.length;t++)if(this.clauses[t].presence!=e.Query.presence.PROHIBITED)return!1;return!0},e.Query.prototype.term=function(t,r){if(Array.isArray(t))return t.forEach((function(t){this.term(t,e.utils.clone(r))}),this),this;var i=r||{};return i.term=t.toString(),this.clause(i),this},e.QueryParseError=function(e,t,r){this.name="QueryParseError",this.message=e,this.start=t,this.end=r},e.QueryParseError.prototype=new Error,e.QueryLexer=function(e){this.lexemes=[],this.str=e,this.length=e.length,this.pos=0,this.start=0,this.escapeCharPositions=[]},e.QueryLexer.prototype.run=function(){for(var t=e.QueryLexer.lexText;t;)t=t(this)},e.QueryLexer.prototype.sliceString=function(){for(var e=[],t=this.start,r=this.pos,i=0;i<this.escapeCharPositions.length;i++)r=this.escapeCharPositions[i],e.push(this.str.slice(t,r)),t=r+1;return e.push(this.str.slice(t,this.pos)),this.escapeCharPositions.length=0,e.join("")},e.QueryLexer.prototype.emit=function(e){this.lexemes.push({type:e,str:this.sliceString(),start:this.start,end:this.pos}),this.start=this.pos},e.QueryLexer.prototype.escapeCharacter=function(){this.escapeCharPositions.push(this.pos-1),this.pos+=1},e.QueryLexer.prototype.next=function(){if(this.pos>=this.length)return e.QueryLexer.EOS;var t=this.str.charAt(this.pos);return this.pos+=1,t},e.QueryLexer.prototype.width=function(){return this.pos-this.start},e.QueryLexer.prototype.ignore=function(){this.start==this.pos&&(this.pos+=1),this.start=this.pos},e.QueryLexer.prototype.backup=function(){this.pos-=1},e.QueryLexer.prototype.acceptDigitRun=function(){var t,r;do{t=this.next(),r=t.charCodeAt(0)}while(r>47&&r<58);t!=e.QueryLexer.EOS&&this.backup()},e.QueryLexer.prototype.more=function(){return this.pos<this.length},e.QueryLexer.EOS="EOS",e.QueryLexer.FIELD="FIELD",e.QueryLexer.TERM="TERM",e.QueryLexer.EDIT_DISTANCE="EDIT_DISTANCE",e.QueryLexer.BOOST="BOOST",e.QueryLexer.PRESENCE="PRESENCE",e.QueryLexer.lexField=function(t){return t.backup(),t.emit(e.QueryLexer.FIELD),t.ignore(),e.QueryLexer.lexText},e.QueryLexer.lexTerm=function(t){if(t.width()>1&&(t.backup(),t.emit(e.QueryLexer.TERM)),t.ignore(),t.more())return e.QueryLexer.lexText},e.QueryLexer.lexEditDistance=function(t){return t.ignore(),t.acceptDigitRun(),t.emit(e.QueryLexer.EDIT_DISTANCE),e.QueryLexer.lexText},e.QueryLexer.lexBoost=function(t){return t.ignore(),t.acceptDigitRun(),t.emit(e.QueryLexer.BOOST),e.QueryLexer.lexText},e.QueryLexer.lexEOS=function(t){t.width()>0&&t.emit(e.QueryLexer.TERM)},e.QueryLexer.termSeparator=e.tokenizer.separator,e.QueryLexer.lexText=function(t){for(;;){var r=t.next();if(r==e.QueryLexer.EOS)return e.QueryLexer.lexEOS;if(92!=r.charCodeAt(0)){if(":"==r)return e.QueryLexer.lexField;if("~"==r)return t.backup(),t.width()>0&&t.emit(e.QueryLexer.TERM),e.QueryLexer.lexEditDistance;if("^"==r)return t.backup(),t.width()>0&&t.emit(e.QueryLexer.TERM),e.QueryLexer.lexBoost;if("+"==r&&1===t.width())return t.emit(e.QueryLexer.PRESENCE),e.QueryLexer.lexText;if("-"==r&&1===t.width())return t.emit(e.QueryLexer.PRESENCE),e.QueryLexer.lexText;if(r.match(e.QueryLexer.termSeparator))return e.QueryLexer.lexTerm}else t.escapeCharacter()}},e.QueryParser=function(t,r){this.lexer=new e.QueryLexer(t),this.query=r,this.currentClause={},this.lexemeIdx=0},e.QueryParser.prototype.parse=function(){this.lexer.run(),this.lexemes=this.lexer.lexemes;for(var t=e.QueryParser.parseClause;t;)t=t(this);return this.query},e.QueryParser.prototype.peekLexeme=function(){return this.lexemes[this.lexemeIdx]},e.QueryParser.prototype.consumeLexeme=function(){var e=this.peekLexeme();return this.lexemeIdx+=1,e},e.QueryParser.prototype.nextClause=function(){var e=this.currentClause;this.query.clause(e),this.currentClause={}},e.QueryParser.parseClause=function(t){var r=t.peekLexeme();if(void 0!=r)switch(r.type){case e.QueryLexer.PRESENCE:return e.QueryParser.parsePresence;case e.QueryLexer.FIELD:return e.QueryParser.parseField;case e.QueryLexer.TERM:return e.QueryParser.parseTerm;default:var i="expected either a field or a term, found "+r.type;throw r.str.length>=1&&(i+=" with value '"+r.str+"'"),new e.QueryParseError(i,r.start,r.end)}},e.QueryParser.parsePresence=function(t){var r=t.consumeLexeme();if(void 0!=r){switch(r.str){case"-":t.currentClause.presence=e.Query.presence.PROHIBITED;break;case"+":t.currentClause.presence=e.Query.presence.REQUIRED;break;default:var i="unrecognised presence operator'"+r.str+"'";throw new e.QueryParseError(i,r.start,r.end)}var n=t.peekLexeme();if(void 0==n){var i="expecting term or field, found nothing";throw new e.QueryParseError(i,r.start,r.end)}switch(n.type){case e.QueryLexer.FIELD:return e.QueryParser.parseField;case e.QueryLexer.TERM:return e.QueryParser.parseTerm;default:var i="expecting term or field, found '"+n.type+"'";throw new e.QueryParseError(i,n.start,n.end)}}},e.QueryParser.parseField=function(t){var r=t.consumeLexeme();if(void 0!=r){if(t.query.allFields.indexOf(r.str)==-1){var i=t.query.allFields.map((function(e){return"'"+e+"'"})).join(", "),n="unrecognised field '"+r.str+"', possible fields: "+i;throw new e.QueryParseError(n,r.start,r.end)}t.currentClause.fields=[r.str];var s=t.peekLexeme();if(void 0==s){var n="expecting term, found nothing";throw new e.QueryParseError(n,r.start,r.end)}switch(s.type){case e.QueryLexer.TERM:return e.QueryParser.parseTerm;default:var n="expecting term, found '"+s.type+"'";throw new e.QueryParseError(n,s.start,s.end)}}},e.QueryParser.parseTerm=function(t){var r=t.consumeLexeme();if(void 0!=r){t.currentClause.term=r.str.toLowerCase(),r.str.indexOf("*")!=-1&&(t.currentClause.usePipeline=!1);var i=t.peekLexeme();if(void 0==i)return void t.nextClause();switch(i.type){case e.QueryLexer.TERM:return t.nextClause(),e.QueryParser.parseTerm;case e.QueryLexer.FIELD:return t.nextClause(),e.QueryParser.parseField;case e.QueryLexer.EDIT_DISTANCE:return e.QueryParser.parseEditDistance;case e.QueryLexer.BOOST:return e.QueryParser.parseBoost;case e.QueryLexer.PRESENCE:return t.nextClause(),e.QueryParser.parsePresence;default:var n="Unexpected lexeme type '"+i.type+"'";throw new e.QueryParseError(n,i.start,i.end)}}},e.QueryParser.parseEditDistance=function(t){var r=t.consumeLexeme();if(void 0!=r){var i=parseInt(r.str,10);if(isNaN(i)){var n="edit distance must be numeric";throw new e.QueryParseError(n,r.start,r.end)}t.currentClause.editDistance=i;var s=t.peekLexeme();if(void 0==s)return void t.nextClause();switch(s.type){case e.QueryLexer.TERM:return t.nextClause(),e.QueryParser.parseTerm;case e.QueryLexer.FIELD:return t.nextClause(),e.QueryParser.parseField;case e.QueryLexer.EDIT_DISTANCE:return e.QueryParser.parseEditDistance;case e.QueryLexer.BOOST:return e.QueryParser.parseBoost;case e.QueryLexer.PRESENCE:return t.nextClause(),e.QueryParser.parsePresence;default:var n="Unexpected lexeme type '"+s.type+"'";throw new e.QueryParseError(n,s.start,s.end)}}},e.QueryParser.parseBoost=function(t){var r=t.consumeLexeme();if(void 0!=r){var i=parseInt(r.str,10);if(isNaN(i)){var n="boost must be numeric";throw new e.QueryParseError(n,r.start,r.end)}t.currentClause.boost=i;var s=t.peekLexeme();if(void 0==s)return void t.nextClause();switch(s.type){case e.QueryLexer.TERM:return t.nextClause(),e.QueryParser.parseTerm;case e.QueryLexer.FIELD:return t.nextClause(),e.QueryParser.parseField;case e.QueryLexer.EDIT_DISTANCE:return e.QueryParser.parseEditDistance;case e.QueryLexer.BOOST:return e.QueryParser.parseBoost;case e.QueryLexer.PRESENCE:return t.nextClause(),e.QueryParser.parsePresence;default:var n="Unexpected lexeme type '"+s.type+"'";throw new e.QueryParseError(n,s.start,s.end)}}},function(e,t){"function"==typeof define&&define.amd?define(t):"object"==typeof exports?module.exports=t():e.lunr=t()}(this,(function(){return e}))}();var docs=[{i:"1",p:"Search and Matching Server Administration Help",t:"The menu",s:"The Tungsten Search and Matching Server Administration provides a standard Windows-style menu bar with the following settings: Server The Server menu has the following settings.",h:"SearchandMatchingServer\\r_MainMenu.html",r:"The menu Administrationmenu The Tungsten Search and Matching Server Administration provides a standard Windows-style menu bar with the following settings: Server The Server menu has the following settings. Connect Establishes the connection to the Tungsten Search and Matching Server. When the connection is established, you can add new databases or maintain existing ones. Disconnect Shuts the connection to the Tungsten Search and Matching Server down. Refresh Refreshes the list of available databases. This is useful in case more than one user utilizes the Tungsten Search and Matching Server Administration to maintain databases for the same Tungsten Search and Matching Server. Alternatively, you can press F5 as shortcut key to refresh the list of available databases. Exit Closes the Tungsten Search and Matching Server Administration application. Edit The Edit menu has the following settings. Add Opens a window so that you can type the name for the new fuzzy database and select the database type, either a delimited text file (csv) or a relational database. Activate Enables or disables a selected database for the access from a Tungsten Automation workflow. An icon is displayed next to the database name in the list of available databases to indicate whether a database is activated or deactivated . You can select multiple databases from the Available Databases list to activate or deactivate several databases at once. If you select a database that has database status other than Ready or Error the Activate/Deactivate menu is disabled. The label of this setting changes depending on the status of the selected database. The following values are available for this button. Activate Activate / Deactivate Deactivate Rename The Rename Database window is displayed in order to change the name of a selected fuzzy database. To rename an activated database you have to deactivate it first. Remove Deletes the selected database from the server. Note that you can delete a database only if it is deactivated so that it can no longer be accessed by a Tungsten Automation workflow. You can select multiple databases to be removed. Export Displays the Export Databases window to export the settings for one or more databases and the corresponding fuzzy databases as a zip file. You can import an exported database to be used for another Tungsten Search and Matching Server. If you have selected a database that does not have the status Ready or Error, Export is not available. If you select multiple databases in the list of available databases and then click Export the selected databases are automatically selected for export in the Export Databases window. Import Displays the Import Databases window to import one or more databases that is exported from another Tungsten Search and Matching Server. Cluster The Cluster menu has the following settings. Cluster Management Displays the Cluster Management window to allow adding new or removing existing cluster nodes and setting a client cluster node as the primary node that is used to synchronize the all cluster nodes for the connected Load Balancer. Convert to Stand-Alone Server Reverts a selected server, which is defined as the primary node or secondary cluster node, to become a standalone Tungsten Search and Matching Server that is no longer managed by the a Load Balancer. This is especially useful as a kind of fall back when a load balancer is no longer accessible, but you need to access the configured databases of that server, for example to set up a new Load Balancer. Tools The Tools menu has the following setting. Select Language Displays the Select Application Language window, where you can choose the language for the graphical user interface of the Tungsten Search and Matching Server Administration on the local machine. Help The Help menu has the following settings. Contents Displays the Help for this module or window. About Displays information about the module."},{i:"2",p:"Search and Matching Server Administration Help",t:"Configuration files",s:"There are two configuration files that can be modified to customize your Tungsten Search and Matching Server installation.",h:"InstallationGuide\\c_ConfigurationFiles.html",r:"Configuration files There are two configuration files that can be modified to customize your Tungsten Search and Matching Server installation. By upgrading to Tungsten Search and Matching Server 6.10.0, these configuration files replace previous registry settings. These settings are now available in the configuration files to aid in configuration. Any change made to these configuration files take effect only once the service is restarted. Tungsten.TSMS.LoadBalancerService.exe.config Tungsten.TSMS.Service.exe.config These configuration files are installed alongside their corresponding executables. By default, the installation path is Program Files Tungsten SearchMatchingServer. Both configuration files have the same options, but they are independent of each other. The options are as follows: RunningMode Defines if the server is running in Normal mode or Restricted mode. The value for this setting is set to Normal by default. Only use the Restricted mode when you want two load balancers to work together without sending contradictory information. Port Select the network port that is used to establish communication during search and configuration operations with the server. By default, either 22000 or 22001 are assigned. You can assign any valid port. Language The language used for log messages posted by the service. The value for this setting is set to en by default. For support of additional languages, a language pack for that language is needed. DataRootDirectory The path where Tungsten Search and Matching Server stores its data. The value for this setting is set to C: ProgramData Tungsten TSMS by default. TSMSAdministratorsGroupName The name of the group that a user must be a member of, in order to configure the services. The value for this setting is set to TSMS Administrators by default. You must change this value in both configuration files. SecureSearchEnabled Determines whether the network data that is transmitted for a search request is encrypted or not. The value for this setting is set to true by default. You must change this value in both configuration files. LogLevel There are different levels that determine what kind of messages are written to the log file. The value for this setting is set to WARN by default. This means that only warnings and errors are logged, and no information messages. LogfilePath This setting defines the path where the log file is stored. The value for this setting is set to C: ProgramData Tungsten TSMS Logs TSMS.log by default. Edit the path as necessary. RollingLogfileSizeInMB Defines the size of the log file when it is archived. The value for this setting is set to 10 by default. This means that when the log file has reached a size of 10 MB it is stored as an archive file in the same folder and a new log file is created. RollingLogfileCount Defines the number of archive files that are stored on the computer. The value for this setting is set to 10 by default. This means that the last 10 archive files are available. LogThreaIDInfo An optional setting that is used only for bug tracking. It writes the ID from the thread posting a message in the log file. The value for this setting is set to false by default. LogMutexInfo An optional setting used only for dead lock bug tracking. When set to true, an entry is added to the log each time internal mutexes are accessed. The value for this setting is set to false by default. WcfThrottlingMaxConcurrentCalls Indicates the maximum number of parallel connections allowed. The value for this setting must match the value for the WcfThrottlingMaxConcurrentSessions setting below. The value for this setting is set to 128 by default. A large value for this setting when the service is already busy can decrease the server performance. Increase this number carefully so that the server does not use all of the machine resources. WcfThrottlingMaxConcurrentSessions Indicates the number of queries that are processed in parallel on the server. The value for this setting must match the value for the WcfThrottlingMaxConcurrentCalls setting above. The value for this setting is set to 128 by default. McfThrottlingMaxConcurrentInstances Analyzes the WCF communications. The value for this setting is set to 2147483647 by default. Do not modify the value for this option."},{i:"3",p:"Search and Matching Server Administration Help",t:"Import string substitutions",s:"In the String Substitution area, click Import.",h:"SearchandMatchingServer\\t_ImportingStringSubstitutions.html",r:"Import string substitutions In the String Substitution area, click Import. In the Windows Explorer window, navigate to the location of the file you are importing, select the *.sdl file and click Open."},{i:"4",p:"Search and Matching Server Administration Help",t:"Security aspects for searches",s:"Search requests from a client application such as Project Builder in Tungsten Transformation Modules or Transformation Designer in Tungsten TotalAgility, or any runtime module such as Tungsten Transformation Modules Server or Validation never require an extra user name and password.",h:"SearchandMatchingServer\\c_SecurityAspectsforSearches.html",r:"Security aspects for searches security aspectssearches Search requests from a client application such as Project Builder in Tungsten Transformation Modules or Transformation Designer in Tungsten TotalAgility, or any runtime module such as Tungsten Transformation Modules Server or Validation never require an extra user name and password. Technically, the encryption is the same as for the Administration using the Transport Layer Security over TCP."},{i:"5",p:"Search and Matching Server Administration Help",t:"Available Databases pane",s:"If configured, a list of databases is displayed.",h:"SearchandMatchingServer\\r_AvailableDatabasesPanel.html",r:"Available Databases pane AdministrationAvailable Databases pane If configured, a list of databases is displayed. The list contains icons to the left of the database name to show the database type, either text file or relational database , as well as the database status, either activated or deactivated . You can add a new database, rename, or delete an existing inactive database, and set a database to active in order to be used within the Tungsten Transformation Modules or Tungsten TotalAgility workflows. You can select multiple databases from the list in order to delete, activate or deactivate, or export. Any databases in your selection that have a status other than Ready or Error are ignored when performing the selected command. The following buttons are available at the bottom of the list of Available Databases. Add Click Add to open a window so that you can type the name for the new fuzzy database and select the database type, either a delimited text file (csv) or a relational database. Activate Click Activate or to enable or disable a selected database for the access from a Tungsten Transformation Modules or Tungsten TotalAgility workflow. The corresponding icon is displayed next to the database name to indicate whether a database is activated or deactivated. You can select multiple databases from the Available Databases list to activate or deactivate several databases at once. The menu is not available for databases that have a database status other than Ready or Error. The label of this setting changes depending on the status of the selected database. The following values are available for this button. Activate Activate / Deactivate Deactivate Rename Click Rename to change the name of a selected fuzzy database. To rename an activated database you have to deactivate it first. Remove Click Remove to delete the selected database from the server. Note that you can delete a database only if it is deactivated so that it can no longer be accessed by a Tungsten Transformation Modules or Tungsten TotalAgility workflow. Export Click Export to export the settings for one or more databases and the corresponding fuzzy databases as a zip file. You can import an exported database to be used for another Tungsten Search and Matching Server. If you have selected a database that does not have the status Ready or Error, Export is not available. Import Click Import to import one or more databases that are exported from another Tungsten Search and Matching Server in order to move databases from one server to another, for example as a backup. The following keyboard shortcuts are available: Shortcut keys for Tungsten Search and Matching Server Administration Shortcut Key Description Ctrl + A If the focus is in the Available Databases list, it selects all available databases. If the focus is in the Most recent messagesarea on the Server Logging Report tab, it selects all log messages. F2 Renames a selected database. F3 Adds a new database. F4 Activates or deactivates selected databases. F5 Refreshes the list of available databases. F7 Exports selected databases to a zip file. F8 Imports databases from a zip file. F10 Displays the Log On To Server window to connect to a server. F11 Disconnects from the server. Del Deletes selected databases."},{i:"6",p:"Search and Matching Server Administration Help",t:"Load balancer service configuration file",s:"This configuration file enables you to configure the Load Balancer Service settings.",h:"InstallationGuide\\c_LoadBalancerServiceConfigurationFile.html",r:"Load balancer service configuration file This configuration file enables you to configure the Load Balancer Service settings. The configuration file is divided into three sections. The first section contains settings for the server, the second section defines the logging settings, and the third section defines the WCF throttling settings for the service, all specific to the Load Balancer. The following settings are available. RunningMode Defines if the server is running in Normal mode or Restricted mode. The value for this setting is set to Normal by default. Only use the Restricted mode when you want two load balancers to work together without sending contradictory information. Port Select the network port that is used to establish communication during search and configuration operations with the server. By default, either 22000 or 22001 are assigned. You can assign any valid port. Language The language used for log messages posted by the service. The value for this setting is set to en by default. For support of additional languages, a language pack for that language is needed. DataRootDirectory The path where Tungsten Search and Matching Server stores its data. The value for this setting is set to C: ProgramData Tungsten TSMS by default. TSMSAdministratorsGroupName The name of the group that a user must be a member of, in order to configure the services. The value for this setting is set to TSMS Administrators by default. You must change this value in both configuration files. SecureSearchEnabled Determines whether the network data that is transmitted for a search request is encrypted or not. The value for this setting is set to true by default. You must change this value in both configuration files. LogLevel There are different levels that determine what kind of messages are written to the log file. The value for this setting is set to WARN by default. This means that only warnings and errors are logged, and no information messages. LogfilePath This setting defines the path where the log file is stored. The value for this setting is set to C: ProgramData Tungsten TSMS Logs TSMS.log by default. Edit the path as necessary. RollingLogfileSizeInMB Defines the size of the log file when it is archived. The value for this setting is set to 10 by default. This means that when the log file has reached a size of 10 MB it is stored as an archive file in the same folder and a new log file is created. RollingLogfileCount Defines the number of archive files that are stored on the computer. The value for this setting is set to 10 by default. This means that the last 10 archive files are available. LogThreaIDInfo An optional setting that is used only for bug tracking. It writes the ID from the thread posting a message in the log file. The value for this setting is set to false by default. LogMutexInfo An optional setting used only for dead lock bug tracking. When set to true, an entry is added to the log each time internal mutexes are accessed. The value for this setting is set to false by default. WcfThrottlingMaxConcurrentCalls Indicates the maximum number of parallel connections allowed. The value for this setting must match the value for the WcfThrottlingMaxConcurrentSessions setting below. The value for this setting is set to 128 by default. A large value for this setting when the service is already busy can decrease the server performance. Increase this number carefully so that the server does not use all of the machine resources. WcfThrottlingMaxConcurrentSessions Indicates the number of queries that are processed in parallel on the server. The value for this setting must match the value for the WcfThrottlingMaxConcurrentCalls setting above. The value for this setting is set to 128 by default. McfThrottlingMaxConcurrentInstances Analyzes the WCF communications. The value for this setting is set to 2147483647 by default. Do not modify the value for this option."},{i:"7",p:"Search and Matching Server Administration Help",t:"Concept and principles",s:"Tungsten Search and Matching Server handles search requests from various Tungsten Automation applications on large volumes of data located at a remote site.",h:"SearchandMatchingServer\\c_ConceptandPrinciples.html",r:"Concept and principles concept Tungsten Search and Matching Server handles search requests from various Tungsten Automation applications on large volumes of data located at a remote site. For example, customer or supplier databases. In contrast to other database servers, such as Microsoft SQL or Oracle server, the Tungsten Search and Matching Server allows performing non-exact (fuzzy) searches. This means that search results are returned even if the search string contains spelling mistakes or does not match the exact value that is stored in the database. This is especially important for address data where a street name can be stored in different variations (for example, Canyon Avenue or Canyon Ave or Canyon Av.). It provides an independent fuzzy search functionality based on Microsoft SQL, Oracle, ODBC database tables and views, or for delimited text files (csv) as input that is only referenced through the Tungsten Search and Matching Server. Performing fuzzy searches for data that is located at a remote site reduces the startup time at client site as the databases are configured only once on the server and then can be accessed from different clients. At the client site, no extra loading time or memory is needed when accessing data at a remote site. In addition, maintenance costs are reduced for databases that change regularly, as the Tungsten Search and Matching Server allows automatic update scheduling so that the client is provided with the most accurate data automatically without needing to manually update the local fuzzy database on each client. To be able to cope with large enterprise databases Tungsten Search and Matching Server is a server application that runs on 64-bit Microsoft Windows operating systems. It is designed to use multi-threading and support multi-core environment for quick access and fast response time. If the capacity limit for a single standalone Search and Matching Server is reached, you can use a Load Balancer to distribute the computational workload across multiple computers by accessing a set of different Search and Matching Servers. For example, due to an increased number of clients that send search requests, a Load Balancer is needed. Various Tungsten Search and Matching Server applications can send search requests for one or more fuzzy databases that are maintained on the same server. The Tungsten Automation applications can send search requests for one or more fuzzy databases that are maintained on the same server. The Tungsten Search and Matching Server handles all search requests most efficiently (for example, by prioritizing search requests from user interactive modules, such as Tungsten Transformation Modules Validation, over requests from Tungsten Transformation Modules Server for results for a Database Locator) and can perform database updates in parallel to the search requests. To provide efficient search and automatic updates, the Tungsten Search and Matching Server consists of several Microsoft Windows services and a configuration tool, Tungsten Search and Matching Server Administration, that is used to set up new and maintain existing fuzzy databases, and to configure automatic update and load balancing. Tungsten Search and Matching Server and the Administration tool both run on 64-bit operating systems only."},{i:"8",p:"Search and Matching Server Administration Help",t:"Export string substitutions",s:"If you use the same dictionary in more than one project, you can create a list of string substitutions and export them to use in other projects.",h:"SearchandMatchingServer\\t_ExportingStringSubstitutions.html",r:"Export string substitutions If you use the same dictionary in more than one project, you can create a list of string substitutions and export them to use in other projects. In the String Substitution area, click Export. In the Windows Explorer window, navigate to the save location, type in a file name for the *.sdl file and click Save."},{i:"9",p:"Search and Matching Server Administration Help",t:"Configure Microsoft SQL Server Connection window",s:"Use this window to configure and test Microsoft SQL Server connection strings.",h:"SearchandMatchingServer\\r_ConfigureMicrosoftSQLConnectionWindow.html",r:"Configure Microsoft SQL Server Connection window Configure Microsoft SQL Server Connection window windowsConfigure Microsoft SQL Server Connection Use this window to configure and test Microsoft SQL Server connection strings. You can only add a successful Microsoft SQL Server connection, otherwise the OK button is disabled. Server This group has the following settings: Server name Select a server in the list that provides a list of all Microsoft SQL Servers on the local network. The search may take a few moments, depending on the size of your network. Refresh Use this button to update the list if a new server is added to the network. Login Information Each time a database is accessed, it requires authentication. As a result, Tungsten Search and Matching Server allows two different authentication methods. If the connection is successful a list of available databases is provided within the Database Name list. If the connection fails an error message is displayed. Select one of the following authentication types: Use Windows Authentication. This setting uses the login credentials of the connected Tungsten Search and Matching Server, which means that no user name or password are required. Use SQL Server Authentication. This setting uses an SQL Server user account to access a database. Type the User name and Password so that the connection to the SQL Server can be established automatically. Test Connection Use this button to ensure that the provided connection settings connect successfully. Database Name Lists the available databases after the MS SQL Server connection is established successfully. Definitions for the buttons at the bottom of this window can be found in Common Buttons."},{i:"10",p:"Search and Matching Server Administration Help",t:"Functions for Automatic Update",s:"The following examples show how to use a function to determine when to update a database automatically.",h:"SearchandMatchingServer\\c_FunctionsforAutomaticUpdate.html",r:"Functions for Automatic Update functionsautomatic update The following examples show how to use a function to determine when to update a database automatically. Oracle Server create or replace function function_GetLastModificationDateForMyTable return date as begin -- please write the logic for returning the date when MyTable changed -- for the last time -- The code below is for test purpose: returning systimestamp will force -- to update by each check. -- return systimestamp; end function_ GetLastModificationDateForMyTable; Microsoft SQL Server USE [MyDatabase] GO SET ANSI_NULLS ON GO SET QUOTED_IDENTIFIER ON GO CREATE FUNCTION [dbo].[GetLastModificationDateForMyTable] ( ) RETURNS datetime AS BEGIN DECLARE @ModificationDate datetime -- please write here the logic returning the date when MyTable changed -- for the last time -- The code below is for test purpose: returning CURRENT_TIMESTAMP will force -- to update by each check. -- SELECT @ModificationDate = CURRENT_TIMESTAMP; RETURN @ModificationDate END"},{i:"11",p:"Search and Matching Server Administration Help",t:"Configure an Oracle database connection",s:"The Configure Oracle Connection window is displayed to set up the connection string for a Oracle database server.",h:"SearchandMatchingServer\\t_ConfiguringanOracleConnection.html",r:"Configure an Oracle database connection The Configure Oracle Connection window is displayed to set up the connection string for a Oracle database server. Before you can configure an Oracle database connection, the Oracle driver required. If this is not installed, you are warned and you cannot add an Oracle database. For more information about installing the Oracle driver, refer to the Tungsten Search and Matching Server Installation Guide. You can configure an Oracle connection that connects to a table, view, store procedure, or a private synonym. Limits Synonyms have the following limitations: Only private synonyms are supported. Synonyms are supported for the following objects only: Table View Stored Procedure You can configure an Oracle database connection by following these steps: Select the database server from the Server Name list. Select the type of authentication and enter logon information if needed. Select the database from the Database Name list. Click OK to save the connection string."},{i:"12",p:"Search and Matching Server Administration Help",t:"Add Node to Cluster window",s:"Use this window to add a Search and Matching Server as node to the current Load Balancer in order to handle search requests from several Tungsten Automation applications in a most efficient way by spreading the workload.",h:"SearchandMatchingServer\\r_AddNodetoClusterWindow.html",r:"Add Node to Cluster window windowsAdd Node to Cluster Add Node to Cluster window Use this window to add a Search and Matching Server as node to the current Load Balancer in order to handle search requests from several Tungsten Automation applications in a most efficient way by spreading the workload. Server name This is the name by which the local area network identifies the computer that runs the Search and Matching Server. Server port This port number is used for communication with the Search and Matching Server you want to add as cluster node. By default, the port number is set to 22000, but must correspond to the value that is configured for it."},{i:"13",p:"Search and Matching Server Administration Help",t:"Server logging reports",s:"For actions that are performed for a standalone Search and Matching Server (for example, when a new database is added) or a Load Balancer (for example, when a server is added to the cluster) log messages are created and written to a log file on the computer that runs the server.",h:"SearchandMatchingServer\\c_ServerLoggingReports.html",r:"Server logging reports server loggingmessage categories server loggingarchive log file changing server logging default For actions that are performed for a standalone Search and Matching Server (for example, when a new database is added) or a Load Balancer (for example, when a server is added to the cluster) log messages are created and written to a log file on the computer that runs the server. The log file is archived regularly so that its size cannot become too large. To be able to look up older messages a defined number of archive files is kept. The log files for a server are stored on the computer that runs the Search and Matching Server or Load Balancer. You can display the last 100 messages from the log file in the Tungsten Search and Matching Server Administration on the Server Logging Report tab. If you connect to a load balancer the Server Logging report tab is used to display the messages from the load balancer log file as well as those from each server that belongs to the load balancer cluster. There are different categories of messages (log levels) and each message shows a prefix to indicate to which category it belongs. INFO Logs information, for example which databases are loaded into memory when the Tungsten Search and Matching Server is started or when a database is deleted, successfully renamed, successfully imported or automatically updated. WARN Logs warnings, for example when a search request returns an error; during a database import logs the number of records that cannot be imported (note that the first three records for which the import failed are listed as warning, others are logged as information); or when a temporarily stored upload file cannot be deleted. ERROR Logs an error, for example, errors that occur during a database import and update; or when a database URL/UNC path is no longer accessible. Errors that occur while using Tungsten Search and Matching Server Administration, for example, when you try to rename a database that is still activated or when you try to delete a database that is already deleted by another Administration user, are not written to the log file. Instead an error message is displayed within the application. Configuration files are available to configure how logging works for both the Search and Matching Server service and the Load Balancer. This includes the default settings for the logging level, the path where the log file is stored and how it is archived. For the best results, use the default settings."},{i:"14",p:"Search and Matching Server Administration Help",t:"Security aspects",s:"The Tungsten Search and Matching Server is a data driven application that typically is used to work with sensitive data like customer or supplier databases.",h:"SearchandMatchingServer\\c_SecurityAspects.html",r:"Security aspects security aspects The Tungsten Search and Matching Server is a data driven application that typically is used to work with sensitive data like customer or supplier databases. In addition, the internal configuration files may contain connection information to external databases including user name and password combinations. All information is sent over the network during administration and stored on disk of the computer where the Tungsten Search and Matching Server and the Load Balancer is installed. The following topics explain how the sensitive data is protected during communication and storage."},{i:"15",p:"Search and Matching Server Administration Help",t:"Monitor the performance",s:"With the installation of Tungsten Search and Matching Server new counters are added to the Windows monitoring system that allow monitoring the number and speed of various server operations.",h:"SearchandMatchingServer\\t_MonitoringServerPerformance.html",r:"Monitor the performance monitoring performance With the installation of Tungsten Search and Matching Server new counters are added to the Windows monitoring system that allow monitoring the number and speed of various server operations. From the Start menu, click Control Panel, Click Administrative Tools, and then click Performance to display the Microsoft Windows performance counter. This sequence may differ depending on your operating system. Right-click the graph, and then clickAdd Counters on the shortcut menu. The Add Counters window is displayed. Select Tungsten Search and Matching Server the from the Performance object list to choose the performance counters you want to monitor. Select a counter and click Add to include the selected counter to the performance monitor. If wanted, you can select multiple counters by holding the Shift key. You can also use Tungsten Monitor to display the performance counters. Refer to the Tungsten Monitor documentation for more information about how to use the wizard in order to view these counters. You may change the appearance of the graph by clicking Properties on the shortcut menu."},{i:"16",p:"Search and Matching Server Administration Help",t:"Tabs and panes",s:"The following tab and panes are available in the Tungsten Search and Matching Server Administration.",h:"SearchandMatchingServer\\r_TabsandPanels.html",r:"Tabs and panes Administrationtabs Administrationpanes The following tab and panes are available in the Tungsten Search and Matching Server Administration. Available Databases pane Database Settings tab Server Logging Report tab"},{i:"17",p:"Search and Matching Server Administration Help",t:"Update the Database",s:"The update from the database must be performed separately for each Tungsten Search and Matching Server node.",h:"SearchandMatchingServer\\t_UpdatetheDatabase.html",r:"Update the Database The update from the database must be performed separately for each Tungsten Search and Matching Server node. The process imports a zip file that needs to be created on a different Tungsten Search and Matching Server server and then exported as a zip file using the full export mode. This zip file must be created on a Tungsten Search and Matching Server server that is not part of the cluster running in restricted mode. You do not need to stop the Tungsten Search and Matching Server node service, nor do you need to remove it from the Load Balancer in order to import a database. The previous database is available and still used while the database is updated. At the end of the import the new database becomes active and is used for all future searches. The update is done via the Command line tool and the user calling the Tungsten.TSMS.Administration.exe tool must be a member of the TSMS Administrators group created during installation. If the user is not part of this user group, they do not have the necessary permissions to perform this action. It is necessary to update every database after the server is configured for restricted mode, even if that database is configured for automatic updates. If a database is not updated, it will be ignored by the node and any queries to that database are skipped. You can update a database by following these steps: Open the Command Prompt. Run one of the following commands: Tungsten.TSMS.Administration.exe /i NodeAddress= localhost NodePort= 22000 ZipPath= C: zip TSMSExportDatabases.zip ZipFilePassword= PasswordIfAnyUsedOtherwiseBlank DatabaseName= Database This string updates the specified database using a zip file that was created on another node. start wait/ Tungsten.TSMS.Administration.exe /i NodeAddress= localhost NodePort= 22000 ZipPath= C: zip TSMSExportDatabases.zip ZipFilePassword= PasswordIfAnyUsedOtherwiseBlank DatabaseName= Database This string also updates the specified database using a zip file that was created on another node. In addition to the first string, this enables users to type in the echo %ERRORLEVEL% command to see whether the update command was successful or not. A value of 0 indicates a successful update. A value of 1 indicates an error with the update. To suppress error message windows that might be displayed during an update, use the /q parameter. After import, the database is set to Active automatically."},{i:"18",p:"Search and Matching Server Administration Help",t:"String substitutions",s:"The string substitution table substitutes search text in the document and in the database.",h:"SearchandMatchingServer\\c_StringSubstitutions.html",r:"String substitutions considerations for a fuzzy databasestring substitutions The string substitution table substitutes search text in the document and in the database. It is used to normalize the database text with the query texts. The Search Text should be unique and should not be a substring from the Replacement Text. A typical example is when street names are normalized from Avenue, Aven. and Ave. to Av. Substring replacements apply not only to whole words but also to word substrings. When you want to replace a substring or a word where the characters you add are on the ignore list, these characters are removed before the string substitution. The conversion to lower case also apply if Ignore Case setting is checked. You can export your current list of string substitutions to be used for other databases as well. You can import string substitutions from another database from the same or another Tungsten Search and Matching Server, a Tungsten Transformation Modules, or Tungsten TotalAgility fuzzy database."},{i:"19",p:"Search and Matching Server Administration Help",t:"Considerations for fuzzy database creation",s:"In order to set up a fuzzy database you need to configure the import settings and the general settings.",h:"SearchandMatchingServer\\c_ConsiderationsforFuzzyDatabaseCreation.html",r:"Considerations for fuzzy database creation fuzzy databasescreation considerations In order to set up a fuzzy database you need to configure the import settings and the general settings. For example, the minimum user settings and rights for an Oracle database that is used as source for a fuzzy index or considerations for the selection of the columns or how to use string substitutions. The following aspects need to be taken into account. Consider minimum user right definitions for an Oracle database source Define columns for the import Define string substitutions Set up import and update Use stored procedures for relational database sources"},{i:"20",p:"Search and Matching Server Administration Help",t:"Import Settings for Database (Relational Database Source) window",s:"Use this window to configure the import settings for a Fuzzy Database that is created from a relational database, either from a Microsoft SQL Server, Microsoft Access, MySQL or Oracle database.",h:"SearchandMatchingServer\\r_ImportSettingsofRelationalDatabaseWindow.html",r:"Import Settings for Database (Relational Database Source) window windowsrelational database import settings Import Settings - Relational Database window Use this window to configure the import settings for a Fuzzy Database that is created from a relational database, either from a Microsoft SQL Server, Microsoft Access, MySQL or Oracle database. Connection Type This setting has the following values. Select one to value to select the connection type: Microsoft SQL Server. Configures a Microsoft SQL Server connection. ODBC. Configures another type of database using an open database connection, such as Microsoft Access. Oracle. Configures an Oracle database connection. Connection String This group has the following settings: Connection String A connection string contains a server name and database, or a DSN (Data Source Name). It can also contain authentication details required to connect to a database. Click Configure to set up the connection for a Microsoft SQL Server, ODBC or Oracle connection type. All password information is fully encrypted. Configure Click this button to set up the connection string for the selected connection type. Only for a valid connection string the connection is established and the list of available tables, views or stored procedures is displayed. Table, View, Synonym or Stored Procedure Once the connection string is configured and successfully tested, a list of available tables, views and synonyms is provided. For Microsoft SQL Server and Oracle databases, stored procedures are displayed. Select a table, view, synonym or stored procedure from a list. The selection is used to create the Fuzzy Database that updates the data in the Table Records Preview table below. Refresh Click this button to populate the Table, View, Synonym or Stored Procedure list. Column Configuration A list of columns in the database are displayed. Select the columns that you are using. Import Options This group has the following settings: Ignore Case Select this option to convert all search and lookup strings to lower case, effectively ignoring case. This is the default setting. First line contains caption Select this setting if the first record of the input file contains the column headers. These names are used as field names in the database locator. If the database was referenced before you selected this setting, you can select the setting afterward. The database entries are updated automatically. By default, this setting is selected. This setting may be disabled for a relational database. Database active after import Select this setting for a newly-configured database so that the database is activated automatically after the import. Note that this setting is displayed for new databases only and is hidden the next time you open the Import Settings window. Filtering is case sensitive If selected, searches are case sensitive when filtering is used. Normalize half/full-width Katakana characters When selected, half-width Katakana and Hangul Unicode characters are converted to their corresponding full-width characters. Similarly, full-width ASCII/Latin Unicode characters are replaced with their corresponding half-width characters, which is how these characters are typically displayed on western documents. This conversion occurs when the characters are found on a document or in a database. This setting is cleared by default. Normalize CJK characters processing When selected, Chinese, Japanese, and Korean characters are handled individually as a single word. This is because these languages do not have a delimiter such as a space, to separate words. This setting is cleared by default. Field delimiter Type values into this field to specify what characters separate the import file content into individual fields. The value for this setting is set to ; (semicolon) by default. Tab Select this checkbox to use a Tab as a delimiter in addition to the characters specified in the Field delimiter setting. Word separation characters If fields in the database contain compound words, common characters can be specified so that each part of the compound word is searched and evaluated separately. The value for this setting is set to -, (space, hyphen, comma) by default. For example, using the default settings, the compound word Diagon-Alley, is treated as two words, diagon and alley that are searched and evaluated separately. The separation characters must correspond to the delimiter characters that are defined for OCR. Tab Select this checkbox if you want to use a Tab as a word separation character in addition to the characters specified in the Word separation characters setting. Space Select this checkbox if you want to use a Space as a word separation character in addition to the characters specified in the Word separation characters setting. Characters to ignore Type a list of characters into this field to filter unwanted characters from the input record. When you want to use a field delimiter that may also be a character in the input, such as a comma (,), then you have to use quotes ( ) to identify the input strings. However, you probably do not want to retain those quotation marks as part of the final results. If you define the quotes as characters to ignore, they are removed. To define a tab or space as characters to ignore, select the corresponding check box.The value for this setting is set to . ’! (period, quotation mark, single quotation mark, and an exclamation point) by default. Space Select this checkbox if you want to ignore a Space character in addition to the characters specified in the Characters to ignore setting. You can use the following buttons to manage String Substitution that is used to substitute search text with replacement text in the document and in the database: Add Click Add to add a new string substitution pair to the list of substitutions. Delete Click Delete to delete the selected item in the substitution list. Modify Click Modify to modify the selected item in the substitution list with the values from the two edit fields. Import Click Import to import a file that contains a list of string substitutions. For the import you can either add the string substitutions to your current list of substitutions or replace them by the imported list. You can import string substitutions that are exported from a Tungsten Search and Matching Server database as well as from a Tungsten Transformation Modules Project Builder or a Tungsten TotalAgility Transformation Designer database. Export Click Export to export your string substitution pairs to a text file. You can then import the string substitutions to be used for other Tungsten Search and Matching Server or Project Builder databases. The Table Records Preview area provides a read-only preview of the first 20 records of the referenced table. Note that columns that are not selected for use are grayed out. Definitions for the buttons at the bottom of this window can be found in Common Buttons. Import Database Creates the Fuzzy Database for a relational database according to the defined import settings."},{i:"21",p:"Search and Matching Server Administration Help",t:"Import Settings for Database (Text File Source) window",s:"Use this window to configure the import settings for a Fuzzy Database that is based on a delimited text file (CSV).",h:"SearchandMatchingServer\\r_ImportSettingsTextFileWindow.html",r:"Import Settings for Database (Text File Source) window windowsImport Settings Import Settings window Use this window to configure the import settings for a Fuzzy Database that is based on a delimited text file (CSV). Source File This group has the following settings: Upload file manually to the server Select this setting in order to define a source file for the import that is not accessible by the Tungsten Search and Matching Server. Type the file name (file path and file name) or select the file in the Open window. Click Upload to stream the file to the server and to display a table preview so that you can set columns to use and other import options. For an uploaded file you cannot define an automatic update. Note that you have to upload the source file manually if it has changed, for example, if new records are added or columns are added or removed. Server accesses file from URL/UNC location Select this setting if the Tungsten Search and Matching Server has all needed rights to access and read the configured file. Type the file name (file path and file name) or select the file in the Open window. A table preview is displayed so that you can select used columns and other import options. Column Configuration This group has the following settings: The group provides a table that contains a list of database columns and then two check boxes for Search and Filter. Select Search if you want to include that column in database searches. Select Filter if you want to use a column for filtering. Filtering is available for remote fuzzy databases only. To rename a column, select it and then click it a second time to get an editable column name. As databases often contain additional columns such as internal customer IDs or contact names, these are not displayed on the document so you need to take considerations for the creation of the fuzzy database into account. By default, all available database columns are selected. Import Options This group has the following settings: Ignore Case Select this option to convert all search and lookup strings to lower case, effectively ignoring case. This is the default setting. First line contains caption Select this setting if the first record of the input file contains the column headers. These names are used as field names in the database locator. If the database was referenced before you selected this setting, you can select the setting afterward. The database entries are updated automatically. By default, this setting is selected. Database active after import Select this setting for a newly-configured database so that the database is activated automatically after the import. Note that this setting is displayed for new databases only and is hidden if you open the Import Settings window the next time. Filtering is case sensitive If selected, searches are case sensitive when filtering is used. Normalize half/full-width Katakana characters When selected, half-width Katakana and Hangul Unicode characters are converted to their corresponding full-width characters. Similarly, full-width ASCII/Latin Unicode characters are replaced with their corresponding half-width characters, which is how these characters are typically displayed on western documents. This conversion occurs when the characters are found on a document or in a database. This setting is cleared by default. Normalize CJK characters processing When selected, Chinese, Japanese, and Korean characters are handled individually as a single word. This is because these languages do not have a delimiter such as a space, to separate words. This setting is cleared by default. Field delimiter Type values into this field to specify what characters separate the import file content into individual fields. The value for this setting is set to ; (semicolon) by default. Tab Select this checkbox to use a Tab as a delimiter in addition to the characters specified in the Field delimiter setting. Word separation characters If fields in the database contain compound words, common characters can be specified so that each part of the compound word is searched and evaluated separately. The value for this setting is set to -, (space, hyphen, comma) by default. For example, using the default settings, the compound word Diagon-Alley, is treated as two words, diagon and alley that are searched and evaluated separately. The separation characters must correspond to the delimiter characters that are defined for OCR. Tab Select this checkbox if you want to use a Tab as a word separation character in addition to the characters specified in the Word separation characters setting. Space Select this checkbox if you want to use a Space as a word separation character in addition to the characters specified in the Word separation characters setting. Characters to ignore Type a list of characters into this field to filter unwanted characters from the input record. When you want to use a field delimiter that may also be a character in the input, such as a comma (,), then you have to use quotes ( ) to identify the input strings. However, you probably do not want to retain those quotation marks as part of the final results. If you define the quotes as characters to ignore, they are removed. To define a tab or space as characters to ignore, select the corresponding check box.The value for this setting is set to . ’! (period, quotation mark, single quotation mark, and an exclamation point) by default. Space Select this checkbox if you want to ignore a Space character in addition to the characters specified in the Characters to ignore setting. String Substitution You can use the following buttons to manage String Substitution that is used to substitute search text with replacement text in the document and in the database: Add Click Add to add a new string substitution pair to the list of substitutions. Delete Click Delete to delete the selected item in the substitution list. Modify Click Modify to modify the selected item in the substitution list with the values from the two edit fields. Import Click Import to import a file that contains a list of string substitutions. For the import you can either add the string substitutions to your current list of substitutions or replace them by the imported list. You can import string substitutions that are exported from a Tungsten Search and Matching Server database as well as from a Tungsten Transformation Modules Project Builder or a Tungsten TotalAgility Transformation Designer database. Export Click Export to export your string substitution pairs to a text file. You can then import the string substitutions to be used for other Tungsten Search and Matching Server or Project Builder databases. Table Records Preview The Table Records Preview area provides a read-only preview of the first 20 records of the referenced table. Note that columns that are not selected for use are grayed out. In addition to the common buttons, the following button is provided at the bottom of the window: Import Database Creates the fuzzy database according to the defined import settings."},{i:"22",p:"Search and Matching Server Administration Help",t:"Access the Tungsten Search and Matching Server",s:"You can use the Administration to configure both the standalone Search and Matching Server, but also the Load Balancer to set up a cluster of several Search and Matching Servers.",h:"SearchandMatchingServer\\t_AccessingtheKSMServer.html",r:"Access the Tungsten Search and Matching Server Tungsten Search and Matching Serveraccessing You can use the Administration to configure both the standalone Search and Matching Server, but also the Load Balancer to set up a cluster of several Search and Matching Servers. To ensure a granted access you need to know how the Search and Matching Server or Load Balancer you want to connect to is installed. If the current user is a member of the configured TSMS Administrators user group you can use single-sign on. If the current user is not a member of the TSMS Administrators user group you can type the user name and password for a user that is member of the user group. In order to run the Tungsten Search and Matching Server in a domain you need to contact your domain administrator to create the TSMS Administrators group and assign users to it before installing Tungsten Search and Matching Server or one of its components. From the control pane, select Search and Matching Server and then select Administration. The Log On to Server window is displayed. Type the name by which the local area network identifies the computer that runs the standalone Search and Matching Server or Load Balancer. You can also type the IP address of the server, or type localhost if the Tungsten Search and Matching Server is installed on your local computer. Note that you can search for all available servers within your local network by clicking . The search may take some time, depending on the size of your network and the speed of your network connection. If you connect to a server a second time, you can click the Down Arrow to select a server from the list. If needed, change the port number that is used for communication with the standalone Search and Matching Server (the default is 22000) or Load Balancer (the default is 22001). The port number must correspond to the value that is configured during the installation. The following steps are only needed if you need to connect to the server for a different user account as you are logged on to the computer. Type the domain user name. Type the password. Select Connect to set up the connection the selected server. After a successful connection a list of available databases is displayed."},{i:"23",p:"Search and Matching Server Administration Help",t:"Tungsten Search and Matching Server service configuration file",s:"This configuration file enables you to configure the Tungsten Search and Matching Server Service settings.",h:"InstallationGuide\\c_KSMSServiceConfigurationFile.html",r:"Tungsten Search and Matching Server service configuration file This configuration file enables you to configure the Tungsten Search and Matching Server Service settings. The configuration file is divided into the same three sections as the Load Balancer Service Configuration file, only these settings are specific to the Tungsten Search and Matching Server Service. The following settings are available. RunningMode Defines if the server is running in Normal mode or Restricted mode. The value for this setting is set to Normal by default. Only use the Restricted mode when you want two load balancers to work together without sending contradictory information. Port Select the network port that is used to establish communication during search and configuration operations with the server. By default, either 22000 or 22001 are assigned. You can assign any valid port. Language The language used for log messages posted by the service. The value for this setting is set to en by default. For support of additional languages, a language pack for that language is needed. DataRootDirectory The path where Tungsten Search and Matching Server stores its data. The value for this setting is set to C: ProgramData Tungsten TSMS by default. TSMSAdministratorsGroupName The name of the group that a user must be a member of, in order to configure the services. The value for this setting is set to TSMS Administrators by default. You must change this value in both configuration files. SecureSearchEnabled Determines whether the network data that is transmitted for a search request is encrypted or not. The value for this setting is set to true by default. You must change this value in both configuration files. LogLevel There are different levels that determine what kind of messages are written to the log file. The value for this setting is set to WARN by default. This means that only warnings and errors are logged, and no information messages. LogfilePath This setting defines the path where the log file is stored. The value for this setting is set to C: ProgramData Tungsten TSMS Logs TSMS.log by default. Edit the path as necessary. RollingLogfileSizeInMB Defines the size of the log file when it is archived. The value for this setting is set to 10 by default. This means that when the log file has reached a size of 10 MB it is stored as an archive file in the same folder and a new log file is created. RollingLogfileCount Defines the number of archive files that are stored on the computer. The value for this setting is set to 10 by default. This means that the last 10 archive files are available. LogThreaIDInfo An optional setting that is used only for bug tracking. It writes the ID from the thread posting a message in the log file. The value for this setting is set to false by default. LogMutexInfo An optional setting used only for dead lock bug tracking. When set to true, an entry is added to the log each time internal mutexes are accessed. The value for this setting is set to false by default. WcfThrottlingMaxConcurrentCalls Indicates the maximum number of parallel connections allowed. The value for this setting must match the value for the WcfThrottlingMaxConcurrentSessions setting below. The value for this setting is set to 128 by default. A large value for this setting when the service is already busy can decrease the server performance. Increase this number carefully so that the server does not use all of the machine resources. WcfThrottlingMaxConcurrentSessions Indicates the number of queries that are processed in parallel on the server. The value for this setting must match the value for the WcfThrottlingMaxConcurrentCalls setting above. The value for this setting is set to 128 by default. McfThrottlingMaxConcurrentInstances Analyzes the WCF communications. The value for this setting is set to 2147483647 by default. Do not modify the value for this option."},{i:"24",p:"Search and Matching Server Administration Help",t:"Add string substitutions",s:"In the String Substitution area, type the search text into the Search Text field.",h:"SearchandMatchingServer\\t_AddingStringSubstitutions.html",r:"Add string substitutions In the String Substitution area, type the search text into the Search Text field. Type the replace text into the Replacement Text field. Click Add . The sting substitution is added to the list."},{i:"25",p:"Search and Matching Server Administration Help",t:"Add a Node to a Load Balancer",s:"Once you have configured a load balancer to use restricted mode, you can add on or more nodes to that server.",h:"SearchandMatchingServer\\t_AddingaNodetoaLoadBalancer.html",r:"Add a Node to a Load Balancer Once you have configured a load balancer to use restricted mode, you can add on or more nodes to that server. Before you can do that however, the user calling the Tungsten.TSMS.Administration.exe tool must be a member of the TSMS Administrators group that is configured during installation. If the user is not part of this user group, they do not have the necessary permissions to perform this action. You can add a node to a Load Balancer by following these steps: Open the Command Prompt. Run the following command: Tungsten.TSMS.Administration.exe /a LoadBalancerAddress= localhost LoadBalancerPort= 22001 NodeAddress= localhost NodePort= 22000 The node is added to the load balancer."},{i:"26",p:"Search and Matching Server Administration Help",t:"Performance considerations",s:"The performance of a Tungsten Search and Matching Server can be measured in two ways.",h:"SearchandMatchingServer\\c_PerformanceConsiderations.html",r:"Performance considerations load balancingperformance considerations performance considerations The performance of a Tungsten Search and Matching Server can be measured in two ways. For a single specific query, the time to answer the query can be measured. For the entire server, it is also possible to measure the throughput in queries per second, if there are enough queries. The fastest response time for a single query depends on the size of the imported database and the complexity of the query. The size of the imported database is generally based on the number of records and the number of columns. The complexity of the query is determined by the number of words in the query, but also highly depends on the number of words inside the query that matches a record. The match score calculation also becomes more complex the more words are matched in the same record. In particular, searching for words that are displayed very frequently in the database can slow down the response time, because a lot of records needs to be evaluated to calculate the score. The matching algorithm in the Tungsten Search and Matching Server fully supports multi-core systems. An increasing number of CPUs inside a server system can reduce the minimal response time to a certain extent, especially, for fuzzy indexes from larger databases. There may be no impact for databases with less than 1 million records if no further parallel processing is possible. In any case an increasing number of CPUs increases the maximum throughput of search queries that can be processed per second. If the maximum throughput in a given hardware environment is not adequate, it is possible to build a load balancing cluster to increase the overall throughput for search queries. A load balancing cluster is a set of multiple computers that are linked together and share the computational workload, but are displayed as a single virtual computer. The overall throughput of a load balancing cluster scales almost linearly as computers are added to the cluster. If the maximum throughput for a single standalone Tungsten Search and Matching Server is known and the required throughput for the complete installation is also known, the number of computers for a load balancing cluster can be calculated. You can monitor the performance of a load balancer by displaying the performance counters of each Search and Matching Server that is a member of the cluster."},{i:"27",p:"Search and Matching Server Administration Help",t:"Import and update",s:"If you add or delete columns from the database source of an existing and ready to use fuzzy index that has automatic update configured, remember to change the import settings before the automatic update is performed.",h:"SearchandMatchingServer\\c_ImportAndUpdate.html",r:"Import and update considerations for a fuzzy databasereimport and update If you add or delete columns from the database source of an existing and ready to use fuzzy index that has automatic update configured, remember to change the import settings before the automatic update is performed. Otherwise the update re-imports the fuzzy database, and records that do not have the same number of configured columns are not imported; therefore you end up with a fuzzy database that contains no records. Though the server logging report for the update stores the information about the number of imported and not imported records, the import is successfully completed and the database status is still set to Ready. Any search requests for such a database do not return any results. By default, if an automatic update of a fuzzy index fails, searches can still be performed as the system does not switch to the updated fuzzy index, but continues to use the previous version. For example, if the database source was temporarily unavailable because virus detection locked the file. You can change this behavior by selecting the Error Management setting. Then, if the automatic update fails the database status of the fuzzy database is changed to Error. A fuzzy database that has this database status cannot perform any search requests and it does not change the status until it is successfully imported again. You have to either check the import settings and import the database again, or wait for the next successful update. By clearing the Error Management setting you cannot revert to the previous database version."},{i:"28",p:"Search and Matching Server Administration Help",t:"Fuzzy database CSV and text file formats",s:"A fuzzy database needs to comply with the following features before it can be added and successfully processed.",h:"SearchandMatchingServer\\c_FuzzyDatabaseCSVandTextFileFormats.html",r:"Fuzzy database CSV and text file formats fuzzy databaseCSV and text file formats A fuzzy database needs to comply with the following features before it can be added and successfully processed. The database file contains one record per line only. Line breaks can be either CR+LF (Carriage Return/Linefeed) or LF (Linefeed). The database format or encoding is either ANSI, or UTF-8 with the BOM (Byte Order Marker). If a UTF-8 file is missing a BOM character, it is interpreted as an ANSI file instead. Values are separated by a field delimiter that is configurable in the database properties. Different field delimiter characters are allowed to indicate where one field ends and another begins, but double characters like :: are not supported as field delimiters. Values can be enclosed in double quotes yet still contain a field delimiter character to represent a string of fields that are to be kept together. For example, Chris;Booker ;Wetzingerstr 19;79100;Freiburg . The first line of the database file can contain the column headers, but this is not mandatory. Every record has the same number of columns. If a record does not have a value for a specific field, it still needs to be represented with an empty value between two field delimiter characters. If a record contains a different number of columns, it is ignored when the database is imported and a message is displayed to the user."},{i:"29",p:"Search and Matching Server Administration Help",t:"The Load Balancer",s:"You can use load balancing if the capacity limit for a single standalone Search and Matching Server is reached so that search requests can no longer be responded to in an efficient way.",h:"SearchandMatchingServer\\c_TheLoadBalancer.html",r:"The Load Balancer load balancing load balancingfault tolerance You can use load balancing if the capacity limit for a single standalone Search and Matching Server is reached so that search requests can no longer be responded to in an efficient way. Load balancing makes it possible to use several computers to share computational workload and to distribute the search requests to a set of different Search and Matching Servers. The clients using the Load Balancer access it as if it was a simple Tungsten Search and Matching Server with the same interface. The Load Balancer is totally transparent to them. The Load Balancer runs on a classic Microsoft Windows service. The Load Balancer handles a cluster of several Search and Matching Servers that are defined via the Tungsten Search and Matching Server Administration. In the first step you define which Search and Matching Servers form the load balancing cluster and in the second step you set up the databases.. A standalone server that is added to a cluster becomes a cluster node and any search requests are then forwarded through the Load Balancer. To minimize the configuration and maintenance effort a cluster always consists of a primary node and one or more secondary nodes. The databases are defined and configured in the Load Balancer. The selected Load Balancer will push the creation and import of the databases to the primary node. When the primary node is ready, it synchronizes the database automatically to the secondary nodes. This way, if you have a relational database, only the primary node will access to it, and it will prepare the fuzzy index for the secondary nodes. By default, the first server that is added to a cluster is the primary node. If you add more servers to the cluster they become secondary nodes. All existing databases defined on a server are deleted when a Search and Matching Server is added to the cluster as a secondary node. The databases on the secondary node are synchronized automatically from the primary node. If you connect to a secondary node via the Administration tool the menu items that are used to configure databases are not available. If needed, for example as a fallback when the Load Balancer is no longer accessible, you can convert a secondary node to become a standalone server again and configure it or access to it normally. A cluster node that is converted to a standalone server is automatically removed from the cluster. A Search and Matching Server can be either a standalone server or a member of one single cluster. If you delete the primary node from the cluster you have to select another server (secondary node) from the list of cluster nodes to become the primary node. If for any reason no primary node is defined in the cluster, then database configuration is not possible, and the automatic update feature from the databases is skipped. If you add a server that is already member of a different cluster, this server is automatically removed from the other cluster. As a kind of fall back you can convert any cluster node to a standalone server. An optimal size of a load balancing cluster consists of 2 to 16 cluster nodes. On the client side you configure a remote fuzzy database on a standalone Search and Matching Server in the same way as one from a Load Balancer by connecting to either the standalone server or the load balancer. For more details see Project Builder Help. The Load Balancer provides the possibility to handle the search requests from different clients by gathering all search requests from all clients and sending the search requests one after the other to the next available Search and Matching Server in the cluster. This means that each search request is performed by a single Search and Matching Server and not distributed to multiple servers. In parallel to handling search requests the Load Balancer synchronizes changes from the primary node to all cluster nodes within the cluster. For example, for a newly-created database or an automatic database update. The Load Balancer is fault tolerant in regards to handling search requests or performing synchronization for any cluster node that is temporarily unavailable. As soon as the node is available again it is reincorporated in the cluster for the search. If needed, the node is updated so that the databases get the latest version.. When you set up load balancing you have to consider that the Load Balancer and all cluster nodes need to share the same settings for the security to ensure a granted access. This means that the services have to run as a user that is member of the TSMS Administrators user group configured during installation and this user must have read and write permissions to the data storage directory. For maintenance and security reasons the best practice is to use the Load Balancer in a domain group installation only. By default, the Load Balancer and Search and Matching Server services are executed for a built-in user account, which is the NETWORK SERVICE user, after the installation. If the service is running under a user that has a changed password then you need to also update the services account."},{i:"30",p:"Search and Matching Server Administration Help",t:"Access rights for a Microsoft SQL Server database",s:"Several permissions in the Microsoft SQL Server database are required by Tungsten Search and Matching Server in order to use it for the fuzzy database source.",h:"SearchandMatchingServer\\c_AccessRightsforaMicrosoftSQLServerDatabase.html",r:"Access rights for a Microsoft SQL Server database Several permissions in the Microsoft SQL Server database are required by Tungsten Search and Matching Server in order to use it for the fuzzy database source. These permissions are necessary in order to access tables, views, synonyms, and stored procedures. Server-level permissions: The logon object must have the following permissions: CONNECT SQL VIEW ANY DATABASE The logon object must not have the following permission denied: VIEW ANY DEFINITION Database-level permissions: The database user must be a member of the public role. This happens by default when the user is created, but can be removed. The database role or the database user if you are not using roles, must have the following permissions: CONNECT must be granted to the database user so that the mapped logon is able to access the database. VIEW DEFINITION must be granted or not denied in order to access the available tables, views, synonyms, and stored procedures. SELECT must be granted either on the database level or for each of the table, views, or synonym objects. EXECUTE must be granted for the stored procedure and synonym that references a stored procedure. In the case of a synonym, the user or database role also requires the corresponding SELECT/EXECUTE permissions for the underlying object referenced by the synonym. Database-level system metadata permissions: In order to list the databases available on the server as well as alist of tables, views, synonyms, or stored procedures that are available on the databases, you must grant some system metadata: SELECT the following syntax views: sys.databases, sys.schemas, sys.objects, and sys.synonyms In order to check if a table was modified since the last fuzzy database import some system metadata must be set. SELECT the following syntax view: sys.dm_db_index_usage_stats By default, these system metadata permissions are granted to the public role."},{i:"31",p:"Search and Matching Server Administration Help",t:"Cluster Management window",s:"Use this window to manage the Search and Matching Servers that are used within a cluster for the Load Balancer.",h:"SearchandMatchingServer\\r_ClusterManagementWindow.html",r:"Cluster Management window Use this window to manage the Search and Matching Servers that are used within a cluster for the Load Balancer. The databases and their settings that are configured for the primary cluster node are synchronized to all Tungsten Search and Matching Servers that are added as secondary client nodes. Cluster Nodes Lists the Search and Matching Servers that are added as nodes to the current Load Balancer. By default, the first server added to the cluster is set as the primary node. In addition to the common buttons, the following button is provided at the bottom of the window: Refresh Refreshes the Cluster Nodes’ list in order to display the servers that are already added to the Load Balancer as cluster nodes. Add Adds a standalone Search and Matching Server as node to the current Load Balancer. The databases and their settings that are configured for the primary node are then synchronized to the other Search and Matching Servers that are added as secondary client nodes. All existing databases are removed from a server that is added as a cluster node. A confirmation message is displayed so that databases are not removed from a server by accident by adding it to the Load Balancer. Remove Removes the selected server from the Load Balancer and converts it automatically to become a standalone server. Set to Master Sets the selected server as a primary cluster node that is used to synchronize all secondary client cluster servers to it."},{i:"32",p:"Search and Matching Server Administration Help",t:"Database Settings tab",s:"For a selected database you can configure the following settings: Database source The location of the database source file is displayed.",h:"SearchandMatchingServer\\r_DatabaseSettings.html",r:"Database Settings tab AdministrationDatabase Settings For a selected database you can configure the following settings: Database source The location of the database source file is displayed. For a newly-added database no path and file information is displayed as you have to configure the settings first by selecting Import Settings. Database type The type of database. This can be one of the following values: Text file (URL/UNC location) Text file (uploaded file) Relational database (SQL, Oracle, or ODBC) Database status The status of the selected databases. following values are available for a selected database. Created This status is displayed for a newly added database for which the fuzzy database is not yet created. A newly created database is kept in memory only, until the fuzzy database is created. That means that if the standalone Search and Matching Server or Load Balancer is stopped all database having the database status Created are no longer available. Error Is displayed when an error occurred, for example during the database import, and the database is not ready for use. To fix an error you need to check the import settings and import the database again. Importing Is displayed while the database is imported according to the configured import settings. Loading Is displayed while a database is updated by the automatic update. Ready Is displayed when a fuzzy database was created, imported and is now ready to use. Unloading Is displayed when a database is unloaded from the memory. Total records After a database is imported the number of imported records of the fuzzy index is displayed. The following buttons are available to maintain and configure your databases: Import Settings Click this button in order to define the import settings for a text file or a relational database, such as the database source file, the columns that are used to build the fuzzy index, and other import options and string substitutions. General Settings Click this button in order to define the general settings for the automatic update and other load options. The Table Records Preview displays a preview of the selected database. This enables you to see a snippet of the database contents to ensure that this is the correct database."},{i:"33",p:"Search and Matching Server Administration Help",t:"Remove a Node from a Load Balancer",s:"You can remove a node from a load balancer that is running restricted mode.",h:"SearchandMatchingServer\\t_RemoveaNodeFromaLoadBalancer.html",r:"Remove a Node from a Load Balancer You can remove a node from a load balancer that is running restricted mode. Before you can do that however, the user calling the Tungsten.TSMS.Administration.exe tool must be a member of the TSMS Administrators group created during installation. If the user is not part of this user group, they do not have the necessary permissions to perform this action. Open the Command Prompt. Run the following command: Tungsten.TSMS.Administration.exe /r LoadBalancerAddress= localhost LoadBalancerPort= 22001 NodeAddress= localhost NodePort= 22000 The node is removed from the load balancer."},{i:"34",p:"Search and Matching Server Administration Help",t:"Modify string substitutions",s:"Select the string substitution you want to modify.",h:"SearchandMatchingServer\\t_ModifyingStringSubstitutions.html",r:"Modify string substitutions Select the string substitution you want to modify. Its value populates the editable text fields above. Type in your modifications and click Modify ."},{i:"35",p:"Search and Matching Server Administration Help",t:"Delete a database",s:"You can delete a selected fuzzy database.",h:"SearchandMatchingServer\\t_DeletingaDatabase.html",r:"Delete a database deleting a fuzzy database You can delete a selected fuzzy database. Note that you can only delete a fuzzy database that is not activated. That means an activated fuzzy database must be deactivated first. In Tungsten Transformation Modules, if search requests for this database are performed, this can take a while. The outstanding search requests are finished before the database is deactivated. Further search requests for the deactivated database result in an error and the batch is sent to Tungsten Capture Quality Control. Select a fuzzy database from the list of Available Databases you want to delete. If necessary, click Deactivate to disable the selected database. The icon in front of the selected database changes. Click Delete to remove the fuzzy database from the list of Available Databases."},{i:"36",p:"Search and Matching Server Administration Help",t:"Tungsten Search and Matching Server Administration",s:"After you have installed Tungsten Search and Matching Server Administration you can use the tool to create and maintain fuzzy databases for different Tungsten Search and Matching Servers or to set up a cluster of several standalone servers in order to configure load balancing.",h:"SearchandMatchingServer\\c_KofaxSearchandMatchingServerAdministration.html",r:"Tungsten Search and Matching Server Administration Administration After you have installed Tungsten Search and Matching Server Administration you can use the tool to create and maintain fuzzy databases for different Tungsten Search and Matching Servers or to set up a cluster of several standalone servers in order to configure load balancing. Multiple users can log on to the same Tungsten Search and Matching Server and maintain the server in parallel. During installation of the Tungsten Search and Matching Server you define the configuration type, a domain group or a local group, in respect to the security aspects within your company and how to access the server for search requests. Like Tungsten Search and Matching Server, the Administration tool runs on a 64-bit server only. Start the Tungsten Search and Matching Server Administration to perform the following actions: Accessing the Tungsten Search and Matching Server Setting up a new fuzzy database Configuring import settings for a fuzzy database that is created from a table or view from a text file or a relational database Configuring automatic update and other general settings for the error management and loading options Displaying logging reports Maintaining an existing database"},{i:"37",p:"Search and Matching Server Administration Help",t:"Stored Procedures for Database Import",s:"The following sample procedures return all records for the SampleDatabase for both an Oracle database and a Microsoft SQL Server database.",h:"SearchandMatchingServer\\c_StoredProceduresforDatabaseImport.html",r:"Stored Procedures for Database Import stored proceduresdatabase import The following sample procedures return all records for the SampleDatabase for both an Oracle database and a Microsoft SQL Server database. The following sample procedure is used to check for a SampleDatabase if the Vendor has changed. It accesses the table, VendorLastChanged for the field, LastDate. Note that for any change that altered the Vendor this field must be updated, otherwise the automatic update is never performed. Oracle Server CREATE OR REPLACE PROCEDURE sp_GetSampleTable (p_recordset OUT SYS_REFCURSOR) AS BEGIN -- Insert statements for example to log the data access OPEN p_recordset FOR SELECT * FROM SampleDatabase; END sp_GetSampleTable; Microsoft SQL Server USE [SampleDatabase] GO /****** Object: StoredProcedure [dbo].[ p_GetSampleTable] Script Date: 04/13/2011 04:47:06 ******/ SET ANSI_NULLS ON GO SET QUOTED_IDENTIFIER ON GO CREATE PROCEDURE [dbo].[sp_GetSampleTable] -- Add the parameters for the stored procedure here AS BEGIN -- SET NOCOUNT ON added to prevent extra result sets from -- interfering with SELECT statements. SET NOCOUNT ON; -- Insert statements for example to log the data access -- Insert statements for procedure here SELECT [SupplierNumber] ,[Name_1] ,[Name_2] ,[Street] ,[PostCode_1] ,[City] From SampleDatabase.dbo.Vendor; END"},{i:"38",p:"Search and Matching Server Administration Help",t:"Tungsten Search and Matching Server Administration User Interface",s:"This chapter introduces the Tungsten Search and Matching Server Administration, which allows you to configure and maintain databases for a selected server.",h:"SearchandMatchingServer\\c_KSMSAdministrationUserInterface.html",r:"Tungsten Search and Matching Server Administration User Interface Administrationuser interface This chapter introduces the Tungsten Search and Matching Server Administration, which allows you to configure and maintain databases for a selected server. Main menu Tabs and Panels Common Buttons Windows"},{i:"39",p:"Search and Matching Server Administration Help",t:"Security aspects for Administration",s:"The administration of the Tungsten Search and Matching Server is restricted to Windows users that are members of the TSMS Administrators user group configured during installation.",h:"SearchandMatchingServer\\c_SecurityAspectsforAdministration.html",r:"Security aspects for Administration security aspectsadministration The administration of the Tungsten Search and Matching Server is restricted to Windows users that are members of the TSMS Administrators user group configured during installation. This user group can either be a domain or a local user group. A local user group is created during installation if it does not yet exist. Optionally, for a local group installation the installer can add the current user to the local user group. A domain user group must always be created by the domain administrator. For both cases the system or domain administrator is responsible for adding and removing users to the TSMS Administrators user group to grant or deny access to the Tungsten Search and Matching Server configuration. If the TSMS Administrators user group exists as a local group and a domain group at the same time on a computer, the access restriction is only checked against the local group. Any membership in the domain user group is not relevant in that case. The communication between the Administration application and the Tungsten Search and Matching Server is always encrypted. The Tungsten Search and Matching Server uses Windows Communication Foundation (WCF) in order to encrypt the communication, which is based on the Transmission Control Protocol (TCP). The encryption is provided by using the Transport Layer Security (TLS) over TCP. The TLS implementation is provided by the operating system. The Administration application can connect to the Tungsten Search and Matching Server using single sign-on if the current user is a member of the TSMS Administrators user group. In this case the user does not need to type the password, instead the Administration application sends the current user token directly to the Tungsten Search and Matching Server. If the current user is not a member of the TSMS Administrators user group it is also possible to type in a different user name and password. In this case the user name and password are sent to the Tungsten Search and Matching Server using the encryption described above."},{i:"40",p:"Search and Matching Server Administration Help",t:"Export Databases window",s:"Use this window to export one or more fuzzy databases so that they can be imported from another Tungsten Search and Matching Server.",h:"SearchandMatchingServer\\r_ExportDatabaseWindow.html",r:"Export Databases window windowsExport Database Export Database window Use this window to export one or more fuzzy databases so that they can be imported from another Tungsten Search and Matching Server. If you want to use the different export settings for the various databases you have to export the databases individually and to use different export settings for each export. Use the following settings to configure database export. Export file name Browse to a location and specify a file name for the exported databases. Available Databases A list of databases that have the database status Ready or Error is displayed. Note that any database that you have selected in the previous view is automatically selected in the list for export. Options Choose from one of the following values for the type of export. Full export. Saves the selected fuzzy databases and its settings as a zip file. If you create a database from an uploaded file you may want to export all selected databases with the Full export setting. Export settings only. Saves the settings of the selected databases, but not the fuzzy database itself, which is created automatically during the import. This is useful for large databases to reduce the size of the export zip file. In this case the server where you import the exported zip file will need to import the database based on the imported settings. In addition to the common buttons, the following button is provided at the bottom of the window: Export Exports the selected fuzzy databases using the configured export settings."},{i:"41",p:"Search and Matching Server Administration Help",t:"Security aspects for data storage",s:"During the installation you can select the directory for data storage.",h:"SearchandMatchingServer\\c_SecurityAspectsforDataStorage.html",r:"Security aspects for data storage security aspectsdata storage During the installation you can select the directory for data storage. Tungsten Search and Matching Server maintains three subdirectories for storing database related files. The Databases directory contains the necessary files for all configured fuzzy indexes. The Upload directory contains database text files that were uploaded from users through the Administration application. The Log folder contains log files and its access is not restricted. By default, the access to the Databases and the Uploads subdirectories is restricted to the NETWORK SERVICE user. It is sufficient to grant the read and write access to these directories to only the service account that runs the Tungsten Search and Matching Server. If the user account that is running the Tungsten Search and Matching Server is changed to a different user then the access permissions to these two directories must be adjusted accordingly."},{i:"42",p:"Search and Matching Server Administration Help",t:"Import a database",s:"The Import Databases window is displayed to import fuzzy databases that were exported from a Tungsten Search and Matching Server.",h:"SearchandMatchingServer\\t_ImportingaDatabase.html",r:"Import a database The Import Databases window is displayed to import fuzzy databases that were exported from a Tungsten Search and Matching Server. Note that the import of a database that is exported with the Export settings only setting can take longer as the Fuzzy Database is automatically created during import. Click Import. The Import Databases window is displayed. Select a zip file and then one or more files you want to import. If the zip file was created in a previous version of Tungsten Search and Matching Server, it is possible that a password was assigned to protect the database. Passwords are no longer supported so it is necessary to use a third-party zip tool such as 7-Zip to remove the password before you import the file. If wanted, you can change the following import options for the selected files: Select Activate databases after import to activate the databases immediately after the import. Select Replace existing databases to replace existing databases with the imported databases that have the same name. If Replace existing databases is not selected, but a database with the duplicate name exists, the imported database is automatically renamed and a consecutive number is added at the end of the file name. If Replace existing databases is not selected, but a database with the duplicate name exists, the imported database is automatically renamed and a consecutive number is added at the end of the file name. Click Import to import the all selected databases and return to the main window."},{i:"43",p:"Search and Matching Server Administration Help",t:"Fuzzy searches",s:"The Tungsten Search and Matching Server provides a fuzzy index for structured data that is imported from a relational database.",h:"SearchandMatchingServer\\c_FuzzySearches.html",r:"Fuzzy searches fuzzy search The Tungsten Search and Matching Server provides a fuzzy index for structured data that is imported from a relational database. The fuzzy index is created on the server based on a relational database and provides a very flexible and efficient way to search and match for specific data during document transformation with Tungsten Transformation Modules or Tungsten TotalAgility. The fuzzy index allows non-exact searching at the character level and word level. The non-exact search at the character level is typically required in case of OCR errors, where single characters of a word are missing or wrong. The non-exact search at the word level allows using the fuzzy index in a search dialog, where the user only needs to type in one or two words to find a specific record. This allows a user to run a fuzzy search in a large database with several million records on any column that was included in the fuzzy index. It is also possible to search for a specific record using multiple words. The result is then the record with the best match where most of the words in the query can be matched with the record. For example, this is used in the Database Locator in a project where the complete content of a page is used as the query. In this specific case, the query contains many more words than in the record that is being searched. A typical use case for this scenario are invoices that are matched against a vendor database to find the vendor that sends the invoice or mailroom documents that are matched against a customer database to identify the customer that wrote the letter or who is referenced on the letter. Finally, it is also possible to search for a record and require that the query is identical to the matched record. For example, this feature is used by the Database Evaluator and allows matching several fields with potential OCR errors against a set of columns in a fuzzy index."},{i:"44",p:"Search and Matching Server Administration Help",t:"Configure automatic database update",s:"For databases that are updated regularly you can define an hourly, daily or weekly update.",h:"SearchandMatchingServer\\t_ConfiguringAutomaticDatabaseUpdate.html",r:"Configure automatic database update For databases that are updated regularly you can define an hourly, daily or weekly update. On the configured update time the Tungsten Search and Matching Server checks whether the source file has changed and if so, starts the upload using the configured import settings to create an updated fuzzy database. All search requests that are sent while the database is being updated are performed on the old database. As soon as the update is complete search requests are then performed on the updated database. You can define the settings for an automatic database update on the General Settings window for databases that are imported from relational databases or delimited text files that have an URL/UNC location. This is because the Tungsten Search and Matching Server must have access rights to automatically upload and re-import the database. For fuzzy databases that are imported from a manually uploaded delimited text file that automatic update options are not available. If a source file changes that you have manually uploaded to the server, you have to manually upload the source file again and then re-import the fuzzy database. For a Microsoft SQL Server or an Oracle database you can select a stored procedure that returns a date and time when the database source was last changed. The update is performed only when the change date is newer than the date for last update. If no stored procedure is selected, the system checks if the database source has changed and performs the update only if it has changed or if the check for changes did not return a result. You can configure automatic database updates by following these steps: Select a database from the list of Available Databases. From the Database Settings tab, click General Settings. Optionally, you can select a stored procedure for a Microsoft SQL Server and an Oracle database that starts the update only if the database has changed. Select Use automatic update and select the days (if weekly is selected) and the hour(s), when the upload is performed. Click OK to save the settings."},{i:"45",p:"Search and Matching Server Administration Help",t:"Stored Procedures for Automatic Update",s:"The following sample stored procedures check for a SampleDatabase if the Vendor has changed.",h:"SearchandMatchingServer\\c_StoredProceduresforAutomaticUpdate.html",r:"Stored Procedures for Automatic Update stored proceduresautomatic update The following sample stored procedures check for a SampleDatabase if the Vendor has changed. It accesses the table, VendorLastChanged for the field, LastDate. Note that for any change that altered the Vendor this field must be updated, otherwise the automatic update is never performed. Examples for both Oracle Server and Microsoft SQL Server are shown. Oracle Server CREATE OR REPLACE PROCEDURE sp_GetLastChangedDateForSampleDatabase (l_result OUT DATE) AS BEGIN SELECT LastDate INTO l_result FROM VendorLastChanged WHERE rownum 2; END sp_GetLastChangedDateForSampleDatabase; Microsoft SQL Server USE [SampleDatabase] GO SET ANSI_NULLS ON GO SET QUOTED_IDENTIFIER ON GO CREATE PROCEDURE [dbo].[sp_ChangedDate] @lastChangeDate as DateTime output AS BEGIN -- SET NOCOUNT ON added to prevent extra result sets from interfering with SELECT statements. SET NOCOUNT ON; -- Insert statements for procedure here SET @lastChangeDate = (SELECT TOP 1 LastDate FROM SampleDatabase.dbo.VendorLastChanged); END"},{i:"46",p:"Search and Matching Server Administration Help",t:"Stored procedures for relational databases",s:"For a Microsoft SQL Server or an Oracle database you can also use stored procedures for the database import and automatic update.",h:"SearchandMatchingServer\\c_StoredProceduresForRelationalDatabases.html",r:"Stored procedures for relational databases considerations for a fuzzy databasestored procedures For a Microsoft SQL Server or an Oracle database you can also use stored procedures for the database import and automatic update. The use for the database import is that it returns the database records to create the fuzzy index from and allows to perform additional steps. For example, to log the access for your sensitive data. A stored procedure for the automatic update needs to return a date and a time that indicates when the database source was last changed. This means that you have to ensure that the date for altering the database is stored and updated for any change. For example, it is necessary to know when a bank account is changed or when a customer is removed from the database altogether. The automatic update is performed only if your data has changed since the previous update. The following are examples of functions and stored procedure syntax: Stored procedure for database import Oracle Server sample Microsoft SQL Server sample Stored procedure for automatic update Oracle Server sample Microsoft SQL Server sample"},{i:"47",p:"Search and Matching Server Administration Help",t:"Introduction",s:"Welcome to the Tungsten Search and Matching Server Administration Help.",h:"SearchandMatchingServer\\c_Introduction.html",r:"Introduction Welcome to the Tungsten Search and Matching Server Administration Help. The product document set for Tungsten Search and Matching Server is available from https://docshield.tungstenautomation.com/Portal/Products/TSMS/6.10.0-8fsknjo9y4/TSMS.html Common Starting Points The following links provide general information about this product: Tungsten Search and Matching Server Administration Quick Tour of Administration"},{i:"48",p:"Search and Matching Server Administration Help",t:"Provide granted access for load balancing",s:"To set the services account without the need to take care from the databases directory, you can run the installation from a command line that allows you to set the optional parameters, SERVICEUSERNAME and SERVICEUSERPASSWORD.",h:"SearchandMatchingServer\\t_ProvidingaGrantedAccessForLoadBalancing.html",r:"Provide granted access for load balancing load balancingaccess To set the services account without the need to take care from the databases directory, you can run the installation from a command line that allows you to set the optional parameters, SERVICEUSERNAME and SERVICEUSERPASSWORD. If the parameters are defined the installed Load Balancer or Search and Matching Server services are executed for the defined user and the read and write permissions to the data storage folder are set accordingly. You can provide a granted access by changing the user accounts and read-write permission for the data storage directory manually on any computer that runs a Search and Matching Server you want to add to a load balancing cluster. You can configure granted access and set up a load balancing cluster by following these steps: Contact your system or domain administrator to add a new service user to the TSMS Administrators user group created during installation. From the control pane, select Administrative Tools and then select Services to stop the Load Balancer service (Tungsten Search and Matching Load Balancer service). Change the service account for the Load Balancer service (Tungsten Search and Matching Load Balancer service) to the newly-created service user. Change the read and write permissions for the data storage directory for any computer that runs the Tungsten Search and Matching Server service. Restart the Load Balancer service. Repeat steps 1 to 5 on each computer that runs the Tungsten Search and Matching Server services that is a member of the load balancing cluster."},{i:"49",p:"Search and Matching Server Administration Help",t:"Configure and maintain existing database",s:"The initial view of the Tungsten Search and Matching Server enables you to maintain the fuzzy databases to do the following.",h:"SearchandMatchingServer\\c_MaintainExistingDatabases.html",r:"Configure and maintain existing database maintain fuzzy databases The initial view of the Tungsten Search and Matching Server enables you to maintain the fuzzy databases to do the following. Rename a database Activate or deactivate a database Delete a database Import a database Export a database Configure Microsoft SQL Server connection Configure ODBC database connection Configure Oracle Server connection"},{i:"50",p:"Search and Matching Server Administration Help",t:"Restricted Mode in a Tungsten Search and Matching Server Cluster",s:"When working with multiple servers in a Tungsten Search and Matching Server cluster, it may be advantageous to have a second load balancer to work as a fallback in case something happens to the other Load Balancer.",h:"SearchandMatchingServer\\c_RestrictedModeinaCluster.html",r:"Restricted Mode in a Tungsten Search and Matching Server Cluster When working with multiple servers in a Tungsten Search and Matching Server cluster, it may be advantageous to have a second load balancer to work as a fallback in case something happens to the other Load Balancer. This is a problem because a Load Balancer is not allowed to administer a database. It cannot activate, deactivate, add, remove, import, export, or update a database automatically. A cluster works without a primary node, which means that no data synchronization is managed by the Load Balancer or the primary node. Every node in the cluster is added as a secondary node. In a typical configuration, the Load Balancer is only allowed to add and remove nodes, but they must also be secondary nodes. If a node is configured as the primary node, it is rejected from the cluster. Queries to the cluster are distributed between every node independently based on the database version of each node. It is ideal for the database version to be the same on multiple nodes, but if they have different versions, the Load Balancer may create extra traffic to located the node with the best query results. This extra traffic may slow search results for this and other queries. In order to create a redundancy in cluster design, a second Load Balancer can reference some Tungsten Search and Matching Server nodes that are already listed by another Load Balancer. Both load balancers must be referenced in the database properties of the transformation project. However, in order for the two load balancers to work together without sending contradictory information, they both need to be configured to use restricted mode. When the Load Balancer and nodes are running in restricted mode, then there is no primary node in the cluster. If necessary, secondary nodes are references by a second Load Balancer for redundancy. You can configure a load balancer to use restricted mode by following these steps: How to set the restricted mode There are two methods of setting the restricted mode for a load balancer. Add the SERVICEMODE= restricted parameter to the command when installing via the MSP file. Edit the Tungsten.TSMS.LoadBalancerService.exe.config file and set the value of the RunningMode to Restricted. Once the restricted mode is enabled for each load balancer you can: Add a node to a load balancer Remove a node from a load balancer Update a database"},{i:"51",p:"Search and Matching Server Administration Help",t:"Activate or deactivate a database",s:"You have to activate a fuzzy database so that it can be accessed.",h:"SearchandMatchingServer\\t_ActivatingorDeactivatingaDatabase.html",r:"Activate or deactivate a database activating or deactivating fuzzy databases You have to activate a fuzzy database so that it can be accessed. To disable the access of an activated database you need to deactivate it. In order to change the settings of a selected database, or to rename or delete it, the database must be deactivated. In Tungsten Transformation Modules, if a database that is used in production is deactivated, search requests from a Tungsten Transformation Modules application result in an error and the batch is sent to Tungsten Capture Quality Control. You can select multiple databases that have the Ready status in order to activate them, or multiple databases that have either the Ready or Error status to deactivate them. If the selected databases have different activation statuses then the status of the first selected database defines the status that is assigned to all databases. For example, if the first database is activated then all selected databases are deactivated. Select a fuzzy database you want to activate or deactivate from the list of Available Databases. Click Activate or Deactivate for the selected fuzzy database. An icon is displayed in front of the database in the list of Available Databases to indicate whether the database is activated or deactivated."},{i:"52",p:"Search and Matching Server Administration Help",t:"Set up a fuzzy database",s:"In order to set up a fuzzy database you add a new fuzzy database, configure the import settings and if wanted, configure the general settings.",h:"SearchandMatchingServer\\t_SettingUpaFuzzyDatabase.html",r:"Set up a fuzzy database In order to set up a fuzzy database you add a new fuzzy database, configure the import settings and if wanted, configure the general settings. To add a new fuzzy database to the list of available databases click Add and perform the following steps when the Add New Database window is displayed: The new fuzzy database is added to the list of Available Databases and its database status is set to Created. Type the database name. Select the database source either Text file if the database source is a delimited text file or Relational database if the database source is a Microsoft SQL Server, an Oracle database or an ODBC file. Click OK to save the settings. Configure the newly created fuzzy database by clicking Import Settings from the Database Settings tab. For a text file database source the Import Settings for Database (Text File Source) window is displayed and for a relational database source the Import Settings for Database (Relational Database Source) window is displayed, in order to define the options for the path or connection string, the columns and if needed, string substitutions. On the Database Settings tab the details for the newly created database are updated and a preview of the first 20 records of the imported database are displayed. Optionally, click General Settings from the Database Settings tab to display the General Settings window in order to define load options, automatic update and the error management. Click Activate to make the newly-created database accessible."},{i:"53",p:"Search and Matching Server Administration Help",t:"Import Database window",s:"Use this window to import one or more fuzzy databases that are exported from a Tungsten Search and Matching Server.",h:"SearchandMatchingServer\\r_ImportDatabaseWindow.html",r:"Import Database window windowsImport Database Import Database window Use this window to import one or more fuzzy databases that are exported from a Tungsten Search and Matching Server. Import file name Browse to a location and select the database that you are importing. Available Databases Lists the databases from the selected import zip file to be selected for import. Options This group has the following settings: Activate databases after import Enables the imported databases automatically for access from another Tungsten Automation application. Replace existing databases If this setting is selected imported databases that have the same name as already available databases are overwritten if the setting is cleared the imported databases are renamed by adding a consecutive number at the end of the file name. In order to use different settings for different databases in the same import file, you have select the databases individually and repeat the import, changing the settings as needed. In addition to the common buttons, the following button is provided at the bottom of the window: Import Imports all fuzzy databases that are exported from a Tungsten Search and Matching Server."},{i:"54",p:"Search and Matching Server Administration Help",t:"Windows",s:"The following windows are available.",h:"SearchandMatchingServer\\c_Windows.html",r:"Windows Administrationwindows The following windows are available: Add Node to Cluster window Cluster Management window Configure Microsoft SQL Server Connection window Configure ODBC Connection window Configure Oracle Connection window Export Database window General Settings window Import Database window Import Settings (text file) window Import Settings (relational database) window Log On to Tungsten Search and Matching Server window Select Application Language window"},{i:"55",p:"Search and Matching Server Administration Help",t:"Configure an ODBC database connection",s:"The Configure ODBC Connection window is displayed to set up the connection string for a ODBC database.",h:"SearchandMatchingServer\\t_ConfiguringanODBCConnection.html",r:"Configure an ODBC database connection The Configure ODBC Connection window is displayed to set up the connection string for a ODBC database. Type the name of the system DNS. Select the type of authentication and enter logon information if needed. Select the database from the Database Name list. Click OK to save the connection string."},{i:"56",p:"Search and Matching Server Administration Help",t:"Search and Matching Server",s:"The Search and Matching Server is used to handle simultaneous search requests from one or more client applications and provide search results in a most efficient way.",h:"SearchandMatchingServer\\c_TheKofaxSearchandMatchingServer.html",r:"Search and Matching Server Tungsten Search and Matching Server The Search and Matching Server is used to handle simultaneous search requests from one or more client applications and provide search results in a most efficient way. Multiple users can access the Search and Matching Server non-concurrently to configure a new and maintain existing fuzzy databases via the Tungsten Search and Matching Server Administration. A Fuzzy Database (also called Fuzzy Index) allows fast searching and matching of text values using non-exact (fuzzy) string matching either in record sets or in specific columns. The fuzzy index is created either from a CSV file or from a single table or view of a relational database that is stored as a delimited text file in CSV format, which can either be a Microsoft SQL Server, an Oracle Server and an ODBC database."},{i:"57",p:"Search and Matching Server Administration Help",t:"Server browser service",s:"You can use the Server Browser service to display the Search and Matching Servers and Load Balancers that are available in your network to a client.",h:"SearchandMatchingServer\\c_ServerBrowserService.html",r:"Server browser service server browser service You can use the Server Browser service to display the Search and Matching Servers and Load Balancers that are available in your network to a client. The Server Browser is a Windows service that listens on port 21200 for incoming browsing requests. The communication for server discovery relies on network broadcasts to locate available servers, which means that it functions best when servers are located on the same subnet as the clients. It is possible, though not always easy, to use the server browsing across subnets. Routers need to be configured to forward directed broadcasts on large networks. For more details see appropriate technical literature. To find available Search and Matching Servers and Load Balancers in your network you can use the Server Discovery button in the Administration and in client applications, such as Project Builder once the Server Browser service is running. When you select a server from the provided list the computer name and its configured port number are returned so that you can use this information to establish the connection. In case you do not want the Tungsten Search and Matching Server services that are running on your computer to be visible on the network, you can stop the Server Browser service. This has no impact on already configured connections to the Tungsten Search and Matching Server."},{i:"58",p:"Search and Matching Server Administration Help",t:"Rename a database",s:"In order to rename a selected fuzzy database the Rename Database window is displayed.",h:"SearchandMatchingServer\\t_RenamingaDatabase.html",r:"Rename a database renaming a fuzzy database In order to rename a selected fuzzy database the Rename Database window is displayed. Note that you can only rename a fuzzy database that is not activated. That means an activated fuzzy database must be deactivated first. Before an activated database can be deactivated any search requests for this database need to be finished. Further search requests for the deactivated database result in an error and the batch is sent to Tungsten Capture Quality Control. Select a fuzzy database from the list of Available Databases you want to rename. If necessary, click Deactivate to disable the selected database for further access. The icon in front of the selected database changes. Click Rename and type a new name for the database. Update the mapping from the database on the client side. Click OK to close the window. The list of Available Databases is updated."},{i:"59",p:"Search and Matching Server Administration Help",t:"Server performance",s:"The following lists show the items that you can track.",h:"SearchandMatchingServer\\c_ServerPerformance.html",r:"Server performance server performance The following lists show the items that you can track. Tungsten Search and Matching Server The Tungsten Search and Matching Server has counters that monitor the number and speed of various service operations. Search Request Count This is the total number of searches performed since the Tungsten Search and Matching Server was started. Search Requests per Hour This is average number of search requests performed per hour. The average is calculated based on a floating window over the last minute. Server Runtime (hours) This is the total amount of time the Tungsten Search and Matching Server is running. Average Search Duration (ms) This is the average search request time in milliseconds for all search requests performed per hour. The average is calculated based on a floating window over the last minute. Search Hit Count This is the total number of search results for all search requests since the Tungsten Search and Matching Server was started. Records Retrieved Count This is the total number of database records from the available search results that are retrieved since the Tungsten Search and Matching Server was started. Average Record Retrieval Time (ms) This is the average database record retrieval time in milliseconds for all search requests performed. The average is calculated based on a floating window over the last minute. Active Database Count This is the number of currently activated databases in the Tungsten Search and Matching Server. Manual Import Count This is the number of automatic updates for all databases since the Tungsten Search and Matching Server was started. Automatic Update Count This is the number of automatic updates for all databases since the Tungsten Search and Matching Server was started. Skipped Automatic Update Count This is the number of skipped automatic updates that were not performed since the Tungsten Search and Matching Server was started. The update is typically skipped because the database is not modified. Failed Import Count This is the number of failed manual imports and automatic updates since the Tungsten Search and Matching Server was started. Number of Database Loads on Demand This is the number of times database are loaded on demand since the Tungsten Search and Matching Server was started. Such a database is loaded only when it is configured to be loaded on demand and accessed for the first time. Number of Database Unloads by Timeout This is the number of times databases are unloaded since the Tungsten Search and Matching Server was started. A database is unloaded when it is configured to be loaded on demand and idle for a specified time."},{i:"60",p:"Search and Matching Server Administration Help",t:"Log On to Server window",s:"Use this window to access a Tungsten Search and Matching Server in order to maintain fuzzy databases for use with another Tungsten Automation application.",h:"SearchandMatchingServer\\r_LogOnToServerWindow.html",r:"Log On to Server window windowslog on to a server Log On to Server window Use this window to access a Tungsten Search and Matching Server in order to maintain fuzzy databases for use with another Tungsten Automation application. Server This group has the following settings. Server name Type the name by which the local area network identifies the computer that runs a standalone Search and Matching Server or a Load Balancer that manages a cluster of several Search and Matching Servers. Alternatively, you can type the IP address, or if the Search and Matching Server or Load Balancer is installed on your local computer type localhost. You can search for all available servers within your local network by clicking . Click the Down Arrow to select a server from the list. Server port If needed, change the port number that is used for communication with the Tungsten Search and Matching Server. By default, the port number for a standalone Search and Matching Server is set to 22000 and the default port number for a Load Balancer is set to 22001, but must correspond to the configured value for the server or load balancer. Logon This group has the following settings. User name This is the user name that is added to the local or domain TSMS Administrators user group, configured during installation. Contact your system administrator for details about a valid log on account. Password This is the password that corresponds to the user name in order to log on to the Tungsten Search and Matching Server. Domain This is the domain name for the inserted user in order to log on to the Tungsten Search and Matching Server. The domain name is automatically displayed if you are logged on to the computer as a domain user. To manually add a domain, preface the user name with the domain name. For example, Domain User. The manually entered domain will appear in the domains list. In addition to the common buttons, the following button is provided at the bottom of the window: Connect Connects and logs on to the selected Tungsten Search and Matching Server using the supplied login information."},{i:"61",p:"Search and Matching Server Administration Help",t:"Configure a Microsoft SQL Server connection",s:"This window enables you to set up the connection string for a Microsoft SQL Server.",h:"SearchandMatchingServer\\t_ConfiguringaMicrosoftSQLConnection.html",r:"Configure a Microsoft SQL Server connection This window enables you to set up the connection string for a Microsoft SQL Server. You can configure a Microsoft SQL Server connection that connects to a table, view or a stored procedure, or a synonym. In order to use a synonym, the following permissions are needed: Limits Synonyms have the following limitations: Synonyms are supported for the following objects only: Table View Stored Procedure You can configure an Microsoft SQL Server database connection by following these steps: Select the database server from the Server Name list. Select the type of authentication and enter logon information if needed. Select the database from the Database Name list. Click OK to save the connection string."},{i:"62",p:"Search and Matching Server Administration Help",t:"Set up load balancing",s:"You set up the load balancer by connecting the Administration tool to the computer that runs the Load Balancer.",h:"SearchandMatchingServer\\t_SettingUpLoadBalancing.html",r:"Set up load balancing You set up the load balancer by connecting the Administration tool to the computer that runs the Load Balancer. In a first step you create the load balancer cluster and then configure the fuzzy databases for the Search and Matching Server that is set as the primary node. Alternatively, you can set up a standalone Search and Matching Server first that you want to use as primary node for the load balancer, and then set up the load balancer cluster. You only have to add the configured server as first server to the cluster so that it is set as the primary node. Otherwise, if the cluster contains a primary node already the server is added as secondary node and all database are deleted from it when it is added to the cluster. In order to change the databases and its settings in a cluster you have to update the configuration by connecting to the Load Balancer from the Administration. Any changes are synchronized to the cluster nodes. When a Load Balancer is deployed and one or more of its Tungsten Search and Matching Servers are also configured as alternative hosts, the extraction process uses the load balancer by default. From the control pane, select Search and Matching Server and then select Administration. The Log On to Server window is displayed. Type the name by which the local area network identifies the computer that runs the Load Balancer. You can also type the IP address, or type localhost if the Load Balancer is installed on your local computer. Note that you can search for all available load balancer within your local network by clicking . The search may take some time, depending on the size of your network and the speed of your network connection. If you connect to a server a second time, you can click the Down Arrow to select a server from the list. The Server Discovery window is displayed to select the load balancer. If needed, change the port number (the default for the load balancer is 22001) that is used for communication with the Load Balancer. The port number must correspond to the value that is configured during the installation of the load balancer. If you select the load balancer from the Server Discovery window the port number is broadcasted automatically. Click Connect to set up the connection the selected load balancer using single-sign on. From the Cluster menu, select Cluster Management to set up the cluster of different Search and Matching Servers that are managed by connected load balancer. The Cluster Management window is displayed to perform one of the following steps. Repeat the steps until all wanted servers are added to the cluster and click OK. Set up the fuzzy databases as needed that are then automatically synchronized to all nodes in the cluster."},{i:"63",p:"Search and Matching Server Administration Help",t:"Access rights for an Oracle database",s:"Several permissions in an Oracle database are required by Tungsten Search and Matching Server in order to use it for the fuzzy database source.",h:"SearchandMatchingServer\\c_AccessRightsforanOracleDatabase.html",r:"Access rights for an Oracle database Several permissions in an Oracle database are required by Tungsten Search and Matching Server in order to use it for the fuzzy database source. These permissions are necessary in order to access tables, views, synonyms, and stored procedures. At a minimum, the Server login requires the following permissions. CONNECT SQL CREATE SESSION SELECT ANY TABLE or READ ANY TABLE The following permissions are also required by the role or user for each relational object. SELECT This is required to access views, tables, and synonyms based on a view or table. EXECUTE This is required for the stored procedure and synonyms based on a stored procedure. In the case of a synonym, the user or database role also requires the corresponding SELECT/EXECUTE permissions for the underlying object referenced by the synonym."},{i:"64",p:"Search and Matching Server Administration Help",t:"Configure ODBC Connection window",s:"Use this window to configure and test ODBC connection strings.",h:"SearchandMatchingServer\\r_ConfigureODBCConnectionWindow.html",r:"Configure ODBC Connection window Select ODBC Connection window windowsSelect ODBC Connection Use this window to configure and test ODBC connection strings. Data Source Name (System DSN) Select a DSN from the list of system data source names (DSN) configured on the local computer where the Tungsten Search and Matching Server is running. The list may also contain 32-bit ODBC connections. You have to select a 64-bit ODBC driver version, otherwise an error message is displayed. Refresh Use this setting to update the list for newly-added system DSNs. The Logon Information group has the following settings: Type a user name and password to log on to the selected system DSN. In addition to the common buttons, the following button is provided at the bottom of the window: Test Connection This button tests the current connection string configuration. If the connection is faulty an error message is displayed."},{i:"65",p:"Search and Matching Server Administration Help",t:"Common buttons",s:"This section describes the buttons that are used throughout the Administration user interface so they are not repeated on each window.",h:"SearchandMatchingServer\\r_CommonButtons.html",r:"Common buttons Administrationcommon buttons This section describes the buttons that are used throughout the Administration user interface so they are not repeated on each window. OK This button closes the window and saves your changes. Cancel This button closes the window without saving your changes. Help This button opens the Help for the window."},{i:"66",p:"Search and Matching Server Administration Help",t:"Configure Oracle Connection window",s:"Use this window to configure and test Oracle connection strings.",h:"SearchandMatchingServer\\r_ConfigureOracleConnectionWindow.html",r:"Configure Oracle Connection window Configure Oracle Connection window windowsConfigure Oracle Connection Use this window to configure and test Oracle connection strings. Oracle Server/TNS This setting enables you to enter the name and TNS (Transport Network Substrate), or IP address and TNS of an Oracle server. Logon Information This group allows defining the user credential that are needed each time the Oracle database is accessed (for example, to create the fuzzy index or perform the automatic update). If the connection to the Oracle server is successful for the given authentication, a list of available databases is provided within the Database Name list. If the connection fails an error message is displayed. Configure the following criteria: User name This is the user name to log on to the selected Oracle server. Password This is the password for the inserted user name to log on to the selected Oracle server. In addition to the common buttons, the following button is provided at the bottom of the window: Test Connection Use this button to ensure that the provided connection settings connect successfully."},{i:"67",p:"Search and Matching Server Administration Help",t:"Export a database",s:"Use the Export Databases window to export one or more fuzzy databases in order to store a backup so that they can be imported to another Tungsten Search and Matching Server.",h:"SearchandMatchingServer\\t_ExportingaDatabase.html",r:"Export a database Use the Export Databases window to export one or more fuzzy databases in order to store a backup so that they can be imported to another Tungsten Search and Matching Server. When you export a database you can choose a full export that saves the fuzzy database and its configured import and general settings. Alternatively, you can save the configured settings for the fuzzy database only, which means that the fuzzy database is created from the exported settings when you import the database. For a fuzzy database that was created from an uploaded delimited text file you can only select Full export. This is because the server does not have access to an uploaded file and therefore cannot create the fuzzy database from the exported settings during import. Click Export. The Export Databases window is displayed. Select the location where the export file is saved to. Select one or more fuzzy databases you want to export. For all selected databases you can configure the export type. By default, Full export is selected. This saves the fuzzy database and its settings. To export the configured settings but not the fuzzy database itself, select Export settings only. Click Export to save the zip file and return to the main window."},{i:"68",p:"Search and Matching Server Administration Help",t:"General Settings window",s:"Use this window to configure the automatic update settings for a fuzzy database taking into account the considerations for the import and update and defining how to load a selected database.",h:"SearchandMatchingServer\\r_GeneralSettingsWindow.html",r:"General Settings window windowsGeneral Settings General Settings window Use this window to configure the automatic update settings for a fuzzy database taking into account the considerations for the import and update and defining how to load a selected database. Automatic Update This group has the following settings: Use automatic update Select this setting for a database that changes regularly to configure when the hourly, daily or weekly update is performed. Use function or stored procedure If Use automatic update is selected, for a Microsoft SQL Server or an Oracle database you need to select a function or a stored procedure from the list that determines whether an update is needed. If neither a function nor a stored procedure is selected, the system tries to check if the database source has changed and performs the update only if it has changed or if the check for changes did not return a result. If a function is selected, the returned value must be one of the following formats: For Microsoft SQL Server - datetime For Oracle Server - date The Use function or stored procedure setting is available only for Microsoft SQL Server and Oracle Server database sources. ODBC and text file database sources do not support these so this setting is not displayed for those databases. Last import time The date and time when the last import was finished is displayed. Hourly If Use automatic update is selected you can define an hourly update. Select the number of hours (n) and minutes (m) to start the update. Note that The next update will be triggered once this delay is over, starting the end from the previous update. You can set a value from 1 minute to 168 hours. By default, the value is set to 1 hour. Daily If Use automatic update is selected you can define a daily update. Define the point of time when the update is started on a daily basis. You can select only clock hours,12:00 AM - 11:00 PM. By default, the value is set to 12:00 AM. Weekly If Use automatic update is selected you can define a weekly update. Select one or more days and the point of time for each selection when the update is started. You can select only clock hours, 12:00 AM - 11:00 PM. By default, the value for a selected weekday is set to 12:00 AM. Load Settings This group has the following settings: Load database on demand By default, an activated database is loaded into memory when the Tungsten Search and Matching Server is started. Select this setting so that a database that is used only occasionally is loaded in memory, only if needed (for example, when a search request is sent). Unload database when idle for Defines a period of time in order to unload the database from the memory if no search requests are initiated within that period. Error Management This group has the following setting. Disable database search if the database is in an error state, even if the previous imported version can still be used Select this setting in order to disable the accessibility of a fuzzy index for which the automatic update failed. The database status is changed to Error and any search requests from another Tungsten Automation application can no longer be performed. As a result the batch is sent to Tungsten Capture Quality Control. If the setting is not selected and an error occurs during the automatic update the error is logged and listed on the Server Logging Report tab; but processing can continue as search requests are performed on the last database that was successfully updated. Definitions for the buttons at the bottom of this window can be found in Common Buttons."},{i:"69",p:"Search and Matching Server Administration Help",t:"Security aspects for service accounts",s:"All services that are installed as part of the Tungsten Search and Matching Server are by default executed with the built-in Network Service user account.",h:"SearchandMatchingServer\\c_SecurityAspectsforServiceAccounts.html",r:"Security aspects for service accounts security aspectsservice accounts All services that are installed as part of the Tungsten Search and Matching Server are by default executed with the built-in Network Service user account. It may be necessary to run the services with a domain user account so that the access to network shares or a Microsoft SQL Server can be accomplished using the domain user permissions. When you change the service user you have to ensure that the read-write permissions of the database related directories are adjusted accordingly. In a cluster environment the load balancer and the server nodes must run under the same service account."},{i:"70",p:"Search and Matching Server Administration Help",t:"Server Logging Report tab",s:"You can use the Server Logging Report tab to view the messages that are logged for the server or load balancer according to some predefined settings, such as the logging level and archiving options for the log file.",h:"SearchandMatchingServer\\r_ServerLoggingReportTab.html",r:"Server Logging Report tab Server Logging Report tab You can use the Server Logging Report tab to view the messages that are logged for the server or load balancer according to some predefined settings, such as the logging level and archiving options for the log file. Errors Returns the number of errors from the log file for the selected server or load balancer. You can reset the error counter by clicking Reset Counters. This is useful if the log file contains many error messages and you want to ensure that after changing the settings for a database a specific error no longer occurs. Note that this only refreshes the displayed number of errors and warnings within this view, but does not remove any messages from the log file. Warnings Returns the number of warnings from the log file for the selected server or load balancer. You can reset the warning counter by clicking Reset Counters. This is useful if the log file contains many warnings and you want to know if a warning is returned for a current modification. Note that this only refreshes the displayed number of errors and warnings within this view, but does not remove any messages from the log file. Most recent messages Lists the last 100 messages from the current server log file or the log messages for the load balancer and all servers that belong to the load balancing cluster. Each message has a prefix that indicates the message category (INFO - information, WARN - warning or ERROR - error message). You can list either all messages, or warnings and errors only. New messages that are written to the log file are not displayed until you refresh the list manually. You can choose which types of log entries are displayed. Select from one of the following values: Show all messages Select this setting to display all messages from the log file. Show only warnings and errors Select this setting to display only a subset of messages that refer to warnings, errors and fatal errors. The following buttons are provided. Refresh Even if new messages are added to the server log file (for example, when another user that is connected to the same Tungsten Search and Matching Server adds a new database) the list of recent messages is not updated automatically. Click Refresh to update the list of Most recent messages. Reset Counters Resets the current warning and error message counters to zero. This is useful if the log file contains many warning and error messages and you want to know the number of messages for the current modifications."},{i:"71",p:"Search and Matching Server Administration Help",t:"Application Language window",s:"Use this window to change the language of the Tungsten Search and Matching Server Administration user interface.",h:"SearchandMatchingServer\\r_SelectApplicationLanguageWindow.html",r:"Application Language window windowsSelect Application Language Select Application Language windows Use this window to change the language of the Tungsten Search and Matching Server Administration user interface. Any changes do not take effect until the application is restarted. Please select the desired application language Select the desired language from the list. When you start Tungsten Search and Matching Server Administration for the first time, the language is determined by the operating system. Remember to restart the Tungsten Search and Matching Server Administration, so that the new language can be selected from the list of application languages. Definitions for the buttons at the bottom of this window can be found in Common Buttons."},{i:"72",p:"Search and Matching Server Administration Help",t:"Imported columns",s:"As databases often contain additional columns such as internal customer IDs or contact names and are not displayed on the document.",h:"SearchandMatchingServer\\c_ImportedColumns.html",r:"Imported columns considerations for a fuzzy databasecolumns to use for import As databases often contain additional columns such as internal customer IDs or contact names and are not displayed on the document. You need to consider the following aspects for the creation of the fuzzy database and the columns that you select for the Column Configuration import setting for the use with Tungsten Transformation Modules or Tungsten TotalAgility. Extraction When you use a fuzzy database for extraction such as for a Database Locator, but not in validation, you need to clear the selection of columns whose values are not displayed on the document as these decrease the confidence of the returned alternatives. The complete record inclusive the non selected columns is returned to the database locator and will be used for the final confidence computation. Tungsten Transformation Modules Validation If you use a fuzzy database in validation such as a database lookup button on a validation form, but not for extraction, you have to select all database columns you want to search for, even if their values are not displayed on the document. Only if those columns are imported can they be displayed in the Tungsten Transformation Modules Validation module within the search results window. The complete alternative is returned and includes all columns, even if the columns are not selected and mapped to the fields normally. Extraction and validation If you use a fuzzy database for both extraction and validation, you have to select a column even if its values are not displayed on the document so that they are imported and you can search for them in Validation. For the extraction, in order that additional invisible columns do not decrease the confidence, you have to change the settings for the Database Locator and clear the selection of such a column in the properties on the Search Masks tab. You can change the name of the columns by selecting a column, then clicking the column a second time and typing the new column name. If you import a database that has customized column names a second time, but the number of columns in the source text file or relational database have changed, the previously defined column names are automatically replaced by the newly imported columns."},{i:"73",p:"Search and Matching Server Administration Help",t:"Getting help with Tungsten Automation products",s:"The Tungsten Automation Knowledge Portal repository contains articles that are updated on a regular basis to keep you informed about Tungsten Automation products.",h:"All_Shared\\shared_c_gettinghelp.html",r:"Getting help with Tungsten Automation products The Tungsten Automation Knowledge Portal repository contains articles that are updated on a regular basis to keep you informed about Tungsten Automation products. We encourage you to use the Knowledge Portal to obtain answers to your product questions. To access the Tungsten Automation Knowledge Portal, go to https://knowledge.tungstenautomation.com/. The Tungsten Automation Knowledge Portal is optimized for use with Google Chrome, Mozilla Firefox, or Microsoft Edge. The Tungsten Automation Knowledge Portal provides: Powerful search capabilities to help you quickly locate the information you need. Type your search terms or phrase into the Search box, and then click the search icon. Product information, configuration details and documentation, including release news. To locate articles, go to the Knowledge Portal home page and select the applicable Solution Family for your product, or click the View All Products button. From the Knowledge Portal home page, you can: Access the Tungsten Automation Community (for all customers). On the Resources menu, click the Community link. Access the Tungsten Automation Customer Portal (for eligible customers). Go to the Support Portal Information page and click Log in to the Customer Portal. Access the Tungsten Automation Partner Portal (for eligible partners). Go to the Support Portal Information page and click Log in to the Partner Portal. Access Tungsten Automation support commitments, lifecycle policies, electronic fulfillment details, and self-service tools. Go to the Support Details page and select the appropriate article."}];var serializedIdx='{"version":"2.3.9","fields":["t","r"],"fieldVectors":[["t/0",[0,30.564]],["r/0",[0,3.665,1,2.528,2,0.369,3,0.217,4,0.511,5,0.013,6,1.176,7,0.801,8,2.528,9,0.664,10,2.528,11,2.528,12,0.797,13,0.511,14,1.224,15,2.293,16,1.029,17,1.701,18,0.066,19,1.956,20,1.704,21,1.767,22,2.197,23,2.528,24,1.685,25,2.802,26,1.135,27,1.4,28,0.421,29,1.153,30,1.697,31,0.794,32,2.528,33,0.832,34,1.685,35,2.528,36,2.197,37,1.978,38,1.978,39,2.528,40,1.978,41,1.389,42,2.167,43,1.266,44,0.991,45,1.085,46,0.8,47,0.802,48,1.266,49,0.801,50,0.736,51,1.484,52,0.865,53,2.268,54,1.207,55,2.167,56,0.899,57,2.167,58,3.393,59,1.577,60,1.501,61,1.484,62,1.207,63,1.331,64,3.403,65,1.704,66,2.278,67,1.207,68,1.331,69,2.648,70,2.293,71,1.238,72,2.528,73,2.197,74,0.824,75,1.484,76,0.772,77,0.801,78,2.39,79,0.596,80,0.899,81,1.765,82,1.781,83,1.014,84,2.648,85,2.506,86,1.207,87,1.484,88,0.83,89,1.566,90,0.666,91,0.534,92,2.258,93,2.082,94,1.014,95,0.666,96,2.563,97,1.403,98,2.603,99,1.685,100,1.091,101,1.22,102,1.685,103,2.528,104,2.528,105,2.197,106,0.899,107,1.685,108,1.577,109,1.207,110,1.978,111,1.685,112,2.197,113,2.197,114,0.514,115,0.164,116,0.772,117,0.935,118,1.781,119,2.512,120,1.685,121,2.528,122,1.577,123,1.266,124,1.816,125,2.977,126,1.685,127,1.865,128,0.772]],["t/1",[50,8.902,115,3.057]],["r/1",[2,0.316,3,0.181,4,0.427,5,0.011,6,0.551,12,0.314,13,0.596,14,0.531,15,1.477,17,0.797,27,0.852,28,0.48,31,0.511,33,1.281,42,1.396,45,0.572,47,0.273,50,1.434,56,0.422,62,1.858,63,1.324,68,1.324,71,0.797,74,1.004,76,2.361,79,0.593,86,1.201,94,1.009,95,0.663,100,0.511,101,0.572,106,1.903,111,1.677,114,0.511,115,0.462,119,3.047,124,1.807,128,1.188,129,1.858,130,2.048,131,1.396,132,1.691,133,2.515,134,2.515,135,1.201,136,1.477,137,2.515,138,2.186,139,2.515,140,2.515,141,1.26,142,1.807,143,1.98,144,1.969,145,2.186,146,2.515,147,2.515,148,1.569,149,2.651,150,3.143,151,2.515,152,2.515,153,2.271,154,2.321,155,1.969,156,1.233,157,1.807,158,0.768,159,2.159,160,2.64,161,1.948,162,0.768,163,1.569,164,1.569,165,1.477,166,1.396,167,1.807,168,2.64,169,1.626,170,1.858,171,0.768,172,1.396,173,1.324,174,1.396,175,2.427,176,1.396,177,2.033,178,2.441,179,3.044,180,1.969,181,1.201,182,0.968,183,1.969,184,1.969,185,1.518,186,1.56,187,2.794,188,3.044,189,2.271,190,1.969,191,0.86,192,1.147,193,1.969,194,2.284,195,1.969,196,0.894,197,1.569,198,3.044,199,1.969,200,0.86,201,1.477,202,1.677,203,2.427,204,2.076,205,1.969,206,1.969,207,1.009,208,1.969,209,1.948,210,3.569,211,4.189,212,1.677,213,1.969,214,1.677,215,0.551,216,1.969,217,1.697,218,0.93,219,1.201,220,1.969,221,3.044,222,2.794,223,1.396,224,1.677,225,1.807,226,3.044,227,1.969,228,1.969,229,1.807,230,1.569,231,0.86,232,1.569,233,1.969,234,3.044,235,1.807,236,2.284,237,3.044,238,1.677,239,3.044,240,1.396,241,1.26,242,1.969,243,1.807,244,0.639,245,1.677,246,1.969,247,1.807,248,1.396,249,1.26,250,1.677,251,1.969,252,1.969,253,1.807,254,1.969]],["t/2",[88,6.397,255,11.307,256,16.59]],["r/2",[9,0.697,43,3.041,47,0.658,50,1.339,88,1.166,90,1.873,255,1.943,256,2.851,257,3.196,258,5.275,259,5.275,260,2.434,261,5.275]],["t/3",[3,1.295,262,18.873,263,18.057]],["r/3",[2,0.375,3,0.211,5,0.01,6,1.218,28,0.436,31,1.13,33,1.831,41,1.977,45,1.264,97,3.086,127,3.468,176,3.086,196,1.977,197,3.469,262,3.313,263,2.426,264,5.56,265,3.222,266,3.086,267,3.707,268,3.468,269,3.707,270,3.265,271,4.832,272,4.352,273,3.086,274,3.707,275,2.655,276,4.832,277,4.352,278,4.832,279,3.469,280,4.832]],["t/4",[18,0.341,27,9.064,281,24.295]],["r/4",[0,1.559,2,0.361,3,0.159,4,0.376,5,0.012,6,0.615,9,0.415,12,0.635,13,0.376,14,0.593,16,1.493,17,1.614,18,0.068,20,1.225,21,1.676,22,2.44,25,1.649,26,1.298,27,1.583,28,0.332,30,1.504,36,2.44,37,3.984,38,3.311,43,1.406,44,1.293,45,1.288,46,0.853,47,0.824,48,1.406,49,1.341,50,1.145,51,1.649,52,1.447,53,2.673,54,1.341,55,1.559,56,0.709,58,4.424,59,2.64,60,1.157,61,1.649,62,1.341,63,1.479,64,3.876,65,2.473,66,2.02,67,1.341,68,1.479,69,3.374,70,2.989,71,1.614,73,2.44,74,0.893,75,1.649,76,0.857,77,1.341,78,3.045,79,1.201,80,0.998,81,1.565,82,2.773,83,1.126,84,1.559,85,2.524,86,2.02,87,2.989,88,0.94,89,2.041,90,1.683,115,0.182,116,0.857,127,2.431,177,1.498,178,1.281,244,0.713,268,2.431,270,2.989,281,2.484,282,2.808,283,1.126,284,2.808,285,1.872,286,1.752,287,2.808,288,1.225,289,1.752,290,1.752,291,1.281,292,2.808,293,2.44,294,2.808,295,2.808,296,2.808,297,4.231,298,2.44,299,2.808,300,1.479,301,1.126,302,2.808,303,2.808,304,2.808,305,2.808,306,2.808,307,2.808,308,2.808,309,2.808]],["t/5",[50,6.244,100,6.736,101,7.534,115,2.144,143,12.256]],["r/5",[2,0.252,3,0.153,4,0.36,5,0.011,6,0.573,12,0.326,13,0.6,14,0.552,15,1.535,17,0.829,27,0.878,28,0.488,31,0.532,33,0.861,42,1.451,45,0.594,47,0.283,50,1.39,54,1.249,56,0.438,62,1.914,63,1.377,71,0.829,74,0.846,76,2.373,79,0.617,80,0.93,94,1.048,95,0.689,100,1.111,101,1.242,106,2.21,111,1.743,114,0.532,115,0.432,119,3.102,124,1.878,128,1.224,129,1.249,130,1.377,143,2.299,149,2.647,150,2.861,153,1.914,154,1.954,156,0.829,157,1.878,158,0.799,159,2.225,160,2.705,161,2.007,162,0.799,163,1.631,164,1.631,165,1.535,166,1.451,167,1.878,168,2.705,169,1.676,170,1.914,171,0.799,172,1.451,173,1.377,174,1.451,175,2.5,176,1.451,177,2.09,178,2.492,179,3.137,180,2.047,181,1.249,182,1.007,183,2.047,184,2.047,185,1.549,186,1.607,187,2.878,188,3.137,189,2.327,190,2.047,191,0.894,192,1.193,193,2.047,194,2.353,195,2.047,196,0.93,197,1.631,198,3.137,199,2.047,200,0.894,201,1.535,202,1.743,203,2.5,204,2.127,205,2.047,206,2.047,207,1.048,208,2.047,209,2.007,210,3.642,211,4.276,212,1.743,213,2.047,214,1.743,215,0.573,216,2.047,217,1.732,218,0.967,219,1.249,220,2.047,221,3.137,222,2.878,223,1.451,224,1.743,225,1.878,226,3.137,227,2.047,228,2.047,229,1.878,230,1.631,231,0.894,232,1.631,233,2.047,234,3.137,235,1.878,236,2.353,237,3.137,238,1.743,239,3.137,240,1.451,241,1.31,242,2.047,243,1.878,244,0.664,245,1.743,246,2.047,247,1.878,248,1.451,249,1.31,250,1.743,251,2.047,252,2.047,253,2.878,254,2.047,283,1.048,310,2.272,311,1.878,312,4.276,313,1.451,314,2.272,315,2.615,316,1.535]],["t/6",[317,41.057,318,41.057]],["r/6",[2,0.384,3,0.247,4,0.543,5,0.013,6,0.904,7,1.582,9,0.405,13,0.305,17,0.862,18,0.061,19,2.5,20,1.186,21,1.359,28,0.392,30,1.468,31,0.552,33,1.359,41,1.982,45,0.618,46,1.099,48,1.361,49,0.862,50,0.512,51,1.596,56,0.934,57,2.291,66,1.298,67,1.298,68,1.431,74,0.574,76,0.83,88,0.42,91,1.176,94,1.655,97,3.502,100,1.133,101,1.135,109,1.298,110,2.127,114,1.014,115,0.323,116,1.702,117,1.005,118,1.883,123,1.361,127,2.383,131,1.508,143,1.005,153,1.298,155,2.127,156,0.862,158,1.26,165,1.596,166,2.77,172,2.291,176,1.508,181,1.298,182,1.046,185,1.17,186,2.403,196,2.402,200,1.707,204,1.186,212,1.812,217,0.862,218,1.527,225,1.952,231,1.707,236,1.596,240,2.291,244,1.267,245,1.812,255,0.743,260,2.001,265,1.971,268,1.971,269,1.812,274,1.812,279,1.695,283,1.09,317,3.587,318,2.362,319,2.575,320,2.964,321,2.718,322,3.906,323,5.993,324,2.362,325,2.718,326,1.702,327,1.309,328,1.359,329,1.952,330,3.23,331,1.468,332,1.186,333,1.812,334,2.718,335,2.718,336,1.812,337,2.127,338,2.718,339,4.99,340,2.362,341,3.587,342,1.695,343,1.431,344,1.24,345,1.186,346,1.186,347,2.127,348,1.596,349,2.127,350,3.23,351,2.718,352,1.952,353,2.362,354,2.718,355,1.952,356,1.313,357,2.718,358,2.718,359,1.596,360,2.718,361,2.718,362,3.23,363,3.23,364,1.801,365,3.587,366,2.362,367,2.127,368,2.362,369,2.362,370,2.127,371,2.362,372,1.952,373,1.361,374,2.127,375,1.952,376,2.718,377,2.752,378,2.718,379,2.718,380,2.362]],["t/7",[85,15.302,255,11.307,256,16.59]],["r/7",[9,0.675,21,1.893,26,1.125,28,0.54,30,2.044,33,1.893,44,1.46,45,1.307,50,1.297,85,2.725,90,1.813,215,1.26,255,2.014,256,2.955,257,3.027,258,4.996,259,4.996,260,2.305,261,4.996,266,3.821,381,5.749,382,3.625]],["t/8",[5,0.052,9,2.954,14,6.361,115,1.95,326,9.204,327,9.555]],["r/8",[2,0.271,3,0.189,4,0.387,5,0.014,7,1.91,9,0.67,12,0.654,13,0.48,14,1.649,15,3.08,16,0.995,17,1.198,18,0.058,21,1.244,25,2.218,26,1.385,27,1.149,28,0.57,31,1.225,44,1.332,45,1.555,47,0.568,55,2.097,56,0.879,60,0.859,71,1.198,75,2.218,77,2.168,91,0.797,94,1.515,95,0.995,115,0.39,123,1.892,128,1.154,129,1.804,141,1.892,156,1.198,169,2.519,178,1.723,191,1.292,200,1.292,204,1.649,209,1.892,231,1.292,255,1.032,273,2.912,275,2.505,288,1.649,291,1.723,326,2.162,327,2.413,331,1.343,356,0.828,383,3.283,384,3.497,385,3.497,386,2.357,387,1.989,388,3.778,389,3.778,390,4.105,391,4.267,392,3.283,393,2.357,394,3.283,395,1.723,396,2.097,397,3.08,398,3.283,399,2.357,400,2.519,401,1.515]],["t/9",[91,8.733,342,25.813,356,9.064]],["r/9",[5,0.01,12,0.579,13,0.445,18,0.038,28,0.473,47,0.503,65,2.919,74,1.272,91,1.272,116,1.418,135,2.217,156,1.91,194,2.726,215,1.32,219,2.877,223,3.344,231,2.061,238,4.017,285,3.096,326,1.418,327,1.472,328,1.529,332,3.385,342,4.416,356,1.607,384,4.017,402,4.643,403,4.643,404,4.173,405,4.327,406,5.235,407,6.025,408,6.025,409,6.025,410,6.025,411,6.025,412,6.025,413,2.748,414,3.172,415,4.643,416,4.643,417,4.643,418,4.803,419,3.634,420,3.634,421,4.643,422,4.715,423,4.643,424,6.688,425,3.634,426,6.025]],["t/10",[14,7.767,18,0.304,115,2.381,328,12.117]],["r/10",[2,0.241,3,0.146,4,0.345,5,0.012,9,0.458,12,0.837,13,0.345,14,1.639,16,1.231,18,0.064,26,1.184,30,1.661,44,1.186,45,1.375,47,0.727,60,1.062,90,1.231,114,0.95,115,0.476,117,1.728,128,1.847,132,2.385,181,2.888,185,1.715,203,2.915,255,1.653,273,2.593,328,2.584,345,2.64,346,2.64,372,4.344,382,2.46,387,2.46,391,2.915,427,2.131,428,5.256,429,3.115,430,4.672,431,2.529,432,6.049,433,4.73,434,2.915,435,2.131,436,3.115,437,2.743]],["t/11",[9,3.607,16,9.694,92,12.589,96,15.386]],["r/11",[2,0.265,3,0.23,4,0.517,5,0.013,9,0.687,13,0.378,16,1.934,28,0.504,41,1.824,45,1.459,57,2.847,67,2.449,76,1.566,79,1.21,86,2.449,92,2.512,96,3.161,100,1.043,101,1.166,115,0.332,123,2.569,149,1.824,158,1.566,162,1.566,168,3.889,169,2.144,170,2.449,173,2.7,196,1.824,217,2.035,218,1.897,257,2.7,319,3.2,375,3.683,377,3.419,438,5.129,439,2.569,440,3.419,441,5.129,442,3.011]],["t/12",[5,0.072,177,12.174,300,21.786]],["r/12",[2,0.286,3,0.217,4,0.496,5,0.014,6,1.211,13,0.346,14,0.682,17,1.025,18,0.059,26,0.633,27,0.708,28,0.434,31,0.657,41,1.149,50,1.405,53,1.195,56,0.542,60,1.257,62,1.543,71,2.132,74,0.682,78,2.351,80,1.149,82,2.768,83,1.296,84,1.794,88,0.996,89,1.296,91,0.682,92,1.606,95,1.237,100,1.41,101,1.529,106,1.149,108,2.016,109,1.543,115,0.304,116,2.053,117,1.195,128,1.434,143,1.195,149,1.966,150,2.757,153,1.543,156,1.488,158,1.434,163,2.016,171,1.434,177,2.339,178,3.165,185,1.568,196,1.149,200,1.106,201,2.757,202,3.13,203,3.449,209,1.619,210,3.686,215,0.708,217,1.488,218,1.736,219,1.543,240,1.794,241,1.619,244,0.821,285,2.155,286,2.016,288,1.41,300,2.911,301,1.882,311,2.321,331,1.149,332,1.41,352,2.321,355,2.321,356,1.028,393,2.016,397,2.757,443,3.232,444,4.804,445,3.232,446,2.155,447,3.232,448,3.232,449,2.529,450,2.808,451,2.155,452,4.079,453,2.808,454,2.808,455,1.702,456,1.963,457,3.232,458,2.529,459,1.898,460,2.929,461,2.321,462,4.079,463,2.155,464,2.529,465,1.898,466,2.155]],["t/13",[262,21.552,263,20.619]],["r/13",[2,0.337,3,0.204,4,0.482,5,0.011,6,1.155,12,0.658,14,1.112,18,0.054,28,0.414,31,1.071,41,1.874,45,1.198,50,0.993,100,1.071,101,1.198,115,0.341,128,1.994,131,2.926,132,1.874,163,3.288,169,2.204,170,2.517,171,1.994,182,2.029,185,1.495,186,2.844,218,1.949,232,3.288,262,2.978,263,2.849,275,2.517,279,3.288,283,2.114,324,4.58,465,3.095,467,5.271,468,3.095,469,4.689,470,5.271,471,5.271,472,3.095,473,5.271,474,5.271,475,5.271,476,4.58,477,3.514]],["t/14",[244,11.997,478,33.934]],["r/14",[0,3.664,2,0.362,3,0.185,4,0.437,5,0.011,6,0.99,9,0.647,16,1.559,17,1.433,26,0.885,28,0.464,30,1.607,37,4.633,38,3.537,47,0.759,60,1.501,66,2.158,74,0.954,75,2.653,79,1.066,90,1.965,94,1.812,95,1.19,118,2.061,120,3.013,128,1.38,132,1.607,162,1.808,172,3.286,200,1.546,217,1.433,244,1.958,320,3.246,326,1.38,346,1.972,364,2.583,429,3.013,434,2.819,455,2.379,465,2.653,478,5.538,479,5.652,480,3.246,481,2.379,482,3.927,483,4.519,484,2.508,485,5.919,486,4.519,487,4.519,488,4.519,489,2.508,490,4.519,491,3.927,492,3.246]],["t/15",[281,27.743,301,18.945]],["r/15",[2,0.31,3,0.188,4,0.443,5,0.012,6,1.314,12,0.748,13,0.443,18,0.058,27,1.547,177,1.765,281,4.405,300,3.159,301,3.105,493,5.999,494,5.999]],["t/16",[18,0.39,356,10.351]],["r/16",[2,0.321,3,0.206,4,0.458,5,0.012,6,0.744,9,0.333,12,0.607,13,0.251,17,1.077,18,0.065,21,1.119,27,0.744,28,0.537,31,1.262,43,1.702,44,0.863,50,1.238,53,1.8,54,1.623,60,0.773,62,2.324,63,1.789,71,1.543,76,1.486,79,0.802,80,1.208,81,1.257,85,1.8,87,4.136,88,0.96,89,1.952,91,1.027,92,1.162,96,2.748,100,0.691,101,0.773,108,2.12,114,1.156,115,0.315,118,2.22,132,1.208,136,1.995,143,1.257,156,1.077,158,1.486,160,3.157,161,2.438,171,1.486,173,2.563,178,1.55,182,1.308,187,3.496,189,1.623,191,1.665,192,1.55,200,1.162,207,1.952,215,1.44,244,1.236,248,1.886,249,1.702,255,1.554,289,2.12,290,4.101,333,2.265,356,1.694,385,3.245,414,1.789,435,1.55,446,2.265,455,1.789,463,2.265,495,2.44,496,2.265,497,3.037,498,2.44,499,3.398,500,3.398,501,2.44,502,2.265,503,2.44,504,4.451,505,1.702,506,2.659,507,2.659,508,3.81,509,3.037,510,3.81,511,4.867,512,4.867,513,4.867,514,4.867,515,4.867,516,3.245,517,2.953,518,3.398,519,3.398,520,2.44,521,3.398,522,2.265,523,3.398,524,3.398,525,2.44]],["t/17",[255,12.912,256,18.945]],["r/17",[2,0.35,3,0.212,4,0.351,5,0.008,13,0.351,16,1.254,18,0.061,26,1.198,28,0.48,29,2.792,33,1.567,45,1.082,46,1.026,49,2.343,81,1.76,85,1.76,88,0.736,89,2.455,116,1.453,127,2.273,135,3.232,159,3.398,162,1.453,248,2.642,255,2.02,256,3.086,268,2.273,270,2.795,286,2.969,289,3.819,337,3.725,340,4.136,341,5.32,345,2.077,413,2.171,427,2.171,439,2.384,468,2.795,489,2.642,526,2.384,527,4.759,528,4.759,529,7.144,530,4.759,531,6.122,532,4.759,533,4.512,534,4.082,535,3.725,536,3.725]],["t/18",[18,0.304,46,6.168,526,18.433,537,24.537]],["r/18",[12,0.644,13,0.559,18,0.062,28,0.551,31,1.31,46,1.234,47,0.56,52,1.766,79,1.218,88,1.087,106,2.292,114,1.31,115,0.334,116,1.577,117,2.384,185,1.464,255,1.762,256,2.585,263,2.253,328,2.122,356,1.131,395,2.355,399,3.221,431,2.159,484,3.578,526,3.52,537,3.443,538,5.164,539,2.466,540,5.602,541,2.818,542,2.466,543,2.94,544,5.164,545,4.041]],["t/19",[9,2.709,13,2.039,18,0.345,52,9.454,88,4.273,541,11.081]],["r/19",[2,0.218,3,0.169,4,0.207,5,0.01,7,0.889,9,0.461,12,0.527,13,0.561,14,1.44,15,0.984,16,1.113,17,0.889,18,0.063,21,0.552,25,0.984,26,1.25,27,0.614,28,0.535,29,2.145,42,0.93,43,1.404,44,1.371,45,0.961,46,0.606,47,0.788,48,2.547,49,1.146,50,0.796,52,1.609,53,1.037,55,0.93,56,0.47,60,1.069,61,0.984,65,2.356,68,0.882,76,1.649,77,1.491,80,1.285,81,0.62,82,1.649,83,1.124,85,1.563,86,2.018,88,1.079,89,0.672,90,1.491,91,0.592,93,0.731,102,1.869,106,1.503,115,0.381,116,0.512,117,1.037,119,0.882,126,1.117,127,0.8,128,0.512,129,1.339,130,1.903,135,1.726,142,1.203,149,2.013,154,1.124,156,0.531,159,1.556,162,1.436,176,0.93,182,1.627,185,1.333,186,1.124,191,0.959,197,1.045,215,0.792,230,1.045,231,0.573,238,1.117,249,0.839,255,1.839,256,2.56,257,0.882,260,0.672,265,1.726,266,1.556,267,1.869,268,1.339,269,1.117,270,0.984,273,0.93,275,0.8,283,2.039,286,1.045,289,3.369,291,0.764,301,1.886,319,1.045,326,1.649,327,1.491,328,1.548,331,0.596,344,1.279,345,2.568,346,2.052,347,3.307,348,1.646,356,0.614,373,1.404,384,1.117,391,1.045,397,0.984,399,1.045,400,1.869,401,1.124,413,0.764,427,0.764,431,1.966,433,2.817,439,0.839,442,0.984,451,1.117,456,1.966,460,1.045,468,0.984,469,2.013,489,2.006,495,4.363,496,1.869,497,1.749,502,1.117,516,3.391,533,4.16,534,5.028,535,1.311,536,1.311,541,1.124,543,2.145,546,1.675,547,1.675,548,1.456,549,1.045,550,1.456,551,2.596,552,1.456,553,1.311,554,1.456,555,1.311,556,3.098,557,1.456,558,0.93,559,1.456,560,3.141,561,1.456,562,4.086,563,2.436,564,2.436,565,1.456,566,2.436,567,1.456,568,1.456,569,1.456,570,1.869,571,1.456,572,1.456,573,1.456,574,1.456,575,2.013,576,4.692,577,1.456,578,3.672,579,3.141,580,2.013,581,1.456,582,2.436,583,2.436,584,2.436,585,1.456,586,1.311,587,1.456,588,2.194,589,1.456,590,1.456,591,3.141,592,3.141,593,1.203,594,1.456,595,1.311,596,1.456,597,1.203,598,2.436,599,2.013,600,0.984,601,1.311,602,1.456,603,1.203,604,1.203]],["t/20",[9,2.709,13,2.039,18,0.228,49,8.762,50,5.207,88,4.273,541,11.081]],["r/20",[2,0.263,3,0.2,4,0.312,5,0.009,7,1.149,9,0.53,12,0.588,13,0.561,16,1.115,17,1.149,18,0.06,26,1.11,27,0.616,28,0.536,29,2.149,42,1.56,43,1.815,44,1.075,45,1.289,46,0.71,47,0.803,48,2.709,49,1.494,50,1.362,51,0.987,53,1.04,56,0.607,60,1.071,61,0.987,65,2.36,74,0.355,76,1.439,77,1.149,78,0.842,79,0.397,80,1.288,81,1.04,82,1.653,83,1.453,85,1.566,86,2.022,88,1.1,90,1.424,91,0.765,93,0.734,95,0.74,102,1.874,106,1.811,114,0.571,115,0.274,116,0.858,119,0.885,126,1.121,127,0.803,129,1.73,130,1.908,131,0.933,135,1.73,141,0.842,142,1.207,149,2.095,150,1.651,154,1.698,156,0.533,159,1.56,162,1.651,182,1.961,191,1.448,215,0.368,224,1.121,230,1.049,231,0.962,232,1.049,249,0.842,255,1.662,256,2.614,257,0.885,260,1.127,265,1.73,266,1.56,267,1.874,268,1.342,269,1.121,270,0.987,283,2.043,286,1.049,289,3.374,291,0.767,301,1.889,313,0.933,319,1.049,322,1.316,331,0.598,343,0.885,345,2.223,347,3.314,348,1.651,356,0.616,359,1.651,373,1.408,395,0.767,400,1.121,401,1.127,413,1.282,427,0.767,439,0.842,442,0.987,451,1.121,456,2.13,459,2.486,460,1.049,461,1.207,465,0.987,468,0.987,469,2.019,484,0.933,489,2.35,495,4.368,496,1.874,497,1.754,502,1.121,516,3.396,526,0.842,533,4.165,534,5.031,535,1.316,536,1.316,537,1.121,541,1.698,543,2.974,551,3.384,553,1.316,554,1.461,555,1.316,556,3.102,557,1.461,558,0.933,559,1.461,560,4.699,561,1.461,562,4.094,563,2.443,564,2.443,565,1.461,566,2.443,567,1.461,568,1.461,569,1.461,570,1.874,571,1.461,572,1.461,573,1.461,574,1.461,575,2.019,576,4.699,577,1.461,578,3.679,579,3.148,580,2.019,581,1.461,582,2.443,583,2.443,584,2.443,585,1.461,586,1.316,587,1.461,588,2.2,589,1.461,590,1.461,591,3.148,592,3.148,593,1.207,594,1.461,595,1.316,596,1.461,597,1.207,598,2.443,599,2.019,600,1.651,601,1.316,602,1.461,603,1.207,604,1.207,605,1.461,606,1.681,607,1.461,608,1.121]],["t/21",[2,1.712,3,1.037,4,2.445,5,0.058,56,5.554]],["r/21",[2,0.342,3,0.241,4,0.558,5,0.014,6,1.506,9,0.338,12,0.431,13,0.363,14,1.493,18,0.028,21,1.137,24,2.301,26,0.964,27,1.078,28,0.45,31,1.518,44,1.746,45,1.304,47,0.717,56,0.825,60,1.119,65,1.506,67,1.648,74,0.729,75,2.027,76,1.054,79,0.814,83,1.384,86,1.648,90,1.297,92,1.181,100,1.272,101,1.422,109,2.74,114,1.344,115,0.371,117,1.821,123,2.874,132,2.224,141,1.729,149,1.75,153,1.648,158,1.503,162,1.054,168,2.732,169,2.615,170,1.648,171,1.054,173,1.818,174,1.916,175,2.154,177,1.448,189,2.74,191,2.14,192,2.617,200,1.181,209,1.729,215,0.756,217,1.561,218,2.122,231,1.684,257,1.818,275,2.351,281,2.027,288,1.506,313,1.916,336,2.301,373,1.729,385,2.301,395,1.575,396,1.916,427,1.575,435,1.575,439,2.466,442,2.027,480,2.479,481,1.818,509,2.154,608,2.301,609,3.452,610,2.027,611,2.702,612,2.702,613,3.369,614,3.452,615,2.479,616,2.702]],["t/22",[2,1.428,3,0.865,4,2.039,5,0.048,50,5.207,115,1.788,143,10.221]],["r/22",[2,0.322,3,0.195,4,0.46,5,0.012,6,0.576,12,0.328,13,0.599,14,0.555,15,1.543,17,0.833,27,0.881,28,0.489,31,0.534,33,1.325,42,1.459,45,0.598,47,0.285,50,1.404,54,1.255,56,0.441,62,1.921,63,1.384,71,0.833,74,0.849,76,2.375,79,0.62,94,1.054,95,0.692,100,0.818,101,0.915,106,1.948,111,1.752,114,0.534,115,0.443,119,3.109,124,1.888,128,1.229,129,1.255,130,1.384,143,2.397,149,2.65,150,2.871,153,1.921,154,1.96,156,0.833,157,1.888,158,0.803,159,2.233,160,2.714,161,2.015,162,0.803,163,1.64,164,1.64,165,1.543,166,1.459,167,1.888,168,2.714,169,1.682,170,1.921,171,0.803,172,1.459,173,1.384,174,1.459,175,2.51,176,1.459,177,2.058,178,2.499,179,3.149,180,2.057,181,1.255,182,1.012,183,2.057,184,2.057,185,1.553,186,1.613,187,2.89,188,3.149,189,2.335,190,2.057,191,0.899,192,1.199,193,2.057,194,2.363,195,2.057,196,0.935,197,1.64,198,3.149,199,2.057,200,0.899,201,1.543,202,1.752,203,2.51,204,2.134,205,2.057,206,2.057,207,1.054,208,2.057,209,2.015,210,3.652,211,4.287,212,1.752,213,2.057,214,1.752,215,0.576,216,2.057,217,1.737,218,0.972,219,1.255,220,2.057,221,3.149,222,2.89,223,1.459,224,1.752,225,1.888,226,3.149,227,2.057,228,2.057,229,1.888,230,1.64,231,0.899,232,1.64,233,2.057,234,3.149,235,1.888,236,2.363,237,3.149,238,1.752,239,3.149,240,1.459,241,1.316,242,2.057,243,1.888,244,0.667,245,1.752,246,2.057,247,1.888,248,1.459,249,1.316,250,1.752,251,2.057,252,2.057,253,1.888,254,2.057,310,2.284,311,1.888,312,2.057,316,1.543]],["t/23",[16,10.899,255,11.307,256,16.59]],["r/23",[3,0.22,16,1.851,26,1.165,44,1.784,49,2.449,65,2.597,90,1.568,95,1.568,135,3.356,255,1.92,256,2.998,257,3.134,556,3.7,617,5.952]],["t/24",[16,9.694,96,15.386,100,7.481,101,8.367]],["r/24",[5,0.009,6,1.147,12,0.811,16,1.863,28,0.411,30,1.861,31,1.438,43,2.622,68,2.756,95,1.379,96,3.092,100,1.504,101,1.682,115,0.421,118,2.388,132,1.861,158,1.599,160,2.906,161,2.622,171,1.599,173,2.756,174,2.906,189,2.5,191,2.224,192,2.388,207,2.099,244,1.329,290,4.056,427,2.388,435,2.388,446,3.49,497,3.266,503,3.76,504,5.088,505,2.622,507,4.097,508,4.097,509,4.056,510,4.097,618,4.549,619,4.549]],["t/25",[244,11.997,526,23.665]],["r/25",[2,0.293,3,0.22,4,0.531,5,0.012,13,0.25,18,0.054,24,2.26,29,1.546,30,1.728,33,1.116,46,0.568,60,1.291,66,1.619,75,2.853,88,0.751,92,2.338,95,0.893,100,1.389,101,1.493,108,2.115,109,1.619,110,2.653,114,0.689,129,1.619,132,1.206,156,1.075,164,2.115,181,1.619,192,1.546,194,1.991,209,2.434,217,2.232,218,2.429,231,2.122,235,4.08,236,1.991,244,1.668,245,4.136,248,4.18,249,2.434,273,1.882,313,2.697,316,1.991,343,1.785,350,2.653,364,2.121,365,2.946,366,2.946,367,2.653,370,4.446,373,3.107,375,2.435,440,2.26,456,2.746,478,2.435,479,2.435,522,2.26,526,2.845,533,4.136,539,1.619,542,1.619,543,1.546,550,2.946,580,2.435,620,3.39,621,5.68,622,2.946,623,3.39,624,3.544,625,7.039,626,3.804,627,3.39,628,3.39,629,5.68,630,3.39,631,4.86,632,4.86,633,4.936,634,3.39,635,2.946,636,3.39,637,2.946,638,3.39,639,3.39,640,4.86,641,2.946,642,3.39,643,3.39,644,3.39,645,2.946,646,3.39,647,2.946,648,2.653,649,2.946,650,3.39,651,3.39,652,2.946,653,4.86,654,2.653,655,2.653,656,3.39,657,3.39,658,3.39,659,4.86,660,2.26]],["t/26",[88,7.305,356,10.351]],["r/26",[3,0.196,5,0.007,13,0.518,16,1.07,18,0.065,20,1.772,28,0.432,33,1.337,46,1.262,47,0.44,50,0.765,61,2.384,69,3.725,70,3.236,71,1.984,74,1.416,82,1.852,88,1.193,91,1.416,93,2.405,105,3.528,115,0.357,116,1.24,117,1.502,128,1.24,136,3.236,149,1.444,177,1.195,185,1.151,196,1.96,217,1.747,229,2.916,244,1.589,265,1.939,283,1.628,300,2.138,331,1.444,332,1.772,356,1.691,364,1.772,385,2.707,386,2.533,393,3.439,397,3.236,413,1.852,414,2.138,427,1.852,456,2.616,458,3.178,463,3.675,517,3.528,526,2.034,541,2.21,542,2.988,543,2.514,570,2.707,660,2.707,661,4.06,662,3.528,663,3.528,664,3.528,665,3.528,666,4.06,667,3.528,668,3.439,669,3.528,670,4.06,671,4.06,672,4.06,673,2.707,674,3.958]],["t/27",[18,0.249,46,5.051,49,9.555,50,5.678,51,17.696,675,21.645]],["r/27",[12,0.519,18,0.061,21,1.845,31,0.846,33,1.37,46,1.062,48,3.544,49,1.776,50,1.373,51,2.443,60,0.946,62,1.987,65,2.445,76,2.07,79,0.981,80,1.479,88,0.643,89,1.668,94,1.668,95,1.096,114,1.139,115,0.269,116,1.27,129,1.987,164,2.596,178,1.898,181,1.987,200,1.917,217,1.776,249,2.084,255,1.137,283,2.718,289,2.596,316,2.443,397,2.443,405,2.988,414,2.191,427,1.898,449,3.256,456,2.834,463,3.736,464,3.256,492,2.988,495,2.988,502,4.224,534,4.717,543,2.89,555,3.256,556,3.987,588,3.256,626,3.256,675,4.55,676,4.16,677,4.16,678,3.256,679,4.16,680,4.16,681,4.16,682,4.16,683,4.16,684,4.16,685,4.16,686,5.603,687,5.603,688,5.603,689,5.603,690,4.16,691,4.16,692,3.615,693,4.16,694,5.603,695,4.16,696,5.603,697,4.16,698,4.16,699,4.16,700,4.16,701,4.16,702,3.256]],["t/28",[100,9.605,101,10.742]],["r/28",[0,1.205,2,0.179,3,0.237,4,0.508,5,0.013,6,0.947,7,0.688,9,0.213,13,0.364,14,0.731,16,0.913,18,0.058,20,0.947,21,1.625,26,0.425,27,0.947,28,0.423,30,1.537,31,1.169,33,1.424,46,0.581,47,0.375,52,0.743,56,0.904,61,1.275,66,1.037,67,1.654,70,1.275,74,0.731,80,1.232,81,1.281,82,1.58,84,1.923,88,0.336,89,0.87,91,1.213,92,2.624,95,1.139,96,3.255,97,2.739,98,4.415,99,3.291,100,1.553,101,1.728,102,2.883,106,1.918,107,4.306,108,3.079,109,2.992,111,1.447,112,1.886,113,1.886,114,1.003,115,0.39,116,1.058,117,1.281,118,0.99,122,1.354,125,1.354,132,1.537,143,2.126,148,1.354,149,1.232,156,0.688,158,1.32,159,1.205,166,1.205,169,0.907,171,0.663,186,0.87,189,1.037,191,1.185,192,1.972,196,2.297,200,1.479,204,1.512,209,1.087,212,1.447,215,0.476,218,1.281,223,1.205,236,1.275,241,1.087,244,0.88,262,1.58,266,1.205,267,1.447,275,1.037,288,0.947,313,1.205,319,3.079,322,1.699,326,0.663,349,1.699,353,3.01,356,1.081,371,1.886,372,1.559,373,2.165,374,2.711,375,1.559,377,1.447,380,3.01,395,1.58,396,1.205,435,1.58,440,2.883,458,1.699,466,1.447,477,1.447,501,2.488,505,1.087,506,1.699,520,1.559,537,1.447,542,1.037,545,1.699,549,1.354,558,1.205,599,1.559,600,1.275,610,1.275,613,1.275,624,2.697,641,1.886,655,2.711,668,1.354,669,1.886,674,2.488,678,1.699,703,2.171,704,3.464,705,2.171,706,1.886,707,2.171,708,1.699,709,2.171,710,2.171,711,1.886,712,1.886,713,2.171,714,1.699,715,2.171,716,2.171,717,1.886,718,3.464,719,1.886,720,1.886,721,2.171,722,1.886,723,2.171,724,2.171,725,2.171,726,1.886,727,2.171,728,2.171,729,1.559,730,2.171,731,1.886,732,1.886]],["t/29",[5,0.052,18,0.249,56,5.051,326,9.204,327,9.555,484,16.729]],["r/29",[2,0.195,3,0.118,4,0.278,5,0.012,12,0.852,13,0.278,14,1.105,18,0.066,26,0.738,27,1.318,28,0.411,29,1.719,31,1.389,46,0.878,47,0.652,56,1.09,67,1.8,79,1.612,81,1.394,86,1.8,88,0.583,130,1.984,148,2.351,149,1.862,156,1.195,185,1.937,192,1.719,201,3.818,207,1.511,215,0.826,219,1.8,273,2.907,286,2.351,326,1.599,327,1.908,345,2.982,346,3.278,348,2.213,364,2.838,399,3.267,413,1.719,429,2.513,431,2.857,433,4.837,434,4.057,437,3.533,484,2.092,505,3.81,541,1.511,610,4.153,733,4.55,734,5.236,735,5.938,736,3.275,737,2.949,738,3.275,739,3.275,740,6.503,741,3.768,742,4.55,743,3.768,744,3.768,745,3.768,746,3.768,747,3.768]],["t/30",[9,4.055,92,14.154,93,18.057]],["r/30",[2,0.215,3,0.221,4,0.522,5,0.014,7,1.319,9,0.621,12,0.519,13,0.522,16,1.476,18,0.056,20,1.816,25,3.29,26,1.097,28,0.497,47,0.607,60,1.274,77,1.776,79,0.981,80,1.479,81,2.507,91,0.878,92,2.652,93,2.445,95,1.962,96,3.294,97,3.516,98,4.519,99,4.224,100,1.481,101,1.657,102,2.774,107,4.224,108,2.596,109,2.676,115,0.363,149,1.479,178,1.898,182,1.601,241,2.084,288,1.816,291,1.898,401,1.668,439,2.806,748,4.16,749,4.16,750,4.16]],["t/31",[13,3.053,18,0.341,301,16.59]],["r/31",[3,0.108,4,0.255,5,0.006,12,0.781,13,0.558,18,0.068,19,1.733,21,1.139,27,1.259,28,0.451,44,1.252,46,1.109,47,0.717,49,1.821,50,1.334,52,1.687,54,1.652,60,1.699,69,3.476,70,3.373,71,1.821,76,1.506,77,1.821,79,1.163,80,1.23,84,1.92,88,1.191,90,1.299,91,1.041,95,1.299,100,1.168,101,0.787,106,1.753,109,1.652,114,0.703,115,0.405,116,1.057,126,2.307,128,1.057,138,3.006,150,2.031,154,1.977,171,1.057,204,1.51,215,1.507,217,1.097,255,0.945,256,1.387,260,1.977,265,1.652,301,1.387,327,1.097,328,1.139,344,1.578,345,1.51,352,3.541,356,1.259,396,1.92,413,1.578,449,2.708,456,2.402,459,2.031,460,2.158,461,2.485,498,2.485,520,2.485,539,2.355,541,2.303,542,2.355,543,1.578,551,3.541,558,3.189,604,2.485,652,3.006,673,2.307,674,2.485,708,2.708,751,3.46,752,3.46,753,3.46,754,3.859,755,3.46,756,3.46]],["t/32",[81,13.611,96,15.386,100,7.481,101,8.367]],["r/32",[6,1.183,12,0.674,31,1.458,43,2.706,81,2.652,96,2.998,100,1.458,101,1.631,118,2.464,132,1.921,158,2.024,160,2.999,161,2.706,171,1.65,173,2.844,174,2.999,189,2.58,191,2.268,192,2.464,207,2.166,215,1.183,244,1.372,290,4.136,427,2.464,446,3.602,497,3.37,503,3.88,504,5.188,505,2.706,507,4.228,508,4.228,509,4.136,510,4.228,618,4.694,619,4.694,757,5.402]],["t/33",[130,21.786,255,11.307,256,16.59]],["r/33",[42,3.383,44,1.548,47,0.661,49,1.932,65,2.66,76,1.861,90,1.605,130,3.976,162,1.861,250,4.064,255,1.947,256,2.857,552,5.296,556,3.209,758,5.296]],["t/34",[18,0.39,82,21.552]],["r/34",[2,0.325,3,0.216,18,0.067,26,1.233,27,1.38,46,1.283,47,0.787,53,2.33,55,2.763,59,3.105,64,4.032,71,1.578,74,1.051,80,1.77,81,1.841,82,3.492,83,1.996,90,1.659,127,2.377,141,2.493,162,1.52,196,2.458,204,2.172,207,1.996,244,1.264,268,2.377,331,1.77,427,2.271,472,2.923,481,2.621,648,3.896,759,4.978,760,3.896,761,3.575,762,3.575,763,3.575,764,3.896]],["t/35",[2,1.712,3,1.037,4,2.445,5,0.058,6,7.26]],["r/35",[2,0.394,3,0.242,4,0.563,5,0.014,6,1.569,12,0.538,13,0.508,17,1.368,18,0.059,19,3.231,20,1.883,28,0.338,31,0.877,33,1.42,44,1.095,46,1.081,49,1.368,50,0.813,52,1.476,56,0.962,60,0.981,66,2.06,67,2.06,71,1.368,79,1.018,88,0.667,91,0.91,92,1.476,93,1.883,100,1.167,101,0.981,106,1.534,109,2.06,115,0.445,117,2.123,118,2.618,123,2.161,132,2.041,154,1.73,158,1.317,171,1.317,177,1.689,191,1.964,196,1.534,200,1.476,215,1.258,236,2.533,244,1.095,262,1.968,263,1.883,288,1.883,300,2.271,345,1.883,346,1.883,356,0.945,362,3.376,363,3.376,446,2.876,455,2.271,539,2.06,613,2.533,765,4.314,766,4.314]],["t/36",[18,0.304,88,5.69,185,10.435,431,15.386]],["r/36",[5,0.011,12,0.707,13,0.525,16,1.114,18,0.053,28,0.444,43,2.119,47,0.692,56,1.071,65,2.788,74,1.196,83,1.696,88,0.876,91,0.893,95,1.114,116,1.73,135,2.02,153,2.02,177,1.667,185,1.811,186,2.272,215,1.241,244,1.074,272,3.311,274,2.82,326,1.73,327,1.796,328,1.865,331,1.504,332,1.846,337,3.311,345,1.846,356,1.241,386,2.639,404,2.639,405,4.069,413,1.929,414,2.983,418,4.588,419,3.311,420,3.311,425,4.434,431,3.127,434,2.639,456,1.768,525,3.038,556,2.983,603,3.038,767,4.23,768,4.434,769,5.93,770,4.434,771,3.676,772,3.676,773,3.311,774,5.666,775,5.666,776,4.23,777,4.588,778,5.93,779,4.23,780,4.23,781,4.23,782,4.23,783,4.23,784,4.23,785,4.23,786,4.923,787,3.676,788,3.676,789,4.23,790,4.23,791,4.23,792,4.23,793,4.23,794,4.23]],["t/37",[2,1.428,3,0.865,4,2.039,5,0.048,6,6.054,31,5.618,122,17.242]],["r/37",[0,3.253,2,0.36,3,0.218,4,0.514,5,0.013,6,1.525,9,0.574,18,0.048,19,2.935,31,1.191,47,0.635,77,1.858,94,2.35,115,0.379,122,4.344,301,2.35,401,2.35,482,5.092,795,5.86,796,5.86,797,5.86,798,4.587]],["t/38",[6,9.064,262,18.873,263,18.057]],["r/38",[2,0.369,3,0.223,4,0.526,5,0.012,6,1.681,7,1.592,9,0.492,14,0.749,16,0.935,20,2.191,28,0.497,29,2.889,31,1.628,33,1.168,41,2.071,44,1.275,45,1.141,56,0.841,79,0.837,81,1.312,95,0.935,114,0.721,115,0.325,123,3.475,132,2.252,153,1.695,154,1.423,161,2.514,166,1.97,170,2.782,171,1.533,172,1.97,189,3.191,191,2.681,192,2.657,197,3.951,200,1.214,215,1.1,218,1.312,231,1.214,250,2.366,253,2.549,262,2.657,263,1.549,275,2.782,277,2.777,278,3.084,279,2.214,280,4.362,343,1.868,364,2.191,370,2.777,373,1.777,413,1.619,439,3.172,464,2.777,472,2.084,481,1.868,610,2.084,612,2.777,613,4.074,624,2.214,702,2.777,714,3.929,733,3.084,799,3.549,800,3.084,801,3.549,802,3.549,803,3.549,804,3.549,805,3.549,806,5.02,807,3.549,808,3.549,809,3.549,810,3.084]],["t/39",[9,4.055,18,0.341,85,15.302]],["r/39",[2,0.208,3,0.126,4,0.296,5,0.01,7,1.274,9,0.655,12,0.776,13,0.562,18,0.067,21,1.802,26,1.071,27,0.88,28,0.566,29,1.833,30,1.429,44,1.02,45,1.244,46,1.12,47,0.782,50,1.359,60,0.913,69,2.23,70,2.359,71,1.274,76,1.227,77,1.735,83,1.611,85,3.009,87,3.654,88,1.081,89,1.611,91,1.155,114,0.817,115,0.354,120,2.679,136,2.359,154,1.611,156,1.274,162,1.671,171,1.227,182,1.546,200,1.872,209,2.012,215,1.199,240,2.23,260,1.611,291,1.833,320,2.885,343,2.115,346,1.753,350,3.144,382,2.881,401,1.611,459,2.359,496,3.648,516,2.679,575,2.885,811,4.017,812,3.144,813,3.491]],["t/40",[186,14.756,262,16.787,263,16.06,477,24.537]],["r/40",[2,0.35,3,0.212,4,0.5,5,0.012,6,1.046,18,0.059,19,2.391,31,1.454,41,1.698,46,0.8,47,0.517,49,1.514,50,1.348,52,1.633,56,1.199,74,1.008,115,0.309,129,2.28,132,1.698,143,2.269,149,1.698,158,1.873,161,3.072,169,1.996,171,1.458,177,1.805,185,1.354,186,2.46,200,1.633,207,1.914,214,3.183,223,2.65,262,2.798,263,2.084,283,2.718,311,3.429,349,3.737,395,2.798,459,3.98,477,4.519,505,2.391,542,2.28,600,2.803,610,2.803,729,5.314,814,4.774,815,6.134,816,4.774,817,4.149,818,3.737]],["t/41",[18,0.39,88,7.305]],["r/41",[2,0.285,3,0.172,4,0.407,5,0.01,9,0.613,12,0.507,13,0.407,18,0.067,20,3.158,21,1.337,28,0.319,30,1.444,33,1.337,45,1.595,46,0.924,47,0.802,50,1.394,53,2.038,60,1.253,74,0.857,78,2.761,81,1.502,83,1.628,84,3.059,85,2.314,87,3.94,88,1.245,90,1.452,91,1.321,95,1.452,118,1.852,135,3.205,136,2.384,141,2.034,154,1.628,162,1.683,171,1.24,175,2.533,181,1.939,207,1.628,215,1.207,217,1.747,265,1.939,275,2.988,314,3.528,332,1.772,414,2.902,427,1.852,476,3.528,624,2.533,668,2.533,798,3.178,819,4.06,820,4.06,821,4.06,822,5.512,823,4.789]],["t/42",[3,1.479,46,7.919]],["r/42",[2,0.306,3,0.241,4,0.542,5,0.009,7,1.626,13,0.27,18,0.059,21,1.205,28,0.55,29,2.702,30,1.301,31,1.043,44,0.929,46,1.251,52,1.755,66,1.748,67,2.45,71,1.626,88,0.566,94,2.574,114,0.744,116,1.567,126,2.44,127,1.748,129,1.748,131,2.848,158,1.118,166,2.031,171,1.118,186,2.057,201,3.77,215,0.802,240,2.031,248,3.564,260,1.467,266,2.031,268,2.45,270,2.149,273,2.848,283,1.467,316,3.77,329,4.254,330,4.636,331,1.301,343,1.927,348,2.149,373,1.833,377,2.44,440,2.44,442,2.149,456,3.07,465,2.149,466,2.44,468,3.012,489,2.848,533,4.798,534,3.95,542,3.346,543,2.34,556,1.927,580,2.628,586,4.015,593,2.628,624,3.201,635,3.18,647,3.18,660,2.44,678,2.864,692,3.18,770,4.015,800,5.148,824,3.66,825,3.66,826,3.66,827,3.66,828,4.458,829,3.18,830,3.18,831,3.18,832,3.66,833,5.13,834,3.66,835,3.66,836,5.13,837,3.66,838,3.66]],["t/43",[18,0.304,91,7.767,115,2.381,356,8.062]],["r/43",[2,0.263,3,0.2,4,0.376,5,0.012,9,0.355,12,0.452,13,0.516,18,0.066,26,0.709,27,1.116,28,0.4,46,0.988,47,0.778,48,2.552,49,1.616,50,1.269,52,1.24,56,0.608,63,1.909,74,1.546,88,1.041,90,1.342,91,1.474,106,1.812,115,0.414,154,2.043,185,1.671,196,1.812,215,0.794,219,2.433,231,1.743,244,1.71,260,1.453,301,1.453,326,1.556,327,1.616,328,1.678,331,1.289,332,2.224,355,2.603,356,1.731,359,3.46,364,1.582,382,1.909,387,1.909,404,3.677,413,2.688,431,2.464,435,1.653,455,2.683,459,4.102,461,2.603,472,2.128,484,2.012,539,2.433,541,2.701,660,2.417,663,4.428,674,2.603,726,3.15,831,3.15,839,3.15,840,3.15,841,4.428,842,3.625,843,3.625,844,3.15,845,3.625]],["t/44",[91,7.767,185,10.435,356,8.062,431,15.386]],["r/44",[5,0.012,12,0.572,13,0.553,28,0.36,47,0.721,56,0.769,65,2.002,74,1.262,83,1.839,91,1.262,95,1.208,116,1.401,135,2.191,153,2.191,185,1.885,215,1.309,244,1.165,272,3.59,274,3.058,326,1.825,327,1.895,328,1.968,331,1.631,345,2.002,356,1.543,386,2.862,404,2.862,405,4.293,413,2.092,414,3.147,418,4.775,419,3.59,420,3.59,422,3.59,425,3.59,431,3.054,522,3.058,556,3.147,603,3.294,720,3.986,768,3.59,769,5.194,770,4.678,771,5.194,772,5.778,773,3.59,777,3.294,778,5.194,786,5.194,787,3.986,788,3.986,846,4.587,847,4.587,848,5.977,849,5.977,850,4.587,851,4.587,852,5.977,853,4.587,854,4.587,855,4.587]],["t/45",[18,0.304,52,12.589,185,10.435,431,15.386]],["r/45",[5,0.013,12,0.567,18,0.064,28,0.466,46,0.996,52,1.555,56,0.762,62,2.171,74,1.482,81,1.681,88,1.024,91,1.482,94,1.823,114,0.924,116,2.022,131,2.523,136,2.669,177,1.338,182,1.75,185,2.158,186,2.383,204,1.984,207,1.823,215,0.996,219,2.171,231,1.555,244,1.509,326,2.022,327,2.099,328,2.18,332,2.593,342,2.836,356,1.637,395,2.074,396,2.523,404,3.707,431,3.183,435,2.074,456,1.901,469,3.265,526,2.277,541,1.823,542,2.171,611,3.558,742,3.95,768,5.495,773,3.558,856,4.546,857,4.546,858,4.546]],["t/46",[859,47.848]],["r/46",[2,0.38,3,0.23,4,0.543,5,0.013,6,1.612,7,1.816,12,0.715,13,0.423,27,1.255,125,3.573,128,1.749,368,4.977,401,2.297,455,3.016,489,3.179,539,2.735,597,4.114,654,4.483,859,4.977,860,5.728,861,4.933,862,5.728,863,5.728,864,5.728]],["t/47",[7,10.506,56,5.554,100,6.736,101,7.534,610,19.458]],["r/47",[2,0.34,3,0.223,4,0.527,5,0.011,6,1.339,7,1.695,12,0.485,13,0.486,16,1.408,17,1.231,18,0.032,31,1.404,47,0.579,56,1.025,74,1.29,92,2.092,94,1.557,100,1.571,101,1.74,106,1.901,114,0.79,115,0.251,117,1.436,118,1.772,132,2.174,141,1.945,143,2.902,144,3.04,148,2.423,154,1.557,156,1.231,158,2.012,162,1.186,165,2.281,171,1.186,186,2.452,189,1.855,191,1.329,192,1.772,214,2.59,215,1.171,218,2.261,223,3.394,281,2.281,290,2.423,359,2.281,364,1.695,395,2.789,435,2.439,477,4.077,481,2.045,498,2.79,502,2.59,505,3.062,522,2.59,525,3.84,558,2.156,600,3.59,608,2.59,610,3.59,613,2.281,729,4.391,818,3.04,865,3.884,866,3.884,867,3.884,868,3.884,869,2.79,870,3.884]],["t/48",[18,0.304,19,18.433,20,16.06,115,2.381]],["r/48",[2,0.288,3,0.175,4,0.412,5,0.013,12,0.696,14,1.535,18,0.067,19,3.644,20,2.435,46,1.133,53,2.064,54,2.665,64,3.098,78,2.795,82,2.546,85,2.064,88,0.863,115,0.489,326,1.704,327,1.769,328,1.837,344,2.546,346,2.435,871,4.849]],["t/49",[2,1.428,3,0.865,4,2.039,5,0.048,92,9.454,160,15.34,161,13.842]],["r/49",[2,0.292,3,0.194,4,0.418,5,0.011,12,0.42,13,0.418,16,1.629,18,0.056,26,0.659,28,0.379,29,1.536,33,1.109,42,1.869,50,0.911,53,1.246,54,1.608,64,1.869,66,2.31,68,1.773,76,1.028,79,1.141,81,2.093,85,1.246,88,0.521,89,1.35,91,0.711,92,2.459,93,1.47,94,1.939,95,0.887,96,3.302,98,4.124,99,2.245,100,1.598,101,1.787,107,3.773,114,0.685,115,0.4,128,1.028,129,2.31,132,1.198,145,2.927,153,2.31,155,2.636,156,1.533,157,2.419,158,1.028,160,3.899,161,3.666,163,3.859,164,2.101,165,2.84,166,1.869,167,2.419,186,1.35,200,1.152,204,1.47,207,1.35,215,1.06,241,1.687,248,3.141,260,1.35,266,1.869,268,1.608,269,2.245,274,3.225,290,2.101,313,3.141,331,1.72,343,1.773,348,1.977,356,1.06,374,2.636,392,2.927,429,3.225,435,1.536,466,2.245,468,1.977,492,2.419,501,2.419,525,2.419,637,2.927,668,3.531,702,2.636,717,2.927,736,2.927,872,3.368,873,3.368,874,3.368,875,3.368,876,3.368,877,3.368,878,4.836,879,4.836,880,3.368,881,3.368]],["t/50",[18,0.341,53,15.302,64,22.966]],["r/50",[2,0.341,3,0.141,13,0.332,18,0.068,26,1.156,27,1.294,28,0.353,41,1.602,46,1.173,47,0.823,53,2.909,55,2.501,56,0.99,59,2.811,60,1.024,62,2.152,63,2.372,64,4.366,66,2.821,69,3.883,70,3.469,71,1.873,74,0.951,78,2.257,79,1.394,80,2.101,82,2.055,90,1.187,106,1.602,114,0.916,116,1.376,127,2.821,162,1.376,175,2.811,196,1.602,200,1.541,268,2.821,331,1.602,472,2.646,481,2.372,761,3.236,762,3.236,763,3.236,764,3.526,861,3.236,882,4.506]],["t/51",[13,2.716,18,0.304,46,6.168,117,13.611]],["r/51",[5,0.007,9,0.646,12,0.485,13,0.583,14,0.82,16,1.735,17,2.088,18,0.068,26,1.047,27,1.171,44,0.986,45,0.883,46,1.197,47,0.421,48,1.945,49,2.088,50,1.301,52,2.092,53,1.436,56,0.651,60,1.57,69,2.156,71,1.231,79,1.442,80,1.381,88,1.068,90,1.82,91,0.82,93,1.695,95,1.023,100,0.79,106,1.901,114,0.79,115,0.396,117,1.977,150,2.281,154,2.452,162,1.186,215,1.443,244,0.986,255,1.461,256,1.557,301,2.452,326,1.186,327,1.231,328,1.279,344,1.772,356,1.171,382,2.045,387,2.045,435,1.772,456,1.624,539,2.92,541,2.933,543,1.772,549,2.423,551,2.79,558,3.394,601,3.04,706,3.375]],["t/52",[9,4.055,18,0.341,88,6.397]],["r/52",[2,0.338,3,0.183,4,0.432,5,0.01,7,1.408,9,0.682,12,0.73,13,0.533,18,0.067,20,1.938,21,1.462,26,0.869,27,1.282,28,0.459,30,1.579,33,1.926,41,1.579,45,1.488,46,0.981,47,0.783,50,1.311,53,1.642,54,2.12,56,0.744,57,2.464,74,0.937,77,1.855,78,2.224,79,1.047,85,2.164,87,2.607,88,1.249,89,1.78,91,0.937,95,1.169,114,0.903,135,2.12,154,1.78,182,1.709,191,1.519,200,2.001,217,1.408,241,2.224,260,1.78,291,2.025,401,1.78,414,2.338,570,2.96,575,3.189,605,3.858,812,3.475,823,3.858,869,3.189,883,4.44]],["t/53",[9,5.397]],["r/53",[2,0.275,3,0.167,4,0.393,5,0.011,9,0.805,12,0.664,13,0.526,14,1.504,16,1.403,18,0.059,27,1.167,41,1.894,47,0.577,49,1.689,50,1.004,52,1.822,85,1.97,88,1.102,92,2.248,93,2.324,96,2.227,115,0.461,119,2.805,177,1.567,326,1.627,327,1.689,328,1.754,344,2.43,539,2.544,884,5.326]],["t/54",[14,7.767,18,0.304,115,2.381,344,16.787]],["r/54",[9,0.559,13,0.421,14,1.608,18,0.063,26,1.117,44,1.74,45,1.558,47,0.743,60,1.297,90,1.503,114,1.16,115,0.443,117,2.11,128,1.743,255,1.873,344,3.35,364,2.49,382,3.005,387,3.005,391,3.56,436,3.804,437,3.351,885,5.706]],["t/55",[3,1.295,4,3.053,5,0.072]],["r/55",[2,0.317,3,0.244,4,0.568,5,0.013,6,1.046,7,1.514,13,0.352,17,1.514,18,0.059,19,2.391,20,2.084,21,1.572,28,0.481,30,1.698,31,0.971,41,1.698,46,1.24,48,2.391,49,1.945,50,1.156,51,3.602,52,1.633,56,0.8,66,2.28,76,1.458,94,1.914,97,2.65,115,0.309,185,1.354,196,1.698,215,1.046,255,1.305,316,2.803,319,2.979,326,1.458,327,1.514,328,1.572,329,4.406,330,3.737,331,1.698,344,2.178,345,2.084,346,2.084,369,4.149,373,2.391,377,3.183,440,3.183,456,1.996,501,3.429,503,3.429,542,2.929,543,2.178,675,3.429,886,4.774,887,4.774]],["t/56",[5,0.072,143,15.302,888,35.954]],["r/56",[2,0.293,3,0.214,4,0.504,5,0.014,6,0.929,7,1.345,9,0.416,14,1.198,15,2.491,26,0.83,27,1.401,28,0.536,29,1.935,30,1.508,33,1.397,41,1.508,45,0.964,47,0.46,60,0.964,68,2.233,77,1.345,97,3.551,100,1.154,101,1.29,114,0.862,115,0.414,128,1.295,143,2.768,158,1.733,162,1.295,168,3.151,169,2.977,170,2.026,196,1.508,204,1.851,217,1.345,218,2.099,240,2.354,241,2.124,260,2.276,265,2.026,266,2.354,267,2.828,276,3.686,332,1.851,342,2.646,466,2.828,498,3.046,520,3.046,549,2.646,624,2.646,645,3.686,665,3.686,712,3.686,714,3.32,812,4.443,828,3.686,888,6.368,889,4.242,890,4.242,891,4.242,892,4.932,893,4.242,894,4.932,895,5.676,896,4.242,897,4.242,898,4.242,899,3.686,900,4.242,901,4.242]],["t/57",[18,0.39,78,23.665]],["r/57",[2,0.247,3,0.192,9,0.602,17,1.518,18,0.067,26,1.203,27,1.347,40,3.749,44,1.216,45,1.089,46,1.241,47,0.776,53,2.51,55,2.658,56,0.803,59,2.988,60,1.089,64,3.975,71,1.518,74,1.011,78,3.86,79,1.13,80,1.703,83,1.92,90,1.788,97,2.658,114,0.974,162,1.463,196,2.186,204,2.09,207,1.92,331,1.703,356,1.347,387,2.522,427,2.185,472,2.812,481,2.522,648,4.811,722,4.162,737,3.749,760,3.749,761,3.44,762,3.44,763,3.44,764,3.749]],["t/58",[5,0.082,244,11.997]],["r/58",[2,0.391,3,0.251,4,0.559,5,0.013,9,0.534,12,0.393,18,0.062,26,0.617,27,0.69,53,1.705,56,0.528,80,1.121,88,0.843,91,1.407,100,1.297,115,0.298,130,1.659,143,1.166,158,0.962,172,1.749,196,2.448,217,2.421,219,2.602,222,2.263,231,2.414,244,1.748,265,1.505,271,2.738,279,3.4,285,2.101,320,2.263,331,1.639,343,2.869,356,1.508,359,2.706,393,2.876,398,4.005,439,1.578,455,3.791,456,2.507,468,1.85,478,2.263,479,2.263,480,2.263,506,4.265,516,2.101,599,2.263,626,4.265,633,4.735,708,4.693,754,4.265,902,7.058,903,5.21,904,7.058,905,5.45,906,4.735,907,3.151,908,3.151,909,4.609,910,3.151,911,5.996,912,5.21,913,3.151,914,2.738]],["t/59",[5,0.072,9,4.055,177,12.174]],["r/59",[2,0.357,3,0.234,4,0.545,5,0.014,6,1.089,7,1.11,9,0.617,12,0.721,13,0.464,14,1.049,16,0.922,18,0.029,19,1.753,24,2.333,26,0.973,27,0.767,28,0.494,31,1.476,34,2.333,41,1.244,44,1.468,45,1.679,46,0.587,47,0.539,56,0.587,57,1.943,60,0.796,65,1.527,67,1.671,74,0.739,76,1.069,77,1.576,79,1.364,86,2.374,89,1.403,90,1.309,91,0.739,92,1.197,93,1.527,95,0.922,100,1.279,101,1.431,109,2.374,114,0.711,115,0.322,116,1.069,123,3.152,128,1.069,132,1.768,149,1.768,158,1.069,168,3.494,169,2.078,170,1.671,171,1.069,173,1.843,174,1.943,176,1.943,177,2.09,182,1.347,189,1.671,191,1.978,217,1.833,218,2.138,257,1.843,275,2.374,288,1.527,291,1.596,336,2.333,359,2.919,364,1.527,390,2.739,395,1.596,401,1.403,436,2.333,437,2.055,442,2.055,491,3.041,509,2.183,549,2.183,608,2.333,613,4.398,615,2.513,616,2.739,777,2.513,915,3.5,916,3.5,917,3.5]],["t/60",[5,0.058,14,6.994,115,2.144,326,10.12,327,10.506]],["r/60",[5,0.013,9,0.489,12,0.907,13,0.369,14,1.617,18,0.06,26,1.236,28,0.392,44,1.268,45,1.435,47,0.75,54,2.385,79,1.178,90,1.315,114,1.283,115,0.448,117,1.847,128,1.525,181,2.385,185,1.79,255,1.725,326,2.221,327,2.306,345,2.755,346,2.755,372,4.534,382,2.63,387,2.63,391,3.116,431,2.639,433,4.849,434,3.116,435,2.278,436,3.33,437,2.932,505,2.501]],["t/61",[13,2.716,100,7.481,101,8.367,117,13.611]],["r/61",[0,1.731,2,0.161,3,0.215,4,0.469,5,0.013,6,1.187,9,0.585,12,0.389,13,0.539,14,1.448,16,0.822,18,0.049,21,1.506,24,2.08,26,0.611,27,0.683,28,0.468,30,1.109,34,3.05,44,1.375,45,0.709,46,0.767,47,0.744,60,1.232,65,1.361,74,1.143,75,1.831,76,0.952,79,0.736,80,1.926,82,1.423,83,1.251,86,1.489,90,1.572,91,0.965,92,2.586,93,2.364,95,1.427,96,2.869,98,3.978,99,3.05,100,1.597,101,1.786,107,2.08,109,1.489,114,0.93,115,0.411,117,2.538,118,1.423,123,2.713,132,1.627,141,1.562,149,1.627,158,1.397,162,1.397,168,3.007,169,2.495,170,1.489,171,0.952,174,1.731,177,0.918,200,1.067,209,1.562,215,0.683,217,1.717,218,2.003,231,1.565,241,1.562,244,0.792,249,1.562,257,1.642,281,1.831,283,1.251,288,1.361,313,1.731,336,2.08,356,0.683,373,1.562,386,1.946,387,1.642,435,2.471,442,1.831,480,2.24,481,1.642,509,1.946,612,2.441,615,2.24,616,2.441,673,2.08,869,2.24,892,3.975,894,2.71,918,3.119,919,3.119,920,2.71]],["t/62",[18,0.304,56,6.168,328,12.117,484,20.427]],["r/62",[2,0.254,3,0.154,4,0.363,5,0.011,12,0.779,14,1.037,18,0.06,28,0.385,29,2.241,31,1.27,46,0.823,47,0.677,52,1.681,56,1.151,67,2.346,79,1.474,86,2.346,148,3.065,156,1.558,185,1.948,207,1.97,215,1.076,273,4.235,327,1.558,328,2.057,343,3.29,345,3.257,346,2.998,348,2.885,390,3.845,431,2.872,433,4.976,434,3.898,484,2.727,505,3.738,540,4.269,541,1.97,600,2.885,735,5.429,738,4.269,739,4.269,921,4.913]],["t/63",[9,3.607,14,7.767,115,2.381,344,16.787]],["r/63",[2,0.239,3,0.145,4,0.342,5,0.008,7,1.468,9,0.693,12,0.75,13,0.444,14,1.636,25,2.718,26,1.307,28,0.472,31,0.941,44,1.175,45,1.518,47,0.766,60,1.367,71,1.906,77,2.117,95,1.219,115,0.457,123,2.319,128,1.414,158,1.414,177,1.362,178,2.743,182,1.782,186,2.411,191,1.584,218,1.712,255,1.643,275,2.211,283,1.856,291,2.112,344,3.425,356,1.014,362,3.623,363,4.706,364,3.085,384,4.453,386,2.888,401,1.856,428,4.022,437,2.718,439,2.319,541,2.411,548,6.367,558,2.569,668,2.888,922,4.022,923,4.629,924,4.629]],["t/64",[77,14.98,401,18.945]],["r/64",[6,1.264,9,0.75,28,0.453,31,1.173,40,5.4,43,2.891,74,1.456,77,2.515,122,3.601,125,4.305,156,1.83,165,3.389,312,4.517,382,3.633,387,3.039,401,2.314,810,5.015,869,4.145,925,5.771,926,5.771,927,5.771]],["t/65",[9,3.607,14,7.767,115,2.381,328,12.117]],["r/65",[5,0.012,7,2.081,9,0.683,12,0.733,13,0.433,14,1.642,18,0.054,26,1.15,27,0.978,28,0.461,31,1.417,45,1.647,46,0.748,47,0.637,54,2.133,56,0.748,60,1.015,71,1.416,77,2.081,91,0.943,94,1.791,106,1.588,114,0.908,115,0.451,116,1.364,128,1.364,156,1.416,169,1.867,177,1.728,178,2.037,182,1.719,191,1.528,215,0.978,231,1.528,244,1.134,255,1.22,275,2.805,277,3.495,288,1.949,291,2.037,328,2.586,336,2.978,356,0.978,383,3.881,384,3.916,385,2.978,391,2.786,393,2.786,394,3.881,396,2.479,397,2.622,401,1.791,436,2.978,437,2.622,542,2.133,615,3.207,649,3.881,777,3.207,928,4.466,929,5.873,930,4.466,931,4.466]],["t/66",[18,0.39,85,17.474]],["r/66",[2,0.227,3,0.137,4,0.324,5,0.01,9,0.638,13,0.557,18,0.067,21,1.912,28,0.344,30,2.065,34,2.926,44,1.114,46,1.3,47,0.802,48,2.198,49,1.391,50,1.305,56,0.736,60,0.998,79,1.035,85,3.003,87,2.577,88,1.071,89,1.76,90,1.529,115,0.448,120,2.926,149,1.56,162,1.34,171,1.34,185,1.244,204,1.915,215,1.425,260,1.76,293,3.813,332,1.915,382,3.792,459,3.409,496,4.338,539,2.096,664,3.813,798,3.435,813,3.813]],["t/67",[9,4.055,13,3.053,539,19.758]],["r/67",[2,0.254,3,0.196,4,0.196,5,0.011,9,0.539,12,0.686,13,0.563,18,0.063,21,1.334,26,0.793,27,0.581,28,0.55,30,0.943,41,0.943,46,0.679,47,0.827,49,0.841,50,0.5,53,0.981,55,2.248,56,0.444,57,1.472,60,0.921,61,1.557,63,1.396,68,1.396,69,1.472,71,1.879,74,1.251,76,1.81,77,1.284,79,0.956,83,1.063,84,1.472,88,0.851,89,1.063,91,1.45,93,1.157,100,1.205,106,2.222,114,0.999,115,0.262,116,0.81,136,2.378,141,1.328,149,1.957,156,0.841,171,0.81,177,1.192,181,1.266,185,1.56,191,1.681,194,1.557,196,1.957,217,0.841,219,2.347,231,2.028,244,1.397,249,1.328,279,1.654,288,1.157,291,1.209,300,1.396,301,1.063,326,1.501,327,1.558,328,1.618,331,1.44,332,1.768,333,1.768,342,3.698,344,1.209,352,3.53,355,1.904,356,1.706,364,1.157,393,1.654,395,1.209,397,1.557,399,1.654,400,1.768,401,1.063,404,2.527,413,1.848,414,1.396,422,2.075,431,2.3,451,1.768,455,3.121,460,1.654,462,2.304,463,1.768,472,2.378,481,1.396,522,2.701,526,1.328,539,1.934,541,1.971,542,1.266,595,3.17,597,2.909,667,2.304,668,1.654,675,1.904,754,3.17,760,2.075,761,1.904,762,1.904,763,1.904,839,4.271,840,4.781,841,4.271,844,2.304,871,2.304,903,4.781,906,3.52,912,2.304,914,2.304,932,2.651,933,2.651,934,2.651,935,2.651,936,2.651,937,2.651,938,2.304,939,4.05,940,2.651,941,4.05,942,4.05,943,4.915,944,2.651,945,2.651,946,2.651]],["t/68",[143,13.611,262,16.787,263,16.06,395,16.787]],["r/68",[2,0.27,3,0.163,4,0.385,5,0.012,18,0.043,28,0.409,31,1.502,33,1.718,52,1.785,56,0.874,74,1.101,92,1.785,96,2.181,100,1.06,101,1.186,132,1.855,143,2.865,148,3.255,149,1.855,158,1.981,169,2.712,207,2.092,223,2.896,262,2.959,263,2.277,326,1.593,327,1.654,367,4.083,395,3.466,396,2.896,497,3.255,505,3.249,600,3.063,613,3.809,655,4.083,729,3.747,731,4.533,732,4.533,817,4.533,818,4.083,947,5.217,948,5.217]],["t/69",[5,0.064,177,10.828,300,19.378,301,14.756]],["r/69",[2,0.165,3,0.1,4,0.235,5,0.013,7,1.012,12,0.58,13,0.445,14,0.673,16,0.841,17,1.74,18,0.038,21,1.051,25,3.765,26,1.255,28,0.473,31,0.649,33,1.051,44,0.81,47,0.695,50,1.417,60,1.522,62,1.524,71,2.444,74,0.673,76,0.974,77,1.012,81,1.72,83,1.865,84,1.771,89,1.28,90,1.446,91,0.673,92,1.092,95,0.841,100,1.304,101,1.458,116,0.974,120,2.128,128,0.974,154,1.28,156,1.012,162,1.676,177,2.318,178,3.621,201,1.874,202,2.128,203,4.775,210,2.128,217,2.033,219,1.524,230,1.991,265,1.524,283,2.201,285,3.101,288,2.03,298,4.77,300,2.89,301,2.201,316,1.874,332,2.395,333,2.128,346,2.395,356,1.019,359,1.874,396,1.771,429,2.128,439,3.021,444,2.773,450,2.773,452,2.773,453,2.773,454,2.773,460,1.991,479,4.808,604,2.292,611,3.641,673,2.128,758,4.042,830,4.77,949,3.191,950,6.694,951,3.191,952,3.191,953,3.191]],["t/70",[9,4.055,41,14.713,119,21.786]],["r/70",[2,0.361,3,0.219,4,0.515,5,0.012,6,1.53,9,0.718,17,1.615,26,1.251,28,0.4,31,1.036,41,2.738,47,0.794,74,1.349,77,2.027,80,1.811,119,4.197,122,3.178,141,2.552,142,3.659,144,5.003,172,2.828,194,2.991,231,1.743,291,2.324,364,2.223,399,3.178,400,3.397,401,2.043,406,4.427,455,2.682,662,4.427,673,3.397,922,4.427,954,6.392]],["t/71",[88,7.305,543,21.552]],["r/71",[2,0.329,3,0.199,9,0.352,12,0.448,13,0.374,17,1.138,18,0.063,28,0.546,34,3.375,44,0.912,45,1.526,46,1.125,47,0.792,49,1.138,50,0.676,52,1.228,60,1.526,74,1.237,76,1.79,77,1.138,79,0.847,88,1.107,90,0.946,91,0.758,106,1.277,114,1.029,115,0.232,127,3.04,131,2.81,135,1.715,153,1.715,159,1.993,162,1.096,176,4.057,182,1.949,217,1.138,218,1.328,224,2.394,231,1.732,232,2.24,243,3.635,260,2.351,263,1.567,265,3.04,268,2.8,270,2.108,283,1.44,288,1.567,301,1.44,313,2.81,329,2.579,331,1.277,332,2.559,333,3.909,451,2.394,456,1.501,465,2.108,489,3.534,492,2.579,526,1.798,537,2.394,541,1.44,543,3.67,545,2.81,553,2.81,556,1.891,558,1.993,570,3.375,593,2.579,608,2.394,660,3.375,711,3.12,737,2.81,920,6.052,955,3.59,956,3.59,957,5.863,958,3.59,959,3.59,960,3.59,961,3.59]],["t/72",[2,1.712,57,18.394,125,20.674,861,23.8,962,28.796]],["r/72",[0,2.167,2,0.396,3,0.207,7,1.238,17,1.238,28,0.421,41,1.388,44,0.991,47,0.581,56,1.16,57,4.252,59,2.436,77,1.238,90,1.823,114,0.794,115,0.253,118,1.781,125,3.348,128,2.113,131,3.664,143,1.444,170,2.562,177,1.579,181,3.152,247,2.804,260,2.151,283,1.565,326,1.192,346,1.704,356,0.855,418,4.97,465,2.292,489,2.167,549,3.825,607,3.392,622,3.392,654,3.055,719,3.392,829,6.013,861,5.135,899,3.392,938,3.392,962,3.392,963,7.324,964,7.854,965,3.904,966,6.131,967,3.904,968,3.904,969,3.904,970,3.904,971,3.904,972,3.904,973,3.904,974,3.904,975,3.904,976,3.904,977,3.904,978,3.904,979,3.904,980,3.904,981,3.904,982,3.904,983,3.904,984,5.366,985,3.904,986,3.904,987,5.366,988,6.131,989,3.904,990,3.904,991,3.904,992,3.904,993,3.904,994,3.904]]],"invertedIndex":[["",{"_index":65,"t":{},"r":{"0":{},"4":{},"9":{},"19":{},"20":{},"21":{},"23":{},"27":{},"33":{},"36":{},"44":{},"59":{},"61":{}}}],["0",{"_index":521,"t":{},"r":{"16":{}}}],["04/13/2011",{"_index":783,"t":{},"r":{"36":{}}}],["04:47:06",{"_index":784,"t":{},"r":{"36":{}}}],["1",{"_index":522,"t":{},"r":{"16":{},"25":{},"44":{},"47":{},"67":{}}}],["10",{"_index":211,"t":{},"r":{"1":{},"5":{},"22":{}}}],["100",{"_index":450,"t":{},"r":{"12":{},"69":{}}}],["11:00",{"_index":941,"t":{},"r":{"67":{}}}],["128",{"_index":239,"t":{},"r":{"1":{},"5":{},"22":{}}}],["12:00",{"_index":943,"t":{},"r":{"67":{}}}],["16",{"_index":721,"t":{},"r":{"28":{}}}],["168",{"_index":937,"t":{},"r":{"67":{}}}],["19;79100;freiburg",{"_index":699,"t":{},"r":{"27":{}}}],["2",{"_index":720,"t":{},"r":{"28":{},"44":{}}}],["20",{"_index":601,"t":{},"r":{"19":{},"20":{},"51":{}}}],["21200",{"_index":890,"t":{},"r":{"56":{}}}],["2147483647",{"_index":254,"t":{},"r":{"1":{},"5":{},"22":{}}}],["22000",{"_index":173,"t":{},"r":{"1":{},"5":{},"11":{},"16":{},"21":{},"22":{},"24":{},"32":{},"59":{}}}],["22001",{"_index":174,"t":{},"r":{"1":{},"5":{},"21":{},"22":{},"24":{},"32":{},"59":{},"61":{}}}],["32",{"_index":923,"t":{},"r":{"63":{}}}],["5",{"_index":870,"t":{},"r":{"47":{}}}],["6.10.0",{"_index":134,"t":{},"r":{"1":{}}}],["64",{"_index":362,"t":{},"r":{"6":{},"35":{},"63":{}}}],["7",{"_index":820,"t":{},"r":{"41":{}}}],["8",{"_index":688,"t":{},"r":{"27":{}}}],["8fsknjo9y4/tsms.html",{"_index":863,"t":{},"r":{"46":{}}}],["abov",{"_index":250,"t":{},"r":{"1":{},"5":{},"22":{},"33":{},"38":{}}}],["access",{"_index":56,"t":{"21":{},"29":{},"47":{},"62":{}},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"8":{},"12":{},"19":{},"20":{},"21":{},"22":{},"28":{},"29":{},"35":{},"36":{},"38":{},"40":{},"43":{},"44":{},"45":{},"47":{},"50":{},"51":{},"52":{},"55":{},"57":{},"58":{},"59":{},"62":{},"65":{},"66":{},"67":{},"68":{},"72":{}}}],["accid",{"_index":749,"t":{},"r":{"30":{}}}],["accomplish",{"_index":948,"t":{},"r":{"68":{}}}],["accord",{"_index":604,"t":{},"r":{"19":{},"20":{},"31":{},"69":{}}}],["accordingli",{"_index":818,"t":{},"r":{"40":{},"47":{},"68":{}}}],["account",{"_index":395,"t":{"68":{}},"r":{"8":{},"18":{},"20":{},"21":{},"28":{},"40":{},"45":{},"47":{},"59":{},"67":{},"68":{}}}],["accur",{"_index":358,"t":{},"r":{"6":{}}}],["action",{"_index":446,"t":{},"r":{"12":{},"16":{},"24":{},"32":{},"35":{}}}],["activ",{"_index":53,"t":{"50":{}},"r":{"0":{},"4":{},"12":{},"16":{},"19":{},"20":{},"34":{},"41":{},"48":{},"49":{},"50":{},"51":{},"52":{},"57":{},"58":{},"67":{}}}],["activate/deactiv",{"_index":72,"t":{},"r":{"0":{}}}],["ad",{"_index":95,"t":{},"r":{"0":{},"1":{},"5":{},"8":{},"12":{},"14":{},"20":{},"22":{},"23":{},"24":{},"25":{},"27":{},"28":{},"30":{},"31":{},"36":{},"38":{},"41":{},"44":{},"49":{},"51":{},"52":{},"59":{},"61":{},"63":{},"69":{}}}],["add",{"_index":16,"t":{"11":{},"23":{},"24":{}},"r":{"0":{},"4":{},"8":{},"10":{},"11":{},"14":{},"17":{},"19":{},"20":{},"23":{},"24":{},"26":{},"28":{},"30":{},"36":{},"38":{},"47":{},"49":{},"51":{},"53":{},"59":{},"61":{},"69":{}}}],["addit",{"_index":182,"t":{},"r":{"1":{},"5":{},"6":{},"13":{},"16":{},"19":{},"20":{},"22":{},"30":{},"39":{},"45":{},"52":{},"59":{},"63":{},"65":{},"71":{}}}],["address",{"_index":336,"t":{},"r":{"6":{},"21":{},"59":{},"61":{},"65":{}}}],["adequ",{"_index":651,"t":{},"r":{"25":{}}}],["adjust",{"_index":817,"t":{},"r":{"40":{},"68":{}}}],["administ",{"_index":875,"t":{},"r":{"49":{}}}],["administr",{"_index":6,"t":{"35":{},"37":{},"38":{}},"r":{"0":{},"1":{},"3":{},"4":{},"5":{},"6":{},"12":{},"13":{},"14":{},"15":{},"16":{},"21":{},"22":{},"24":{},"28":{},"32":{},"35":{},"37":{},"38":{},"40":{},"46":{},"47":{},"55":{},"56":{},"59":{},"61":{},"64":{},"70":{}}}],["administrationavail",{"_index":282,"t":{},"r":{"4":{}}}],["administrationcommon",{"_index":925,"t":{},"r":{"64":{}}}],["administrationdatabas",{"_index":751,"t":{},"r":{"31":{}}}],["administrationmenu",{"_index":1,"t":{},"r":{"0":{}}}],["administrationpan",{"_index":494,"t":{},"r":{"15":{}}}],["administrationtab",{"_index":493,"t":{},"r":{"15":{}}}],["administrationus",{"_index":795,"t":{},"r":{"37":{}}}],["administrationwindow",{"_index":884,"t":{},"r":{"53":{}}}],["advantag",{"_index":872,"t":{},"r":{"49":{}}}],["afterward",{"_index":557,"t":{},"r":{"19":{},"20":{}}}],["again",{"_index":674,"t":{},"r":{"26":{},"28":{},"31":{},"43":{}}}],["against",{"_index":800,"t":{},"r":{"38":{},"42":{}}}],["aid",{"_index":139,"t":{},"r":{"1":{}}}],["algorithm",{"_index":639,"t":{},"r":{"25":{}}}],["alist",{"_index":741,"t":{},"r":{"29":{}}}],["alley",{"_index":584,"t":{},"r":{"19":{},"20":{}}}],["allow",{"_index":94,"t":{},"r":{"0":{},"1":{},"5":{},"6":{},"8":{},"14":{},"22":{},"27":{},"37":{},"42":{},"45":{},"47":{},"49":{},"55":{},"65":{}}}],["alon",{"_index":104,"t":{},"r":{"0":{}}}],["alongsid",{"_index":147,"t":{},"r":{"1":{}}}],["alreadi",{"_index":241,"t":{},"r":{"1":{},"5":{},"12":{},"22":{},"28":{},"30":{},"49":{},"52":{},"56":{},"61":{}}}],["alter",{"_index":773,"t":{},"r":{"36":{},"44":{},"45":{}}}],["altern",{"_index":34,"t":{},"r":{"0":{},"59":{},"61":{},"66":{},"71":{}}}],["altogeth",{"_index":858,"t":{},"r":{"45":{}}}],["alway",{"_index":714,"t":{},"r":{"28":{},"38":{},"56":{}}}],["amount",{"_index":907,"t":{},"r":{"58":{}}}],["analyz",{"_index":252,"t":{},"r":{"1":{},"5":{},"22":{}}}],["anoth",{"_index":89,"t":{},"r":{"0":{},"4":{},"12":{},"16":{},"17":{},"19":{},"27":{},"28":{},"39":{},"49":{},"52":{},"59":{},"66":{},"67":{},"69":{}}}],["ansi",{"_index":686,"t":{},"r":{"27":{}}}],["ansi_nul",{"_index":419,"t":{},"r":{"9":{},"36":{},"44":{}}}],["answer",{"_index":622,"t":{},"r":{"25":{},"72":{}}}],["appear",{"_index":491,"t":{},"r":{"14":{},"59":{}}}],["appli",{"_index":531,"t":{},"r":{"17":{}}}],["applic",{"_index":41,"t":{"70":{}},"r":{"0":{},"3":{},"6":{},"11":{},"12":{},"13":{},"38":{},"40":{},"50":{},"52":{},"53":{},"55":{},"56":{},"59":{},"67":{},"70":{},"72":{}}}],["appropri",{"_index":899,"t":{},"r":{"56":{},"72":{}}}],["archiv",{"_index":210,"t":{},"r":{"1":{},"5":{},"12":{},"22":{},"69":{}}}],["area",{"_index":257,"t":{},"r":{"2":{},"7":{},"11":{},"19":{},"20":{},"21":{},"23":{},"59":{},"61":{}}}],["arrow",{"_index":616,"t":{},"r":{"21":{},"59":{},"61":{}}}],["articl",{"_index":966,"t":{},"r":{"72":{}}}],["ascii/latin",{"_index":568,"t":{},"r":{"19":{},"20":{}}}],["aspect",{"_index":263,"t":{"3":{},"13":{},"38":{},"40":{},"68":{}},"r":{"3":{},"13":{},"18":{},"35":{},"38":{},"40":{},"68":{},"71":{}}}],["aspectsadministr",{"_index":799,"t":{},"r":{"38":{}}}],["aspectsdata",{"_index":814,"t":{},"r":{"40":{}}}],["aspectssearch",{"_index":264,"t":{},"r":{"3":{}}}],["aspectsservic",{"_index":947,"t":{},"r":{"68":{}}}],["assign",{"_index":175,"t":{},"r":{"1":{},"5":{},"21":{},"22":{},"41":{},"50":{}}}],["authent",{"_index":391,"t":{},"r":{"8":{},"10":{},"19":{},"54":{},"60":{},"65":{}}}],["autom",{"_index":57,"t":{"72":{}},"r":{"0":{},"6":{},"11":{},"52":{},"59":{},"67":{},"72":{}}}],["automat",{"_index":91,"t":{"9":{},"43":{},"44":{}},"r":{"0":{},"6":{},"8":{},"9":{},"12":{},"16":{},"19":{},"20":{},"26":{},"28":{},"30":{},"31":{},"35":{},"36":{},"39":{},"41":{},"43":{},"44":{},"45":{},"49":{},"51":{},"52":{},"58":{},"59":{},"61":{},"65":{},"67":{},"69":{},"71":{}}}],["av",{"_index":341,"t":{},"r":{"6":{},"17":{}}}],["avail",{"_index":27,"t":{"4":{}},"r":{"0":{},"1":{},"4":{},"5":{},"8":{},"12":{},"15":{},"16":{},"19":{},"20":{},"21":{},"22":{},"28":{},"29":{},"31":{},"34":{},"39":{},"43":{},"46":{},"50":{},"51":{},"52":{},"53":{},"56":{},"57":{},"58":{},"59":{},"61":{},"65":{},"67":{}}}],["aven",{"_index":530,"t":{},"r":{"17":{}}}],["avenu",{"_index":340,"t":{},"r":{"6":{},"17":{}}}],["averag",{"_index":904,"t":{},"r":{"58":{}}}],["back",{"_index":113,"t":{},"r":{"0":{},"28":{}}}],["backup",{"_index":293,"t":{},"r":{"4":{},"66":{}}}],["balanc",{"_index":101,"t":{"5":{},"24":{},"28":{},"32":{},"47":{},"61":{}},"r":{"0":{},"1":{},"5":{},"6":{},"11":{},"12":{},"13":{},"16":{},"21":{},"22":{},"24":{},"25":{},"28":{},"30":{},"31":{},"32":{},"35":{},"47":{},"49":{},"56":{},"59":{},"61":{},"68":{},"69":{}}}],["balancingaccess",{"_index":865,"t":{},"r":{"47":{}}}],["balancingfault",{"_index":703,"t":{},"r":{"28":{}}}],["balancingperform",{"_index":620,"t":{},"r":{"25":{}}}],["bank",{"_index":857,"t":{},"r":{"45":{}}}],["bar",{"_index":11,"t":{},"r":{"0":{}}}],["base",{"_index":343,"t":{},"r":{"6":{},"20":{},"25":{},"38":{},"39":{},"42":{},"49":{},"58":{},"62":{}}}],["basi",{"_index":938,"t":{},"r":{"67":{},"72":{}}}],["batch",{"_index":761,"t":{},"r":{"34":{},"50":{},"57":{},"67":{}}}],["be",{"_index":831,"t":{},"r":{"42":{},"43":{}}}],["becom",{"_index":108,"t":{},"r":{"0":{},"12":{},"16":{},"25":{},"28":{},"30":{}}}],["befor",{"_index":427,"t":{},"r":{"10":{},"17":{},"19":{},"20":{},"21":{},"24":{},"26":{},"27":{},"32":{},"34":{},"41":{},"57":{}}}],["begin",{"_index":405,"t":{},"r":{"9":{},"27":{},"36":{},"44":{}}}],["behavior",{"_index":672,"t":{},"r":{"26":{}}}],["belong",{"_index":452,"t":{},"r":{"12":{},"69":{}}}],["below",{"_index":238,"t":{},"r":{"1":{},"5":{},"9":{},"19":{},"22":{}}}],["best",{"_index":466,"t":{},"r":{"12":{},"28":{},"42":{},"49":{},"56":{}}}],["between",{"_index":702,"t":{},"r":{"27":{},"38":{},"49":{}}}],["bit",{"_index":363,"t":{},"r":{"6":{},"35":{},"63":{}}}],["bom",{"_index":689,"t":{},"r":{"27":{}}}],["both",{"_index":153,"t":{},"r":{"1":{},"5":{},"6":{},"12":{},"21":{},"22":{},"36":{},"38":{},"44":{},"49":{},"71":{}}}],["bottom",{"_index":291,"t":{},"r":{"4":{},"8":{},"19":{},"20":{},"30":{},"39":{},"52":{},"59":{},"63":{},"65":{},"67":{},"70":{}}}],["box",{"_index":607,"t":{},"r":{"20":{},"72":{}}}],["box.th",{"_index":594,"t":{},"r":{"19":{},"20":{}}}],["break",{"_index":679,"t":{},"r":{"27":{}}}],["broadcast",{"_index":894,"t":{},"r":{"56":{},"61":{}}}],["brows",{"_index":812,"t":{},"r":{"39":{},"52":{},"56":{}}}],["browser",{"_index":888,"t":{"56":{}},"r":{"56":{}}}],["bug",{"_index":221,"t":{},"r":{"1":{},"5":{},"22":{}}}],["build",{"_index":652,"t":{},"r":{"25":{},"31":{}}}],["builder",{"_index":267,"t":{},"r":{"3":{},"19":{},"20":{},"28":{},"56":{}}}],["built",{"_index":731,"t":{},"r":{"28":{},"68":{}}}],["busi",{"_index":242,"t":{},"r":{"1":{},"5":{},"22":{}}}],["button",{"_index":77,"t":{"64":{}},"r":{"0":{},"4":{},"8":{},"19":{},"20":{},"30":{},"31":{},"37":{},"39":{},"52":{},"56":{},"59":{},"63":{},"64":{},"65":{},"67":{},"69":{},"70":{},"71":{},"72":{}}}],["byte",{"_index":690,"t":{},"r":{"27":{}}}],["c",{"_index":187,"t":{},"r":{"1":{},"5":{},"16":{},"22":{}}}],["calcul",{"_index":633,"t":{},"r":{"25":{},"58":{}}}],["call",{"_index":503,"t":{},"r":{"16":{},"24":{},"32":{},"55":{}}}],["cancel",{"_index":927,"t":{},"r":{"64":{}}}],["canyon",{"_index":339,"t":{},"r":{"6":{}}}],["capabl",{"_index":979,"t":{},"r":{"72":{}}}],["capac",{"_index":371,"t":{},"r":{"6":{},"28":{}}}],["caption",{"_index":554,"t":{},"r":{"19":{},"20":{}}}],["captur",{"_index":762,"t":{},"r":{"34":{},"50":{},"57":{},"67":{}}}],["care",{"_index":866,"t":{},"r":{"47":{}}}],["carefulli",{"_index":246,"t":{},"r":{"1":{},"5":{},"22":{}}}],["carriag",{"_index":681,"t":{},"r":{"27":{}}}],["case",{"_index":29,"t":{},"r":{"0":{},"17":{},"19":{},"20":{},"25":{},"29":{},"38":{},"39":{},"42":{},"49":{},"56":{},"62":{}}}],["categori",{"_index":444,"t":{},"r":{"12":{},"69":{}}}],["certain",{"_index":642,"t":{},"r":{"25":{}}}],["chang",{"_index":74,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"9":{},"12":{},"14":{},"20":{},"21":{},"22":{},"26":{},"28":{},"34":{},"36":{},"40":{},"41":{},"43":{},"44":{},"45":{},"47":{},"50":{},"52":{},"57":{},"59":{},"61":{},"64":{},"67":{},"68":{},"69":{},"70":{},"71":{}}}],["chapter",{"_index":796,"t":{},"r":{"37":{}}}],["charact",{"_index":534,"t":{},"r":{"17":{},"19":{},"20":{},"27":{},"42":{}}}],["check",{"_index":413,"t":{},"r":{"9":{},"17":{},"19":{},"20":{},"26":{},"29":{},"31":{},"36":{},"38":{},"43":{},"44":{},"67":{}}}],["checkbox",{"_index":578,"t":{},"r":{"19":{},"20":{}}}],["chines",{"_index":572,"t":{},"r":{"19":{},"20":{}}}],["choos",{"_index":120,"t":{},"r":{"0":{},"14":{},"39":{},"66":{},"69":{}}}],["chris;book",{"_index":697,"t":{},"r":{"27":{}}}],["chrome",{"_index":974,"t":{},"r":{"72":{}}}],["citi",{"_index":793,"t":{},"r":{"36":{}}}],["cjk",{"_index":571,"t":{},"r":{"19":{},"20":{}}}],["classic",{"_index":710,"t":{},"r":{"28":{}}}],["clear",{"_index":570,"t":{},"r":{"19":{},"20":{},"26":{},"52":{},"71":{}}}],["click",{"_index":90,"t":{},"r":{"0":{},"2":{},"4":{},"7":{},"10":{},"14":{},"19":{},"20":{},"21":{},"23":{},"31":{},"33":{},"34":{},"41":{},"43":{},"50":{},"51":{},"54":{},"57":{},"59":{},"60":{},"61":{},"66":{},"69":{},"71":{},"72":{}}}],["clickadd",{"_index":486,"t":{},"r":{"14":{}}}],["client",{"_index":97,"t":{},"r":{"0":{},"3":{},"6":{},"28":{},"30":{},"55":{},"56":{},"57":{}}}],["clock",{"_index":939,"t":{},"r":{"67":{}}}],["close",{"_index":40,"t":{},"r":{"0":{},"57":{},"64":{}}}],["cluster",{"_index":92,"t":{"11":{},"30":{},"49":{}},"r":{"0":{},"11":{},"12":{},"16":{},"21":{},"25":{},"28":{},"30":{},"35":{},"47":{},"49":{},"53":{},"59":{},"61":{},"68":{},"69":{}}}],["code",{"_index":409,"t":{},"r":{"9":{}}}],["column",{"_index":543,"t":{"71":{}},"r":{"18":{},"19":{},"20":{},"25":{},"26":{},"27":{},"31":{},"42":{},"51":{},"55":{},"71":{}}}],["combin",{"_index":471,"t":{},"r":{"13":{}}}],["comma",{"_index":582,"t":{},"r":{"19":{},"20":{}}}],["command",{"_index":290,"t":{},"r":{"4":{},"16":{},"24":{},"32":{},"47":{},"49":{}}}],["commit",{"_index":989,"t":{},"r":{"72":{}}}],["common",{"_index":401,"t":{"64":{}},"r":{"8":{},"19":{},"20":{},"30":{},"37":{},"39":{},"46":{},"52":{},"59":{},"63":{},"64":{},"65":{},"67":{},"70":{}}}],["commun",{"_index":170,"t":{},"r":{"1":{},"5":{},"11":{},"13":{},"21":{},"22":{},"38":{},"56":{},"59":{},"61":{},"72":{}}}],["compani",{"_index":766,"t":{},"r":{"35":{}}}],["complet",{"_index":660,"t":{},"r":{"25":{},"26":{},"42":{},"43":{},"71":{}}}],["complex",{"_index":629,"t":{},"r":{"25":{}}}],["compli",{"_index":677,"t":{},"r":{"27":{}}}],["compon",{"_index":614,"t":{},"r":{"21":{}}}],["compound",{"_index":579,"t":{},"r":{"19":{},"20":{}}}],["comput",{"_index":218,"t":{},"r":{"1":{},"5":{},"6":{},"11":{},"12":{},"13":{},"21":{},"22":{},"25":{},"28":{},"38":{},"47":{},"56":{},"59":{},"61":{},"63":{},"71":{}}}],["concept",{"_index":317,"t":{"6":{}},"r":{"6":{}}}],["concurr",{"_index":887,"t":{},"r":{"55":{}}}],["confid",{"_index":957,"t":{},"r":{"71":{}}}],["configur",{"_index":115,"t":{"1":{},"5":{},"8":{},"10":{},"22":{},"43":{},"48":{},"54":{},"60":{},"63":{},"65":{}},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"8":{},"10":{},"11":{},"12":{},"13":{},"16":{},"18":{},"19":{},"20":{},"21":{},"22":{},"24":{},"26":{},"27":{},"28":{},"30":{},"31":{},"35":{},"37":{},"38":{},"39":{},"40":{},"43":{},"47":{},"48":{},"49":{},"51":{},"53":{},"54":{},"55":{},"56":{},"58":{},"59":{},"60":{},"61":{},"63":{},"65":{},"66":{},"67":{},"71":{},"72":{}}}],["confirm",{"_index":748,"t":{},"r":{"30":{}}}],["connect",{"_index":14,"t":{"8":{},"10":{},"54":{},"60":{},"63":{},"65":{}},"r":{"0":{},"1":{},"4":{},"5":{},"8":{},"10":{},"12":{},"13":{},"19":{},"21":{},"22":{},"28":{},"29":{},"38":{},"48":{},"51":{},"53":{},"54":{},"56":{},"59":{},"60":{},"61":{},"62":{},"63":{},"65":{},"69":{}}}],["consecut",{"_index":823,"t":{},"r":{"41":{},"52":{}}}],["consid",{"_index":545,"t":{},"r":{"18":{},"28":{},"71":{}}}],["consider",{"_index":526,"t":{"18":{},"25":{}},"r":{"17":{},"18":{},"20":{},"25":{},"26":{},"45":{},"67":{},"71":{}}}],["consist",{"_index":380,"t":{},"r":{"6":{},"28":{}}}],["contact",{"_index":608,"t":{},"r":{"20":{},"21":{},"47":{},"59":{},"71":{}}}],["contain",{"_index":283,"t":{},"r":{"4":{},"5":{},"6":{},"13":{},"19":{},"20":{},"26":{},"27":{},"40":{},"42":{},"61":{},"63":{},"69":{},"71":{},"72":{}}}],["content",{"_index":126,"t":{},"r":{"0":{},"19":{},"20":{},"31":{},"42":{}}}],["continu",{"_index":667,"t":{},"r":{"26":{},"67":{}}}],["contradictori",{"_index":167,"t":{},"r":{"1":{},"5":{},"22":{},"49":{}}}],["contrast",{"_index":325,"t":{},"r":{"6":{}}}],["control",{"_index":481,"t":{},"r":{"14":{},"21":{},"34":{},"38":{},"47":{},"50":{},"57":{},"61":{},"67":{}}}],["convers",{"_index":535,"t":{},"r":{"17":{},"19":{},"20":{}}}],["convert",{"_index":102,"t":{},"r":{"0":{},"19":{},"20":{},"28":{},"30":{}}}],["cope",{"_index":360,"t":{},"r":{"6":{}}}],["core",{"_index":366,"t":{},"r":{"6":{},"25":{}}}],["correct",{"_index":756,"t":{},"r":{"31":{}}}],["correspond",{"_index":86,"t":{},"r":{"0":{},"1":{},"4":{},"11":{},"19":{},"20":{},"21":{},"29":{},"59":{},"61":{},"62":{}}}],["cost",{"_index":354,"t":{},"r":{"6":{}}}],["count",{"_index":902,"t":{},"r":{"58":{}}}],["counter",{"_index":479,"t":{},"r":{"14":{},"25":{},"58":{},"69":{}}}],["cpu",{"_index":640,"t":{},"r":{"25":{}}}],["cr+lf",{"_index":680,"t":{},"r":{"27":{}}}],["creat",{"_index":215,"t":{},"r":{"1":{},"5":{},"7":{},"9":{},"12":{},"16":{},"19":{},"20":{},"21":{},"22":{},"28":{},"29":{},"31":{},"32":{},"35":{},"36":{},"38":{},"39":{},"41":{},"42":{},"43":{},"44":{},"45":{},"47":{},"49":{},"51":{},"55":{},"61":{},"62":{},"65":{},"66":{}}}],["creation",{"_index":537,"t":{"18":{}},"r":{"18":{},"20":{},"28":{},"71":{}}}],["credenti",{"_index":394,"t":{},"r":{"8":{},"65":{}}}],["criteria",{"_index":931,"t":{},"r":{"65":{}}}],["csv",{"_index":51,"t":{"27":{}},"r":{"0":{},"4":{},"6":{},"20":{},"27":{},"55":{}}}],["ctrl",{"_index":296,"t":{},"r":{"4":{}}}],["current",{"_index":439,"t":{},"r":{"11":{},"17":{},"19":{},"20":{},"21":{},"30":{},"38":{},"58":{},"63":{},"69":{}}}],["current_timestamp",{"_index":426,"t":{},"r":{"9":{}}}],["custom",{"_index":131,"t":{},"r":{"1":{},"6":{},"13":{},"20":{},"42":{},"45":{},"71":{},"72":{}}}],["daili",{"_index":840,"t":{},"r":{"43":{},"67":{}}}],["data",{"_index":186,"t":{"40":{}},"r":{"1":{},"5":{},"6":{},"13":{},"19":{},"22":{},"28":{},"36":{},"40":{},"42":{},"45":{},"47":{},"49":{},"63":{}}}],["databas",{"_index":18,"t":{"4":{},"10":{},"16":{},"18":{},"19":{},"20":{},"27":{},"29":{},"31":{},"34":{},"36":{},"39":{},"41":{},"43":{},"45":{},"48":{},"50":{},"51":{},"52":{},"54":{},"57":{},"62":{},"66":{}},"r":{"0":{},"4":{},"6":{},"8":{},"9":{},"10":{},"12":{},"13":{},"15":{},"16":{},"17":{},"18":{},"19":{},"20":{},"21":{},"25":{},"26":{},"27":{},"28":{},"29":{},"30":{},"31":{},"34":{},"35":{},"36":{},"37":{},"39":{},"40":{},"41":{},"42":{},"43":{},"45":{},"47":{},"48":{},"49":{},"50":{},"51":{},"52":{},"53":{},"54":{},"55":{},"57":{},"58":{},"59":{},"60":{},"61":{},"62":{},"65":{},"66":{},"67":{},"68":{},"69":{},"71":{}}}],["databasecolumn",{"_index":955,"t":{},"r":{"71":{}}}],["databasecsv",{"_index":676,"t":{},"r":{"27":{}}}],["databasenam",{"_index":515,"t":{},"r":{"16":{}}}],["databasereimport",{"_index":661,"t":{},"r":{"26":{}}}],["databasescr",{"_index":538,"t":{},"r":{"18":{}}}],["databasestor",{"_index":856,"t":{},"r":{"45":{}}}],["databasestr",{"_index":527,"t":{},"r":{"17":{}}}],["datarootdirectori",{"_index":184,"t":{},"r":{"1":{},"5":{},"22":{}}}],["date",{"_index":404,"t":{},"r":{"9":{},"36":{},"43":{},"44":{},"45":{},"67":{}}}],["datetim",{"_index":422,"t":{},"r":{"9":{},"44":{},"67":{}}}],["day",{"_index":844,"t":{},"r":{"43":{},"67":{}}}],["dbo",{"_index":780,"t":{},"r":{"36":{}}}],["dbo].[getlastmodificationdateformyt",{"_index":421,"t":{},"r":{"9":{}}}],["dbo].[sp_changedd",{"_index":851,"t":{},"r":{"44":{}}}],["dbo].[sp_getsamplet",{"_index":785,"t":{},"r":{"36":{}}}],["deactiv",{"_index":64,"t":{"50":{}},"r":{"0":{},"4":{},"34":{},"48":{},"49":{},"50":{},"57":{}}}],["dead",{"_index":228,"t":{},"r":{"1":{},"5":{},"22":{}}}],["declar",{"_index":423,"t":{},"r":{"9":{}}}],["decreas",{"_index":243,"t":{},"r":{"1":{},"5":{},"22":{},"71":{}}}],["default",{"_index":149,"t":{},"r":{"1":{},"5":{},"11":{},"12":{},"19":{},"20":{},"21":{},"22":{},"26":{},"28":{},"29":{},"30":{},"40":{},"59":{},"61":{},"66":{},"67":{},"68":{}}}],["defin",{"_index":106,"t":{},"r":{"0":{},"1":{},"5":{},"12":{},"18":{},"19":{},"20":{},"22":{},"28":{},"31":{},"35":{},"43":{},"47":{},"50":{},"51":{},"65":{},"67":{},"71":{}}}],["definit",{"_index":399,"t":{},"r":{"8":{},"18":{},"19":{},"29":{},"67":{},"70":{}}}],["del",{"_index":309,"t":{},"r":{"4":{}}}],["delay",{"_index":936,"t":{},"r":{"67":{}}}],["delet",{"_index":82,"t":{"34":{}},"r":{"0":{},"4":{},"12":{},"19":{},"20":{},"26":{},"28":{},"34":{},"48":{},"50":{},"61":{}}}],["delimit",{"_index":48,"t":{},"r":{"0":{},"4":{},"6":{},"19":{},"20":{},"27":{},"43":{},"51":{},"55":{},"66":{}}}],["demand",{"_index":912,"t":{},"r":{"58":{},"67":{}}}],["deni",{"_index":733,"t":{},"r":{"29":{},"38":{}}}],["depend",{"_index":75,"t":{},"r":{"0":{},"4":{},"8":{},"14":{},"21":{},"25":{},"61":{}}}],["deploy",{"_index":918,"t":{},"r":{"61":{}}}],["describ",{"_index":810,"t":{},"r":{"38":{},"64":{}}}],["descript",{"_index":295,"t":{},"r":{"4":{}}}],["design",{"_index":269,"t":{},"r":{"3":{},"6":{},"19":{},"20":{},"49":{}}}],["desir",{"_index":954,"t":{},"r":{"70":{}}}],["detail",{"_index":549,"t":{},"r":{"19":{},"28":{},"51":{},"56":{},"59":{},"72":{}}}],["detect",{"_index":671,"t":{},"r":{"26":{}}}],["determin",{"_index":194,"t":{},"r":{"1":{},"5":{},"9":{},"22":{},"25":{},"67":{},"70":{}}}],["diagon",{"_index":583,"t":{},"r":{"19":{},"20":{}}}],["dialog",{"_index":827,"t":{},"r":{"42":{}}}],["dictionari",{"_index":381,"t":{},"r":{"7":{}}}],["differ",{"_index":200,"t":{},"r":{"1":{},"5":{},"6":{},"8":{},"12":{},"14":{},"16":{},"21":{},"22":{},"27":{},"28":{},"35":{},"38":{},"39":{},"40":{},"49":{},"50":{},"52":{},"61":{}}}],["direct",{"_index":898,"t":{},"r":{"56":{}}}],["directli",{"_index":809,"t":{},"r":{"38":{}}}],["directori",{"_index":729,"t":{},"r":{"28":{},"40":{},"47":{},"68":{}}}],["disabl",{"_index":55,"t":{},"r":{"0":{},"4":{},"8":{},"19":{},"34":{},"50":{},"57":{},"67":{}}}],["disconnect",{"_index":22,"t":{},"r":{"0":{},"4":{}}}],["discoveri",{"_index":892,"t":{},"r":{"56":{},"61":{}}}],["disk",{"_index":473,"t":{},"r":{"13":{}}}],["display",{"_index":60,"t":{},"r":{"0":{},"4":{},"8":{},"10":{},"12":{},"14":{},"16":{},"19":{},"20":{},"21":{},"25":{},"27":{},"30":{},"31":{},"35":{},"39":{},"41":{},"50":{},"51":{},"54":{},"56":{},"57":{},"59":{},"61":{},"63":{},"65":{},"66":{},"67":{},"69":{},"71":{}}}],["distribut",{"_index":374,"t":{},"r":{"6":{},"28":{},"49":{}}}],["divid",{"_index":310,"t":{},"r":{"5":{},"22":{}}}],["dn",{"_index":885,"t":{},"r":{"54":{}}}],["document",{"_index":489,"t":{},"r":{"14":{},"17":{},"19":{},"20":{},"42":{},"46":{},"71":{},"72":{}}}],["domain",{"_index":613,"t":{},"r":{"21":{},"28":{},"35":{},"38":{},"47":{},"59":{},"68":{}}}],["done",{"_index":500,"t":{},"r":{"16":{}}}],["doubl",{"_index":694,"t":{},"r":{"27":{}}}],["down",{"_index":24,"t":{},"r":{"0":{},"21":{},"25":{},"59":{},"61":{}}}],["driven",{"_index":467,"t":{},"r":{"13":{}}}],["driver",{"_index":428,"t":{},"r":{"10":{},"63":{}}}],["dsn",{"_index":548,"t":{},"r":{"19":{},"63":{}}}],["due",{"_index":376,"t":{},"r":{"6":{}}}],["duplic",{"_index":822,"t":{},"r":{"41":{}}}],["durat",{"_index":908,"t":{},"r":{"58":{}}}],["dure",{"_index":171,"t":{},"r":{"1":{},"5":{},"12":{},"13":{},"16":{},"21":{},"22":{},"24":{},"28":{},"31":{},"32":{},"35":{},"38":{},"39":{},"40":{},"41":{},"42":{},"47":{},"59":{},"61":{},"66":{},"67":{}}}],["each",{"_index":156,"t":{},"r":{"1":{},"5":{},"6":{},"8":{},"9":{},"12":{},"16":{},"19":{},"20":{},"22":{},"25":{},"28":{},"29":{},"39":{},"47":{},"49":{},"62":{},"64":{},"65":{},"67":{},"69":{}}}],["easi",{"_index":896,"t":{},"r":{"56":{}}}],["echo",{"_index":518,"t":{},"r":{"16":{}}}],["edg",{"_index":977,"t":{},"r":{"72":{}}}],["edit",{"_index":42,"t":{},"r":{"0":{},"1":{},"5":{},"19":{},"20":{},"22":{},"33":{},"49":{}}}],["effect",{"_index":142,"t":{},"r":{"1":{},"19":{},"20":{},"70":{}}}],["effici",{"_index":377,"t":{},"r":{"6":{},"11":{},"28":{},"42":{},"55":{}}}],["effort",{"_index":713,"t":{},"r":{"28":{}}}],["electron",{"_index":992,"t":{},"r":{"72":{}}}],["elig",{"_index":987,"t":{},"r":{"72":{}}}],["empti",{"_index":701,"t":{},"r":{"27":{}}}],["en",{"_index":180,"t":{},"r":{"1":{},"5":{},"22":{}}}],["enabl",{"_index":54,"t":{},"r":{"0":{},"4":{},"5":{},"16":{},"22":{},"31":{},"48":{},"49":{},"52":{},"60":{},"65":{}}}],["enclos",{"_index":695,"t":{},"r":{"27":{}}}],["encod",{"_index":685,"t":{},"r":{"27":{}}}],["encourag",{"_index":969,"t":{},"r":{"72":{}}}],["encrypt",{"_index":197,"t":{},"r":{"1":{},"3":{},"5":{},"19":{},"22":{},"38":{}}}],["end",{"_index":414,"t":{},"r":{"9":{},"16":{},"26":{},"27":{},"36":{},"41":{},"44":{},"52":{},"67":{}}}],["enough",{"_index":627,"t":{},"r":{"25":{}}}],["ensur",{"_index":396,"t":{},"r":{"8":{},"21":{},"28":{},"31":{},"45":{},"65":{},"68":{},"69":{}}}],["enter",{"_index":436,"t":{},"r":{"10":{},"54":{},"59":{},"60":{},"65":{}}}],["enterpris",{"_index":361,"t":{},"r":{"6":{}}}],["entir",{"_index":623,"t":{},"r":{"25":{}}}],["entri",{"_index":230,"t":{},"r":{"1":{},"5":{},"19":{},"20":{},"22":{},"69":{}}}],["environ",{"_index":367,"t":{},"r":{"6":{},"25":{},"68":{}}}],["error",{"_index":71,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"8":{},"12":{},"16":{},"22":{},"26":{},"31":{},"34":{},"35":{},"39":{},"42":{},"50":{},"51":{},"57":{},"63":{},"65":{},"67":{},"69":{}}}],["errorlevel",{"_index":519,"t":{},"r":{"16":{}}}],["especi",{"_index":110,"t":{},"r":{"0":{},"6":{},"25":{}}}],["establish",{"_index":15,"t":{},"r":{"0":{},"1":{},"5":{},"8":{},"19":{},"22":{},"56":{}}}],["evalu",{"_index":580,"t":{},"r":{"19":{},"20":{},"25":{},"42":{}}}],["even",{"_index":333,"t":{},"r":{"6":{},"16":{},"67":{},"69":{},"71":{}}}],["exact",{"_index":330,"t":{},"r":{"6":{},"42":{},"55":{}}}],["exampl",{"_index":116,"t":{},"r":{"0":{},"4":{},"6":{},"9":{},"12":{},"17":{},"18":{},"19":{},"20":{},"26":{},"27":{},"28":{},"31":{},"36":{},"42":{},"44":{},"45":{},"50":{},"59":{},"65":{},"67":{},"69":{}}}],["exclam",{"_index":596,"t":{},"r":{"19":{},"20":{}}}],["execut",{"_index":148,"t":{},"r":{"1":{},"28":{},"29":{},"47":{},"62":{},"68":{}}}],["exist",{"_index":20,"t":{"48":{}},"r":{"0":{},"4":{},"6":{},"26":{},"28":{},"30":{},"35":{},"38":{},"41":{},"48":{},"52":{},"55":{}}}],["exit",{"_index":39,"t":{},"r":{"0":{}}}],["explain",{"_index":475,"t":{},"r":{"13":{}}}],["explor",{"_index":258,"t":{},"r":{"2":{},"7":{}}}],["export",{"_index":85,"t":{"7":{},"39":{},"66":{}},"r":{"0":{},"4":{},"7":{},"16":{},"17":{},"19":{},"20":{},"39":{},"41":{},"48":{},"49":{},"52":{},"53":{},"66":{}}}],["extent",{"_index":643,"t":{},"r":{"25":{}}}],["extern",{"_index":470,"t":{},"r":{"13":{}}}],["extra",{"_index":274,"t":{},"r":{"3":{},"6":{},"36":{},"44":{},"49":{}}}],["extract",{"_index":920,"t":{},"r":{"61":{},"71":{}}}],["f10",{"_index":307,"t":{},"r":{"4":{}}}],["f11",{"_index":308,"t":{},"r":{"4":{}}}],["f2",{"_index":302,"t":{},"r":{"4":{}}}],["f3",{"_index":303,"t":{},"r":{"4":{}}}],["f4",{"_index":304,"t":{},"r":{"4":{}}}],["f5",{"_index":36,"t":{},"r":{"0":{},"4":{}}}],["f7",{"_index":305,"t":{},"r":{"4":{}}}],["f8",{"_index":306,"t":{},"r":{"4":{}}}],["fail",{"_index":393,"t":{},"r":{"8":{},"12":{},"26":{},"58":{},"65":{},"67":{}}}],["fall",{"_index":112,"t":{},"r":{"0":{},"28":{}}}],["fallback",{"_index":717,"t":{},"r":{"28":{},"49":{}}}],["fals",{"_index":226,"t":{},"r":{"1":{},"5":{},"22":{}}}],["famili",{"_index":986,"t":{},"r":{"72":{}}}],["fast",{"_index":369,"t":{},"r":{"6":{},"55":{}}}],["fastest",{"_index":628,"t":{},"r":{"25":{}}}],["fatal",{"_index":952,"t":{},"r":{"69":{}}}],["fault",{"_index":724,"t":{},"r":{"28":{}}}],["faulti",{"_index":924,"t":{},"r":{"63":{}}}],["featur",{"_index":678,"t":{},"r":{"27":{},"28":{},"42":{}}}],["few",{"_index":388,"t":{},"r":{"8":{}}}],["field",{"_index":556,"t":{},"r":{"19":{},"20":{},"23":{},"27":{},"33":{},"36":{},"42":{},"44":{},"71":{}}}],["file",{"_index":50,"t":{"1":{},"5":{},"20":{},"22":{},"27":{}},"r":{"0":{},"1":{},"2":{},"4":{},"5":{},"6":{},"7":{},"12":{},"13":{},"16":{},"19":{},"20":{},"22":{},"26":{},"27":{},"31":{},"35":{},"39":{},"40":{},"41":{},"43":{},"49":{},"51":{},"52":{},"53":{},"55":{},"66":{},"67":{},"69":{},"71":{}}}],["filter",{"_index":560,"t":{},"r":{"19":{},"20":{}}}],["final",{"_index":593,"t":{},"r":{"19":{},"20":{},"42":{},"71":{}}}],["find",{"_index":828,"t":{},"r":{"42":{},"56":{}}}],["finish",{"_index":760,"t":{},"r":{"34":{},"57":{},"67":{}}}],["firefox",{"_index":976,"t":{},"r":{"72":{}}}],["first",{"_index":80,"t":{},"r":{"0":{},"4":{},"5":{},"12":{},"16":{},"19":{},"20":{},"27":{},"28":{},"30":{},"31":{},"34":{},"50":{},"51":{},"57":{},"58":{},"61":{},"70":{}}}],["fix",{"_index":753,"t":{},"r":{"31":{}}}],["flexibl",{"_index":825,"t":{},"r":{"42":{}}}],["float",{"_index":905,"t":{},"r":{"58":{}}}],["focu",{"_index":297,"t":{},"r":{"4":{}}}],["folder",{"_index":214,"t":{},"r":{"1":{},"5":{},"22":{},"40":{},"47":{}}}],["follow",{"_index":12,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"8":{},"9":{},"10":{},"13":{},"15":{},"16":{},"18":{},"19":{},"20":{},"21":{},"22":{},"24":{},"27":{},"29":{},"30":{},"31":{},"32":{},"35":{},"36":{},"39":{},"41":{},"43":{},"44":{},"45":{},"46":{},"47":{},"48":{},"49":{},"51":{},"52":{},"53":{},"58":{},"59":{},"60":{},"61":{},"62":{},"63":{},"65":{},"67":{},"69":{},"71":{}}}],["forc",{"_index":412,"t":{},"r":{"9":{}}}],["form",{"_index":711,"t":{},"r":{"28":{},"71":{}}}],["format",{"_index":675,"t":{"27":{}},"r":{"27":{},"55":{},"67":{}}}],["forward",{"_index":712,"t":{},"r":{"28":{},"56":{}}}],["found",{"_index":400,"t":{},"r":{"8":{},"19":{},"20":{},"67":{},"70":{}}}],["foundat",{"_index":803,"t":{},"r":{"38":{}}}],["frequent",{"_index":636,"t":{},"r":{"25":{}}}],["front",{"_index":764,"t":{},"r":{"34":{},"50":{},"57":{}}}],["fulfil",{"_index":993,"t":{},"r":{"72":{}}}],["full",{"_index":496,"t":{},"r":{"16":{},"19":{},"20":{},"39":{},"66":{}}}],["fulli",{"_index":550,"t":{},"r":{"19":{},"25":{}}}],["function",{"_index":342,"t":{"9":{}},"r":{"6":{},"9":{},"45":{},"56":{},"67":{}}}],["function_",{"_index":415,"t":{},"r":{"9":{}}}],["function_getlastmodificationdateformyt",{"_index":403,"t":{},"r":{"9":{}}}],["functionsautomat",{"_index":402,"t":{},"r":{"9":{}}}],["further",{"_index":648,"t":{},"r":{"25":{},"34":{},"57":{}}}],["futur",{"_index":499,"t":{},"r":{"16":{}}}],["fuzzi",{"_index":46,"t":{"18":{},"27":{},"42":{},"51":{}},"r":{"0":{},"4":{},"6":{},"17":{},"18":{},"19":{},"20":{},"25":{},"26":{},"27":{},"28":{},"29":{},"31":{},"34":{},"35":{},"39":{},"40":{},"41":{},"42":{},"43":{},"45":{},"48":{},"50":{},"51":{},"52":{},"55":{},"57":{},"59":{},"61":{},"62":{},"65":{},"66":{},"67":{},"71":{}}}],["gather",{"_index":723,"t":{},"r":{"28":{}}}],["gener",{"_index":539,"t":{"67":{}},"r":{"18":{},"25":{},"31":{},"35":{},"43":{},"46":{},"51":{},"53":{},"66":{},"67":{}}}],["get",{"_index":962,"t":{"72":{}},"r":{"72":{}}}],["getlastmodificationdateformyt",{"_index":416,"t":{},"r":{"9":{}}}],["given",{"_index":649,"t":{},"r":{"25":{},"65":{}}}],["go",{"_index":418,"t":{},"r":{"9":{},"36":{},"44":{},"72":{}}}],["googl",{"_index":973,"t":{},"r":{"72":{}}}],["grant",{"_index":610,"t":{"47":{}},"r":{"21":{},"28":{},"29":{},"38":{},"40":{},"47":{}}}],["graph",{"_index":485,"t":{},"r":{"14":{}}}],["graphic",{"_index":121,"t":{},"r":{"0":{}}}],["gray",{"_index":602,"t":{},"r":{"19":{},"20":{}}}],["group",{"_index":191,"t":{},"r":{"1":{},"5":{},"8":{},"16":{},"19":{},"20":{},"21":{},"22":{},"24":{},"28":{},"32":{},"35":{},"38":{},"47":{},"52":{},"59":{},"63":{},"65":{},"67":{}}}],["guid",{"_index":430,"t":{},"r":{"10":{}}}],["half",{"_index":564,"t":{},"r":{"19":{},"20":{}}}],["half/ful",{"_index":561,"t":{},"r":{"19":{},"20":{}}}],["handl",{"_index":319,"t":{},"r":{"6":{},"11":{},"19":{},"20":{},"28":{},"55":{}}}],["hangul",{"_index":565,"t":{},"r":{"19":{},"20":{}}}],["happen",{"_index":736,"t":{},"r":{"29":{},"49":{}}}],["hardwar",{"_index":650,"t":{},"r":{"25":{}}}],["have",{"_index":752,"t":{},"r":{"31":{}}}],["header",{"_index":555,"t":{},"r":{"19":{},"20":{},"27":{}}}],["help",{"_index":125,"t":{"72":{}},"r":{"0":{},"28":{},"46":{},"64":{},"72":{}}}],["here",{"_index":425,"t":{},"r":{"9":{},"36":{},"44":{}}}],["hidden",{"_index":559,"t":{},"r":{"19":{},"20":{}}}],["highli",{"_index":630,"t":{},"r":{"25":{}}}],["hit",{"_index":910,"t":{},"r":{"58":{}}}],["hold",{"_index":487,"t":{},"r":{"14":{}}}],["home",{"_index":984,"t":{},"r":{"72":{}}}],["host",{"_index":919,"t":{},"r":{"61":{}}}],["hour",{"_index":903,"t":{},"r":{"58":{},"67":{}}}],["hour(",{"_index":845,"t":{},"r":{"43":{}}}],["hourli",{"_index":839,"t":{},"r":{"43":{},"67":{}}}],["hours,12:00",{"_index":940,"t":{},"r":{"67":{}}}],["https://docshield.tungstenautomation.com/portal/products/tsms/6.10.0",{"_index":862,"t":{},"r":{"46":{}}}],["https://knowledge.tungstenautomation.com",{"_index":972,"t":{},"r":{"72":{}}}],["hyphen",{"_index":581,"t":{},"r":{"19":{},"20":{}}}],["icon",{"_index":59,"t":{},"r":{"0":{},"4":{},"34":{},"50":{},"57":{},"72":{}}}],["id",{"_index":224,"t":{},"r":{"1":{},"5":{},"20":{},"22":{},"71":{}}}],["ideal",{"_index":877,"t":{},"r":{"49":{}}}],["ident",{"_index":837,"t":{},"r":{"42":{}}}],["identifi",{"_index":442,"t":{},"r":{"11":{},"19":{},"20":{},"21":{},"42":{},"59":{},"61":{}}}],["idl",{"_index":914,"t":{},"r":{"58":{},"67":{}}}],["ignor",{"_index":289,"t":{},"r":{"4":{},"16":{},"17":{},"19":{},"20":{},"27":{}}}],["immedi",{"_index":821,"t":{},"r":{"41":{}}}],["impact",{"_index":645,"t":{},"r":{"25":{},"56":{}}}],["implement",{"_index":807,"t":{},"r":{"38":{}}}],["import",{"_index":88,"t":{"2":{},"19":{},"20":{},"26":{},"36":{},"41":{},"52":{},"71":{}},"r":{"0":{},"2":{},"4":{},"6":{},"12":{},"16":{},"17":{},"18":{},"19":{},"20":{},"25":{},"26":{},"27":{},"28":{},"29":{},"31":{},"35":{},"36":{},"39":{},"41":{},"42":{},"43":{},"45":{},"48":{},"49":{},"51":{},"52":{},"53":{},"58":{},"66":{},"67":{},"71":{}}}],["inact",{"_index":287,"t":{},"r":{"4":{}}}],["includ",{"_index":465,"t":{},"r":{"12":{},"13":{},"14":{},"20":{},"42":{},"71":{},"72":{}}}],["inclus",{"_index":958,"t":{},"r":{"71":{}}}],["incom",{"_index":891,"t":{},"r":{"56":{}}}],["increas",{"_index":245,"t":{},"r":{"1":{},"5":{},"6":{},"22":{},"25":{}}}],["independ",{"_index":155,"t":{},"r":{"1":{},"6":{},"49":{}}}],["index",{"_index":542,"t":{},"r":{"18":{},"25":{},"26":{},"28":{},"31":{},"40":{},"42":{},"45":{},"55":{},"65":{},"67":{}}}],["indic",{"_index":62,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"12":{},"16":{},"22":{},"27":{},"45":{},"50":{},"69":{}}}],["individu",{"_index":575,"t":{},"r":{"19":{},"20":{},"39":{},"52":{}}}],["info",{"_index":454,"t":{},"r":{"12":{},"69":{}}}],["inform",{"_index":128,"t":{},"r":{"0":{},"1":{},"5":{},"8":{},"10":{},"12":{},"13":{},"14":{},"19":{},"22":{},"26":{},"31":{},"46":{},"49":{},"54":{},"56":{},"59":{},"60":{},"63":{},"65":{},"69":{},"72":{}}}],["initi",{"_index":871,"t":{},"r":{"48":{},"67":{}}}],["input",{"_index":347,"t":{},"r":{"6":{},"19":{},"20":{}}}],["insert",{"_index":777,"t":{},"r":{"36":{},"44":{},"59":{},"65":{}}}],["insid",{"_index":631,"t":{},"r":{"25":{}}}],["instal",{"_index":132,"t":{},"r":{"1":{},"10":{},"13":{},"14":{},"16":{},"21":{},"24":{},"25":{},"28":{},"32":{},"35":{},"38":{},"40":{},"47":{},"49":{},"59":{},"61":{},"68":{}}}],["instead",{"_index":464,"t":{},"r":{"12":{},"27":{},"38":{}}}],["interact",{"_index":379,"t":{},"r":{"6":{}}}],["interf",{"_index":788,"t":{},"r":{"36":{},"44":{}}}],["interfac",{"_index":122,"t":{"37":{}},"r":{"0":{},"28":{},"37":{},"64":{},"70":{}}}],["intern",{"_index":232,"t":{},"r":{"1":{},"5":{},"13":{},"20":{},"22":{},"71":{}}}],["interpret",{"_index":693,"t":{},"r":{"27":{}}}],["introduc",{"_index":797,"t":{},"r":{"37":{}}}],["introduct",{"_index":859,"t":{"46":{}},"r":{"46":{}}}],["invis",{"_index":959,"t":{},"r":{"71":{}}}],["invoic",{"_index":833,"t":{},"r":{"42":{}}}],["ip",{"_index":615,"t":{},"r":{"21":{},"59":{},"61":{},"65":{}}}],["item",{"_index":599,"t":{},"r":{"19":{},"20":{},"28":{},"58":{}}}],["itself",{"_index":813,"t":{},"r":{"39":{},"66":{}}}],["japanes",{"_index":573,"t":{},"r":{"19":{},"20":{}}}],["katakana",{"_index":563,"t":{},"r":{"19":{},"20":{}}}],["keep",{"_index":968,"t":{},"r":{"72":{}}}],["kept",{"_index":449,"t":{},"r":{"12":{},"27":{},"31":{}}}],["key",{"_index":38,"t":{},"r":{"0":{},"4":{},"14":{}}}],["keyboard",{"_index":294,"t":{},"r":{"4":{}}}],["kind",{"_index":111,"t":{},"r":{"0":{},"1":{},"5":{},"22":{},"28":{}}}],["know",{"_index":611,"t":{},"r":{"21":{},"45":{},"69":{}}}],["knowledg",{"_index":963,"t":{},"r":{"72":{}}}],["known",{"_index":659,"t":{},"r":{"25":{}}}],["korean",{"_index":574,"t":{},"r":{"19":{},"20":{}}}],["l_result",{"_index":849,"t":{},"r":{"44":{}}}],["label",{"_index":73,"t":{},"r":{"0":{},"4":{}}}],["languag",{"_index":119,"t":{"70":{}},"r":{"0":{},"1":{},"5":{},"19":{},"20":{},"22":{},"53":{},"70":{}}}],["larg",{"_index":240,"t":{},"r":{"1":{},"5":{},"6":{},"12":{},"22":{},"39":{},"42":{},"56":{}}}],["larger",{"_index":644,"t":{},"r":{"25":{}}}],["last",{"_index":219,"t":{},"r":{"1":{},"5":{},"9":{},"12":{},"22":{},"29":{},"43":{},"45":{},"58":{},"67":{},"69":{}}}],["lastchanged",{"_index":852,"t":{},"r":{"44":{}}}],["lastdat",{"_index":772,"t":{},"r":{"36":{},"44":{}}}],["latest",{"_index":728,"t":{},"r":{"28":{}}}],["layer",{"_index":278,"t":{},"r":{"3":{},"38":{}}}],["left",{"_index":284,"t":{},"r":{"4":{}}}],["less",{"_index":646,"t":{},"r":{"25":{}}}],["letter",{"_index":836,"t":{},"r":{"42":{}}}],["level",{"_index":201,"t":{},"r":{"1":{},"5":{},"12":{},"22":{},"29":{},"42":{},"69":{}}}],["lf",{"_index":683,"t":{},"r":{"27":{}}}],["lifecycl",{"_index":990,"t":{},"r":{"72":{}}}],["limit",{"_index":372,"t":{},"r":{"6":{},"10":{},"28":{},"60":{}}}],["line",{"_index":502,"t":{},"r":{"16":{},"19":{},"20":{},"27":{},"47":{}}}],["linearli",{"_index":658,"t":{},"r":{"25":{}}}],["linefe",{"_index":684,"t":{},"r":{"27":{}}}],["link",{"_index":654,"t":{},"r":{"25":{},"46":{},"72":{}}}],["list",{"_index":26,"t":{},"r":{"0":{},"4":{},"7":{},"8":{},"10":{},"12":{},"14":{},"17":{},"19":{},"20":{},"21":{},"23":{},"28":{},"29":{},"30":{},"34":{},"39":{},"43":{},"49":{},"50":{},"51":{},"52":{},"54":{},"56":{},"57":{},"58":{},"59":{},"60":{},"61":{},"63":{},"65":{},"67":{},"69":{},"70":{}}}],["listen",{"_index":889,"t":{},"r":{"56":{}}}],["literatur",{"_index":900,"t":{},"r":{"56":{}}}],["load",{"_index":100,"t":{"5":{},"24":{},"28":{},"32":{},"47":{},"61":{}},"r":{"0":{},"1":{},"5":{},"6":{},"11":{},"12":{},"13":{},"16":{},"21":{},"22":{},"24":{},"25":{},"28":{},"30":{},"31":{},"32":{},"35":{},"47":{},"49":{},"51":{},"56":{},"58":{},"59":{},"61":{},"67":{},"68":{},"69":{}}}],["loadbalanceraddress",{"_index":618,"t":{},"r":{"24":{},"32":{}}}],["loadbalancerport",{"_index":619,"t":{},"r":{"24":{},"32":{}}}],["local",{"_index":123,"t":{},"r":{"0":{},"6":{},"8":{},"11":{},"21":{},"35":{},"38":{},"59":{},"61":{},"63":{}}}],["localhost",{"_index":509,"t":{},"r":{"16":{},"21":{},"24":{},"32":{},"59":{},"61":{}}}],["locat",{"_index":260,"t":{},"r":{"2":{},"6":{},"7":{},"19":{},"20":{},"31":{},"39":{},"42":{},"43":{},"49":{},"52":{},"56":{},"66":{},"71":{},"72":{}}}],["lock",{"_index":229,"t":{},"r":{"1":{},"5":{},"22":{},"26":{}}}],["log",{"_index":177,"t":{"12":{},"59":{},"69":{}},"r":{"1":{},"4":{},"5":{},"12":{},"15":{},"21":{},"22":{},"26":{},"35":{},"36":{},"40":{},"45":{},"53":{},"59":{},"61":{},"63":{},"65":{},"67":{},"69":{},"72":{}}}],["logfilepath",{"_index":205,"t":{},"r":{"1":{},"5":{},"22":{}}}],["loggingarch",{"_index":445,"t":{},"r":{"12":{}}}],["loggingmessag",{"_index":443,"t":{},"r":{"12":{}}}],["logic",{"_index":407,"t":{},"r":{"9":{}}}],["login",{"_index":390,"t":{},"r":{"8":{},"59":{},"62":{}}}],["loglevel",{"_index":199,"t":{},"r":{"1":{},"5":{},"22":{}}}],["logmutexinfo",{"_index":227,"t":{},"r":{"1":{},"5":{},"22":{}}}],["logon",{"_index":437,"t":{},"r":{"10":{},"29":{},"54":{},"59":{},"60":{},"63":{},"65":{}}}],["logthreaidinfo",{"_index":220,"t":{},"r":{"1":{},"5":{},"22":{}}}],["longer",{"_index":84,"t":{},"r":{"0":{},"4":{},"12":{},"28":{},"31":{},"41":{},"67":{},"69":{}}}],["look",{"_index":447,"t":{},"r":{"12":{}}}],["lookup",{"_index":553,"t":{},"r":{"19":{},"20":{},"71":{}}}],["lot",{"_index":638,"t":{},"r":{"25":{}}}],["lower",{"_index":536,"t":{},"r":{"17":{},"19":{},"20":{}}}],["m",{"_index":934,"t":{},"r":{"67":{}}}],["machin",{"_index":124,"t":{},"r":{"0":{},"1":{},"5":{},"22":{}}}],["made",{"_index":140,"t":{},"r":{"1":{}}}],["mailroom",{"_index":834,"t":{},"r":{"42":{}}}],["main",{"_index":798,"t":{},"r":{"37":{},"41":{},"66":{}}}],["maintain",{"_index":19,"t":{"48":{}},"r":{"0":{},"6":{},"31":{},"35":{},"37":{},"40":{},"48":{},"55":{},"59":{}}}],["mainten",{"_index":353,"t":{},"r":{"6":{},"28":{}}}],["make",{"_index":706,"t":{},"r":{"28":{},"51":{}}}],["manag",{"_index":93,"t":{"30":{}},"r":{"0":{},"19":{},"20":{},"26":{},"30":{},"35":{},"49":{},"51":{},"53":{},"59":{},"61":{},"67":{}}}],["mandatori",{"_index":700,"t":{},"r":{"27":{}}}],["mani",{"_index":830,"t":{},"r":{"42":{},"69":{}}}],["manual",{"_index":359,"t":{},"r":{"6":{},"20":{},"43":{},"47":{},"58":{},"59":{},"69":{}}}],["map",{"_index":737,"t":{},"r":{"29":{},"57":{},"71":{}}}],["mark",{"_index":592,"t":{},"r":{"19":{},"20":{}}}],["marker",{"_index":691,"t":{},"r":{"27":{}}}],["mask",{"_index":960,"t":{},"r":{"71":{}}}],["master",{"_index":750,"t":{},"r":{"30":{}}}],["match",{"_index":4,"t":{"21":{},"22":{},"35":{},"37":{},"49":{},"55":{}},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"8":{},"10":{},"11":{},"12":{},"13":{},"14":{},"15":{},"16":{},"17":{},"19":{},"20":{},"21":{},"22":{},"25":{},"28":{},"29":{},"30":{},"31":{},"35":{},"37":{},"38":{},"39":{},"40":{},"41":{},"42":{},"43":{},"46":{},"47":{},"48":{},"49":{},"52":{},"53":{},"55":{},"56":{},"58":{},"59":{},"61":{},"62":{},"63":{},"66":{},"67":{},"68":{},"69":{},"70":{}}}],["maximum",{"_index":235,"t":{},"r":{"1":{},"5":{},"22":{},"25":{}}}],["mb",{"_index":213,"t":{},"r":{"1":{},"5":{},"22":{}}}],["mcfthrottlingmaxconcurrentinst",{"_index":251,"t":{},"r":{"1":{},"5":{},"22":{}}}],["mean",{"_index":204,"t":{},"r":{"1":{},"5":{},"6":{},"8":{},"22":{},"28":{},"31":{},"34":{},"45":{},"49":{},"56":{},"57":{},"66":{}}}],["measur",{"_index":621,"t":{},"r":{"25":{}}}],["member",{"_index":192,"t":{},"r":{"1":{},"5":{},"16":{},"21":{},"22":{},"24":{},"25":{},"28":{},"29":{},"32":{},"38":{},"47":{}}}],["membership",{"_index":801,"t":{},"r":{"38":{}}}],["memori",{"_index":352,"t":{},"r":{"6":{},"12":{},"31":{},"67":{}}}],["menu",{"_index":0,"t":{"0":{}},"r":{"0":{},"4":{},"14":{},"28":{},"37":{},"61":{},"72":{}}}],["messag",{"_index":178,"t":{},"r":{"1":{},"4":{},"5":{},"8":{},"12":{},"16":{},"22":{},"27":{},"30":{},"63":{},"65":{},"69":{}}}],["messagesarea",{"_index":299,"t":{},"r":{"4":{}}}],["metadata",{"_index":740,"t":{},"r":{"29":{}}}],["method",{"_index":392,"t":{},"r":{"8":{},"49":{}}}],["microsoft",{"_index":326,"t":{"8":{},"29":{},"60":{}},"r":{"6":{},"8":{},"9":{},"14":{},"19":{},"28":{},"29":{},"36":{},"43":{},"44":{},"45":{},"48":{},"51":{},"53":{},"55":{},"60":{},"67":{},"68":{},"72":{}}}],["million",{"_index":647,"t":{},"r":{"25":{},"42":{}}}],["millisecond",{"_index":909,"t":{},"r":{"58":{}}}],["minim",{"_index":641,"t":{},"r":{"25":{},"28":{}}}],["minimum",{"_index":540,"t":{},"r":{"18":{},"62":{}}}],["minut",{"_index":906,"t":{},"r":{"58":{},"67":{}}}],["miss",{"_index":692,"t":{},"r":{"27":{},"42":{}}}],["mistak",{"_index":335,"t":{},"r":{"6":{}}}],["mode",{"_index":160,"t":{"49":{}},"r":{"1":{},"5":{},"16":{},"22":{},"24":{},"32":{},"49":{}}}],["modif",{"_index":758,"t":{},"r":{"33":{},"69":{}}}],["modifi",{"_index":130,"t":{"33":{}},"r":{"1":{},"5":{},"19":{},"20":{},"22":{},"29":{},"33":{},"58":{}}}],["modificationd",{"_index":424,"t":{},"r":{"9":{}}}],["modul",{"_index":127,"t":{},"r":{"0":{},"3":{},"4":{},"6":{},"17":{},"19":{},"20":{},"34":{},"42":{},"50":{},"71":{}}}],["moment",{"_index":389,"t":{},"r":{"8":{}}}],["monitor",{"_index":478,"t":{"14":{}},"r":{"14":{},"25":{},"58":{}}}],["more",{"_index":30,"t":{},"r":{"0":{},"4":{},"6":{},"7":{},"10":{},"14":{},"24":{},"25":{},"28":{},"39":{},"41":{},"42":{},"52":{},"55":{},"56":{},"61":{},"66":{},"67":{}}}],["move",{"_index":292,"t":{},"r":{"4":{}}}],["mozilla",{"_index":975,"t":{},"r":{"72":{}}}],["ms",{"_index":398,"t":{},"r":{"8":{},"58":{}}}],["msp",{"_index":881,"t":{},"r":{"49":{}}}],["multi",{"_index":365,"t":{},"r":{"6":{},"25":{}}}],["multipl",{"_index":66,"t":{},"r":{"0":{},"4":{},"6":{},"14":{},"25":{},"28":{},"35":{},"42":{},"49":{},"50":{},"55":{}}}],["mutex",{"_index":233,"t":{},"r":{"1":{},"5":{},"22":{}}}],["mydatabas",{"_index":417,"t":{},"r":{"9":{}}}],["mysql",{"_index":547,"t":{},"r":{"19":{}}}],["mytabl",{"_index":408,"t":{},"r":{"9":{}}}],["n",{"_index":933,"t":{},"r":{"67":{}}}],["name",{"_index":45,"t":{},"r":{"0":{},"1":{},"3":{},"4":{},"5":{},"6":{},"7":{},"8":{},"10":{},"11":{},"13":{},"17":{},"19":{},"20":{},"21":{},"22":{},"38":{},"39":{},"41":{},"51":{},"52":{},"54":{},"56":{},"57":{},"59":{},"60":{},"61":{},"63":{},"65":{},"71":{}}}],["name_1",{"_index":790,"t":{},"r":{"36":{}}}],["name_2",{"_index":791,"t":{},"r":{"36":{}}}],["navig",{"_index":259,"t":{},"r":{"2":{},"7":{}}}],["necessari",{"_index":207,"t":{},"r":{"1":{},"5":{},"16":{},"22":{},"24":{},"29":{},"32":{},"34":{},"40":{},"41":{},"45":{},"49":{},"57":{},"62":{},"68":{}}}],["need",{"_index":114,"t":{},"r":{"0":{},"1":{},"5":{},"6":{},"10":{},"16":{},"18":{},"20":{},"21":{},"22":{},"25":{},"27":{},"28":{},"31":{},"38":{},"39":{},"42":{},"45":{},"47":{},"49":{},"50":{},"51":{},"52":{},"54":{},"56":{},"57":{},"59":{},"60":{},"61":{},"65":{},"67":{},"71":{},"72":{}}}],["network",{"_index":169,"t":{},"r":{"1":{},"5":{},"8":{},"11":{},"13":{},"21":{},"22":{},"28":{},"40":{},"56":{},"59":{},"61":{},"65":{},"68":{}}}],["never",{"_index":272,"t":{},"r":{"3":{},"36":{},"44":{}}}],["new",{"_index":17,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"8":{},"12":{},"14":{},"16":{},"19":{},"20":{},"22":{},"35":{},"47":{},"51":{},"55":{},"57":{},"69":{},"70":{},"71":{},"72":{}}}],["newer",{"_index":843,"t":{},"r":{"43":{}}}],["newli",{"_index":558,"t":{},"r":{"19":{},"20":{},"28":{},"31":{},"47":{},"51":{},"63":{},"71":{}}}],["next",{"_index":61,"t":{},"r":{"0":{},"4":{},"19":{},"20":{},"26":{},"28":{},"67":{}}}],["nocount",{"_index":786,"t":{},"r":{"36":{},"44":{}}}],["node",{"_index":96,"t":{"11":{},"24":{},"32":{}},"r":{"0":{},"11":{},"16":{},"24":{},"28":{},"30":{},"32":{},"49":{},"53":{},"61":{},"68":{}}}],["nodeaddress",{"_index":508,"t":{},"r":{"16":{},"24":{},"32":{}}}],["nodeport",{"_index":510,"t":{},"r":{"16":{},"24":{},"32":{}}}],["non",{"_index":329,"t":{},"r":{"6":{},"42":{},"55":{},"71":{}}}],["normal",{"_index":159,"t":{},"r":{"1":{},"5":{},"17":{},"19":{},"20":{},"22":{},"28":{},"71":{}}}],["note",{"_index":83,"t":{},"r":{"0":{},"4":{},"12":{},"19":{},"20":{},"21":{},"34":{},"36":{},"39":{},"41":{},"44":{},"57":{},"61":{},"67":{},"69":{}}}],["now",{"_index":138,"t":{},"r":{"1":{},"31":{}}}],["number",{"_index":217,"t":{},"r":{"1":{},"5":{},"6":{},"11":{},"12":{},"14":{},"21":{},"22":{},"25":{},"26":{},"27":{},"31":{},"41":{},"52":{},"56":{},"58":{},"59":{},"61":{},"67":{},"69":{},"71":{}}}],["object",{"_index":434,"t":{},"r":{"10":{},"14":{},"29":{},"36":{},"60":{},"62":{}}}],["obtain",{"_index":970,"t":{},"r":{"72":{}}}],["occasion",{"_index":945,"t":{},"r":{"67":{}}}],["occur",{"_index":460,"t":{},"r":{"12":{},"19":{},"20":{},"31":{},"67":{},"69":{}}}],["ocr",{"_index":586,"t":{},"r":{"19":{},"20":{},"42":{}}}],["odbc",{"_index":344,"t":{"54":{},"63":{}},"r":{"6":{},"19":{},"31":{},"48":{},"51":{},"53":{},"54":{},"55":{},"63":{},"67":{}}}],["ok",{"_index":387,"t":{},"r":{"8":{},"10":{},"43":{},"51":{},"54":{},"57":{},"60":{},"61":{},"64":{}}}],["old",{"_index":842,"t":{},"r":{"43":{}}}],["older",{"_index":448,"t":{},"r":{"12":{}}}],["on",{"_index":21,"t":{},"r":{"0":{},"4":{},"6":{},"7":{},"8":{},"16":{},"19":{},"21":{},"27":{},"28":{},"31":{},"39":{},"41":{},"42":{},"52":{},"55":{},"61":{},"66":{},"67":{},"69":{}}}],["onc",{"_index":68,"t":{},"r":{"0":{},"1":{},"4":{},"6":{},"19":{},"24":{},"49":{},"56":{},"67":{}}}],["open",{"_index":43,"t":{},"r":{"0":{},"2":{},"4":{},"16":{},"19":{},"20":{},"24":{},"32":{},"36":{},"64":{}}}],["oper",{"_index":172,"t":{},"r":{"1":{},"5":{},"6":{},"14":{},"22":{},"38":{},"58":{},"70":{}}}],["optim",{"_index":719,"t":{},"r":{"28":{},"72":{}}}],["option",{"_index":154,"t":{},"r":{"1":{},"5":{},"19":{},"20":{},"22":{},"31":{},"35":{},"38":{},"39":{},"41":{},"43":{},"47":{},"51":{},"52":{},"69":{}}}],["oracl",{"_index":328,"t":{"10":{},"62":{},"65":{}},"r":{"6":{},"9":{},"10":{},"18":{},"19":{},"31":{},"36":{},"43":{},"44":{},"45":{},"48":{},"51":{},"53":{},"55":{},"62":{},"65":{},"67":{}}}],["order",{"_index":79,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"11":{},"14":{},"16":{},"18":{},"20":{},"21":{},"22":{},"27":{},"29":{},"30":{},"31":{},"35":{},"38":{},"49":{},"50":{},"51":{},"52":{},"57":{},"59":{},"60":{},"61":{},"62":{},"66":{},"67":{},"71":{}}}],["other",{"_index":457,"t":{},"r":{"12":{}}}],["otherwis",{"_index":386,"t":{},"r":{"8":{},"26":{},"36":{},"44":{},"61":{},"63":{}}}],["out",{"_index":603,"t":{},"r":{"19":{},"20":{},"36":{},"44":{}}}],["output",{"_index":853,"t":{},"r":{"44":{}}}],["outstand",{"_index":759,"t":{},"r":{"34":{}}}],["over",{"_index":279,"t":{},"r":{"3":{},"6":{},"13":{},"38":{},"58":{},"67":{}}}],["overal",{"_index":653,"t":{},"r":{"25":{}}}],["overwritten",{"_index":883,"t":{},"r":{"52":{}}}],["p_getsamplet",{"_index":781,"t":{},"r":{"36":{}}}],["p_recordset",{"_index":775,"t":{},"r":{"36":{}}}],["pack",{"_index":183,"t":{},"r":{"1":{},"5":{},"22":{}}}],["page",{"_index":829,"t":{},"r":{"42":{},"72":{}}}],["pair",{"_index":598,"t":{},"r":{"19":{},"20":{}}}],["pane",{"_index":281,"t":{"4":{},"15":{}},"r":{"4":{},"15":{},"21":{},"47":{},"61":{}}}],["panel",{"_index":482,"t":{},"r":{"14":{},"37":{}}}],["parallel",{"_index":236,"t":{},"r":{"1":{},"5":{},"6":{},"22":{},"25":{},"28":{},"35":{}}}],["paramet",{"_index":525,"t":{},"r":{"16":{},"36":{},"47":{},"49":{}}}],["part",{"_index":497,"t":{},"r":{"16":{},"19":{},"20":{},"24":{},"32":{},"68":{}}}],["parti",{"_index":819,"t":{},"r":{"41":{}}}],["particular",{"_index":634,"t":{},"r":{"25":{}}}],["partner",{"_index":988,"t":{},"r":{"72":{}}}],["password",{"_index":275,"t":{},"r":{"3":{},"8":{},"13":{},"19":{},"21":{},"28":{},"38":{},"41":{},"59":{},"63":{},"65":{}}}],["passwordifanyusedotherwiseblank",{"_index":514,"t":{},"r":{"16":{}}}],["path",{"_index":150,"t":{},"r":{"1":{},"5":{},"12":{},"20":{},"22":{},"31":{},"51":{}}}],["per",{"_index":626,"t":{},"r":{"25":{},"27":{},"58":{}}}],["perform",{"_index":244,"t":{"14":{},"25":{},"58":{}},"r":{"1":{},"4":{},"5":{},"6":{},"12":{},"14":{},"16":{},"22":{},"24":{},"25":{},"26":{},"28":{},"32":{},"34":{},"35":{},"36":{},"43":{},"44":{},"45":{},"51":{},"58":{},"61":{},"65":{},"67":{}}}],["period",{"_index":595,"t":{},"r":{"19":{},"20":{},"67":{}}}],["permiss",{"_index":505,"t":{},"r":{"16":{},"24":{},"28":{},"29":{},"32":{},"40":{},"47":{},"60":{},"62":{},"68":{}}}],["phrase",{"_index":982,"t":{},"r":{"72":{}}}],["pleas",{"_index":406,"t":{},"r":{"9":{},"70":{}}}],["pm",{"_index":942,"t":{},"r":{"67":{}}}],["point",{"_index":597,"t":{},"r":{"19":{},"20":{},"46":{},"67":{}}}],["polici",{"_index":991,"t":{},"r":{"72":{}}}],["popul",{"_index":552,"t":{},"r":{"19":{},"33":{}}}],["port",{"_index":168,"t":{},"r":{"1":{},"5":{},"11":{},"21":{},"22":{},"56":{},"59":{},"61":{}}}],["portal",{"_index":964,"t":{},"r":{"72":{}}}],["possibl",{"_index":624,"t":{},"r":{"25":{},"28":{},"38":{},"41":{},"42":{},"56":{}}}],["post",{"_index":179,"t":{},"r":{"1":{},"5":{},"22":{}}}],["postcode_1",{"_index":792,"t":{},"r":{"36":{}}}],["potenti",{"_index":838,"t":{},"r":{"42":{}}}],["power",{"_index":978,"t":{},"r":{"72":{}}}],["practic",{"_index":730,"t":{},"r":{"28":{}}}],["predefin",{"_index":949,"t":{},"r":{"69":{}}}],["prefac",{"_index":916,"t":{},"r":{"59":{}}}],["prefix",{"_index":453,"t":{},"r":{"12":{},"69":{}}}],["prepar",{"_index":716,"t":{},"r":{"28":{}}}],["press",{"_index":35,"t":{},"r":{"0":{}}}],["prevent",{"_index":787,"t":{},"r":{"36":{},"44":{}}}],["preview",{"_index":551,"t":{},"r":{"19":{},"20":{},"31":{},"51":{}}}],["previou",{"_index":136,"t":{},"r":{"1":{},"16":{},"26":{},"39":{},"41":{},"45":{},"67":{}}}],["previous",{"_index":961,"t":{},"r":{"71":{}}}],["primari",{"_index":98,"t":{},"r":{"0":{},"28":{},"30":{},"49":{},"61":{}}}],["principl",{"_index":318,"t":{"6":{}},"r":{"6":{}}}],["priorit",{"_index":378,"t":{},"r":{"6":{}}}],["privat",{"_index":432,"t":{},"r":{"10":{}}}],["probabl",{"_index":589,"t":{},"r":{"19":{},"20":{}}}],["problem",{"_index":874,"t":{},"r":{"49":{}}}],["procedur",{"_index":431,"t":{"36":{},"44":{},"45":{}},"r":{"10":{},"18":{},"19":{},"29":{},"36":{},"43":{},"44":{},"45":{},"60":{},"62":{},"67":{}}}],["proceduresautomat",{"_index":846,"t":{},"r":{"44":{}}}],["proceduresdatabas",{"_index":767,"t":{},"r":{"36":{}}}],["process",{"_index":249,"t":{},"r":{"1":{},"5":{},"16":{},"19":{},"20":{},"22":{},"25":{},"27":{},"61":{},"67":{}}}],["product",{"_index":861,"t":{"72":{}},"r":{"46":{},"50":{},"72":{}}}],["program",{"_index":151,"t":{},"r":{"1":{}}}],["programdata",{"_index":188,"t":{},"r":{"1":{},"5":{},"22":{}}}],["project",{"_index":266,"t":{},"r":{"3":{},"7":{},"19":{},"20":{},"28":{},"42":{},"49":{},"56":{}}}],["prompt",{"_index":507,"t":{},"r":{"16":{},"24":{},"32":{}}}],["properti",{"_index":492,"t":{},"r":{"14":{},"27":{},"49":{},"71":{}}}],["protect",{"_index":476,"t":{},"r":{"13":{},"41":{}}}],["protocol",{"_index":805,"t":{},"r":{"38":{}}}],["provid",{"_index":7,"t":{"47":{}},"r":{"0":{},"6":{},"8":{},"19":{},"20":{},"28":{},"30":{},"38":{},"39":{},"42":{},"46":{},"47":{},"52":{},"55":{},"56":{},"59":{},"63":{},"65":{},"69":{},"72":{}}}],["public",{"_index":734,"t":{},"r":{"29":{}}}],["purpos",{"_index":410,"t":{},"r":{"9":{}}}],["push",{"_index":715,"t":{},"r":{"28":{}}}],["q",{"_index":524,"t":{},"r":{"16":{}}}],["qualiti",{"_index":763,"t":{},"r":{"34":{},"50":{},"57":{},"67":{}}}],["queri",{"_index":248,"t":{},"r":{"1":{},"5":{},"16":{},"17":{},"22":{},"25":{},"42":{},"49":{}}}],["question",{"_index":971,"t":{},"r":{"72":{}}}],["quick",{"_index":368,"t":{},"r":{"6":{},"46":{}}}],["quickli",{"_index":980,"t":{},"r":{"72":{}}}],["quot",{"_index":588,"t":{},"r":{"19":{},"20":{},"27":{}}}],["quotat",{"_index":591,"t":{},"r":{"19":{},"20":{}}}],["quoted_identifi",{"_index":420,"t":{},"r":{"9":{},"36":{},"44":{}}}],["r",{"_index":757,"t":{},"r":{"32":{}}}],["re",{"_index":663,"t":{},"r":{"26":{},"43":{}}}],["reach",{"_index":212,"t":{},"r":{"1":{},"5":{},"6":{},"22":{},"28":{}}}],["read",{"_index":600,"t":{},"r":{"19":{},"20":{},"28":{},"40":{},"47":{},"62":{},"68":{}}}],["readi",{"_index":70,"t":{},"r":{"0":{},"4":{},"26":{},"28":{},"31":{},"39":{},"50":{}}}],["reason",{"_index":718,"t":{},"r":{"28":{}}}],["recent",{"_index":298,"t":{},"r":{"4":{},"69":{}}}],["record",{"_index":456,"t":{},"r":{"12":{},"19":{},"20":{},"25":{},"26":{},"27":{},"31":{},"36":{},"42":{},"45":{},"51":{},"55":{},"58":{},"71":{}}}],["reduc",{"_index":350,"t":{},"r":{"6":{},"25":{},"39":{}}}],["redund",{"_index":879,"t":{},"r":{"49":{}}}],["refer",{"_index":429,"t":{},"r":{"10":{},"14":{},"29":{},"49":{},"69":{}}}],["referenc",{"_index":348,"t":{},"r":{"6":{},"19":{},"20":{},"29":{},"42":{},"49":{},"62":{}}}],["refresh",{"_index":25,"t":{},"r":{"0":{},"4":{},"8":{},"19":{},"30":{},"63":{},"69":{}}}],["regard",{"_index":725,"t":{},"r":{"28":{}}}],["registri",{"_index":137,"t":{},"r":{"1":{}}}],["regular",{"_index":967,"t":{},"r":{"72":{}}}],["regularli",{"_index":355,"t":{},"r":{"6":{},"12":{},"43":{},"67":{}}}],["reincorpor",{"_index":727,"t":{},"r":{"28":{}}}],["reject",{"_index":876,"t":{},"r":{"49":{}}}],["relat",{"_index":52,"t":{"19":{},"45":{}},"r":{"0":{},"4":{},"18":{},"19":{},"28":{},"31":{},"35":{},"40":{},"42":{},"43":{},"45":{},"51":{},"53":{},"55":{},"62":{},"68":{},"71":{}}}],["releas",{"_index":983,"t":{},"r":{"72":{}}}],["relev",{"_index":802,"t":{},"r":{"38":{}}}],["reli",{"_index":893,"t":{},"r":{"56":{}}}],["rememb",{"_index":662,"t":{},"r":{"26":{},"70":{}}}],["remot",{"_index":322,"t":{},"r":{"6":{},"20":{},"28":{}}}],["remov",{"_index":81,"t":{"32":{}},"r":{"0":{},"4":{},"16":{},"17":{},"19":{},"20":{},"28":{},"29":{},"30":{},"32":{},"34":{},"38":{},"41":{},"45":{},"49":{},"69":{}}}],["renam",{"_index":78,"t":{"57":{}},"r":{"0":{},"4":{},"12":{},"20":{},"41":{},"48":{},"50":{},"52":{},"57":{}}}],["repeat",{"_index":869,"t":{},"r":{"47":{},"52":{},"61":{},"64":{}}}],["replac",{"_index":135,"t":{},"r":{"1":{},"9":{},"17":{},"19":{},"20":{},"23":{},"36":{},"41":{},"44":{},"52":{},"71":{}}}],["report",{"_index":300,"t":{"12":{},"69":{}},"r":{"4":{},"12":{},"15":{},"26":{},"35":{},"67":{},"69":{}}}],["repositori",{"_index":965,"t":{},"r":{"72":{}}}],["repres",{"_index":696,"t":{},"r":{"27":{}}}],["request",{"_index":196,"t":{},"r":{"1":{},"3":{},"5":{},"6":{},"11":{},"12":{},"22":{},"26":{},"28":{},"34":{},"35":{},"43":{},"50":{},"55":{},"56":{},"57":{},"58":{},"67":{}}}],["requir",{"_index":273,"t":{},"r":{"3":{},"8":{},"10":{},"19":{},"25":{},"29":{},"42":{},"62":{}}}],["reset",{"_index":950,"t":{},"r":{"69":{}}}],["resourc",{"_index":247,"t":{},"r":{"1":{},"5":{},"22":{},"72":{}}}],["respect",{"_index":765,"t":{},"r":{"35":{}}}],["respond",{"_index":705,"t":{},"r":{"28":{}}}],["respons",{"_index":370,"t":{},"r":{"6":{},"25":{},"38":{}}}],["restart",{"_index":144,"t":{},"r":{"1":{},"47":{},"70":{}}}],["restrict",{"_index":161,"t":{"49":{}},"r":{"1":{},"5":{},"16":{},"22":{},"24":{},"32":{},"38":{},"40":{},"49":{}}}],["result",{"_index":331,"t":{},"r":{"6":{},"8":{},"12":{},"19":{},"20":{},"26":{},"34":{},"36":{},"42":{},"43":{},"44":{},"49":{},"50":{},"55":{},"57":{},"58":{},"67":{},"71":{}}}],["retain",{"_index":590,"t":{},"r":{"19":{},"20":{}}}],["retriev",{"_index":911,"t":{},"r":{"58":{}}}],["return",{"_index":332,"t":{},"r":{"6":{},"9":{},"12":{},"26":{},"36":{},"41":{},"43":{},"45":{},"56":{},"66":{},"67":{},"69":{},"71":{}}}],["return/linefe",{"_index":682,"t":{},"r":{"27":{}}}],["revert",{"_index":105,"t":{},"r":{"0":{},"26":{}}}],["right",{"_index":484,"t":{"29":{},"62":{}},"r":{"14":{},"18":{},"20":{},"29":{},"43":{},"62":{}}}],["role",{"_index":735,"t":{},"r":{"29":{},"62":{}}}],["rollinglogfilecount",{"_index":216,"t":{},"r":{"1":{},"5":{},"22":{}}}],["rollinglogfilesizeinmb",{"_index":208,"t":{},"r":{"1":{},"5":{},"22":{}}}],["router",{"_index":897,"t":{},"r":{"56":{}}}],["rownum",{"_index":850,"t":{},"r":{"44":{}}}],["run",{"_index":158,"t":{},"r":{"1":{},"5":{},"6":{},"11":{},"12":{},"16":{},"21":{},"22":{},"24":{},"28":{},"32":{},"35":{},"40":{},"42":{},"47":{},"49":{},"56":{},"58":{},"59":{},"61":{},"63":{},"68":{}}}],["runningmod",{"_index":157,"t":{},"r":{"1":{},"5":{},"22":{},"49":{}}}],["runtim",{"_index":271,"t":{},"r":{"3":{},"58":{}}}],["same",{"_index":33,"t":{},"r":{"0":{},"1":{},"3":{},"5":{},"6":{},"7":{},"17":{},"22":{},"25":{},"26":{},"27":{},"28":{},"35":{},"38":{},"41":{},"49":{},"52":{},"56":{},"68":{},"69":{}}}],["sampl",{"_index":768,"t":{},"r":{"36":{},"44":{},"45":{}}}],["sampledatabas",{"_index":769,"t":{},"r":{"36":{},"44":{}}}],["sampledatabase.dbo.vendor",{"_index":794,"t":{},"r":{"36":{}}}],["sampledatabase.dbo.vendorlastchang",{"_index":855,"t":{},"r":{"44":{}}}],["save",{"_index":382,"t":{},"r":{"7":{},"10":{},"39":{},"43":{},"51":{},"54":{},"60":{},"64":{},"66":{}}}],["scale",{"_index":657,"t":{},"r":{"25":{}}}],["scenario",{"_index":832,"t":{},"r":{"42":{}}}],["schedul",{"_index":357,"t":{},"r":{"6":{}}}],["score",{"_index":632,"t":{},"r":{"25":{}}}],["script",{"_index":782,"t":{},"r":{"36":{}}}],["sdl",{"_index":261,"t":{},"r":{"2":{},"7":{}}}],["search",{"_index":3,"t":{"3":{},"21":{},"22":{},"35":{},"37":{},"42":{},"49":{},"55":{}},"r":{"0":{},"1":{},"3":{},"4":{},"5":{},"6":{},"8":{},"10":{},"11":{},"12":{},"13":{},"14":{},"15":{},"16":{},"17":{},"19":{},"20":{},"21":{},"22":{},"23":{},"25":{},"26":{},"28":{},"29":{},"30":{},"31":{},"34":{},"35":{},"37":{},"38":{},"39":{},"40":{},"41":{},"42":{},"43":{},"46":{},"47":{},"48":{},"49":{},"50":{},"52":{},"53":{},"55":{},"56":{},"57":{},"58":{},"59":{},"61":{},"62":{},"63":{},"66":{},"67":{},"68":{},"69":{},"70":{},"71":{},"72":{}}}],["searchmatchingserv",{"_index":152,"t":{},"r":{"1":{}}}],["second",{"_index":313,"t":{},"r":{"5":{},"20":{},"21":{},"25":{},"28":{},"49":{},"61":{},"71":{}}}],["secondari",{"_index":107,"t":{},"r":{"0":{},"28":{},"30":{},"49":{},"61":{}}}],["section",{"_index":312,"t":{},"r":{"5":{},"22":{},"64":{}}}],["secur",{"_index":262,"t":{"3":{},"13":{},"38":{},"40":{},"68":{}},"r":{"3":{},"13":{},"28":{},"35":{},"38":{},"40":{},"68":{}}}],["securesearchen",{"_index":193,"t":{},"r":{"1":{},"5":{},"22":{}}}],["see",{"_index":520,"t":{},"r":{"16":{},"28":{},"31":{},"56":{}}}],["select",{"_index":47,"t":{},"r":{"0":{},"1":{},"2":{},"4":{},"5":{},"8":{},"9":{},"10":{},"14":{},"18":{},"19":{},"20":{},"21":{},"22":{},"26":{},"28":{},"29":{},"30":{},"31":{},"33":{},"34":{},"36":{},"37":{},"39":{},"40":{},"41":{},"43":{},"44":{},"47":{},"50":{},"51":{},"52":{},"53":{},"54":{},"56":{},"57":{},"59":{},"60":{},"61":{},"62":{},"63":{},"65":{},"66":{},"67":{},"69":{},"70":{},"71":{},"72":{}}}],["select/execut",{"_index":738,"t":{},"r":{"29":{},"62":{}}}],["self",{"_index":994,"t":{},"r":{"72":{}}}],["semicolon",{"_index":577,"t":{},"r":{"19":{},"20":{}}}],["send",{"_index":166,"t":{},"r":{"1":{},"5":{},"6":{},"22":{},"28":{},"38":{},"42":{},"49":{}}}],["sensit",{"_index":469,"t":{},"r":{"13":{},"19":{},"20":{},"45":{}}}],["sent",{"_index":472,"t":{},"r":{"13":{},"34":{},"38":{},"43":{},"50":{},"57":{},"67":{}}}],["separ",{"_index":495,"t":{},"r":{"16":{},"19":{},"20":{},"27":{}}}],["sequenc",{"_index":483,"t":{},"r":{"14":{}}}],["server",{"_index":5,"t":{"8":{},"12":{},"21":{},"22":{},"29":{},"35":{},"37":{},"49":{},"55":{},"56":{},"58":{},"59":{},"60":{},"69":{}},"r":{"0":{},"1":{},"3":{},"4":{},"5":{},"6":{},"8":{},"9":{},"10":{},"11":{},"12":{},"13":{},"14":{},"15":{},"16":{},"17":{},"19":{},"20":{},"21":{},"22":{},"24":{},"25":{},"26":{},"28":{},"29":{},"30":{},"31":{},"35":{},"36":{},"37":{},"38":{},"39":{},"40":{},"41":{},"42":{},"43":{},"44":{},"45":{},"46":{},"47":{},"48":{},"49":{},"51":{},"52":{},"53":{},"55":{},"56":{},"58":{},"59":{},"60":{},"61":{},"62":{},"63":{},"65":{},"66":{},"67":{},"68":{},"69":{},"70":{}}}],["server/tn",{"_index":928,"t":{},"r":{"65":{}}}],["serveraccess",{"_index":609,"t":{},"r":{"21":{}}}],["servic",{"_index":143,"t":{"5":{},"22":{},"56":{},"68":{}},"r":{"1":{},"5":{},"6":{},"12":{},"16":{},"22":{},"28":{},"40":{},"47":{},"56":{},"58":{},"68":{},"72":{}}}],["servicemod",{"_index":880,"t":{},"r":{"49":{}}}],["serviceusernam",{"_index":867,"t":{},"r":{"47":{}}}],["serviceuserpassword",{"_index":868,"t":{},"r":{"47":{}}}],["session",{"_index":921,"t":{},"r":{"62":{}}}],["set",{"_index":13,"t":{"19":{},"20":{},"31":{},"51":{},"61":{},"67":{}},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"8":{},"9":{},"10":{},"11":{},"12":{},"15":{},"16":{},"17":{},"18":{},"19":{},"20":{},"21":{},"22":{},"25":{},"26":{},"28":{},"29":{},"30":{},"31":{},"35":{},"36":{},"39":{},"41":{},"42":{},"43":{},"44":{},"46":{},"47":{},"49":{},"50":{},"51":{},"52":{},"53":{},"54":{},"55":{},"59":{},"60":{},"61":{},"63":{},"65":{},"66":{},"67":{},"69":{},"71":{}}}],["sever",{"_index":67,"t":{},"r":{"0":{},"4":{},"6":{},"11":{},"21":{},"28":{},"29":{},"35":{},"42":{},"59":{},"62":{}}}],["share",{"_index":655,"t":{},"r":{"25":{},"28":{},"68":{}}}],["shift",{"_index":488,"t":{},"r":{"14":{}}}],["shortcut",{"_index":37,"t":{},"r":{"0":{},"4":{},"14":{}}}],["show",{"_index":285,"t":{},"r":{"4":{},"9":{},"12":{},"58":{},"69":{}}}],["shown",{"_index":847,"t":{},"r":{"44":{}}}],["shut",{"_index":23,"t":{},"r":{"0":{}}}],["side",{"_index":722,"t":{},"r":{"28":{},"57":{}}}],["sign",{"_index":612,"t":{},"r":{"21":{},"38":{},"61":{}}}],["similarli",{"_index":567,"t":{},"r":{"19":{},"20":{}}}],["simpl",{"_index":707,"t":{},"r":{"28":{}}}],["simultan",{"_index":886,"t":{},"r":{"55":{}}}],["singl",{"_index":373,"t":{},"r":{"6":{},"19":{},"20":{},"21":{},"25":{},"28":{},"38":{},"42":{},"55":{},"61":{}}}],["site",{"_index":323,"t":{},"r":{"6":{}}}],["size",{"_index":209,"t":{},"r":{"1":{},"5":{},"8":{},"12":{},"21":{},"22":{},"25":{},"28":{},"39":{},"61":{}}}],["skip",{"_index":506,"t":{},"r":{"16":{},"28":{},"58":{}}}],["slow",{"_index":637,"t":{},"r":{"25":{},"49":{}}}],["snippet",{"_index":755,"t":{},"r":{"31":{}}}],["solut",{"_index":985,"t":{},"r":{"72":{}}}],["someth",{"_index":873,"t":{},"r":{"49":{}}}],["soon",{"_index":726,"t":{},"r":{"28":{},"43":{}}}],["sourc",{"_index":541,"t":{"19":{},"20":{}},"r":{"18":{},"19":{},"20":{},"26":{},"29":{},"31":{},"43":{},"45":{},"51":{},"62":{},"63":{},"67":{},"71":{}}}],["sp_getlastchangeddateforsampledatabas",{"_index":848,"t":{},"r":{"44":{}}}],["sp_getsamplet",{"_index":774,"t":{},"r":{"36":{}}}],["space",{"_index":576,"t":{},"r":{"19":{},"20":{}}}],["specif",{"_index":316,"t":{},"r":{"5":{},"22":{},"25":{},"27":{},"42":{},"55":{},"69":{}}}],["specifi",{"_index":516,"t":{},"r":{"16":{},"19":{},"20":{},"39":{},"58":{}}}],["speed",{"_index":480,"t":{},"r":{"14":{},"21":{},"58":{},"61":{}}}],["spell",{"_index":334,"t":{},"r":{"6":{}}}],["spread",{"_index":441,"t":{},"r":{"11":{}}}],["sql",{"_index":327,"t":{"8":{},"29":{},"60":{}},"r":{"6":{},"8":{},"9":{},"19":{},"29":{},"31":{},"36":{},"43":{},"44":{},"45":{},"48":{},"51":{},"53":{},"55":{},"60":{},"62":{},"67":{},"68":{}}}],["stand",{"_index":103,"t":{},"r":{"0":{}}}],["standalon",{"_index":109,"t":{},"r":{"0":{},"6":{},"12":{},"21":{},"25":{},"28":{},"30":{},"31":{},"35":{},"59":{},"61":{}}}],["standard",{"_index":8,"t":{},"r":{"0":{}}}],["start",{"_index":455,"t":{},"r":{"12":{},"14":{},"16":{},"35":{},"43":{},"46":{},"58":{},"67":{},"70":{}}}],["startup",{"_index":351,"t":{},"r":{"6":{}}}],["state",{"_index":946,"t":{},"r":{"67":{}}}],["statement",{"_index":778,"t":{},"r":{"36":{},"44":{}}}],["statu",{"_index":69,"t":{},"r":{"0":{},"4":{},"26":{},"31":{},"39":{},"50":{},"51":{},"67":{}}}],["status",{"_index":882,"t":{},"r":{"50":{}}}],["step",{"_index":435,"t":{},"r":{"10":{},"16":{},"21":{},"24":{},"28":{},"43":{},"45":{},"47":{},"49":{},"51":{},"60":{},"61":{}}}],["still",{"_index":463,"t":{},"r":{"12":{},"16":{},"26":{},"27":{},"67":{}}}],["sting",{"_index":617,"t":{},"r":{"23":{}}}],["stop",{"_index":498,"t":{},"r":{"16":{},"31":{},"47":{},"56":{}}}],["storag",{"_index":477,"t":{"40":{}},"r":{"13":{},"28":{},"40":{},"47":{}}}],["store",{"_index":185,"t":{"36":{},"44":{},"45":{}},"r":{"1":{},"5":{},"6":{},"10":{},"12":{},"13":{},"18":{},"19":{},"22":{},"26":{},"29":{},"36":{},"40":{},"43":{},"44":{},"45":{},"55":{},"60":{},"62":{},"66":{},"67":{}}}],["storedprocedur",{"_index":779,"t":{},"r":{"36":{}}}],["stream",{"_index":606,"t":{},"r":{"20":{}}}],["street",{"_index":337,"t":{},"r":{"6":{},"17":{},"36":{}}}],["string",{"_index":255,"t":{"2":{},"7":{},"17":{},"23":{},"33":{}},"r":{"2":{},"6":{},"7":{},"8":{},"10":{},"16":{},"17":{},"18":{},"19":{},"20":{},"23":{},"27":{},"31":{},"33":{},"51":{},"54":{},"55":{},"60":{},"63":{},"65":{}}}],["structur",{"_index":824,"t":{},"r":{"42":{}}}],["style",{"_index":10,"t":{},"r":{"0":{}}}],["subdirectori",{"_index":815,"t":{},"r":{"40":{}}}],["subnet",{"_index":895,"t":{},"r":{"56":{}}}],["subset",{"_index":951,"t":{},"r":{"69":{}}}],["substitut",{"_index":256,"t":{"2":{},"7":{},"17":{},"23":{},"33":{}},"r":{"2":{},"7":{},"17":{},"18":{},"19":{},"20":{},"23":{},"31":{},"33":{},"51":{}}}],["substr",{"_index":529,"t":{},"r":{"17":{}}}],["substrat",{"_index":930,"t":{},"r":{"65":{}}}],["success",{"_index":385,"t":{},"r":{"8":{},"16":{},"21":{},"26":{},"65":{}}}],["successfulli",{"_index":397,"t":{},"r":{"8":{},"12":{},"19":{},"26":{},"27":{},"65":{},"67":{}}}],["such",{"_index":265,"t":{},"r":{"3":{},"6":{},"19":{},"20":{},"26":{},"31":{},"41":{},"56":{},"58":{},"69":{},"71":{}}}],["suffici",{"_index":816,"t":{},"r":{"40":{}}}],["suppli",{"_index":917,"t":{},"r":{"59":{}}}],["supplier",{"_index":324,"t":{},"r":{"6":{},"13":{}}}],["suppliernumb",{"_index":789,"t":{},"r":{"36":{}}}],["support",{"_index":181,"t":{},"r":{"1":{},"5":{},"6":{},"10":{},"22":{},"25":{},"27":{},"41":{},"60":{},"67":{},"72":{}}}],["suppress",{"_index":523,"t":{},"r":{"16":{}}}],["switch",{"_index":666,"t":{},"r":{"26":{}}}],["synchron",{"_index":99,"t":{},"r":{"0":{},"28":{},"30":{},"49":{},"61":{}}}],["synonym",{"_index":433,"t":{},"r":{"10":{},"19":{},"29":{},"60":{},"62":{}}}],["syntax",{"_index":742,"t":{},"r":{"29":{},"45":{}}}],["sys.databas",{"_index":743,"t":{},"r":{"29":{}}}],["sys.dm_db_index_usage_stat",{"_index":747,"t":{},"r":{"29":{}}}],["sys.object",{"_index":745,"t":{},"r":{"29":{}}}],["sys.schema",{"_index":744,"t":{},"r":{"29":{}}}],["sys.synonym",{"_index":746,"t":{},"r":{"29":{}}}],["sys_refcursor",{"_index":776,"t":{},"r":{"36":{}}}],["system",{"_index":364,"t":{},"r":{"6":{},"14":{},"25":{},"26":{},"29":{},"38":{},"43":{},"47":{},"54":{},"59":{},"63":{},"67":{},"70":{}}}],["systimestamp",{"_index":411,"t":{},"r":{"9":{}}}],["tab",{"_index":301,"t":{"15":{},"31":{},"69":{}},"r":{"4":{},"12":{},"15":{},"19":{},"20":{},"31":{},"37":{},"43":{},"51":{},"67":{},"69":{},"71":{}}}],["tabl",{"_index":345,"t":{},"r":{"6":{},"10":{},"17":{},"19":{},"20":{},"29":{},"31":{},"35":{},"36":{},"44":{},"55":{},"60":{},"62":{}}}],["take",{"_index":141,"t":{},"r":{"1":{},"8":{},"20":{},"21":{},"34":{},"41":{},"47":{},"61":{},"67":{},"70":{}}}],["taken",{"_index":544,"t":{},"r":{"18":{}}}],["tcp",{"_index":280,"t":{},"r":{"3":{},"38":{}}}],["technic",{"_index":276,"t":{},"r":{"3":{},"56":{}}}],["temporarili",{"_index":458,"t":{},"r":{"12":{},"26":{},"28":{}}}],["term",{"_index":981,"t":{},"r":{"72":{}}}],["test",{"_index":384,"t":{},"r":{"8":{},"9":{},"19":{},"63":{},"65":{}}}],["text",{"_index":49,"t":{"20":{},"27":{}},"r":{"0":{},"4":{},"6":{},"17":{},"19":{},"20":{},"23":{},"27":{},"31":{},"33":{},"35":{},"40":{},"43":{},"51":{},"53":{},"55":{},"66":{},"67":{},"71":{}}}],["therefor",{"_index":664,"t":{},"r":{"26":{},"66":{}}}],["third",{"_index":314,"t":{},"r":{"5":{},"41":{}}}],["those",{"_index":451,"t":{},"r":{"12":{},"19":{},"20":{},"67":{},"71":{}}}],["though",{"_index":665,"t":{},"r":{"26":{},"56":{}}}],["thread",{"_index":225,"t":{},"r":{"1":{},"5":{},"6":{},"22":{}}}],["three",{"_index":311,"t":{},"r":{"5":{},"12":{},"22":{},"40":{}}}],["throttl",{"_index":315,"t":{},"r":{"5":{}}}],["through",{"_index":349,"t":{},"r":{"6":{},"28":{},"40":{}}}],["throughout",{"_index":926,"t":{},"r":{"64":{}}}],["throughput",{"_index":625,"t":{},"r":{"25":{}}}],["time",{"_index":231,"t":{},"r":{"1":{},"5":{},"6":{},"8":{},"9":{},"19":{},"20":{},"21":{},"22":{},"25":{},"38":{},"43":{},"45":{},"58":{},"61":{},"65":{},"67":{},"70":{},"71":{}}}],["timeout",{"_index":913,"t":{},"r":{"58":{}}}],["tl",{"_index":806,"t":{},"r":{"38":{}}}],["tn",{"_index":929,"t":{},"r":{"65":{}}}],["togeth",{"_index":164,"t":{},"r":{"1":{},"5":{},"22":{},"25":{},"27":{},"49":{}}}],["token",{"_index":808,"t":{},"r":{"38":{}}}],["toler",{"_index":704,"t":{},"r":{"28":{}}}],["tool",{"_index":118,"t":{},"r":{"0":{},"6":{},"14":{},"16":{},"24":{},"28":{},"32":{},"35":{},"41":{},"47":{},"61":{},"72":{}}}],["top",{"_index":854,"t":{},"r":{"44":{}}}],["topic",{"_index":474,"t":{},"r":{"13":{}}}],["total",{"_index":708,"t":{},"r":{"28":{},"31":{},"58":{}}}],["totalagil",{"_index":270,"t":{},"r":{"3":{},"4":{},"17":{},"19":{},"20":{},"42":{},"71":{}}}],["tour",{"_index":864,"t":{},"r":{"46":{}}}],["track",{"_index":222,"t":{},"r":{"1":{},"5":{},"22":{},"58":{}}}],["traffic",{"_index":878,"t":{},"r":{"49":{}}}],["transform",{"_index":268,"t":{},"r":{"3":{},"4":{},"6":{},"17":{},"19":{},"20":{},"34":{},"42":{},"49":{},"50":{},"71":{}}}],["transmiss",{"_index":804,"t":{},"r":{"38":{}}}],["transmit",{"_index":195,"t":{},"r":{"1":{},"5":{},"22":{}}}],["transpar",{"_index":709,"t":{},"r":{"28":{}}}],["transport",{"_index":277,"t":{},"r":{"3":{},"38":{},"65":{}}}],["treat",{"_index":585,"t":{},"r":{"19":{},"20":{}}}],["tri",{"_index":462,"t":{},"r":{"12":{},"67":{}}}],["trigger",{"_index":935,"t":{},"r":{"67":{}}}],["true",{"_index":198,"t":{},"r":{"1":{},"5":{},"22":{}}}],["tsm",{"_index":189,"t":{},"r":{"1":{},"5":{},"16":{},"21":{},"22":{},"24":{},"28":{},"32":{},"38":{},"47":{},"59":{}}}],["tsms.log",{"_index":206,"t":{},"r":{"1":{},"5":{},"22":{}}}],["tsmsadministratorsgroupnam",{"_index":190,"t":{},"r":{"1":{},"5":{},"22":{}}}],["tsmsexportdatabases.zip",{"_index":512,"t":{},"r":{"16":{}}}],["tungsten",{"_index":2,"t":{"21":{},"22":{},"35":{},"37":{},"49":{},"72":{}},"r":{"0":{},"1":{},"3":{},"4":{},"5":{},"6":{},"8":{},"10":{},"11":{},"12":{},"13":{},"14":{},"15":{},"16":{},"17":{},"19":{},"20":{},"21":{},"22":{},"25":{},"28":{},"29":{},"30":{},"34":{},"35":{},"37":{},"38":{},"39":{},"40":{},"41":{},"42":{},"43":{},"46":{},"47":{},"48":{},"49":{},"50":{},"52":{},"53":{},"55":{},"56":{},"57":{},"58":{},"59":{},"61":{},"62":{},"63":{},"66":{},"67":{},"68":{},"69":{},"70":{},"71":{},"72":{}}}],["tungsten.tsms.administration.ex",{"_index":504,"t":{},"r":{"16":{},"24":{},"32":{}}}],["tungsten.tsms.loadbalancerservice.exe.config",{"_index":145,"t":{},"r":{"1":{},"49":{}}}],["tungsten.tsms.service.exe.config",{"_index":146,"t":{},"r":{"1":{}}}],["two",{"_index":129,"t":{},"r":{"1":{},"5":{},"8":{},"19":{},"20":{},"22":{},"25":{},"27":{},"40":{},"42":{},"49":{}}}],["type",{"_index":44,"t":{},"r":{"0":{},"4":{},"7":{},"8":{},"10":{},"16":{},"19":{},"20":{},"21":{},"23":{},"31":{},"33":{},"35":{},"38":{},"39":{},"42":{},"51":{},"54":{},"57":{},"59":{},"60":{},"61":{},"63":{},"66":{},"69":{},"71":{},"72":{}}}],["typic",{"_index":468,"t":{},"r":{"13":{},"17":{},"19":{},"20":{},"42":{},"49":{},"58":{}}}],["unavail",{"_index":669,"t":{},"r":{"26":{},"28":{}}}],["under",{"_index":732,"t":{},"r":{"28":{},"68":{}}}],["underli",{"_index":739,"t":{},"r":{"29":{},"62":{}}}],["unicod",{"_index":566,"t":{},"r":{"19":{},"20":{}}}],["uniqu",{"_index":528,"t":{},"r":{"17":{}}}],["unload",{"_index":754,"t":{},"r":{"31":{},"58":{},"67":{}}}],["until",{"_index":673,"t":{},"r":{"26":{},"31":{},"61":{},"69":{},"70":{}}}],["unwant",{"_index":587,"t":{},"r":{"19":{},"20":{}}}],["up",{"_index":117,"t":{"51":{},"61":{}},"r":{"0":{},"6":{},"10":{},"12":{},"18":{},"19":{},"21":{},"26":{},"28":{},"35":{},"47":{},"51":{},"54":{},"60":{},"61":{}}}],["updat",{"_index":356,"t":{"9":{},"16":{},"26":{},"43":{},"44":{}},"r":{"6":{},"8":{},"9":{},"12":{},"16":{},"18":{},"19":{},"20":{},"26":{},"28":{},"31":{},"35":{},"36":{},"43":{},"44":{},"45":{},"49":{},"51":{},"57":{},"58":{},"61":{},"63":{},"65":{},"67":{},"69":{},"72":{}}}],["upgrad",{"_index":133,"t":{},"r":{"1":{}}}],["upload",{"_index":459,"t":{},"r":{"12":{},"20":{},"31":{},"39":{},"40":{},"43":{},"66":{}}}],["url/unc",{"_index":461,"t":{},"r":{"12":{},"20":{},"31":{},"43":{}}}],["us",{"_index":28,"t":{},"r":{"0":{},"1":{},"3":{},"4":{},"5":{},"6":{},"7":{},"8":{},"9":{},"11":{},"12":{},"13":{},"14":{},"16":{},"17":{},"18":{},"19":{},"20":{},"21":{},"22":{},"24":{},"26":{},"28":{},"29":{},"30":{},"31":{},"35":{},"36":{},"38":{},"39":{},"41":{},"42":{},"43":{},"44":{},"45":{},"49":{},"50":{},"52":{},"55":{},"56":{},"59":{},"60":{},"61":{},"62":{},"63":{},"64":{},"65":{},"66":{},"67":{},"68":{},"69":{},"70":{},"71":{},"72":{}}}],["user",{"_index":31,"t":{"37":{}},"r":{"0":{},"1":{},"3":{},"5":{},"6":{},"8":{},"12":{},"13":{},"16":{},"18":{},"21":{},"22":{},"24":{},"27":{},"28":{},"29":{},"32":{},"35":{},"37":{},"38":{},"40":{},"42":{},"47":{},"55":{},"59":{},"62":{},"63":{},"64":{},"65":{},"68":{},"69":{},"70":{}}}],["utf",{"_index":687,"t":{},"r":{"27":{}}}],["util",{"_index":32,"t":{},"r":{"0":{}}}],["valid",{"_index":176,"t":{},"r":{"1":{},"3":{},"5":{},"6":{},"19":{},"22":{},"59":{},"71":{}}}],["valu",{"_index":76,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"6":{},"11":{},"16":{},"19":{},"20":{},"21":{},"22":{},"27":{},"31":{},"33":{},"39":{},"49":{},"55":{},"59":{},"61":{},"67":{},"69":{},"71":{}}}],["variat",{"_index":338,"t":{},"r":{"6":{}}}],["variou",{"_index":320,"t":{},"r":{"6":{},"14":{},"39":{},"58":{}}}],["vendor",{"_index":770,"t":{},"r":{"36":{},"42":{},"44":{}}}],["vendorlastchang",{"_index":771,"t":{},"r":{"36":{},"44":{}}}],["veri",{"_index":635,"t":{},"r":{"25":{},"42":{}}}],["version",{"_index":668,"t":{},"r":{"26":{},"28":{},"41":{},"49":{},"63":{},"67":{}}}],["via",{"_index":501,"t":{},"r":{"16":{},"28":{},"49":{},"55":{}}}],["view",{"_index":346,"t":{},"r":{"6":{},"10":{},"14":{},"19":{},"29":{},"35":{},"39":{},"48":{},"55":{},"60":{},"62":{},"69":{},"72":{}}}],["virtual",{"_index":656,"t":{},"r":{"25":{}}}],["viru",{"_index":670,"t":{},"r":{"26":{}}}],["visibl",{"_index":901,"t":{},"r":{"56":{}}}],["volum",{"_index":321,"t":{},"r":{"6":{}}}],["wait",{"_index":517,"t":{},"r":{"16":{},"26":{}}}],["want",{"_index":162,"t":{},"r":{"1":{},"5":{},"11":{},"14":{},"17":{},"19":{},"20":{},"21":{},"22":{},"33":{},"34":{},"39":{},"41":{},"47":{},"50":{},"51":{},"56":{},"57":{},"61":{},"66":{},"69":{},"71":{}}}],["warn",{"_index":203,"t":{},"r":{"1":{},"5":{},"10":{},"12":{},"22":{},"69":{}}}],["way",{"_index":440,"t":{},"r":{"11":{},"25":{},"28":{},"42":{},"55":{}}}],["wcf",{"_index":253,"t":{},"r":{"1":{},"5":{},"22":{},"38":{}}}],["wcfthrottlingmaxconcurrentcal",{"_index":234,"t":{},"r":{"1":{},"5":{},"22":{}}}],["wcfthrottlingmaxconcurrentsess",{"_index":237,"t":{},"r":{"1":{},"5":{},"22":{}}}],["weekday",{"_index":944,"t":{},"r":{"67":{}}}],["weekli",{"_index":841,"t":{},"r":{"43":{},"67":{}}}],["welcom",{"_index":860,"t":{},"r":{"46":{}}}],["well",{"_index":286,"t":{},"r":{"4":{},"12":{},"17":{},"19":{},"20":{},"29":{}}}],["western",{"_index":569,"t":{},"r":{"19":{},"20":{}}}],["wetzingerstr",{"_index":698,"t":{},"r":{"27":{}}}],["whether",{"_index":63,"t":{},"r":{"0":{},"1":{},"4":{},"5":{},"16":{},"22":{},"43":{},"50":{},"67":{}}}],["whole",{"_index":532,"t":{},"r":{"17":{}}}],["whose",{"_index":956,"t":{},"r":{"71":{}}}],["width",{"_index":562,"t":{},"r":{"19":{},"20":{}}}],["window",{"_index":9,"t":{"8":{},"11":{},"19":{},"20":{},"30":{},"39":{},"52":{},"53":{},"59":{},"63":{},"65":{},"67":{},"70":{}},"r":{"0":{},"2":{},"4":{},"6":{},"7":{},"8":{},"10":{},"11":{},"14":{},"16":{},"19":{},"20":{},"21":{},"28":{},"30":{},"37":{},"38":{},"39":{},"41":{},"43":{},"51":{},"52":{},"53":{},"54":{},"56":{},"57":{},"58":{},"59":{},"60":{},"61":{},"63":{},"64":{},"65":{},"66":{},"67":{},"70":{},"71":{}}}],["windowsadd",{"_index":438,"t":{},"r":{"11":{}}}],["windowsconfigur",{"_index":383,"t":{},"r":{"8":{},"65":{}}}],["windowsexport",{"_index":811,"t":{},"r":{"39":{}}}],["windowsgener",{"_index":932,"t":{},"r":{"67":{}}}],["windowsimport",{"_index":605,"t":{},"r":{"20":{},"52":{}}}],["windowslog",{"_index":915,"t":{},"r":{"59":{}}}],["windowsrel",{"_index":546,"t":{},"r":{"19":{}}}],["windowsselect",{"_index":922,"t":{},"r":{"63":{},"70":{}}}],["within",{"_index":288,"t":{},"r":{"4":{},"8":{},"12":{},"21":{},"28":{},"30":{},"35":{},"59":{},"61":{},"65":{},"67":{},"69":{},"71":{}}}],["without",{"_index":165,"t":{},"r":{"1":{},"5":{},"6":{},"22":{},"47":{},"49":{},"64":{}}}],["wizard",{"_index":490,"t":{},"r":{"14":{}}}],["word",{"_index":533,"t":{},"r":{"17":{},"19":{},"20":{},"25":{},"42":{}}}],["work",{"_index":163,"t":{},"r":{"1":{},"5":{},"12":{},"13":{},"22":{},"49":{}}}],["workflow",{"_index":58,"t":{},"r":{"0":{},"4":{}}}],["workload",{"_index":375,"t":{},"r":{"6":{},"11":{},"25":{},"28":{}}}],["write",{"_index":223,"t":{},"r":{"1":{},"5":{},"9":{},"22":{},"28":{},"40":{},"47":{},"68":{}}}],["written",{"_index":202,"t":{},"r":{"1":{},"5":{},"12":{},"22":{},"69":{}}}],["wrong",{"_index":826,"t":{},"r":{"42":{}}}],["wrote",{"_index":835,"t":{},"r":{"42":{}}}],["zero",{"_index":953,"t":{},"r":{"69":{}}}],["zip",{"_index":87,"t":{},"r":{"0":{},"4":{},"16":{},"39":{},"41":{},"52":{},"66":{}}}],["zipfilepassword",{"_index":513,"t":{},"r":{"16":{}}}],["zippath",{"_index":511,"t":{},"r":{"16":{}}}]],"pipeline":["stemmer"]}';
/**
* Copyright (c) 2002-2024 Kofax. All rights reserved.
*/
const l10n={en:{unsupported:"Full-text search cannot be performed with this version or configuration of your browser.",noMatches:"No matches found.",noExactMatches:"No exact-phrase matches were found. Try these topics instead:",similarResults:"Similar results",search:"Search",search_info_title:"Search tips",searchResultsTitle:"Search results",searchTip1:"The search returns topics that contain terms you enter. If you type more than one term, an OR is assumed, which returns topics where any of the terms are found. Enclose your search terms in quotes for exact-phrase matching.",searchTip2:"The search also uses fuzzy matching to account for partial words (such as install and installs). The results appear in order of relevance, based on how many search terms occur per topic. Exact matches are highlighted.",searchTip3:"To refine the search, you can use the following operators:",searchTip3_1:"Type + in front of words that must be included in the search or - in front of words to exclude. (Example: user +shortcut –group finds shortcut and user shortcut, but not group or user group.)",searchTip3_2:"Use * as a wildcard for missing characters. The wildcard can be used anywhere in a search term. (Example: inst* finds installation and instructions.)",searchTip3_3:"Type title: at the beginning of the search phrase to look only for topic titles. (Example: title:configuration finds the topic titled “Changing the software configuration.”)",searchTip3_4:"For multi-term searches, you can specify a priority for terms in your search. Follow the term with ^ and a positive number that indicates the weight given that term. A higher number indicates more weight. (Example: shortcut^10 group gives shortcut 10 times the weight as group.)",searchTip3_5:"To use fuzzy searching to account for misspellings, follow the term with ~ and a positive number for the number of corrections to be made. (Example: port~1 matches fort, post, or potr, and other instances where one correction leads to a match.)",searchTipnote:'Note that operators cannot be used as search terms: + - * : ~ ^ &apos; "',close:"Close"},ar:{unsupported:"لا يمكن البحث عن نص كامل بهذا الإصدار من متصفحك أو إعداداته.",noMatches:"لم يتم العثور على مطابقات.",noExactMatches:"لم يعثر على مطابقات للعبارة. جرب هذه الموضوعات بدلاً من ذلك:",similarResults:"نتائج مماثلة",search:"بحث",search_info_title:"نصائح البحث",searchResultsTitle:"نتائج البحث",searchTip1:"يسفر البحث عن الموضوعات المشتملة على الكلمات التي أدخلتها. إذا كتبت أكثر من كلمة، فسوف يفترض وضع OR (أو)، التي تسفر عن الموضوعات المشتملة على أي من الكلمات. ضع مصطلحات البحث بين علامتي اقتباس لمطابقة العبارة تمامًا.",searchTip2:"يستخدم البحث أيضًا المطابقة الضبابية لإيجاد الكلمات الجزئية (مثل يثبت وتثبت). تظهر النتائج بالترتيب المناسب، بناءً على عدد كلمات البحث في كل موضوع. المطابقات التامة متميزة.",searchTip3:"لتحسين البحث، يمكنك استخدام العوامل التالية:",searchTip3_1:"اكتب + أمام الكلمات التي يجب تضمينها في البحث أو - أمام الكلمات المراد استبعادها. (مثال: مستخدم +مختصر -مجموعة تعثر على مختصر ومختصر مستخدم، لكن تستبعد مجموعة أو مجموعة مستخدم).",searchTip3_2:"استخدم * حرفا بديلا عن الأحرف المفقودة. يمكن استخدام الأحرف البديلة في أي مكان في كلمة البحث. (مثال: تع* يجد تعليمات وتعريفات).",searchTip3_3:'اكتب title: في بداية عبارة البحث للبحث عن عناوين الموضوعات فقط. (مثال: title: التكوين يبحث عن الموضوع المعنون بـ "تغيير تكوين البرنامج").',searchTip3_4:"في عمليات البحث متعددة الكلمات، يمكنك تحديد أولوية الكلمات في بحثك. اتبع الكلمة بـ ^ ورقم موجب يشير إلى أهمية هذه الكلمة. يشير الرقم الأعلى إلى الأهمية الكبرى. (مثال: مجموعة الاختصار^10 تعطي الاختصار 10 أضعاف أهمية مجموعة).",searchTip3_5:"عند استخدام البحث الضبابي لإيجاد الأخطاء الإملائية، اتبع الكلمة بـ ~ ورقم موجب لعدد التصحيحات الواجب إجراؤها. (مثال سابل~1 تطابق سابح، سابع، سابق، وكذلك كافة الأمثلة التي يؤدي فيها تصويب واحد إلى المطابقة).",searchTipnote:'لاحظ عدم إمكان استخدام العوامل على أنها كلمات للبحث: + - * : ~ ^ &apos; "',close:"إغلاق"},bg:{unsupported:"Търсенето в пълен текст не може да се извърши с тази версия или конфигурация на вашия браузър.",noMatches:"Не са намерени съвпадения.",noExactMatches:"Не бяха намерени точни съвпадения на фрази. Опитайте с тези теми вместо това:",similarResults:"Подобни резултати",search:"Търсене",search_info_title:"Съвети за търсене",searchResultsTitle:"Резултати от търсенето",searchTip1:"Търсенето връща теми, които съдържат въведените от вас термини. Ако въведете повече от един термин, се приема OR, което връща теми, в които е намерен някой от термините. Поставете термините за търсене в кавички за точно съвпадение на фразите.",searchTip2:"Търсенето също така използва процентно съвпадение за отчитане на частични думи (като инсталира и инсталирате). Резултатите се появяват в ред по значимост, въз основа на това колко думи за търсене се срещат в дадена тема. Точните съвпадения са подчертани.",searchTip3:"За да прецизирате търсенето, можете да използвате следните оператори:",searchTip3_1:"Въведете + пред думите, които трябва да бъдат включени в търсенето, или - пред думите, които трябва да бъдат изключени. (Пример: потребител +пряк път -група намира пряк път и пряк път на потребителя, но не и група или потребителска група.)",searchTip3_2:"Използвайте * като заместител за липсващи символи. Заместващият символ може да се използва навсякъде в термина за търсене. (Пример: инст* намира инсталация и инструкции.)",searchTip3_3:'Въведете заглавие: в началото на фразата за търсене, за да търсите само заглавия на теми. (Пример: заглавие:конфигурация намира темата със заглавие "Промяна на софтуерната конфигурация".)',searchTip3_4:"При търсене по няколко термина можете да зададете приоритет на термините в търсенето. След термина поставете ^ и положително число, което указва тежестта на този термин. По-голямото число показва по-голяма тежест. (Пример: пряк път^10 група дава на пряк път 10 пъти по-голяма тежест, отколкото на група.)",searchTip3_5:"За да използвате търсене на процентно съвпадение за отчитане на правописни грешки, добавете след термина символа ~ и положително число за броя на корекциите, които трябва да се направят. (Пример: порт~1 отговаря на форт, пост или потр, както и на други случаи, при които една корекция води до съответствие.)",searchTipnote:'Обърнете внимание, че операторите не могат да се използват като термини за търсене: + - * : ~ ^ &apos; "',close:"Затвори"},cs:{unsupported:"S touto verzí nebo konfigurací prohlížeče nelze provést fulltextové hledání.",noMatches:"Nebyly nalezeny žádné shody.",noExactMatches:"Pro slovní spojení nebyly nalezeny žádné přesné shody. Zkuste místo toho tato témata:",similarResults:"Podobné výsledky",search:"Hledat",search_info_title:"Tipy pro hledání",searchResultsTitle:"Výsledky vyhledávání",searchTip1:"Vyhledání vrátí témata, která obsahují zadané výrazy. Zadáte-li více než jeden výraz, předpokládá se logický vztah NEBO, který vrátí témata, v nichž byl nalezen kterýkoli z výrazů. Pro vyhledání přesné shody slovního spojení vložte hledané pojmy do uvozovek.",searchTip2:"Vyhledávání také používá přibližnou shodu k zohlednění neúplných slov (jako například dokument a dokumenty). Výsledky se zobrazují v pořadí relevantnosti, na základě toho, jak často se hledané výrazy v tématu objevují. Přesné shody budou zvýrazněny.",searchTip3:"Vyhledávání lze upřesnit pomocí následujících operátorů:",searchTip3_1:"Před slova, která musí být ve vyhledávání zahrnuta, napište symbol + a před slova, která chcete vyloučit, napište symbol -. (Příklad: uživatel +zkratka –skupina najde výrazy zkratka a uživatel zkratka, ale ne výrazy skupina nebo uživatel skupina.)",searchTip3_2:"Symbol * použijte jako zástupný znak pro chybějící znaky. Zástupný znak lze použít kdekoli v hledaném výrazu. (Příklad: inst* najde výrazy instalace a instrukce.)",searchTip3_3:"Pokud na začátek hledaného výrazu napíšete title:, budou se vyhledávat pouze názvy témat. (Příklad: title:konfigurace najde téma s názvem Změna konfigurace systému.)",searchTip3_4:"Při vyhledávání více výrazů můžete zadat jejich prioritu. Za výraz napište symbol ^ a kladné číslo, které udává váhu tohoto výrazu. Vyšší číslo představuje vyšší váhu. (Příklad: zkratka^10 skupina dává výrazu zkratka 10krát větší váhu než výrazu skupina.)",searchTip3_5:"Chcete-li pomocí přibližného vyhledávání zohlednit pravopisné chyby, zadejte za hledaný výraz symbol ~ a kladné číslo určující počet oprav, které mají být provedeny. (Příklad: port~1 nalezne výrazy fort, post nebo potr a další případy, kde jedna oprava povede ke shodě.)",searchTipnote:'Pamaujte, že operátory nelze používat jako hledané výrazy: + - * : ~ ^ &apos; "',close:"Zavřít"},da:{unsupported:"Fuldtekstsøgning kan ikke udføres med denne version eller konfiguration af din browser.",noMatches:"Der blev ingen matches fundet.",noExactMatches:"Der blev ikke fundet nogen nøjagtige udtryk. Prøv disse emner i stedet for:",similarResults:"Lignende resultater",search:"Søg",search_info_title:"Søgetips",searchResultsTitle:"Søgeresultater",searchTip1:"Søgningen returnerer emner, der indeholder udtryk, du indtaster. Hvis du skriver mere end et udtryk, antages det, at der bruges ELLER. Dette returnerer emner, hvor et eller flere af udtrykkene er fundet. Sæt dine søgeudtryk i anførselstegn i for at finde nøjagtige udtryk.",searchTip2:"Søgningen bruger også fuzzy-søgning for at tage højde for dele af ord (f.eks. installation og installationer). Resultaterne vises i rækkefølge efter relevans, baseret på hvor mange søgeudtryk der forekommer pr. emne. Nøjagtige matches fremhæves.",searchTip3:"Du kan begrænse søgningen med følgende operatorer:",searchTip3_1:"Skriv + foran ord, der skal medtages i søgning. Brug - foran ord, der skal udelades. (Eksempel: bruger +genvej –gruppe finder genvej og brugergenvej, men ikke bruger eller brugergruppe).",searchTip3_2:"Brug * som jokertegn for manglende tegn. Jokertegnet kan bruges hvor som helst i et søgeudtryk. (Eksempel: inst* finder installation og instruktioner).",searchTip3_3:'Skriv title: i starten af søgeudtrykket for kun at søge efter emnetitler. (Eksempel: title:konfiguration finder emnet med titlen "Ændring af konfiguration af software").',searchTip3_4:"For søgninger med flere udtryk kan du angive en prioritet for udtryk i søgningen. Skriv ^ efter udtrykket og et positivt tal, der angiver den vægt, som udtrykket har. Et højere tal angiver en større vægt (Eksempel: genvej^10 gruppe giver genvej 10 gange større vægt end gruppe).",searchTip3_5:"Hvis du vil bruge fuzzy-søgning til at tage højde for stavefejl, skal du skrive udtrykket efterfulgt af ~ og et positivt tal for antallet af rettelser, der skal udføres. (Eksempel: port~1 matcher fort, post eller potr og andre forekomster, hvor en rettelse fører til et match).",searchTipnote:'Bemærk, at operatorer ikke kan bruges som søgeudtryk: + - * : ~ ^ &apos; "',close:"Luk"},de:{unsupported:"Eine Volltextsuche ist mit dieser Browserversion bzw. -konfiguration nicht möglich.",noMatches:"Keine Treffer.",noExactMatches:"Es wurden keine genauen Übereinstimmungen gefunden. Versuchen Sie es stattdessen mit diesen Themen:",similarResults:"Ähnliche Ergebnisse",search:"Suchen",search_info_title:"Suchtipps",searchResultsTitle:"Suchergebnisse",searchTip1:"Die Suche zeigt Themen an, welche die von Ihnen eingegebenen Begriffe enthalten. Wenn Sie mehr als einen Begriff eingeben, wird ein ODER angenommen und es werden alle Themen angezeigt, in denen einer oder mehrere der Begriffe gefunden wurden. Schreiben Sie Ihre Suchbegriffe in Anführungszeichen, um nach genauen Übereinstimmungen zu suchen.",searchTip2:"Die Suche nutzt auch unscharfes (Fuzzy) Matching, um Wortbestandteile (wie Installation und Installationen) zu berücksichtigen. Die Ergebnisse werden nach Relevanz basierend darauf, wie viele Suchbegriffe im Thema enthalten sind, angezeigt. Exakte Übereinstimmungen werden hervorgehoben.",searchTip3:"Um die Suche zu verfeinern, können Sie die folgenden Operatoren nutzen:",searchTip3_1:"Geben Sie + vor Wörtern, die im Suchergebnis enthalten sein müssen, oder – vor Wörtern, die ausgeschlossen werden sollen, ein. (Beispiel: Benutzer +Shortcut –Gruppe findet Shortcut und Benutzer Shortcut, aber nicht Gruppe oder Benutzer Gruppe.)",searchTip3_2:"Geben Sie * als Platzhalter für fehlende Zeichen ein. Der Platzhalter kann an beliebiger Stelle im Suchbegriff verwendet werden. (Beispiel: Inst* findet Installation und Instandhaltung.)",searchTip3_3:"Geben Sie vor dem Suchbegriff „title:“ ein, um nur in den Titeln der Themen zu suchen (Beispiel: title:Konfiguration findet das Thema mit dem Titel „Änderung der Software-Konfiguration.”)",searchTip3_4:"Wenn Sie nach mehreren Begriffen suchen, können Sie die Begriffe in Ihrer Suche mit einer Priorität versehen. Geben Sie nach dem Suchbegriff ^ und eine positive Zahl ein, die die Gewichtung des Begriffs bezeichnet. Je höher die Zahl, desto höher die Gewichtung. (Beispiel: Shortcut^10 Gruppe gewichtet Shortcut 10-mal höher als Gruppe.)",searchTip3_5:"Für eine unscharfe Suche, die Tippfehler berücksichtigt, geben Sie nach dem Suchbegriff ~ und eine positive Zahl ein, die die Anzahl der Korrekturen bezeichnet. (Beispiel: port~1 sucht nach fort, post oder potr, sowie anderen Begriffen, die durch eine Korrektur einen Treffer ergeben.)",searchTipnote:'Beachten Sie, dass Operatoren nicht als Suchbegriffe verwendet werden können: + - * : ~ ^ &apos; "',close:"Schließen"},es:{unsupported:"La búsqueda de texto completo no se puede realizar con esta versión o configuración de su navegador.",noMatches:"No se han encontrado coincidencias.",noExactMatches:"No se han encontrado coincidencias exactas. En su lugar, le proponemos estos temas:",similarResults:"Resultados similares",search:"Búsqueda",search_info_title:"Sugerencias de búsqueda",searchResultsTitle:"Resultados de la búsqueda",searchTip1:"La búsqueda devuelve temas que contienen los términos que especifique. Si escribe más de un término, se presupone el enlace O (“OR”) entre ellos, lo que devuelve cualquier término que se haya encontrado. Para buscar una coincidencia exacta, coloque los términos de búsqueda entrecomillados.",searchTip2:"La búsqueda también se realiza por aproximación, para tener en cuenta palabras parciales (como instalar, instalación, instalado, ...). Los resultados aparecen en orden de relevancia, según el número de términos que haya por cada tema. Las coincidencias exactas se destacan.",searchTip3:"Para refinar la búsqueda, puede utilizar los operadores siguientes:",searchTip3_1:"Especifique + delante de las palabras que deben estar en la búsqueda, y - para las palabras a excluir (Ejemplo: “usuario +atajo -grupo” busca “atajo” y “atajo de usuario”, pero no “grupo” ni “grupo de usuarios”.)",searchTip3_2:"Use * como carácter comodín. El carácter comodín se puede utilizar en cualquier lugar de un término de búsqueda (Ejemplo: inst* encontrará “instalación” e “instrucciones”.)",searchTip3_3:"Escriba “title:” al principio de la frase de búsqueda para buscar solo en los títulos de los temas. (Ejemplo: “title:configuración” encuentra temas como “Cambiar la configuración del software”.)",searchTip3_4:"Para búsquedas multitérmino, puede especificar una prioridad de términos en su búsqueda. Busque el término con ^ y un número positivo para indicar la ponderación que asigna a dicho término. Cuanto más alto el número, mayor la ponderación (Ejemplo: “atajos^10 grupo” asigna a “atajos” 10 veces más importancia que a “grupo”.)",searchTip3_5:"Para que la búsqueda por aproximación tenga en cuenta errores tipográficos, añada al término ~ y un número positivo con la cantidad de correcciones a realizar (Ejemplo: alto~1 encontrará apto, olto, atlo, y otras instancias en las que una corrección genere una coincidencia de búsqueda, o hay letras consecutivas intercambiadas, como el último ejemplo “atlo”.)",searchTipnote:'No se pueden utilizar operadores como términos de búsqueda: + - * : ~ ^ &apos; "',close:"Cerrar"},fi:{unsupported:"Tekstihakua ei voi suorittaa tällä versiolla tai selaimesi määrityksellä.",noMatches:"Osumia ei löytynyt.",noExactMatches:"Tarkkaa lausehakua vastaavia tuloksia ei löytynyt. Kokeile sen sijaan näitä aiheita:",similarResults:"Samanlaiset tulokset",search:"Haku",search_info_title:"Hakuvinkit",searchResultsTitle:"Hakutulokset",searchTip1:"Haku palauttaa aiheet, jotka sisältävät syöttämäsi sanat. Jos kirjoitat useamman kuin yhden sanan, oletuksena on TAI, joka palauttaa aiheet, joista löytyy mikä tahansa sanoista. Lisää hakutermit lainausmerkkeihin tarkan lausehaun suorittamiseksi.",searchTip2:"Haku käyttää myös sumeaa vastaavuutta osittaisten sanojen kanssa (kuten asentaja ja asentajat). Tulokset näkyvät tärkeysjärjestyksessä sen mukaan, kuinka usein hakusanat esiintyvät aiheessa. Täydet vastaavuudet on korostettu.",searchTip3:"Voit tarkentaa hakua käyttämällä seuraavia operaattoreita:",searchTip3_1:"Kirjoita + sanojen eteen, joiden täytyy olla haussa, tai – poissuljettavien sanojen eteen. (Esimerkki: käyttäjä +pikakuvake –ryhmä löytää sanat pikakuvake ja käyttäjä pikakuvake, mutta ei sanoja ryhmä tai käyttäjä ryhmä.)",searchTip3_2:"Käytä asteriskia * yleismerkkinä puuttuville merkeille. Yleismerkkiä voidaan käyttää missä tahansa hakusanassa.  (Esimerkki: asen* löytää sanat asennus ja asentaa.)",searchTip3_3:"Kirjoita title: haettavan sanan alkuun ja haku hakee vain aiheiden otsikkoja. (Esimerkki: title:konfiguraatio löytää aiheen otsikon ”Ohjelmiston konfiguraation muuttaminen.”)",searchTip3_4:"Monisanaisissa hauissa voit määrittää sanoille prioriteetin haussasi. Kirjoita sanan jälkeen ^ ja positiivinen numero, joka osoittaa sanalle annettavaa painoarvoa. Korkeampi numero osoittaa suurempaa painoarvoa. (Esimerkki: pikakuvake^10 ryhmä antaa sanalle pikakuvake 10 kertaa enemmän painoarvoa kuin sanalle ryhmä.)",searchTip3_5:"Sumeaa hakua voi käyttää kirjoitusvirheiden huomioimiseksi, jolloin sanan jälkeen kirjoitetaan ~ ja positiivinen numero tehtävien korjausten mukaan. (Esimerkki: paja~1 vastaa sanoja maja, paju tai paaj ja muita tapauksia, joissa yksi korjaus johtaa osumaan.)",searchTipnote:'Huomaa, että operaattoreita ei voi käyttää hakusanoina: + - * : ~ ^ &apos; "',close:"Sulje"},fr:{unsupported:"Il est impossible d’exécuter une recherche de texte complet avec cette version ou cette configuration du navigateur.",noMatches:"Aucune correspondance trouvée.",noExactMatches:"Aucune correspondance de phrase exacte n'a été trouvée. Essayez plutôt ces rubriques :",similarResults:"Résultats similaires",search:"Rechercher",search_info_title:"Conseils de recherche",searchResultsTitle:"Résultats de la recherche",searchTip1:"La recherche répertorie les rubriques contenant les termes saisis. Si vous saisissez plusieurs termes, l'opérateur OU s'applique, ce qui répertorie les rubriques où au moins l'un des termes est présent. Placez vos termes recherchés entre guillemets pour une correspondance de phrase exacte.",searchTip2:"La recherche utilise également un moteur flou pour répertorier les mots tronqués (tels que installation et installations). Les résultats s'affichent par ordre de pertinence, basé sur le nombre de termes recherchés présents par rubrique. Les résultats exacts sont mis en surbrillance.",searchTip3:"Pour affiner la recherche, vous pouvez utiliser les opérateurs suivants :",searchTip3_1:"Saisissez + devant les mots à inclure dans la recherche ou - devant les mots à exclure. (Exemple : utilisateur +raccourci -groupe répertorie raccourci et raccourci utilisateur, mais pas groupe ni groupe d'utilisateur.)",searchTip3_2:"Utilisez * comme caractère générique pour les caractères manquants. Ce caractère générique peut être utilisé n'importe où dans un terme à rechercher. (Exemple : inst* répertorie installation et instructions.)",searchTip3_3:'Saisissez title: au début de la phrase à rechercher pour ne répertorier que les titres de rubrique. (Exemple : title:configuration répertorie la rubrique intitulée "Modification de la configuration logicielle".)',searchTip3_4:"Pour la recherche de plusieurs termes, vous pouvez définir la priorité des termes à rechercher. Ajoutez le caractère ^ à la fin du terme et un nombre positif indiquant son rang. Un nombre élevé signifie une plus grande priorité. (Exemple : groupe de raccourcis^10 accorde une priorité 10 fois supérieure à raccourcis par rapport à celle de groupe.)",searchTip3_5:"Pour utiliser la recherche floue pour répertorier les termes mal orthographiés, ajoutez le caractère ~ à la fin du terme et un nombre positif indiquant le nombre de corrections à faire. (Exemple : port~1 répertorie fort, post ou porte, et toutes les autres instances où la correction d'un caractère produit un résultat.)",searchTipnote:"Notez qu'il est impossible d'utiliser les opérateurs comme termes à rechercher : ~ ^ &apos; \"",close:"Fermer"},he:{unsupported:"לא ניתן לבצע חיפוש טקסט מלא עם הגרסה או עם התצורה הנוכחית של הדפדפן שברשותך.",noMatches:"לא נמצאו התאמות.",noExactMatches:"לא נמצאו התאמות מדויקות. נסה לחפש את הנושאים הללו במקומם:",similarResults:"תוצאות דומות",search:"חפש",search_info_title:"טיפים לחיפוש",searchResultsTitle:"תוצאות חיפוש",searchTip1:"החיפוש יחזיר נושאים שמכילים את המונחים שהזנת. אם תזין מספר מונחים, המערכת תניח שהאופרטור המפריד ביניהם הוא OR ותחזיר נושאים בהם נמצא לפחות אחד מהמונחים. לחיפוש מדויק יש לתחום את מונחי החיפוש במרכאות.",searchTip2:"החיפוש משתמש גם בהתאמה מקורבת כדי לאתר מילים חלקיות (כגון התקנה והתקנות). התוצאות ממוינות לפי הרלבנטיות ומבוססות על מספר מונחי החיפוש שמופיעים לכל נושא. ההתאמות המדויקות מודגשות.",searchTip3:"ניתן להשתמש באופרטורים הבאים כדי לעדן את החיפוש:",searchTip3_1:"הזן + לפני מילים שחובה לכלול בחיפוש, או - לפני מילים שיש להחריג. (לדוגמה: user +shortcut -group ימצא את המונחים shortcut ו-user shortcut אך לא את group או user group).",searchTip3_2:"השתמש בכוכבית (*) כסימן כללי לסימנים חסרים. ניתן להשתמש בסימן זה בכל מקום בביטויי החיפוש (לדוגמה: *inst ימצא את המילים installation וגם instructions).",searchTip3_3:'הזן את המילה title: בתחילת ביטוי החיפוש כדי לחפש כותרות נושאים בלבד (לדוגמה: title:configuration ימצא את הנושא שכותרתו "Changing the software configuration.”)',searchTip3_4:"במקרה של חיפושים מרובי ביטויים, תוכל לציין עדיפות למונחים בחיפוש. הוסף את הסימן ^ לאחר המונח ומספר חיובי שיציין את המשקל שניתן למונח זה. מספר גבוה יותר פירושו משקל רב יותר (לדוגמה: shortcut^10 group יעניק למילה shortcut משקל גדול פי 10 מהמילה group).",searchTip3_5:"לשימוש בחיפוש מקורב שלוקח בחשבון שגיאות כתיב, הוסף ~ לאחר המונח יחד עם מספר חיובי שמציין את מספר התיקונים שיש לבצע (לדוגמה : port~1 ימצא את המילים fort, post, או potr, וכן מופעים נוספים המתאימים לאחר תיקון יחיד).",searchTipnote:'לתשומת לבך, לא ניתן לציין אופרטורים כמונחי חיפוש: + - * : ~ ^ &apos; "',close:"סגור"},hi:{unsupported:"इस संस्करण या आपके ब्राउज़र के कॉन्फ़िगरेशन द्वारा पूर्ण-पाठ खोज को निष्पादित नहीं किया जा सकता।",noMatches:"कोई मिलान नहीं मिला।",noExactMatches:"कोई सटीक वाक्यांश मिलान नहीं मिला था। इसके बजाय ये टॉपिक आज़माएँ:",similarResults:"मिलते-जुलते परिणाम",search:"खोजें",search_info_title:"खोजने से जुड़ी सलाह",searchResultsTitle:"खोज परिणाम",searchTip1:"खोज में उन टॉपिक को दिखाया जाता है जिनमें आपके द्वारा दर्ज किए गए शब्द शामिल होते हैं। अगर आप एक से अधिक शब्द टाइप करते हैं, तो उसे OR माना जाता है जिसमें वे टॉपिक दिखाए जाते हैं जिनमें उन शब्दों में से कोई भी शब्द पाया जाता है। सटीक-वाक्यांश मिलान के लिए अपने खोज शब्दों को उद्धरण चिह्नों में डालें।",searchTip2:"खोज में आंशिक शब्दों (जैसे स्थापना और स्थापनाएँ) को ध्यान में रखने के लिए फ़ज्ज़ी मिलान का भी उपयोग किया जाता है। हर टॉपिक में कितने खोज शब्द आते हैं, उसके आधार पर परिणामों को प्रासंगिकता के क्रम में दिखाया जाता है। सटीक मिलानों को हाइलाइट किया जाता है।",searchTip3:"अपनी खोज को बेहतर बनाने के लिए, आप निम्न ऑपरेटर का उपयोग कर सकते हैं:",searchTip3_1:"जिन शब्दों को खोज में शामिल किया जाना चाहिए उनके सामने + टाइप करें या जिन शब्दों को खोज में शामिल नहीं किया जाना चाहिए उनके सामने - टाइप करें। (उदाहरण: उपयोगकर्ता +शॉर्टकट –समूह से शॉर्टकट और उपयोगकर्ता शॉर्टकट को ढूँढा जाता है, लेकिन समूह या उपयोगकर्ता समूह को नहीं ढूँढा जाता है।)",searchTip3_2:"लापता वर्णों के लिए वाइल्डकार्ड के रूप में * का उपयोग करें। वाइल्डकार्ड का उपयोग खोज शब्द में कहीं भी किया जा सकता है। (उदाहरण: स्था* से स्थापना और स्थान ढूँढे जाते हैं।)",searchTip3_3:"केवल टॉपिक के शीर्षकों को खोजने के लिए खोज वाक्यांश की शुरुआत में शीर्षक: टाइप करें। (उदाहरण: शीर्षक:कॉन्फ़िगरेशन से “सॉफ़्टवेयर कॉन्फ़िगरेशन को बदलना” शीर्षक वाला टॉपिक ढूँढा जाता है।)",searchTip3_4:"कई शब्दों वाली खोजों के लिए, आप अपनी खोज में शब्दों के लिए प्राथमिकता तय कर सकते हैं। ^ और धनात्मक संख्या वाला शब्द अपनाएँ जो उस शब्द के लिए तय महत्व को दर्शाता है। अधिक संख्या से अधिक महत्व का पता चलता है। (उदाहरण: शॉर्टकट^10 समूह से शॉर्टकट को समूह को 10 गुणा महत्व मिलता है।)",searchTip3_5:"गलत वर्तनी का पता लगाने के उद्देश्य से फ़ज्ज़ी खोज का उपयोग करने के लिए, किए जाने वाले सुधार की संख्या हेतु ~ और धनात्मक संख्या वाला शब्द अपनाएँ। (उदाहरण: पोर्ट~1 से फ़ोर्ट, पोस्ट या पोट्र और ऐसे अन्य उदाहरणों का मिलान होता है जहाँ एक सुधार से मिलान हो सकता है।)",searchTipnote:'ध्यान दें, ऑपरेटर खोज शब्दों के रूप में : + - * : ~ ^ &apos; " का उपयोग नहीं कर सकते',close:"बंद करें"},hu:{unsupported:"A böngészője ezen verziójával vagy konfigurációjával nem hajtható végre a teljes szöveges keresés.",noMatches:"Nincs találat.",noExactMatches:"Nem találtunk pontosan egyező kifejezést. Próbálja ki helyette ezeket a témákat:",similarResults:"Hasonló eredmények",search:"Keresés",search_info_title:"Keresési tippek",searchResultsTitle:"Keresési eredmények",searchTip1:"A keresés olyan témákat eredményezett, amelyek tartalmazzák az Ön által beírt keresett kifejezést. Ha egynél több keresési kifejezést ír be, akkor az OR használatával olyan témákat kaphat eredményül, amelyek valamelyik kifejezést tartalmazzák. A pontosan egyező kifejezések megtalálása érdekében tegye idézőjelbe a keresett kifejezéseket.",searchTip2:"A keresés részbeni egyezéseket is használ a szava esetében (például telepít vagy telepítés). A találatok relevanciájuk sorrendjében jelennek meg, attól függően, hogy a keresett kifejezés témánként milyen gyakran fordul elő. A pontos egyezések kiemeléssel jelennek meg.",searchTip3:"A keresés pontosításához a következő műveleti jeleket használhatja:",searchTip3_1:"Írja be a + operátort olyan szavak elé, amelyeket a keresési kifejezésnek tartalmaznia kell vagy írja be a - operátort olyan szavak elé, amelyeket szeretne kizárni a keresésből. (Példa: felhasználó +parancsikon –csoport keresési kifejezéssel a parancsikon és a felhasználó parancsikont kifejezéseket fogja megtalálni, de az eredmény nem tartalmazza a csoport vagy felhasználó csoport kifejezéseket.)",searchTip3_2:"Hiányzó karaktereket a *  helyettesítő karakterrel pótolhat. A helyettesítő karaktert bárhol használhatja a kifejezésben. (Példa: telep* beírásával a keresés a telepít és telepítést találatokat is kiadja.)",searchTip3_3:"Title beírása: írja be a címet a keresési kifejezés elején, ha csak a témák címeiben szeretne keresni. (Példa: a title:konfiguráció beírásával a “Szoftver konfigurációjának módosítása” című témát adja vissza a keresés)",searchTip3_4:"PTöbbszörös kereséshez meghatározhatja a kifejezések között prioritási sorrendet. A kifejezés mögé beírt ^ és egy pozitív szám jelzi a keresett kifejezés fontosságát. A nagyobb számérték nagyobb fontosságot jelent. (Példa: parancsikon^10 csoport esetében a parancsikon súlya 10-szer nagyobb, mint a csoporté.)",searchTip3_5:"Részbeni egyezés keresése esetén a kifejezés mögé írt ~ és egy pozitív egész szám adja a meg az elvégzendő helyesírási javítást. (Példa: poszt~1 olyan találatokat eredményez, mint foszt, pászt vagy pozst, és minden egyéb olyan előfordulást, ahol egyetlen karaktereltérés találatot eredményez.)",searchTipnote:'A következő műveleti jelek nem használhatók keresési kifejezésként: + - * : ~ ^ &apos; "',close:"Bezár"},it:{unsupported:"La versione o la configurazione del browser non consentono la ricerca full-text.",noMatches:"Nessuna corrispondenza trovata.",noExactMatches:"Non è stato trovato alcun risultato per la frase specifica. Prova invece con questi argomenti:",similarResults:"Risultati simili",search:"Cerca",search_info_title:"Suggerimenti per la ricerca",searchResultsTitle:"Risultati della ricerca",searchTip1:"La ricerca restituisce argomenti contenenti i termini immessi. Se si digitano più termini, si assume OR, che restituisce argomenti che contengono qualsiasi termine. Racchiudi i tuoi termini di ricerca tra la virgolette per la ricerca di una frase specifica.",searchTip2:"La ricerca inoltre usa la corrispondenza fuzzy per trovare parole parziali (ad esempio installare e installa). I risultati vengono visualizzati in ordine di pertinenza, in base a quanti termini di ricerca occorrono, per argomento. Le corrispondenze esatte vengono evidenziate.",searchTip3:"Per rifinire la ricerca, è possibile usare gli operatori di seguito:",searchTip3_1:"Digitare + davanti alla parole da includere nella ricerca, o - davanti alle parole da escludere (esempio: utente +scorciatoia –gruppo trova scorciatoia e scorciatoia utente, ma non gruppo o gruppo utente).",searchTip3_2:"Usare * come carattere jolly per i caratteri mancanti. I caratteri jolly possono essere usati in qualsiasi posizione del termine di ricerca (esempio: inst* trova installazione e installare).",searchTip3_3:"Digitare title: all&apos;inizio della frase di ricerca per cercare solo i titoli degli argomenti (esempio: title:configurazione trova l&apos;argomento intitolato “Modifica della configurazione software”).",searchTip3_4:"Per le ricerca multi-termine, è possibile indicare una priorità per i termini della ricerca. Far seguire il termini con ^ e un numero positivo che indica il peso dato a quel termine. A un numero più alto corrisponde un peso maggiore (esempio: gruppo scorciatoia^10 assegna a scorciatoia un peso superiore di 10 volte rispetto a gruppo).",searchTip3_5:"Per usare la ricerca fuzzy per restituire gli errori di ortografia, far seguire il termine da una ~ e da un numero positivo per il numero di correzioni da effettuare (esempio: porto~1 corrisponde a porti, posto o porta e altre istanze in cui una sola correzione genera una corrispondenza).",searchTipnote:"Tenere presente che gli operatori: + - * : ~ ^ &apos; &quot; non possono essere usati come termini di ricerca",close:"Chiudi"},ja:{unsupported:"本バージョンまたはブラウザの設定により、全文検索は実行できません。",noMatches:"一致が見つかりません。",noExactMatches:"完全に一致する語句は見つかりませんでした。代わりに次のトピックを試してください:",similarResults:"同様の結果",search:"検索",search_info_title:"検索ヒント",searchResultsTitle:"検索結果",searchTip1:"検索では、ユーザーが入力した単語が含まれるトピックが返されます。複数の単語を入力すると、OR 検索と想定して、いずれかの単語が含まれるトピックが返されます。完全に一致する語句を検索するには、検索単語を引用符で囲んでください。",searchTip2:"また、検索では、あいまい一致も使用しており、部分的に一致する単語 (「コンピュータ」と「コンピューター」など) を考慮します。結果は、トピックごとの検索単語数に基づき、関連度順に表示されます。完全一致は強調表示されます。",searchTip3:"絞り込み検索を行うには、以下の演算子を使用できます:",searchTip3_1:"検索に含める単語の前に「+」と入力し、検索に含めない単語の前に「-」と入力します。(例: 「ユーザ +ショートカット –グループ」と入力すると、「ショートカット」や「ユーザ ショートカット」が返され、「グループ」や「ユーザ グループ」は返されません。)",searchTip3_2:"不明な文字には、ワイルドカードとして「*」を使用します。ワイルドカードは、検索単語内の任意の場所で使用できます。(例: 「インスト*」と入力すると、「インストール」および「インストラクション」が返されます。)",searchTip3_3:"トピックのタイトルのみを検索するには、検索フレーズの入力を「title:」で開始します。(例: 「title:設定」と入力すると、「ソフトウェアの設定の変更」というタイトルのトピックが返されます。)",searchTip3_4:"複数の単語を含む検索では、検索内で単語の優先度を指定できます。単語の後に「^」と単語の重みを指定する正の数を入力します。値が高いほど、重みが高いことを意味します。(例: 「ショートカット^10 グループ」では、「グループ」よりも「ショートカット」の重みが 10 倍となります。)",searchTip3_5:"あいまい検索を使用して、タイプミスを考慮するには、単語の後に「~」と修正する文字数を指定する正の数を入力します。(例: 「ポート~1」では、「ポスト」、「オート」、または「ポーク」など、1 文字修正すると一致するその他のインスタンスが返されます。)",searchTipnote:'演算子は、検索語として使用できないことに注意してください: + - * : ~ ^ &apos; "',close:"閉じる"},ko:{unsupported:"사용자 브라우저의 버전 또는 구성으로 전체 텍스트 검색을 수행할 수 없습니다.",noMatches:"일치하는 항목이 없습니다.",noExactMatches:"정확한 구문 일치를 찾을 수 없습니다. 다음과 같은 항목을 시도해 보십시오:",similarResults:"비슷한 결과",search:"검색",search_info_title:"검색 팁",searchResultsTitle:"검색 결과",searchTip1:"검색에서 입력하는 용어가 포함된 항목을 반환합니다. 용어를 1개 이상 입력하면 OR로 간주되어 해당 용어 중 하나라도 포함되어 있는 항목이 반환됩니다. 정확한 구문 일치를 위해서는 검색어를 따옴표 안에 넣으십시오.",searchTip2:'또한, 검색에서는 유사 일치를 사용하여 단어 일부를 처리합니다(예: "설치"와 "설치들"). 결과는 항목당 포함되어 있는 검색어의 수를 기준으로 관련도 순으로 표시됩니다. 정확히 일치하는 검색어는 강조 표시됩니다.',searchTip3:"검색을 구체화하기 위해 다음 연산자를 사용할 수 있습니다.",searchTip3_1:'검색에 반드시 포함할 단어 앞에 + 기호를 입력하고 검색에서 제외할 단어 앞에 - 기호를 입력하십시오(예: "사용자 +바로가기 –그룹"을 입력하면 "바로가기"와 "사용자 바로가기"는 검색에 포함되지만, "그룹" 또는 "사용자 그룹"은 검색에서 제외됨).',searchTip3_2:'임의 글자에 대한 와일드카드로 *를 사용하십시오. 와일드카드는 검색어 어느 위치에나 사용할 수 있습니다(예: "설*"를 입력하면 "설치"와 "설정"이 검색됨).',searchTip3_3:'항목 제목만 찾으려면 검색 구문 앞에 "title:"을 입력합니다(예: "title:구성"을 입력하면 "소프트웨어 구성 변경"이라는 제목의 항목이 검색됨).',searchTip3_4:'여러 용어를 검색할 경우 검색어에 대한 우선 순위를 지정할 수 있습니다. 용어 뒤에 ^ 기호와 해당 용어에 부여할 가중치에 해당하는 양수를 입력합니다. 숫자가 클수록 가중치가 높음을 의미합니다(예: "바로가기^10 그룹"을 입력하면 "바로가기"에 "그룹"의 10배에 해당하는 가중치가 부여됨).',searchTip3_5:'유사 항목 검색을 사용하여 철자 오류를 처리하려면, 해당 용어 뒤에 ~ 기호와 수정이 필요한 글자의 개수를 나타내는 양수를 입력합니다(예: "설정~1"을 입력하면 "설치", "설명", "가정" 등 한 글자만 다른 용어가 검색됨).',searchTipnote:'다음 연산자를 검색어로 사용할 수 없다는 점에 유의하십시오. + - * : ~ ^ &apos; "',close:"닫기"},nl:{unsupported:"Met deze versie of configuratie van uw browser, kunt u geen volledige tekst opzoeken.",noMatches:"Geen treffers gevonden.",noExactMatches:"Er zijn geen overeenkomsten voor de exacte woordgroep gevonden. Probeer in plaats hiervan deze onderwerpen:",similarResults:"Vergelijkbare resultaten",search:"Zoeken",search_info_title:"Zoektips",searchResultsTitle:"Zoekresultaten",searchTip1:"De zoekopdracht levert onderwerpen met de ingevoerde begrippen op. Als u meer dan een begrip invoert, wordt uitgegaan van OR. Dat wil zeggen, hij zoekt onderwerpen met een van deze begrippen. Zet uw zoekbegrippen tussen aanhalingstekens om naar exacte woordgroepen te zoeken.",searchTip2:"De zoekmachine maakt ook gebruik van bij benadering zoeken om delen van woorden te zoeken (zoals installalatie en installaties). De resultaten worden in volgorde van relevantie weergegeven, afhankelijk van hoeveel zoekbegrippen zich in het onderwerp voordoen. Exacte overeenkomsten worden gemarkeerd.",searchTip3:"Om de zoekopdracht te verfijnen, kunt u van de volgende operators gebruikmaken:",searchTip3_1:"Typ + in voor woorden die in de zoekopdracht moeten worden meegenomen en - voor woorden die moeten worden uitgesloten (bijvoorbeeld: gebruiker +snelkoppeling –groep, vindt snelkoppeling en gebruikerssnelkoppeling, maar niet groep of gebruikersgroep).",searchTip3_2:"Gebruik * als jokerteken voor ontbrekende tekens. U kunt het jokerteken overal in een zoekbegrip gebruiken (bijvoorbeeld: inst* vindt zowel installatie als instructies).",searchTip3_3:"Typ ‘title:’ aan het begin van de zoekfrase om alleen op onderwerptitels te zoeken (bijvoorbeeld: title:configuratie levert het onderwerp op met de titel “Configuratie wijzigen”).",searchTip3_4:"Voor zoekopdrachten met meerdere woorden, kunt u de prioriteit voor de begrippen in uw zoekopdracht aangeven. Zet een ^ achter het begrip en een positief getal dat het gewicht van het desbetreffende woord aanduidt. Hoe hoger het getal, des te meer gewicht (bijvoorbeeld: shortcut^10 groep geeft shortcut 10 keer meer gewicht als groep).",searchTip3_5:"Om zoeken bij benadering te gebruiken, zet een ~ achter het begrip en een positief getal voor het aantal door te voeren correcties (bijvoorbeeld: port~1 komt overeen met fort, post, of potr, en overige instanties waarbij een correctie een resultaat oplevert.)",searchTipnote:'Let wel: operators kunnen als zoekbegrippen worden gebruikt: + - * : ~ ^ &apos; "',close:"Sluiten"},no:{unsupported:"Fulltekstsøk kan ikke utføres med denne versjonen eller konfigurasjonen av din nettleser.",noMatches:"Fant ingen samsvaringer.",noExactMatches:"Ingen treff på det nøyaktige uttrykket. Prøv disse emnene i stedet:",similarResults:"Resultater som ligner",search:"Søk",search_info_title:"Søketips",searchResultsTitle:"Søkeresultater",searchTip1:'Søket returnerer emner som inneholder ordene du skriver inn. Dersom du skriver mer enn ett ord tolkes det som "ELLER", noe som returnerer temaer hvor aller søkeord eksisterer. Sett anførselstegn rundt søkeordene for samsvar med nøyaktig uttrykk.',searchTip2:"Søket benytter også tilnærmingssøk hvor del-ord tas med (slik som installere og installerer). Resultatene vises i rekkefølge etter relevanse, basert på hvor manfe søkeord som oppstår per tema. Eksakte samsvar er fremhevet.",searchTip3:"For å begrense søket kan du brue følgende fremgangsmåter:",searchTip3_1:"Skriv + foran ord som må inkluderes i søket eller - foran ord som kan ekskluderes. (Eksempel: bruker +snarvei - gruppe, finner snarvei og brukersnarvei, men ikke gruppe eller brukergruppe.)",searchTip3_2:"Bruk * som et jokertegn for manglende tegn. Jokertegnet kan brukes hvor som helst i et søkeord. (Eksempel: inst* finner installasjon og instruksjoner.)",searchTip3_3:"Type title: ved starten av søkeuttrykket for å kun søke etter emnetitler. (Eksempel: title:konfigurasjon finner emner med tittelen “Endring av programvarekonfigurasjon.”)",searchTip3_4:"For søk med flere søkeord, kan du angi prioritet for søkeordene i søket ditt. Sett en ^ etter søkeordet og et positivt tall som indikerer prioritet for det søkerodet. Et høyere tall indikerer sterkere prioritet. (Eksempel: snarvei^10 gruppe gir snarvei 10 ganger sterkere prioritet enn gruppe.)",searchTip3_5:"For å bruke tiilnærmingssøk for å ta høyde for feilskriving, skriv en ~ bak ordet og et positivt tall for antal korrigeringer som skal utføres. (Eksempel: port~1 vil finne fort, post, eller potr, og andre tilfeller hvor en korrigering medfører treff.)",searchTipnote:'Merk at operatørtegn ikke kan benyttes som søkeord: + - * : ~ ^ &apos; "',close:"Lukk"},pl:{unsupported:"W uzywanej wersji lub konfiguracji przegladarki nie mozna wykonac wyszukiwania pelnego tekstu.",noMatches:"Nie znaleziono żadnych dopasowań.",noExactMatches:"Nie znaleziono dokładnych dopasowań. Wypróbuj następujące tematy:",similarResults:"Podobne wyniki",search:"Szukaj",search_info_title:"Porady dotyczące wyszukiwania",searchResultsTitle:"Wyniki wyszukiwania",searchTip1:"Zapytanie zwróci tematy zawierające wpisane słowa. Jeśli wpiszesz więcej niż jedno słowo, połączymy je operatorem LUB, czyli zwrócone zostaną te tematy, w których znajduje się dowolne słowo. Jeśli chcesz znaleźć dokładne dopasowania, ujmij szukane hasło w cudzysłów.",searchTip2:"Wyszukiwanie wykorzystuje również dopasowanie rozmyte, aby uwzględnić części słów (takie jak dysk i dyskietka). Wyniki pojawiają się w kolejności istotności, w oparciu o liczbę wystąpień wyszukiwanych terminów w danym temacie. Dokładne dopasowania zostaną wyróżnione.",searchTip3:"Aby zawęzić wyniki wyszukiwania, możesz użyć następujących operatorów:",searchTip3_1:"Wpisz + przed słowami, które muszą być uwzględnione w wyszukiwaniu, lub - przed słowami, które chcesz wykluczyć. (Przykład: użytkownik +skrót -grupa znajdzie wyrażenia skrót i skrót użytkownika, ale odrzuci wyrażenia grupa lub grupa użytkowników).",searchTip3_2:"Użyj * jako symbolu wieloznacznego dla brakujących znaków. Symbol wieloznaczny może być wpisany w dowolnym miejscu wyszukiwanego hasła. (Przykład: wyrażenie inst* znajdzie słowa instalacja i instrukcja).",searchTip3_3:"Wpisz title: na początku szukanej frazy, aby szukać tylko tytułów tematów. (Przykład: title:konfiguracja znajdzie temat o nazwie Zmieniona konfiguracja oprogramowania.)",searchTip3_4:"W przypadku wyszukiwań z wieloma hasłami możesz określić ich priorytet. Napisanie za hasłem znaku ^ i dodatniej liczby wskazuje wagę nadaną temu hasłu. Wyższa liczba oznacza większą wagę. (Przykład: skrót^10 grupa daje słowy skrót 10 razy większy niż słowu grupa).",searchTip3_5:"Aby użyć wyszukiwania rozmytego w celu uwzględnienia błędów pisowni, napisz za hasłem znak tyldy ~ i liczbę dodatnią określającą poprawek, które należy wprowadzić. (Przykład: dom~1 pasuje słów łom, dym i don oraz innych wystąpień, w których zmiana jednej litery spowoduje dopasowanie.)",searchTipnote:'Uwaga: jako wyszukiwanych haseł nie można używać operatorów: + - *: ~ ^ &apos; "',close:"Zamknij"},"pt-br":{unsupported:"A pesquisa de texto completo não pode ser executada com esta versão ou configuração do navegador.",noMatches:"Nenhum ítem correspondente encontrado.",noExactMatches:"Nenhuma correspondência exata da frase foi encontrada. Tente estes tópicos:",similarResults:"Resultados similares",search:"Buscar",search_info_title:"Dicas de pesquisa",searchResultsTitle:"Resultados da pesquisa",searchTip1:"A busca retorna tópicos que contêm os termos que você inserir. Se você digitar mais de um termo, um OR é presumido, retornando tópicos em que qualquer um dos termos foi encontrado. Coloque os termos da pesquisa entre aspas para correspondência exata da frase.",searchTip2:'A busca também utiliza a correspondência difusa para contabilizar palavras parciais (como "instalar" e "instalou"). Os resultados aparecem em ordem de relevância, com base na quantidade de ocorrência de termos da busca por tópico. As correspondências exatas são realçadas.',searchTip3:"Para refinar a busca, você pode usar os seguintes operadores:",searchTip3_1:'Digitar + antes das palavras que devem ser incluídas na busca ou - antes das palavras a excluir. (Exemplo: usuário +atalho –grupo localiza "atalho" e "atalho do usuário", mas não "grupo" ou "grupo do usuário".)',searchTip3_2:'Usar * como caractere curinga para caracteres ausentes. O caractere curinga pode ser usado em qualquer posição do termo de busca. (Exemplo: inst* localiza "instalação" e "instruções".)',searchTip3_3:'Digitar title: no início da expressão da busca para verificar somente títulos de tópicos. (Exemplo: title:configuração localiza o tópico com título "Mudança da configuração do software".)',searchTip3_4:'Para buscas de vários termos, é possível especificar uma prioridade de termos. Insira "^" após o termo e um número positivo que indique o peso dado ao termo em questão. Número maior indica peso maior. (Exemplo: "atalho^10 grupo" coloca em "atalho" 10 vezes mais peso do que em "grupo".)',searchTip3_5:'Para usar a busca difusa para contabilizar erros ortográficos, insira "~" após o termo e um número positivo referente ao número de correções a serem feitas. (Exemplo: "porte"~1 tem correspondência com "forte", "poste" ou "potre" e outros casos em que uma correção leva a uma correspondência.)',searchTipnote:'Observe que os sinais de operações matemáticas podem ser usados como termos de busca: + - * : ~ ^ &apos; "',close:"Fechar"},"pt-pt":{unsupported:"A pesquisa do texto completo não pode ser realizada com esta versão ou configuração do seu navegador.",noMatches:"Nenhuma correspondência foi encontrada.",noExactMatches:"Não foram encontradas correspondências exatas para a frase. Experimente estes tópicos:",similarResults:"Resultados similares",search:"Pesquisar",search_info_title:"Pesquisar dicas",searchResultsTitle:"Resultados da pesquisa",searchTip1:"A pesquisa devolveu tópicos que contêm os termos que introduziu. Se introduzir mais do que um termo, a pesquisa assumirá o operador OU, o que mostrará tópicos nos quais qualquer um dos termos for encontrado. Coloque os termos entre aspas para encontar correspondências para frases exatas.",searchTip2:"A pesquisa também utiliza correspondências parciais para encontrar partes de palavras (como por exemplo instalar e instala). Os resultados são apresentados na ordem de relevância, com base na quantidade de ocorrências por tópico. As correspondências exatas são destacadas.",searchTip3:"Para refinar a pesquisa, poderá utilizar os seguintes operadores:",searchTip3_1:"Introduza + antes das palavras que devem ser incluídas na pesquisa ou - antes das palavras que deseja excluir. (Exemplo: utilizador +atalho –grupo localizará atalho e atalho do utilizador, mas não grupo ou grupo do utilizador.)",searchTip3_2:"Utilize * como curinga para caracteres ausentes. O curinga pode ser utilizado em qualquer lugar no termo de pesquisa. (Exemplo: inst* encontrará instalação e instruções.)",searchTip3_3:"Escreva o título: no início da frase de pesquisa para procurar somente por títulos de tópicos. (Exemplo: título:configuração encontrará o tópico com o título “Modificar a configuração do software”.)",searchTip3_4:"Para pesquisar vários termos, pode especificar os termos prioritários. Introduza ^logo após o termo e um número positivo que indica o peso atribuído ao termo. Os números mais altos indicam um peso maior. (Exemplo: atalho^10 grupo atribui ao termo atalho um peso 10 vezes maior que para grupo.)",searchTip3_5:"Para utilizar a pesquisa parcial para cobrir erros ortográficos, introduza ~ depois do termo e um número positivo para o número de correções a serem feitas. (Exemplo: porte~1 corresponderá com forte, porto ou potro, e outras ocorrências nas quais uma correção conduz a uma correspondência.)",searchTipnote:'Note que os operadores não podem ser utilizados como termos da pesquisa: + - * : ~ ^ &apos; "',close:"Fechar"},ro:{unsupported:"Căutarea textului complet nu poate fi realizată cu această versiune sau configurație a browserului dvs.",noMatches:"Nu a fost găsită nicio potrivire.",noExactMatches:"Nu a fost găsită nicio potrivire cu fraza exactă. Încercați în schimb aceste subiecte:",similarResults:"Rezultate similare",search:"Căutare",search_info_title:"Sfaturi căutare",searchResultsTitle:"Rezultate căutare",searchTip1:"Căutarea vă afișează subiecte care conțin termenii introduși de dvs. Dacă introduceți mai mulți termeni se asumă un SAU, care afișează subiecte în care se găsesc oricare dintre termeni. Introduceți termenii căutării între ghilimele pentru căutarea unei fraze exacte.",searchTip2:"Căutarea folosește și potrivirea parțială pentru cuvinte parțiale (precum instalare și instalări). Rezultatele vor fi afișate în ordinea relevanței, în funcție de numărul de termeni găsiți per topic. Potrivirile exacte sunt evidențiate.",searchTip3:"Pentru o căutare mai detaliată, puteți folosi următorii operatori:",searchTip3_1:"Introduceți + în fața cuvintelor care trebuie incluse în căutare sau - în fața cuvintelor pe care doriți să le excludeți. (De exemplu: căutarea utilizator +scurtătură -grup va găsi termenii scurtătură și scurtătură utilizator, dar nu și grup sau grup utilizator.",searchTip3_2:"Folosiți * ca marcaj pentru caracterele lipsă. Marcajul poate fi utilizat oriunde în termenii unei căutări. (De exemplu: inst* va găsi instalare și instrucțiuni.)",searchTip3_3:'Introduceți titlu: la începutul frazei de căutare pentru a căuta doar anumite subiecte: titlu:configurație va găsi subiectul denumit "Modificarea configurației programului.")',searchTip3_4:"Pentru căutarea mai multor termeni, puteți specifica o prioritate pentru termenii căutării. Introduceți simbolul ^ după termen, urmat de un număr pozitiv care indică prioritatea acelui termen. Un număr mai mare indică o prioritate mai mare. (De exemplu: scurtătură^10 grup îi oferă termenului scurtătură o prioritate de 10 ori mai mare ca grup.)",searchTip3_5:"Pentru a folosi căutarea parțială pentru verificarea greșelilor de ortografie, introduceți simbolul ~ după termen, urmat de numărul de corectări care trebuie făcute. (De exemplu: port~1 va căuta fort, post sau potr și alte instanțe în care o singură corectare asigură o potrivire.)",searchTipnote:'Rețineți că operatorii nu pot fi folosiți ca termeni de căutare: + - * : ~ ^ &apos; "',close:"Închidere"},ru:{unsupported:"Полнотекстовой поиск невозможен с данной версией или текущей конфигурацией браузера.",noMatches:"Соответствий не найдено.",noExactMatches:"Точных соответствий фразы не найдено. Посетите следующие разделы:",similarResults:"Похожие результаты",search:"Поиск",search_info_title:"Советы по поиску",searchResultsTitle:"Результаты поиска",searchTip1:"Поиск выдает разделы, содержащие указанные термины. Если ввести несколько терминов, будет использоваться оператор ИЛИ: он выдает разделы, в которых найден любой из указанных терминов. Для поиска точных совпадений заключите поисковый запрос в кавычки.",searchTip2:"Также в поиске применяется неточное совпадение, что позволяет учитывать части слов (например, «установить» и «установиться»). Результаты отображаются в порядке значимости: в зависимости от количества терминов в разделе. Точные совпадения выделяются.",searchTip3:"Для уточнения поиска можно использовать следующие операторы:",searchTip3_1:"«+» перед словом позволяет включить его в поиск. Для исключения слова из поиска, поставьте перед ним «-». Пример: по запросу «пользователя +ярлык -группа» будут найдены «ярлык», «ярлык пользователя», но не «группа» и не «группа пользователя».",searchTip3_2:"«*» — подстановочный знак для отсутствующих символов, его можно использовать в любом месте искомого термина. Пример: по запросу «уст*» будут найдены «установка» и «устройство».",searchTip3_3:"«title:» в начале поисковой строки ограничивает область поиска заголовками разделов. Пример: по запросу «title:конфигурация» будет найден раздел «Конфигурация программного обеспечения».",searchTip3_4:"При поиске по нескольким терминам для них можно указать приоритет. Введя после термина «^» и положительное число, вы укажете значимость этого термина: чем больше число, чем выше значимость. Пример: в запросе «ярлык^10 группа» значимость «ярлыка» в 10 раз больше «группы».",searchTip3_5:"Для поиска неточных совпадений с учетом орфографических ошибок введите после термина «~» и положительное число, соответствующее числу возможных исправлений. Пример: запрос «порт~1» будет соответствовать терминам «форт», «пост», «пора» и другим словам, которые отличаются на одно исправление.",searchTipnote:'Обратите внимание: операторы «+ - * : ~ ^ &apos; "» нельзя использовать в качестве поисковых терминов.',close:"Закрыть"},sk:{unsupported:"Fulltextové vyhľadávanie nie je možné vykonať s touto verziou alebo konfiguráciou prehliadača.",noMatches:"Nenašli sa žiadne zhody.",noExactMatches:"Nenašla sa žiadna fráza, ktorá by sa presne zhodovala. Skúste namiesto toho tieto témy:",similarResults:"Podobné výsledky",search:"Vyhľadávanie",search_info_title:"Tipy na vyhľadávanie",searchResultsTitle:"Výsledky vyhľadávania",searchTip1:"Vyhľadávanie vráti témy, ktoré obsahujú zadané výrazy. Ak zadáte viac ako jeden výraz, predpokladá sa použitie operátora OR, ktorý vráti témy, v ktorých sa nachádza niektorý z výrazov. Ak chcete dosiahnuť presnú zhodu fráz, dajte hľadané výrazy do úvodzoviek.",searchTip2:"Vyhľadávanie využíva aj fuzzy porovnávanie na zohľadnenie čiastkových slov (napríklad inštalovať a inštaluje). Výsledky sa zobrazujú v poradí podľa relevantnosti na základe toho, koľko hľadaných výrazov sa vyskytuje v jednej téme. Presné zhody sú zvýraznené.",searchTip3:"Na spresnenie vyhľadávania môžete použiť tieto operátory:",searchTip3_1:"Napíšte + pred slová, ktoré musia byť zahrnuté do vyhľadávania, alebo - pred slová, ktoré chcete vylúčiť. (Príklad: používateľ +skratka -skupina nájde skratku a skratku používateľa, ale nie skupinu alebo skupinu používateľov.)",searchTip3_2:"Pre chýbajúce znaky použite * ako zástupný znak. Zástupný znak možno použiť kdekoľvek v hľadanom výraze. (Príklad: inšt* nájde inštaláciu a inštrukcie.)",searchTip3_3:"Zadajte názov: na začiatok hľadanej frázy, ak chcete vyhľadať iba názvy tém. (Príklad: názov:konfigurácia nájde tému s názvom „Zmena konfigurácie softvéru.“)",searchTip3_4:"Pri vyhľadávaní s viacerými výrazmi môžete určiť prioritu výrazov vo vyhľadávaní. Nasledujte výraz s ^ a kladným číslom, ktoré označuje váhu daného výrazu. Vyššie číslo znamená väčšiu váhu. (Príklad: skupina skratiek^10 dáva skratke 10-násobok váhy skupiny.)",searchTip3_5:"Ak chcete použiť fuzzy vyhľadávanie na zohľadnenie pravopisných chýb, za výrazom uveďte ~ a kladné číslo pre počet opráv, ktoré sa majú vykonať. (Príklad:port~1 zodpovedá pre fort, post alebo potr a iným prípadom, keď jedna oprava vedie k zhode.)",searchTipnote:'Upozorňujeme, že operátory nemožno použiť ako vyhľadávacie výrazy: + - * : ~ ^ &apos; "',close:"Zavrieť"},sv:{unsupported:"Fulltextsökning går inte att utföra med den här webbläsarens version eller konfiguration.",noMatches:"Ännu bättre, undvik dem.",noExactMatches:"Hittade inga exakta frasmatchningar. Prova i stället dessa ämnen:",similarResults:"Liknande resultat",search:"Sök",search_info_title:"Söktips",searchResultsTitle:"Sökresultat",searchTip1:"Sökningen returnerar ämnen som innehåller söktermer du anger. Om du anger fler än en sökterm antas OR, vilket returnerar ämnen där någon av söktermerna hittas. Omslut söktermerna med citattecken för exakta frasmatchningar.",searchTip2:"Sökningen använder även fuzzy-matchning för att ta hänsyn till partiella ord (som t.ex. kopiera och kopiering). Resultatet ordnas efter relevans ordnat efter hur många söktermer som finns per ämne. Exakta träffar markeras.",searchTip3:"Det går att förfina sökningen med följande operatorer:",searchTip3_1:"Skriv + framför ord som måste inkluderas i sökningen eller - framför ord att undanta. (Exempel: program +genväg –grupp hittar genväg och programgenväg men inte grupp eller programgrupp.)",searchTip3_2:"Använd * som jokertecken för saknade tecken. Det går att använda jokertecken överallt i en sökterm. (Exempel: inst* hittar installation och instruktioner.)",searchTip3_3:"Skriv title: i början av sökfrasen för att endast söka efter ämnesrubriker. (Exempel: title:konfiguration hittar ämnet med rubriken Ändra programvarans konfiguration.)",searchTip3_4:"För sökningar med flera söktermer går det att ange prioritet för sökningens söktermer. Skriv ^ efter söktermen och ett positivt tal som anger söktermens vikt. Ett högre tal anger högre vikt. (Exempel: genväg^10 grupp ger genväg tio gånger högre vikt än grupp.)",searchTip3_5:"Använd fuzzy-sökning för att ta hänsyn till felstavningar genom att skriva ~ efter söktermen för antalet korrigeringar att utföra. (Exempel: port~1 matchar fort, post eller potr och andra instanser där en korrigering ger en träff.)",searchTipnote:'Observera att operatorer inte går att använda som söktermer: + - * : ~ ^ &apos; "',close:"Stäng"},tr:{unsupported:"Tam metin arama tarayıcınızın bu sürümünde veya yapılandırmasında gerçekleştirilemez.",noMatches:"Eşleşme bulunamadı.",noExactMatches:"Tam ifade eşleşmesi bulunamadı. Lütfen onun yerine bu konuları deneyin:",similarResults:"Benzer sonuçlar",search:"Ara",search_info_title:"Arama ipuçları",searchResultsTitle:"Arama sonuçları",searchTip1:"Arama girdiğiniz terimleri içeren konuları getirir. Bir terimden fazlasını yazarsanız terimlerden herhangi birinin yer aldığı konuları getiren bir VEYA varsayılır. Tam ifade eşleşmesi için aradığınız terimleri tırnak içine alın.",searchTip2:"Arama aynı zamanda kısmi kelimeler için kısmi eşleşmeyi kullanır (kurulum veya kurulumlar gibi) . Sonuçlar, konu başına kaç tane arama teriminin ortaya çıktığına bağlı olarak ilgi sırasına göre görüntülenir. Tam eşleşmeler vurgulanır.",searchTip3:"Aramayı iyileştirmek için aşağıdaki operatörleri kullanabilirsiniz:",searchTip3_1:"Aramaya dahil edilmesi gereken kelimelerin önüne + koyun veya dahil edilmemesi gereken kelimelerin önüne - koyun. (Örnek: kullanıcı +kısa yol –grup kısa yol ve kullanıcı kısa yolunu bulur ama grup ve kullanıcı grubunu bulmaz.)",searchTip3_2:"* simgesini joker karakter olarak kullanın. Joker karakter aranan terimin herhangi bir yerinde kullanılabilir. (Örnek: kur* kurulumu ve kuralları bulur.)",searchTip3_3:'Sadece konu başlıklarında aramak için aranan kelime grubunun başına title: yazın. (Örnek: title:yapılandırma "Yazılım yapılandırmasının değiştirilmesi" başlıklı konuyu bulur.)',searchTip3_4:"Birden fazla terim arandığında, aramanızdaki terimler için bir öncelik belirleyebilirsiniz. Terimin ardından ^ ve o terime verilen ağırlığı belirten bir pozitif sayı ekleyin. Sayı büyüdükçe ağırlık artar. (Örneğin: kısa yol^10 grup, gruba kıyasla kısa yola 10 kat daha fazla ağırlık verir.)",searchTip3_5:"Yanlış yazımları da içerecek şekilde kısmi aramayı kullanmak için terimden sonra ~ işaretini ekleyin ve yapılacak düzeltmelerin sayısı kadar bir pozitif sayı girin. (Örnek: kanal~1, sanal, sanıl veya kanla ile ve bir düzeltmenin bir eşleşme doğurduğu diğer durumlarla eşleşir.)",searchTipnote:'Operatörlerin arama terimleri olarak kullanılamayacağını dikkate alın: + - * : ~ ^ &apos; "',close:"Kapat"},"zh-cn":{unsupported:"此版本的浏览器或其配置不支持全文搜索。",noMatches:"找不到匹配项。",noExactMatches:"未找到精确短语匹配项。请尝试以下主题:",similarResults:"相似结果",search:"搜索",search_info_title:"搜索提示",searchResultsTitle:"搜索结果",searchTip1:"此搜索将返回包含您输入的搜索词的主题。如果您键入多个搜索词，则系统将采用 OR 运算进行搜索，从而返回包含任一搜索词的主题。在搜索词两边加上引号可以进行精确短语匹配。",searchTip2:"此搜索还可通过模糊匹配来搜索部分词(例如“安装”和“正在安装”)。系统将根据每个主题中出现的搜索词数量按相关性顺序来显示搜索结果。精确匹配结果会加以突出显示。",searchTip3:"要细化搜索结果，您可以使用以下运算符:",searchTip3_1:"在搜索词前面键入 + 以指示必需的搜索词，或者在搜索词前面键入 - 以排除搜索词。(例如:“用户 +快捷方式 –组”可搜索“快捷方式”和“用户快捷方式”，但不会搜索“组”或“用户组”。)",searchTip3_2:"使用 * 通配符表示缺少的字符。可以在搜索词中的任意位置使用此通配符。(例如:“安*”可搜索“安装”和“安全”。)",searchTip3_3:"在搜索短语开头键入 title: 可以仅搜索主题标题。(例如:“title:配置”可搜索标题为“更改软件配置”的主题。)",searchTip3_4:"对于多词搜索，您可以指定搜索词的优先级。可在搜索词后面使用 ^ 和一个正数来指示为该搜索词赋予的权重。此数字越大，权重越高。(例如“快捷方式^10 组”表示“快捷方式”的权重是“组”的 10 倍。)",searchTip3_5:"要使用模糊搜索来搜索拼写错误的词，请在搜素词后面使用 ~ 和一个正数来指示需要更正几处才能获得匹配词。(例如:“阈值~1”可匹配“阀值”、“阙值”或“域值”，以及需要更正一处即可获得匹配词的其他实例。)",searchTipnote:'请注意，不能使用以下运算符作为搜索词: + - * : ~ ^ &apos; "',close:"关闭"},"zh-tw":{unsupported:"此版本的瀏覽器或其設定不支援全文檢索搜尋。",noMatches:"未找到相符的項目。",noExactMatches:"找不到完全相符的片語。請改試這些主題:",similarResults:"類似結果",search:"搜尋",search_info_title:"搜尋提示",searchResultsTitle:"搜尋結果",searchTip1:"搜尋傳回包含您所輸入字詞的主題。如果您輸入多個字詞，則系統將採用 OR 運算子，藉此傳回找到的包含任何字詞的主題。請使用引號將您的搜尋字詞括起來，以進行精確片語比對。",searchTip2:"搜尋還會使用模糊比對來涵蓋部分字詞 (例如「安裝」和「正在安裝」)。結果會根據每個主題的搜尋字詞數，依相關性順序顯示。系統會醒目提示完全相符項目。",searchTip3:"若要縮小搜尋範圍，您可以使用以下運算子:",searchTip3_1:"在必須包含在搜尋中的字詞前輸入 + 或在要排除的字詞前輸入 -。(例如:「使用者 +捷徑 –群組」會尋找「捷徑」和「使用者捷徑」，但不搜尋「群組」或「使用者群組」。)",searchTip3_2:"使用 * 作為萬用字元來代表未知字元。萬用字元可用在搜尋字詞的任何位置。(例如:「安*」會尋找「安裝」和「安全」。)",searchTip3_3:"在搜尋片語的開頭輸入「title:」僅會搜尋主題標題。(例如:「title:組態」會尋找標題為「變更軟體組態」的主題。)",searchTip3_4:"對於多字詞搜尋，您可以在搜尋中針對字詞指定優先順序。在字詞後加上 ^ 和表示字詞權數的正數。數字越大代表權數越高。 (例如:「捷徑^10 群組」表示「捷徑」的權數是「群組」的 10 倍。)",searchTip3_5:"若要使用模糊搜尋來涵蓋誤錯字，請在字詞後加上 ~ 和表示更正次數的正數。(例如:「閾值~1」會比對「閥值」、「闕值」或「域值」，以及其他經過一次更正後產生相符項目的實例。)",searchTipnote:'請注意，運算子不可用作搜尋字詞: + - * : ~ ^ &apos; "',close:"關閉"}};const index=lunr.Index.load(JSON.parse(serializedIdx));const doSearchHelp=function(langCode,query){let modifiedQuery=query;if(langCode=="ja"){const searchSegmenter=new lunr.TinySegmenter;modifiedQuery=searchSegmenter.segment(modifiedQuery).join(" ")}const exactPhraseResults=[];const re=/"(.*?)"/;let epQuery=re.exec(modifiedQuery.toLowerCase());if(epQuery){epQuery=epQuery[1];for(let i=0;i<docs.length;i++){if(docs[i].t.toLowerCase().includes(epQuery)||docs[i].r.toLowerCase().includes(epQuery)){const queryString=docs[i].h.includes("\\print\\")?"":"?ep=1&h=%22"+encodeURIComponent(epQuery)+"%22";const emResult={i:docs[i].i,t:docs[i].t,h:docs[i].h+queryString,s:docs[i].s,p:docs[i].p,p:docs[i].r};exactPhraseResults.push(emResult)}}}modifiedQuery=modifiedQuery.replace("title:","t:");if(modifiedQuery.indexOf(":")!=-1){if(modifiedQuery.indexOf("t:")==-1){modifiedQuery=modifiedQuery.replaceAll(":"," ")}}modifiedQuery=modifiedQuery.replaceAll('"',"");const fuzzyResults=[];try{const result=index.search(modifiedQuery);if(typeof result!="undefined"){const queryParam=query.replace("title:","");for(let item in result){const ref=result[item].ref;const queryString=docs[ref].h.includes("\\print\\")?"":"?h="+encodeURIComponent(queryParam);const found=exactPhraseResults.find((emResult=>emResult.i===docs[ref].i));if(!found){fuzzyResults.push({i:docs[ref].i,t:docs[ref].t,h:docs[ref].h+queryString.replace(/%22|%2B|%3A/gi,""),s:docs[ref].s,p:docs[ref].p,r:docs[ref].r})}}}}catch(e){}return{modifiedQuery:query,exactPhraseAttempted:epQuery?true:false,exactPhraseResults:exactPhraseResults,fuzzyResults:fuzzyResults}};